!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_9373) = coupl(nGC_8315)*dsw_QED2 + coupl(nGC_8316)*dZee_QED2
    coupl(nGC_14490) = coupl(nGC_165)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_9428) = coupl(nGC_8370)*dyd13x3_QED1_QCD2 + coupl(nGC_8371)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_17780) = coupl(nGC_75)*dZG0/2d0
    coupl(nGC_9647) = -cima*dMT_QCD2
    coupl(nGC_9646) = -cima*dMT_QED2
    coupl(nGC_9645) = -cima*dMC_QCD2
    coupl(nGC_9644) = -cima*dMC_QED2
    coupl(nGC_9643) = -cima*dMU_QCD2
    coupl(nGC_9642) = -cima*dMU_QED2
    coupl(nGC_9641) = -cima*dMTA_QED2
    coupl(nGC_9640) = -cima*dMM_QED2
    coupl(nGC_9649) = -cima*dMD_QCD2
    coupl(nGC_9648) = -cima*dMD_QED2
    coupl(nGC_13076) = coupl(nGC_96)*dZGMinus
    coupl(nGC_13139) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_13258) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_9501) = coupl(nGC_8487)*dyup2_QED1_QCD2 + coupl(nGC_8488)*       &
                      dyup1_QED1_QCD2
    coupl(nGC_9502) = coupl(nGC_8487)*dyup2_QED3 + coupl(nGC_8488)*dyup1_QED3  &
                       + coupl(nGC_8489)*da_QED2
    coupl(nGC_12849) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_12789) = coupl(nGC_90)*dZZA_QED2/2d0
    coupl(nGC_9434) = coupl(nGC_8343)*dyd12x2_QED3 + coupl(nGC_8344)*dys2_QED3 &
                       + coupl(nGC_8345)*db_QED2
    coupl(nGC_9431) = coupl(nGC_8553)*dydo2_QED1_QCD2 + coupl(nGC_8555)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9432) = coupl(nGC_8553)*dydo2_QED3 + coupl(nGC_8554)*db_QED2 +   &
                      coupl(nGC_8555)*dydo1_QED3
    coupl(nGC_9433) = coupl(nGC_8343)*dyd12x2_QED1_QCD2 + coupl(nGC_8344)*     &
                      dys2_QED1_QCD2
    coupl(nGC_16983) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9654) = cima*dMZ2_QED2
    coupl(nGC_9655) = cima*dMW2_QED2
    coupl(nGC_9656) = coupl(nGC_593)*dMW2_QED2
    coupl(nGC_9657) = coupl(nGC_597)*dMW2_QED2
    coupl(nGC_9650) = -cima*dMS_QED2
    coupl(nGC_9651) = -cima*dMS_QCD2
    coupl(nGC_9652) = -cima*dMB_QED2
    coupl(nGC_9653) = -cima*dMB_QCD2
    coupl(nGC_14971) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_14974) = coupl(nGC_177)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_14975) = coupl(nGC_177)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_16428) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_14142) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_13404) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_13975) = coupl(nGC_68)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9409) = coupl(nGC_8375)*db_QED2 + coupl(nGC_8376)*dyc1_QED3 +    &
                      coupl(nGC_8377)*dyc2_QED3
    coupl(nGC_9390) = coupl(nGC_7957)*dsw_QED2 + coupl(nGC_7958)*dcw_QED2 +    &
                      coupl(nGC_7959)*dZee_QED2
    coupl(nGC_9393) = coupl(nGC_8630)*dZee_QED2
    coupl(nGC_9399) = coupl(nGC_8372)*dsw_QED2 + coupl(nGC_8373)*dcw_QED2 +    &
                      coupl(nGC_8374)*dZee_QED2
    coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
    coupl(nGC_14379) = coupl(nGC_87)*dZbL_QCD2
    coupl(nGC_16541) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZcR_QED2 +  &
                       coupl(nGC_9399)
    coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
    coupl(nGC_15480) = coupl(nGC_60)*dZGMinus
    coupl(nGC_13259) = coupl(nGC_99)*dZZA_QED2/2d0
    coupl(nGC_12672) = coupl(nGC_97)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_14226) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_15248) = coupl(nGC_179)*dZHaG0_QED2/2d0
    coupl(nGC_9527) = coupl(nGC_8593)*db_QED2 + coupl(nGC_8594)*dZee_QED2 +    &
                      coupl(nGC_8595)*dMZ2_QED2 + coupl(nGC_8596)*dsw_QED2 +   &
                      coupl(nGC_8597)*dcw_QED2 + coupl(nGC_8598)*da_QED2
    coupl(nGC_13439) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_12749) = coupl(nGC_158)*dZGMinus/2d0
    coupl(nGC_9417) = coupl(nGC_8283)*dydo2_QED1_QCD2 + coupl(nGC_8285)*       &
                      dydo1_QED1_QCD2
    coupl(nGC_9412) = coupl(nGC_8633)*dyd12x2_QED3 + coupl(nGC_8634)*dys2_QED3 &
                       + coupl(nGC_8635)*db_QED2
    coupl(nGC_9410) = coupl(nGC_8376)*dyc1_QED1_QCD2 + coupl(nGC_8377)*        &
                      dyc2_QED1_QCD2
    coupl(nGC_9411) = coupl(nGC_8633)*dyd12x2_QED1_QCD2 + coupl(nGC_8634)*     &
                      dys2_QED1_QCD2
    coupl(nGC_9418) = coupl(nGC_8283)*dydo2_QED3 + coupl(nGC_8284)*db_QED2 +   &
                      coupl(nGC_8285)*dydo1_QED3
    coupl(nGC_9419) = coupl(nGC_8366)*db_QED2 + coupl(nGC_8367)*dyup1_QED3 +   &
                      coupl(nGC_8368)*dyup2_QED3
    coupl(nGC_9380) = coupl(nGC_8565)*dcw_QED2 + coupl(nGC_8566)*db_QED2 +     &
                      coupl(nGC_8567)*dsw_QED2 + coupl(nGC_8568)*dZee_QED2 +   &
                      coupl(nGC_8569)*da_QED2
    coupl(nGC_18699) = 2d0*coupl(nGC_54)*dZGMinus
    coupl(nGC_13800) = coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_17423) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_17422) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_17424) = coupl(nGC_9650) + coupl(nGC_TS_GC_169_Hl) + coupl(      &
                       nGC_TS_GC_173_Hh)
    coupl(nGC_14766) = coupl(nGC_61)*dZHh_QED2 + coupl(nGC_61)*dZWMinus_QED2 + &
                       coupl(nGC_9373)
    coupl(nGC_14189) = coupl(nGC_59)*dZG0
    coupl(nGC_13642) = coupl(nGC_159)*dZG0/2d0
    coupl(nGC_13511) = coupl(nGC_98)*dZGMinus/2d0
    coupl(nGC_14232) = -coupl(nGC_14226)
    coupl(nGC_12911) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_9469) = coupl(nGC_7990)*db_QED2 + coupl(nGC_7991)*dym1_QED3 +    &
                      coupl(nGC_7992)*dym2_QED3
    coupl(nGC_19931) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_9287) = coupl(nGC_8648)*dZgs_QCD2
    coupl(nGC_9289) = coupl(nGC_8631)*dZee_QED2
    coupl(nGC_15440) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_17638) = coupl(nGC_135)*dZG0/2d0
    coupl(nGC_17856) = coupl(nGC_141)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_17857) = coupl(nGC_141)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_18043) = coupl(nGC_167)*dZG0/2d0
    coupl(nGC_18047) = coupl(nGC_168)*dZG0/2d0
    coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
    coupl(nGC_23818) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_13748) = coupl(nGC_63)*dZGMinus/2d0
    coupl(nGC_TS_GC_68_Hl) = -coupl(nGC_68)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13638) = coupl(nGC_160)*dZG0/2d0
    coupl(nGC_13982) = coupl(nGC_33)*dZG0
    coupl(nGC_13290) = coupl(nGC_48)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_13563) = coupl(nGC_53)*(dZG0 + dZGMinus)
    coupl(nGC_14249) = coupl(nGC_157)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_13188) = coupl(nGC_43)*(dZG0 + 2d0*dZGMinus)/2d0
    coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9472) = coupl(nGC_8363)*db_QED2 + coupl(nGC_8364)*dye2_QED3 +    &
                      coupl(nGC_8365)*dye1_QED3
    coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9476) = coupl(nGC_8636)*db_QED2 + coupl(nGC_8637)*dytau1_QED3 +  &
                      coupl(nGC_8638)*dytau2_QED3
    coupl(nGC_9478) = coupl(nGC_8576)*dym1_QED3 + coupl(nGC_8577)*dym2_QED3 +  &
                      coupl(nGC_8578)*da_QED2
    coupl(nGC_23005) = coupl(nGC_76)*dZG0Ha_QED2/2d0
    coupl(nGC_12713) = coupl(nGC_9390) + coupl(nGC_99)*dZHl_QED2 + coupl(nGC_99&
                       )*dZZ_QED2
    coupl(nGC_9293) = coupl(nGC_7907)*dsw_QED2 + coupl(nGC_7908)*dcw_QED2 +    &
                      coupl(nGC_7909)*dZee_QED2
    coupl(nGC_9445) = coupl(nGC_8605)*dyd13x3_QED1_QCD2 + coupl(nGC_8607)*     &
                      dyb2_QED1_QCD2
    coupl(nGC_9315) = coupl(nGC_8224)*db_QED2 + coupl(nGC_8225)*dl5_QED4 +     &
                      coupl(nGC_8226)*dl4_QED4 + coupl(nGC_8227)*da_QED2
    coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
    coupl(nGC_12857) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_16716) = coupl(nGC_123)*dZGMinus/2d0
    coupl(nGC_15729) = coupl(nGC_179)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_14742) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_12852) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_15438) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_15439) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_13750) = coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_15435) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_15436) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_15437) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_12851) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_14524) = coupl(nGC_77)*dZGMinus/2d0
    coupl(nGC_14521) = coupl(nGC_56)*dZGMinus
    coupl(nGC_12850) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_13197) = coupl(nGC_63)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_14418) = coupl(nGC_75)*dZG0Ha_QED2/2d0
    coupl(nGC_12710) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
    coupl(nGC_13376) = coupl(nGC_58)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_13173) = coupl(nGC_70)*dZGMinus/2d0
    coupl(nGC_9446) = coupl(nGC_8605)*dyd13x3_QED3 + coupl(nGC_8606)*da_QED2 + &
                      coupl(nGC_8607)*dyb2_QED3
    coupl(nGC_9441) = coupl(nGC_8433)*dydo1_QED1_QCD2 + coupl(nGC_8434)*       &
                      dydo2_QED1_QCD2
    coupl(nGC_9442) = coupl(nGC_8433)*dydo1_QED3 + coupl(nGC_8434)*dydo2_QED3  &
                       + coupl(nGC_8435)*da_QED2
    coupl(nGC_12803) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*dZuL_QCD2/&
                       2d0 + coupl(nGC_9417)
    coupl(nGC_12805) = coupl(nGC_146)*dZHMinus_QED2/2d0 + coupl(nGC_146)*      &
                       dZdR_QED2/2d0 + coupl(nGC_146)*dZuL_QED2/2d0 + coupl(   &
                       nGC_150)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9418)
    coupl(nGC_12806) = coupl(nGC_193)*dZHMinus_QED2/2d0 + coupl(nGC_193)*      &
                       dZdL_QED2/2d0 + coupl(nGC_193)*dZuR_QED2/2d0 + coupl(   &
                       nGC_196)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9419)
    coupl(nGC_18738) = coupl(nGC_191)*dZG0/2d0
    coupl(nGC_9043) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**2d0*&
                      coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) +   &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(nGC_90  &
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_9047) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**2d0*&
                      coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) +   &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(nGC_90  &
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_16278) = coupl(nGC_149)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_16277) = coupl(nGC_149)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_9427) = coupl(nGC_8369)*db_QED2 + coupl(nGC_8370)*dyd13x3_QED3 + &
                      coupl(nGC_8371)*dyb2_QED3
    coupl(nGC_9046) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**2d0*&
                      coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) +   &
                      4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(nGC_90  &
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_9426) = coupl(nGC_8603)*dyt1_QED1_QCD2 + coupl(nGC_8604)*        &
                      dyt2_QED1_QCD2
    coupl(nGC_13723) = coupl(nGC_100)*dZGMinus
    coupl(nGC_16479) = coupl(nGC_91)*dZZA_QED2/2d0
    coupl(nGC_17278) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_17279) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_17277) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_TS_GC_13_Hh) = -coupl(nGC_13)*dtHh_QED1/cMHH**2d0
    coupl(nGC_15732) = coupl(nGC_179)*dZtL_QED2/2d0 + coupl(nGC_179)*dZtR_QED2/&
                       2d0 + coupl(nGC_183)*dZG0Ha_QED2/2d0
    coupl(nGC_15730) = coupl(nGC_179)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
    coupl(nGC_17040) = coupl(nGC_9390) + coupl(nGC_99)*dZHh_QED2 + coupl(nGC_99&
                       )*dZZ_QED2
    coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
    coupl(nGC_9467) = coupl(nGC_8382)*db_QED2 + coupl(nGC_8383)*dytau1_QED3 +  &
                      coupl(nGC_8384)*dytau2_QED3
    coupl(nGC_13123) = coupl(nGC_185)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_189)*&
                       dZnu_tauL_QED2/2d0 + coupl(nGC_189)*dZtauMinusR_QED2/2d0&
                        + coupl(nGC_9467)
    coupl(nGC_12840) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13617) = 3d0*coupl(nGC_45)*dZGMinus/2d0
    coupl(nGC_13614) = coupl(nGC_162)*dZHMinus_QED2/2d0 + coupl(nGC_162)*      &
                       dZmuMinusR_QED2/2d0 + coupl(nGC_162)*dZnu_muL_QED2/2d0  &
                        + coupl(nGC_166)*dZGMinusHMinus_QED2/2d0 + coupl(      &
                       nGC_9469)
    coupl(nGC_12969) = coupl(nGC_135)*dZG0Ha_QED2/2d0
    coupl(nGC_14394) = coupl(nGC_18)*dZGMinus
    coupl(nGC_12706) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_12701) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_9452) = coupl(nGC_8089)*dyd13x3_QED3 + coupl(nGC_8090)*da_QED2 + &
                      coupl(nGC_8091)*dyb2_QED3
    coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
    coupl(nGC_13819) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_12817) = coupl(nGC_175)*dZG0/2d0
    coupl(nGC_12912) = -coupl(nGC_12911)
    coupl(nGC_12631) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_12637) = coupl(nGC_48)*dZGMinus/2d0
    coupl(nGC_12634) = coupl(nGC_74)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_17285) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_17286) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_17280) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_12677) = coupl(nGC_64)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_12675) = coupl(nGC_69)*dZGMinus/2d0
    coupl(nGC_15933) = -coupl(nGC_13076)
    coupl(nGC_9636) = -cima*dMHH2_QED2
    coupl(nGC_9637) = -cima*dMHA2_QED2
    coupl(nGC_9634) = -cima*dMHC2_QED2
    coupl(nGC_9635) = -cima*dMHL2_QED2
    coupl(nGC_9639) = -cima*dME_QED2
    coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
    coupl(nGC_16904) = coupl(nGC_62)*dZG0
    coupl(nGC_12951) = coupl(nGC_61)*dZHl_QED2 + coupl(nGC_61)*dZWMinus_QED2 + &
                       coupl(nGC_9373)
    coupl(nGC_12954) = dZHMinusGMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
    coupl(nGC_14383) = coupl(nGC_84)*dZbR_QCD2
    coupl(nGC_13394) = coupl(nGC_97)*dZGMinus
    coupl(nGC_12827) = coupl(nGC_176)*dZsL_QCD2/2d0 + coupl(nGC_176)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9433)
    coupl(nGC_12823) = coupl(nGC_176)*dZG0/2d0
    coupl(nGC_13555) = coupl(nGC_62)*dZGMinus
    coupl(nGC_20090) = 2d0*coupl(nGC_55)*dZG0
    coupl(nGC_19930) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_19933) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_19932) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_19934) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_19937) = coupl(nGC_19932) + coupl(nGC_9653)
    coupl(nGC_17380) = coupl(nGC_195)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_17381) = coupl(nGC_195)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_17382) = coupl(nGC_17381) + coupl(nGC_9501)
    coupl(nGC_17383) = coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(nGC_195)*        &
                       dZHh_QED2/2d0 + coupl(nGC_9502)
    coupl(nGC_9480) = coupl(nGC_8121)*da_QED2 + coupl(nGC_8122)*dye1_QED3 +    &
                      coupl(nGC_8123)*dye2_QED3
    coupl(nGC_9483) = coupl(nGC_8511)*db_QED2 + coupl(nGC_8512)*dye2_QED3 +    &
                      coupl(nGC_8513)*dye1_QED3
    coupl(nGC_9482) = coupl(nGC_8469)*dytau1_QED3 + coupl(nGC_8470)*dytau2_QED3&
                       + coupl(nGC_8471)*da_QED2
    coupl(nGC_9487) = coupl(nGC_8673)*db_QED2 + coupl(nGC_8674)*dytau1_QED3 +  &
                      coupl(nGC_8675)*dytau2_QED3
    coupl(nGC_9489) = coupl(nGC_8550)*db_QED2 + coupl(nGC_8551)*dyup1_QED3 +   &
                      coupl(nGC_8552)*dyup2_QED3
    coupl(nGC_9335) = coupl(nGC_8472)*dl3_QED4 + coupl(nGC_8473)*dl1_QED4 +    &
                      coupl(nGC_8474)*dl2_QED4 + coupl(nGC_8475)*dl5_QED4 +    &
                      coupl(nGC_8476)*dl4_QED4 + coupl(nGC_8477)*db_QED2
    coupl(nGC_9334) = coupl(nGC_8177)*dl3_QED4 + coupl(nGC_8178)*dl1_QED4 +    &
                      coupl(nGC_8179)*dl2_QED4 + coupl(nGC_8180)*dl5_QED4 +    &
                      coupl(nGC_8181)*dl4_QED4 + coupl(nGC_8182)*db_QED2
    coupl(nGC_9331) = coupl(nGC_8000)*dl3_QED4 + coupl(nGC_8001)*db_QED2 +     &
                      coupl(nGC_8002)*dl2_QED4 + coupl(nGC_8003)*dl5_QED4 +    &
                      coupl(nGC_8004)*dl4_QED4 + coupl(nGC_8005)*dl1_QED4 +    &
                      coupl(nGC_8006)*da_QED2
    coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
    coupl(nGC_12902) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_16655) = coupl(nGC_25)*dZG0
    coupl(nGC_12945) = coupl(nGC_169)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
    coupl(nGC_15399) = coupl(nGC_68)*dZGMinus/2d0
    coupl(nGC_15396) = coupl(nGC_63)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_14860) = coupl(nGC_57)*dZGMinus
    coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
    coupl(nGC_14666) = coupl(nGC_87)*dZsL_QCD2
    coupl(nGC_14663) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_15246) = coupl(nGC_183)*dZG0/2d0
    coupl(nGC_14043) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_12944) = coupl(nGC_169)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_13121) = coupl(nGC_189)*dZGMinus/2d0
    coupl(nGC_17227) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
    coupl(nGC_9038) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_17910) = coupl(nGC_85)*dZtR_QCD2
    coupl(nGC_15502) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
    coupl(nGC_17398) = coupl(nGC_138)*dZGMinus/2d0
    coupl(nGC_17392) = coupl(nGC_181)*dZGMinus/2d0
    coupl(nGC_9498) = coupl(nGC_415)*dyt2_QED3 + coupl(nGC_417)*db_QED2 + coupl&
                      (nGC_419)*dyt1_QED3
    coupl(nGC_9499) = coupl(nGC_423)*dyt2_QED1_QCD2 + coupl(nGC_427)*          &
                      dyt1_QED1_QCD2
    coupl(nGC_9324) = coupl(nGC_8667)*dl3_QED4 + coupl(nGC_8668)*dl1_QED4 +    &
                      coupl(nGC_8669)*dl2_QED4 + coupl(nGC_8670)*dl5_QED4 +    &
                      coupl(nGC_8671)*dl4_QED4 + coupl(nGC_8672)*da_QED2
    coupl(nGC_9326) = coupl(nGC_8253)*db_QED2 + coupl(nGC_8254)*dl5_QED4 +     &
                      coupl(nGC_8255)*dl4_QED4 + coupl(nGC_8256)*da_QED2
    coupl(nGC_9495) = coupl(nGC_8274)*db_QED2 + coupl(nGC_8275)*dyc1_QED3 +    &
                      coupl(nGC_8276)*dyc2_QED3
    coupl(nGC_12716) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_9140) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(     &
                      nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*coupl&
                      (nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi**2d0)
    coupl(nGC_9141) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(    &
                      nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*coupl&
                      (nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
    coupl(nGC_8830) = coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
