!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  implicit none
  contains
  subroutine fill_vertices_mdl12()
    use class_vertices
    use class_couplings
    allocate(vertices(568)%branchR2(0:0))
    call avR2(568, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2012)%branchR2(0:0))
    call avR2(2012, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(1079)%branchR2(0:1))
    call avR2(1079, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1079, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_9040, nGC_9039])

    allocate(vertices(1783)%branchR2(0:0))
    call avR2(1783, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(3539)%branchR2(0:0))
    call avR2(3539, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(1228)%branchR2(0:0))
    call avR2(1228, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9052, nGC_9053])

    allocate(vertices(744)%branchR2(0:0))
    call avR2(744, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(2022)%branchR2(0:0))
    call avR2(2022, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2167)%branchR2(0:0))
    call avR2(2167, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(85)%branchR2(0:0))
    call avR2(85, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1014)%branchR2(0:3))
    call avR2(1014, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_9069, nGC_9068])

    call avR2(1014, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1014, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(1014, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3203)%branchR2(0:0))
    call avR2(3203, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2386)%branchR2(0:0))
    call avR2(2386, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1323)%branchR2(0:0))
    call avR2(1323, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(208)%branchR2(0:0))
    call avR2(208, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2962)%branchR2(0:0))
    call avR2(2962, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(355)%branchR2(0:0))
    call avR2(355, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1449)%branchR2(0:0))
    call avR2(1449, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8891, nGC_8890])

    allocate(vertices(1732)%branchR2(0:0))
    call avR2(1732, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8899])

    allocate(vertices(1857)%branchR2(0:0))
    call avR2(1857, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9013, nGC_9012])

    allocate(vertices(2477)%branchR2(0:0))
    call avR2(2477, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(3808)%branchR2(0:1))
    call avR2(3808, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9247])

    call avR2(3808, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(3110)%branchR2(0:0))
    call avR2(3110, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29477])

    allocate(vertices(2180)%branchR2(0:0))
    call avR2(2180, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_32077])

    allocate(vertices(3809)%branchR2(0:0))
    call avR2(3809, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2223)%branchR2(0:0))
    call avR2(2223, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8797, nGC_8798])

    allocate(vertices(3150)%branchR2(0:0))
    call avR2(3150, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1875)%branchR2(0:0))
    call avR2(1875, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2197)%branchR2(0:0))
    call avR2(2197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(3810)%branchR2(0:0))
    call avR2(3810, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9094, nGC_9094&
    ])

    allocate(vertices(1976)%branchR2(0:0))
    call avR2(1976, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8997])

    allocate(vertices(678)%branchR2(0:0))
    call avR2(678, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(3089)%branchR2(0:0))
    call avR2(3089, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8801])

    allocate(vertices(1707)%branchR2(0:0))
    call avR2(1707, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2107)%branchR2(0:0))
    call avR2(2107, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(606)%branchR2(0:0))
    call avR2(606, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(574)%branchR2(0:0))
    call avR2(574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3131)%branchR2(0:0))
    call avR2(3131, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(856)%branchR2(0:0))
    call avR2(856, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131, nGC_9132])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2464)%branchR2(0:0))
    call avR2(2464, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1688)%branchR2(0:0))
    call avR2(1688, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(988)%branchR2(0:0))
    call avR2(988, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(399)%branchR2(0:0))
    call avR2(399, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(2228)%branchR2(0:0))
    call avR2(2228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(546)%branchR2(0:0))
    call avR2(546, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(59)%branchR2(0:0))
    call avR2(59, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8812])

    allocate(vertices(2481)%branchR2(0:0))
    call avR2(2481, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(2241)%branchR2(0:0))
    call avR2(2241, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(2783)%branchR2(0:0))
    call avR2(2783, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2510)%branchR2(0:0))
    call avR2(2510, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8915])

    allocate(vertices(435)%branchR2(0:0))
    call avR2(435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(586)%branchR2(0:0))
    call avR2(586, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(2896)%branchR2(0:0))
    call avR2(2896, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9127])

    allocate(vertices(244)%branchR2(0:0))
    call avR2(244, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(2952)%branchR2(0:0))
    call avR2(2952, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8782])

    allocate(vertices(279)%branchR2(0:0))
    call avR2(279, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2121)%branchR2(0:0))
    call avR2(2121, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(304)%branchR2(0:1))
    call avR2(304, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8970, nGC_8971])

    call avR2(304, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8972, nGC_8972])

    allocate(vertices(567)%branchR2(0:0))
    call avR2(567, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9132, nGC_9130])

    allocate(vertices(3811)%branchR2(0:0))
    call avR2(3811, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2000)%branchR2(0:1))
    call avR2(2000, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_8805, nGC_8804])

    call avR2(2000, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(1448)%branchR2(0:0))
    call avR2(1448, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(1567)%branchR2(0:0))
    call avR2(1567, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2972)%branchR2(0:0))
    call avR2(2972, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8801])

    allocate(vertices(1627)%branchR2(0:0))
    call avR2(1627, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(889)%branchR2(0:0))
    call avR2(889, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9097, nGC_9099])

    allocate(vertices(2209)%branchR2(0:0))
    call avR2(2209, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(2661)%branchR2(0:0))
    call avR2(2661, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9043])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3390)%branchR2(0:0))
    call avR2(3390, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8778])

    allocate(vertices(2226)%branchR2(0:0))
    call avR2(2226, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1020)%branchR2(0:1))
    call avR2(1020, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8823, nGC_8825])

    call avR2(1020, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8824, nGC_8826])

    allocate(vertices(3423)%branchR2(0:0))
    call avR2(3423, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9128])

    allocate(vertices(378)%branchR2(0:0))
    call avR2(378, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8779])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3812)%branchR2(0:1))
    call avR2(3812, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

    call avR2(3812, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1999)%branchR2(0:1))
    call avR2(1999, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9026])

    call avR2(1999, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9027])

    allocate(vertices(206)%branchR2(0:0))
    call avR2(206, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2035)%branchR2(0:0))
    call avR2(2035, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(3245)%branchR2(0:0))
    call avR2(3245, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2970)%branchR2(0:0))
    call avR2(2970, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31066])

    allocate(vertices(2157)%branchR2(0:0))
    call avR2(2157, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(1758)%branchR2(0:0))
    call avR2(1758, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_9013, nGC_9012])

    allocate(vertices(3813)%branchR2(0:1))
    call avR2(3813, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9154])

    call avR2(3813, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9155])

    allocate(vertices(2596)%branchR2(0:0))
    call avR2(2596, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1440)%branchR2(0:0))
    call avR2(1440, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29948])

    allocate(vertices(3128)%branchR2(0:0))
    call avR2(3128, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1790)%branchR2(0:0))
    call avR2(1790, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8786])

    allocate(vertices(1936)%branchR2(0:0))
    call avR2(1936, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8918])

    allocate(vertices(981)%branchR2(0:0))
    call avR2(981, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8837])

    allocate(vertices(2371)%branchR2(0:0))
    call avR2(2371, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(3814)%branchR2(0:5))
    call avR2(3814, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    call avR2(3814, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3814, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3814, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3814, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9152, nGC_9152,        &
    nGC_9152])

    call avR2(3814, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    allocate(vertices(2258)%branchR2(0:0))
    call avR2(2258, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8965])

    allocate(vertices(1520)%branchR2(0:0))
    call avR2(1520, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9089])

    allocate(vertices(151)%branchR2(0:1))
    call avR2(151, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_9022, nGC_9023])

    call avR2(151, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_9024, nGC_9024])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2053)%branchR2(0:0))
    call avR2(2053, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1753)%branchR2(0:0))
    call avR2(1753, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2613)%branchR2(0:1))
    call avR2(2613, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8911, nGC_8913])

    call avR2(2613, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8912, nGC_8914])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131, nGC_9130])

    allocate(vertices(2558)%branchR2(0:0))
    call avR2(2558, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(1578)%branchR2(0:1))
    call avR2(1578, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9019, nGC_9019])

    call avR2(1578, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_9017, nGC_9018])

    allocate(vertices(2931)%branchR2(0:0))
    call avR2(2931, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(110)%branchR2(0:0))
    call avR2(110, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(451)%branchR2(0:0))
    call avR2(451, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8839])

    allocate(vertices(2999)%branchR2(0:0))
    call avR2(2999, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1993)%branchR2(0:0))
    call avR2(1993, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(2220)%branchR2(0:0))
    call avR2(2220, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8847])

    allocate(vertices(1371)%branchR2(0:0))
    call avR2(1371, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3577)%branchR2(0:1))
    call avR2(3577, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8741&
    , nGC_8741])

    call avR2(3577, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8742&
    , nGC_8742])

    allocate(vertices(2159)%branchR2(0:0))
    call avR2(2159, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1918)%branchR2(0:0))
    call avR2(1918, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(81)%branchR2(0:0))
    call avR2(81, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(951)%branchR2(0:0))
    call avR2(951, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2111)%branchR2(0:3))
    call avR2(2111, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(2111, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(2111, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(2111, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(1388)%branchR2(0:1))
    call avR2(1388, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8973, nGC_8974])

    call avR2(1388, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8975, nGC_8975])

    allocate(vertices(3251)%branchR2(0:0))
    call avR2(3251, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9030])

    allocate(vertices(2622)%branchR2(0:0))
    call avR2(2622, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(3815)%branchR2(0:0))
    call avR2(3815, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(2865)%branchR2(0:0))
    call avR2(2865, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29512])

    allocate(vertices(231)%branchR2(0:0))
    call avR2(231, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2041)%branchR2(0:0))
    call avR2(2041, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8934])

    allocate(vertices(1360)%branchR2(0:0))
    call avR2(1360, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(173)%branchR2(0:0))
    call avR2(173, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9099, nGC_9098, nGC_9097])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(682)%branchR2(0:0))
    call avR2(682, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9030])

    allocate(vertices(2565)%branchR2(0:0))
    call avR2(2565, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9241])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1291)%branchR2(0:0))
    call avR2(1291, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(2309)%branchR2(0:0))
    call avR2(2309, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(1345)%branchR2(0:3))
    call avR2(1345, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(1345, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1345, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(1345, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(1621)%branchR2(0:0))
    call avR2(1621, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(3816)%branchR2(0:0))
    call avR2(3816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(147)%branchR2(0:0))
    call avR2(147, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(1625)%branchR2(0:0))
    call avR2(1625, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1488)%branchR2(0:0))
    call avR2(1488, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(3283)%branchR2(0:0))
    call avR2(3283, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(128)%branchR2(0:0))
    call avR2(128, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2690)%branchR2(0:0))
    call avR2(2690, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1361)%branchR2(0:0))
    call avR2(1361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2966)%branchR2(0:0))
    call avR2(2966, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3817)%branchR2(0:1))
    call avR2(3817, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9238])

    call avR2(3817, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9239])

    allocate(vertices(3375)%branchR2(0:0))
    call avR2(3375, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(416)%branchR2(0:0))
    call avR2(416, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30492])

    allocate(vertices(3818)%branchR2(0:0))
    call avR2(3818, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9090])

    allocate(vertices(2253)%branchR2(0:0))
    call avR2(2253, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2842)%branchR2(0:1))
    call avR2(2842, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8749, nGC_8748, nGC_8746&
    , nGC_8746])

    call avR2(2842, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8747&
    , nGC_8747])

    allocate(vertices(1082)%branchR2(0:1))
    call avR2(1082, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1082, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_9051, nGC_9050])

    allocate(vertices(2147)%branchR2(0:1))
    call avR2(2147, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8892, nGC_8894])

    call avR2(2147, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8893, nGC_8895])

    allocate(vertices(3819)%branchR2(0:0))
    call avR2(3819, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9093])

    allocate(vertices(1487)%branchR2(0:0))
    call avR2(1487, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(1171)%branchR2(0:0))
    call avR2(1171, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(991)%branchR2(0:0))
    call avR2(991, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2570)%branchR2(0:0))
    call avR2(2570, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8916])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1492)%branchR2(0:0))
    call avR2(1492, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8795, nGC_8796])

    allocate(vertices(88)%branchR2(0:0))
    call avR2(88, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9258, nGC_9257])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(1097)%branchR2(0:0))
    call avR2(1097, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3820)%branchR2(0:1))
    call avR2(3820, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9217])

    call avR2(3820, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9218])

    allocate(vertices(963)%branchR2(0:0))
    call avR2(963, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8891, nGC_8890])

    allocate(vertices(1475)%branchR2(0:0))
    call avR2(1475, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1722)%branchR2(0:1))
    call avR2(1722, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8976, nGC_8977])

    call avR2(1722, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8978, nGC_8978])

    allocate(vertices(2263)%branchR2(0:1))
    call avR2(2263, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8874, nGC_8876])

    call avR2(2263, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8875, nGC_8877])

    allocate(vertices(555)%branchR2(0:0))
    call avR2(555, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(3821)%branchR2(0:0))
    call avR2(3821, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3288)%branchR2(0:0))
    call avR2(3288, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9128])

    allocate(vertices(1482)%branchR2(0:1))
    call avR2(1482, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8955, nGC_8957])

    call avR2(1482, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8956, nGC_8958])

    allocate(vertices(2624)%branchR2(0:0))
    call avR2(2624, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(711)%branchR2(0:0))
    call avR2(711, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8797, nGC_8798])

    allocate(vertices(2954)%branchR2(0:0))
    call avR2(2954, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(3166)%branchR2(0:0))
    call avR2(3166, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9133])

    allocate(vertices(3822)%branchR2(0:1))
    call avR2(3822, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

    call avR2(3822, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(2976)%branchR2(0:0))
    call avR2(2976, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1365)%branchR2(0:1))
    call avR2(1365, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8961, nGC_8963])

    call avR2(1365, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8962, nGC_8964])

    allocate(vertices(3106)%branchR2(0:0))
    call avR2(3106, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2)%branchR2(0:0))
    call avR2(2, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1113)%branchR2(0:1))
    call avR2(1113, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

    call avR2(1113, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9028])

    allocate(vertices(2487)%branchR2(0:0))
    call avR2(2487, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

    allocate(vertices(1327)%branchR2(0:0))
    call avR2(1327, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2018)%branchR2(0:0))
    call avR2(2018, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1833)%branchR2(0:1))
    call avR2(1833, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8975, nGC_8975])

    call avR2(1833, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8973, nGC_8974])

    allocate(vertices(214)%branchR2(0:0))
    call avR2(214, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(526)%branchR2(0:0))
    call avR2(526, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1265)%branchR2(0:0))
    call avR2(1265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3823)%branchR2(0:1))
    call avR2(3823, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3823, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1458)%branchR2(0:0))
    call avR2(1458, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(3570)%branchR2(0:0))
    call avR2(3570, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1354)%branchR2(0:0))
    call avR2(1354, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(3229)%branchR2(0:0))
    call avR2(3229, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(2742)%branchR2(0:0))
    call avR2(2742, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2599)%branchR2(0:0))
    call avR2(2599, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8933])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9250])

    allocate(vertices(418)%branchR2(0:0))
    call avR2(418, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3824)%branchR2(0:0))
    call avR2(3824, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(2306)%branchR2(0:0))
    call avR2(2306, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(773)%branchR2(0:0))
    call avR2(773, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2486)%branchR2(0:0))
    call avR2(2486, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2266)%branchR2(0:0))
    call avR2(2266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(149)%branchR2(0:0))
    call avR2(149, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(314)%branchR2(0:0))
    call avR2(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3314)%branchR2(0:0))
    call avR2(3314, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_32493])

    allocate(vertices(2932)%branchR2(0:0))
    call avR2(2932, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(987)%branchR2(0:0))
    call avR2(987, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(420)%branchR2(0:0))
    call avR2(420, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(2090)%branchR2(0:0))
    call avR2(2090, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2834)%branchR2(0:0))
    call avR2(2834, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1889)%branchR2(0:0))
    call avR2(1889, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2819)%branchR2(0:0))
    call avR2(2819, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1552)%branchR2(0:0))
    call avR2(1552, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1481)%branchR2(0:0))
    call avR2(1481, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8930])

    allocate(vertices(1496)%branchR2(0:0))
    call avR2(1496, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(2660)%branchR2(0:0))
    call avR2(2660, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131, nGC_9132&
    ])

    allocate(vertices(33)%branchR2(0:0))
    call avR2(33, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8814])

    allocate(vertices(1817)%branchR2(0:0))
    call avR2(1817, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8839])

    allocate(vertices(1022)%branchR2(0:1))
    call avR2(1022, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9026])

    call avR2(1022, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

    allocate(vertices(2065)%branchR2(0:0))
    call avR2(2065, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2567)%branchR2(0:0))
    call avR2(2567, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3825)%branchR2(0:0))
    call avR2(3825, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9107, nGC_9107, nGC_9106&
    ])

    allocate(vertices(2607)%branchR2(0:1))
    call avR2(2607, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8909, nGC_8907])

    call avR2(2607, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8910, nGC_8908])

    allocate(vertices(264)%branchR2(0:0))
    call avR2(264, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9089])

    allocate(vertices(3826)%branchR2(0:0))
    call avR2(3826, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2535)%branchR2(0:1))
    call avR2(2535, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8908, nGC_8910])

    call avR2(2535, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8924, nGC_8925])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(3827)%branchR2(0:1))
    call avR2(3827, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9154])

    call avR2(3827, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9155])

    allocate(vertices(3828)%branchR2(0:0))
    call avR2(3828, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1441)%branchR2(0:1))
    call avR2(1441, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(1441, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(3260)%branchR2(0:0))
    call avR2(3260, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1864)%branchR2(0:0))
    call avR2(1864, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2456)%branchR2(0:0))
    call avR2(2456, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8930])

    allocate(vertices(2063)%branchR2(0:0))
    call avR2(2063, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(483)%branchR2(0:0))
    call avR2(483, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3561)%branchR2(0:0))
    call avR2(3561, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1489)%branchR2(0:0))
    call avR2(1489, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8898])

    allocate(vertices(3350)%branchR2(0:0))
    call avR2(3350, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2830)%branchR2(0:0))
    call avR2(2830, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8726, nGC_8725])

    allocate(vertices(1065)%branchR2(0:0))
    call avR2(1065, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(550)%branchR2(0:1))
    call avR2(550, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8906, nGC_8904])

    call avR2(550, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8923, nGC_8922])

    allocate(vertices(561)%branchR2(0:0))
    call avR2(561, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3247)%branchR2(0:0))
    call avR2(3247, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8723, nGC_8722, nGC_8724])

    allocate(vertices(2125)%branchR2(0:0))
    call avR2(2125, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3495)%branchR2(0:0))
    call avR2(3495, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9133])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9029])

    allocate(vertices(34)%branchR2(0:0))
    call avR2(34, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2207)%branchR2(0:1))
    call avR2(2207, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(2207, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(275)%branchR2(0:1))
    call avR2(275, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9024, nGC_9024])

    call avR2(275, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9022, nGC_9023])

    allocate(vertices(3107)%branchR2(0:0))
    call avR2(3107, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1038)%branchR2(0:0))
    call avR2(1038, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9043])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2956)%branchR2(0:0))
    call avR2(2956, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(3232)%branchR2(0:0))
    call avR2(3232, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8783])

    allocate(vertices(84)%branchR2(0:0))
    call avR2(84, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8920])

    allocate(vertices(1387)%branchR2(0:0))
    call avR2(1387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(1870)%branchR2(0:0))
    call avR2(1870, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8773])

    allocate(vertices(2351)%branchR2(0:1))
    call avR2(2351, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2351, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9049, nGC_9048])

    allocate(vertices(1428)%branchR2(0:0))
    call avR2(1428, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1640)%branchR2(0:0))
    call avR2(1640, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1413)%branchR2(0:0))
    call avR2(1413, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2050)%branchR2(0:0))
    call avR2(2050, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(736)%branchR2(0:0))
    call avR2(736, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(867)%branchR2(0:0))
    call avR2(867, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31866])

    allocate(vertices(1606)%branchR2(0:0))
    call avR2(1606, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(942)%branchR2(0:0))
    call avR2(942, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(366)%branchR2(0:0))
    call avR2(366, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8984, nGC_8983])

    allocate(vertices(798)%branchR2(0:0))
    call avR2(798, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(3381)%branchR2(0:0))
    call avR2(3381, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8728, nGC_8727])

    allocate(vertices(3829)%branchR2(0:0))
    call avR2(3829, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8775])

    allocate(vertices(3830)%branchR2(0:1))
    call avR2(3830, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

    call avR2(3830, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1061)%branchR2(0:0))
    call avR2(1061, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1420)%branchR2(0:0))
    call avR2(1420, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(48)%branchR2(0:1))
    call avR2(48, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(48, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8828, nGC_8830])

    call avR2(1211, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8850, nGC_8851])

    allocate(vertices(262)%branchR2(0:1))
    call avR2(262, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(262, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(3831)%branchR2(0:0))
    call avR2(3831, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(3832)%branchR2(0:1))
    call avR2(3832, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9154])

    call avR2(3832, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9155])

    allocate(vertices(1474)%branchR2(0:0))
    call avR2(1474, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3294)%branchR2(0:0))
    call avR2(3294, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1366)%branchR2(0:0))
    call avR2(1366, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(352)%branchR2(0:1))
    call avR2(352, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8874, nGC_8876])

    call avR2(352, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8875, nGC_8877])

    allocate(vertices(1986)%branchR2(0:0))
    call avR2(1986, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(783)%branchR2(0:0))
    call avR2(783, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(1491)%branchR2(0:0))
    call avR2(1491, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3195)%branchR2(0:0))
    call avR2(3195, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30438])

    allocate(vertices(32)%branchR2(0:1))
    call avR2(32, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9026])

    call avR2(32, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9027])

    allocate(vertices(3490)%branchR2(0:0))
    call avR2(3490, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8753, nGC_8754, nGC_8767&
    , nGC_8767])

    allocate(vertices(2598)%branchR2(0:0))
    call avR2(2598, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8806, nGC_8807])

    allocate(vertices(3159)%branchR2(0:0))
    call avR2(3159, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_32493])

    allocate(vertices(1258)%branchR2(0:0))
    call avR2(1258, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2476)%branchR2(0:0))
    call avR2(2476, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8814])

    allocate(vertices(1908)%branchR2(0:0))
    call avR2(1908, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2574)%branchR2(0:0))
    call avR2(2574, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8984, nGC_8983])

    allocate(vertices(2462)%branchR2(0:0))
    call avR2(2462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(2129)%branchR2(0:0))
    call avR2(2129, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3833)%branchR2(0:1))
    call avR2(3833, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9224])

    call avR2(3833, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9225])

    allocate(vertices(3834)%branchR2(0:1))
    call avR2(3834, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9251])

    call avR2(3834, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9252])

    allocate(vertices(2106)%branchR2(0:3))
    call avR2(2106, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_9085, nGC_9084])

    call avR2(2106, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(2106, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_9083, nGC_9082])

    call avR2(2106, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(1386)%branchR2(0:0))
    call avR2(1386, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1581)%branchR2(0:0))
    call avR2(1581, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1510)%branchR2(0:1))
    call avR2(1510, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8805, nGC_8804])

    call avR2(1510, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(2533)%branchR2(0:0))
    call avR2(2533, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(968)%branchR2(0:0))
    call avR2(968, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2074)%branchR2(0:0))
    call avR2(2074, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1123)%branchR2(0:0))
    call avR2(1123, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(899)%branchR2(0:0))
    call avR2(899, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8806, nGC_8807])

    allocate(vertices(427)%branchR2(0:0))
    call avR2(427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1565)%branchR2(0:0))
    call avR2(1565, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3479)%branchR2(0:0))
    call avR2(3479, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(3835)%branchR2(0:0))
    call avR2(3835, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(3836)%branchR2(0:1))
    call avR2(3836, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3836, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(2439)%branchR2(0:0))
    call avR2(2439, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(3176)%branchR2(0:0))
    call avR2(3176, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(1876)%branchR2(0:3))
    call avR2(1876, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9061, nGC_9059])

    call avR2(1876, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1876, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9058, nGC_9056])

    call avR2(1876, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(599)%branchR2(0:0))
    call avR2(599, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(1761)%branchR2(0:0))
    call avR2(1761, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(2888)%branchR2(0:0))
    call avR2(2888, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8770])

    allocate(vertices(3837)%branchR2(0:1))
    call avR2(3837, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3837, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9265, nGC_9265,        &
    nGC_9265])

    allocate(vertices(101)%branchR2(0:0))
    call avR2(101, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2547)%branchR2(0:0))
    call avR2(2547, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1788)%branchR2(0:1))
    call avR2(1788, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8908, nGC_8910])

    call avR2(1788, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8924, nGC_8925])

    allocate(vertices(520)%branchR2(0:0))
    call avR2(520, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

    allocate(vertices(872)%branchR2(0:0))
    call avR2(872, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8950, nGC_8949])

    allocate(vertices(2356)%branchR2(0:0))
    call avR2(2356, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(1608)%branchR2(0:0))
    call avR2(1608, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3031)%branchR2(0:0))
    call avR2(3031, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(3838)%branchR2(0:0))
    call avR2(3838, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9090])

    allocate(vertices(1989)%branchR2(0:0))
    call avR2(1989, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8847])

    allocate(vertices(1105)%branchR2(0:0))
    call avR2(1105, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1099)%branchR2(0:0))
    call avR2(1099, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1792)%branchR2(0:0))
    call avR2(1792, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(3058)%branchR2(0:0))
    call avR2(3058, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2677)%branchR2(0:0))
    call avR2(2677, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(1735)%branchR2(0:0))
    call avR2(1735, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9029])

    allocate(vertices(1741)%branchR2(0:0))
    call avR2(1741, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8997])

    allocate(vertices(3404)%branchR2(0:0))
    call avR2(3404, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(721)%branchR2(0:0))
    call avR2(721, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2043)%branchR2(0:0))
    call avR2(2043, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8845])

    allocate(vertices(26)%branchR2(0:0))
    call avR2(26, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3125)%branchR2(0:0))
    call avR2(3125, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(2880)%branchR2(0:0))
    call avR2(2880, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9128])

    allocate(vertices(1012)%branchR2(0:0))
    call avR2(1012, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3053)%branchR2(0:0))
    call avR2(3053, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(630)%branchR2(0:0))
    call avR2(630, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2847)%branchR2(0:0))
    call avR2(2847, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2276)%branchR2(0:0))
    call avR2(2276, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9245])

    allocate(vertices(3035)%branchR2(0:0))
    call avR2(3035, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(115)%branchR2(0:1))
    call avR2(115, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8831, nGC_8833])

    call avR2(115, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8832, nGC_8834])

    allocate(vertices(1872)%branchR2(0:3))
    call avR2(1872, 0, 26, 1, 0, FVFa1, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(1872, 1, 26, 1, 0, FVFa1, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1872, 2, 27, 1, 0, FVFa1, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(1872, 3, 27, 1, 0, FVFa1, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(1945)%branchR2(0:0))
    call avR2(1945, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2457)%branchR2(0:0))
    call avR2(2457, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2704)%branchR2(0:0))
    call avR2(2704, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(3303)%branchR2(0:0))
    call avR2(3303, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(321)%branchR2(0:0))
    call avR2(321, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(3327)%branchR2(0:0))
    call avR2(3327, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1782)%branchR2(0:0))
    call avR2(1782, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2726)%branchR2(0:0))
    call avR2(2726, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(311)%branchR2(0:1))
    call avR2(311, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(311, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(2868)%branchR2(0:0))
    call avR2(2868, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8710, nGC_8709])

    allocate(vertices(3160)%branchR2(0:0))
    call avR2(3160, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(216)%branchR2(0:1))
    call avR2(216, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8908, nGC_8910])

    call avR2(216, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8924, nGC_8925])

    allocate(vertices(1569)%branchR2(0:0))
    call avR2(1569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2213)%branchR2(0:0))
    call avR2(2213, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2696)%branchR2(0:0))
    call avR2(2696, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2216)%branchR2(0:0))
    call avR2(2216, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8928])

    allocate(vertices(281)%branchR2(0:3))
    call avR2(281, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_9061, nGC_9059])

    call avR2(281, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(281, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_9058, nGC_9056])

    call avR2(281, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(2251)%branchR2(0:0))
    call avR2(2251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(1892)%branchR2(0:1))
    call avR2(1892, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(1892, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8805, nGC_8804])

    allocate(vertices(283)%branchR2(0:1))
    call avR2(283, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8914, nGC_8912])

    call avR2(283, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8927, nGC_8926])

    allocate(vertices(1992)%branchR2(0:1))
    call avR2(1992, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9022, nGC_9023])

    call avR2(1992, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9024, nGC_9024])

    allocate(vertices(882)%branchR2(0:1))
    call avR2(882, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8911, nGC_8913])

    call avR2(882, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8912, nGC_8914])

    allocate(vertices(2471)%branchR2(0:0))
    call avR2(2471, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(1509)%branchR2(0:0))
    call avR2(1509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(818)%branchR2(0:0))
    call avR2(818, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(967)%branchR2(0:0))
    call avR2(967, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3839)%branchR2(0:1))
    call avR2(3839, 0, 47, 1, 0, VSV0, 0, [2, 1], [nGC_8981])

    call avR2(3839, 1, 48, 1, 0, VSV0, 0, [2, 1], [nGC_8982])

    allocate(vertices(3433)%branchR2(0:0))
    call avR2(3433, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(1290)%branchR2(0:0))
    call avR2(1290, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(3279)%branchR2(0:0))
    call avR2(3279, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1717)%branchR2(0:0))
    call avR2(1717, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(464)%branchR2(0:0))
    call avR2(464, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(3524)%branchR2(0:0))
    call avR2(3524, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9127])

    allocate(vertices(194)%branchR2(0:0))
    call avR2(194, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(937)%branchR2(0:0))
    call avR2(937, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3243)%branchR2(0:0))
    call avR2(3243, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2683)%branchR2(0:0))
    call avR2(2683, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(2550)%branchR2(0:0))
    call avR2(2550, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3840)%branchR2(0:0))
    call avR2(3840, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3262)%branchR2(0:0))
    call avR2(3262, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2004)%branchR2(0:0))
    call avR2(2004, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2858)%branchR2(0:0))
    call avR2(2858, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30158])

    allocate(vertices(492)%branchR2(0:0))
    call avR2(492, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(1880)%branchR2(0:0))
    call avR2(1880, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1868)%branchR2(0:0))
    call avR2(1868, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(171)%branchR2(0:1))
    call avR2(171, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8908, nGC_8910])

    call avR2(171, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8924, nGC_8925])

    allocate(vertices(324)%branchR2(0:23))
    call avR2(324, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_9270, nGC_9270, nGC_9269])

    call avR2(324, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_9270, nGC_9270, nGC_9269])

    call avR2(324, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9281, nGC_9283, nGC_9282])

    call avR2(324, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_9278, nGC_9280, nGC_9279])

    call avR2(324, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9281, nGC_9283, nGC_9282])

    call avR2(324, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_9278, nGC_9280, nGC_9279])

    call avR2(324, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_9271, nGC_9271, nGC_9271&
    ])

    call avR2(324, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9271, nGC_9273&
    ])

    call avR2(324, 8, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9275, nGC_9275&
    ])

    call avR2(324, 9, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9273, nGC_9271&
    ])

    call avR2(324, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_9276, nGC_9277,        &
    nGC_9274])

    call avR2(324, 11, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_9275, nGC_9274,        &
    nGC_9275])

    call avR2(324, 12, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_9271, nGC_9273,        &
    nGC_9272])

    call avR2(324, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_9271, nGC_9273,        &
    nGC_9272])

    call avR2(324, 14, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9273,        &
    nGC_9271])

    call avR2(324, 15, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9271,        &
    nGC_9273])

    call avR2(324, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_9271, nGC_9271,        &
    nGC_9271])

    call avR2(324, 17, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_9284, nGC_9284,       &
    nGC_9284])

    call avR2(324, 18, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_9284, nGC_9284,       &
    nGC_9284])

    call avR2(324, 19, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_9284, nGC_9284,       &
    nGC_9284])

    call avR2(324, 20, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_9285, nGC_9285,       &
    nGC_9285])

    call avR2(324, 21, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_9284, nGC_9284,       &
    nGC_9284])

    call avR2(324, 22, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_9284, nGC_9284,       &
    nGC_9284])

    call avR2(324, 23, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_9284, nGC_9284,       &
    nGC_9284])

    allocate(vertices(2459)%branchR2(0:1))
    call avR2(2459, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8999, nGC_9000])

    call avR2(2459, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9001, nGC_9001])

    allocate(vertices(2938)%branchR2(0:1))
    call avR2(2938, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8763&
    , nGC_8763])

    call avR2(2938, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8764&
    , nGC_8764])

    allocate(vertices(1501)%branchR2(0:0))
    call avR2(1501, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(948)%branchR2(0:0))
    call avR2(948, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(3841)%branchR2(0:0))
    call avR2(3841, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(2774)%branchR2(0:0))
    call avR2(2774, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1667)%branchR2(0:0))
    call avR2(1667, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9250])

    allocate(vertices(1247)%branchR2(0:0))
    call avR2(1247, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9021, nGC_9020])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(95)%branchR2(0:1))
    call avR2(95, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(95, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9040, nGC_9039])

    allocate(vertices(163)%branchR2(0:0))
    call avR2(163, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(3573)%branchR2(0:0))
    call avR2(3573, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9214])

    allocate(vertices(2165)%branchR2(0:0))
    call avR2(2165, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2933)%branchR2(0:1))
    call avR2(2933, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8750&
    , nGC_8750])

    call avR2(2933, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8751&
    , nGC_8751])

    allocate(vertices(2424)%branchR2(0:0))
    call avR2(2424, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1279)%branchR2(0:1))
    call avR2(1279, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1279, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9051, nGC_9050])

    allocate(vertices(1699)%branchR2(0:0))
    call avR2(1699, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(1799)%branchR2(0:0))
    call avR2(1799, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(1649)%branchR2(0:0))
    call avR2(1649, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(990)%branchR2(0:0))
    call avR2(990, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(1332)%branchR2(0:0))
    call avR2(1332, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9250])

    allocate(vertices(2423)%branchR2(0:1))
    call avR2(2423, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8831, nGC_8833])

    call avR2(2423, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8832, nGC_8834])

    allocate(vertices(2402)%branchR2(0:0))
    call avR2(2402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2705)%branchR2(0:0))
    call avR2(2705, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(3158)%branchR2(0:0))
    call avR2(3158, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30158])

    allocate(vertices(3842)%branchR2(0:0))
    call avR2(3842, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1544)%branchR2(0:0))
    call avR2(1544, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8921])

    allocate(vertices(3843)%branchR2(0:1))
    call avR2(3843, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9259])

    call avR2(3843, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9260])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8931])

    allocate(vertices(2955)%branchR2(0:0))
    call avR2(2955, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(461)%branchR2(0:1))
    call avR2(461, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9027])

    call avR2(461, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9028])

    allocate(vertices(2348)%branchR2(0:0))
    call avR2(2348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2176)%branchR2(0:0))
    call avR2(2176, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8773])

    allocate(vertices(2764)%branchR2(0:0))
    call avR2(2764, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(996)%branchR2(0:0))
    call avR2(996, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3172)%branchR2(0:0))
    call avR2(3172, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(342)%branchR2(0:0))
    call avR2(342, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8917])

    allocate(vertices(1216)%branchR2(0:0))
    call avR2(1216, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(2118)%branchR2(0:0))
    call avR2(2118, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8856])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3844)%branchR2(0:0))
    call avR2(3844, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1909)%branchR2(0:0))
    call avR2(1909, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8856])

    allocate(vertices(1045)%branchR2(0:0))
    call avR2(1045, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1770)%branchR2(0:0))
    call avR2(1770, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2315)%branchR2(0:0))
    call avR2(2315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1036)%branchR2(0:0))
    call avR2(1036, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3845)%branchR2(0:0))
    call avR2(3845, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1543)%branchR2(0:0))
    call avR2(1543, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9250])

    allocate(vertices(1411)%branchR2(0:0))
    call avR2(1411, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2991)%branchR2(0:0))
    call avR2(2991, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31307])

    allocate(vertices(1615)%branchR2(0:0))
    call avR2(1615, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

    allocate(vertices(945)%branchR2(0:0))
    call avR2(945, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(3846)%branchR2(0:1))
    call avR2(3846, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9251])

    call avR2(3846, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9252])

    allocate(vertices(3126)%branchR2(0:0))
    call avR2(3126, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31206])

    allocate(vertices(3847)%branchR2(0:1))
    call avR2(3847, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3847, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1638)%branchR2(0:1))
    call avR2(1638, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8987, nGC_8987])

    call avR2(1638, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8985, nGC_8986])

    allocate(vertices(1270)%branchR2(0:0))
    call avR2(1270, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(3034)%branchR2(0:0))
    call avR2(3034, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9128])

    allocate(vertices(1466)%branchR2(0:0))
    call avR2(1466, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(280)%branchR2(0:0))
    call avR2(280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(1734)%branchR2(0:0))
    call avR2(1734, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9089])

    allocate(vertices(2400)%branchR2(0:0))
    call avR2(2400, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3848)%branchR2(0:0))
    call avR2(3848, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1430)%branchR2(0:0))
    call avR2(1430, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(2835)%branchR2(0:0))
    call avR2(2835, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9214])

    allocate(vertices(3849)%branchR2(0:1))
    call avR2(3849, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9251])

    call avR2(3849, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9252])

    allocate(vertices(382)%branchR2(0:0))
    call avR2(382, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2695)%branchR2(0:0))
    call avR2(2695, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(12)%branchR2(0:0))
    call avR2(12, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29304])

    allocate(vertices(3171)%branchR2(0:0))
    call avR2(3171, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8843])

    allocate(vertices(2419)%branchR2(0:0))
    call avR2(2419, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8992, nGC_8991])

    allocate(vertices(3850)%branchR2(0:0))
    call avR2(3850, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2175)%branchR2(0:0))
    call avR2(2175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(358)%branchR2(0:0))
    call avR2(358, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1322)%branchR2(0:1))
    call avR2(1322, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9005, nGC_9006])

    call avR2(1322, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9007, nGC_9007])

    allocate(vertices(995)%branchR2(0:0))
    call avR2(995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(2590)%branchR2(0:1))
    call avR2(2590, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8903, nGC_8905])

    call avR2(2590, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8904, nGC_8906])

    allocate(vertices(2238)%branchR2(0:0))
    call avR2(2238, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2628)%branchR2(0:0))
    call avR2(2628, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(139)%branchR2(0:0))
    call avR2(139, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3851)%branchR2(0:1))
    call avR2(3851, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

    call avR2(3851, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(735)%branchR2(0:1))
    call avR2(735, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8995, nGC_8995])

    call avR2(735, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8993, nGC_8994])

    allocate(vertices(2911)%branchR2(0:0))
    call avR2(2911, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3538)%branchR2(0:0))
    call avR2(3538, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9188])

    allocate(vertices(3852)%branchR2(0:0))
    call avR2(3852, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(603)%branchR2(0:0))
    call avR2(603, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(347)%branchR2(0:1))
    call avR2(347, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8892, nGC_8894])

    call avR2(347, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8893, nGC_8895])

    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8855])

    allocate(vertices(2244)%branchR2(0:0))
    call avR2(2244, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(3398)%branchR2(0:0))
    call avR2(3398, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1703)%branchR2(0:0))
    call avR2(1703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2410)%branchR2(0:0))
    call avR2(2410, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1075)%branchR2(0:0))
    call avR2(1075, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1370)%branchR2(0:0))
    call avR2(1370, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(2647)%branchR2(0:0))
    call avR2(2647, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(143)%branchR2(0:0))
    call avR2(143, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3185)%branchR2(0:0))
    call avR2(3185, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9133])

    allocate(vertices(2397)%branchR2(0:0))
    call avR2(2397, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2341)%branchR2(0:1))
    call avR2(2341, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9026])

    call avR2(2341, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9027])

    allocate(vertices(2840)%branchR2(0:0))
    call avR2(2840, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2080)%branchR2(0:0))
    call avR2(2080, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1886)%branchR2(0:0))
    call avR2(1886, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8966])

    allocate(vertices(1432)%branchR2(0:1))
    call avR2(1432, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(1432, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(2882)%branchR2(0:1))
    call avR2(2882, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8749, nGC_8748, nGC_8768&
    , nGC_8768])

    call avR2(2882, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8769&
    , nGC_8769])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2196)%branchR2(0:0))
    call avR2(2196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(2874)%branchR2(0:0))
    call avR2(2874, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1242)%branchR2(0:0))
    call avR2(1242, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1348)%branchR2(0:0))
    call avR2(1348, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1863)%branchR2(0:0))
    call avR2(1863, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31481])

    allocate(vertices(156)%branchR2(0:0))
    call avR2(156, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8917])

    allocate(vertices(1549)%branchR2(0:0))
    call avR2(1549, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1589)%branchR2(0:0))
    call avR2(1589, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(3043)%branchR2(0:0))
    call avR2(3043, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8800])

    allocate(vertices(1046)%branchR2(0:1))
    call avR2(1046, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8791, nGC_8790])

    call avR2(1046, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(2508)%branchR2(0:0))
    call avR2(2508, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2269)%branchR2(0:0))
    call avR2(2269, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3488)%branchR2(0:0))
    call avR2(3488, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(2849)%branchR2(0:0))
    call avR2(2849, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8716, nGC_8715])

    allocate(vertices(299)%branchR2(0:0))
    call avR2(299, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2887)%branchR2(0:0))
    call avR2(2887, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(2514)%branchR2(0:0))
    call avR2(2514, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8998])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3515)%branchR2(0:0))
    call avR2(3515, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(3189)%branchR2(0:0))
    call avR2(3189, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8710, nGC_8709])

    allocate(vertices(2720)%branchR2(0:0))
    call avR2(2720, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(1310)%branchR2(0:0))
    call avR2(1310, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1196)%branchR2(0:0))
    call avR2(1196, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29844])

    allocate(vertices(3244)%branchR2(0:0))
    call avR2(3244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(319)%branchR2(0:0))
    call avR2(319, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8879, nGC_8878])

    allocate(vertices(2549)%branchR2(0:0))
    call avR2(2549, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(855)%branchR2(0:0))
    call avR2(855, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(18)%branchR2(0:0))
    call avR2(18, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9044, nGC_9045])

    allocate(vertices(1513)%branchR2(0:0))
    call avR2(1513, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1764)%branchR2(0:0))
    call avR2(1764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(1254)%branchR2(0:0))
    call avR2(1254, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1233)%branchR2(0:0))
    call avR2(1233, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(64)%branchR2(0:0))
    call avR2(64, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2046)%branchR2(0:1))
    call avR2(2046, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(2046, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8788, nGC_8787])

    allocate(vertices(100)%branchR2(0:0))
    call avR2(100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1599)%branchR2(0:0))
    call avR2(1599, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1053)%branchR2(0:0))
    call avR2(1053, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2013)%branchR2(0:0))
    call avR2(2013, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1960)%branchR2(0:0))
    call avR2(1960, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9030])

    allocate(vertices(2331)%branchR2(0:0))
    call avR2(2331, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9099, nGC_9097&
    ])

    allocate(vertices(3853)%branchR2(0:0))
    call avR2(3853, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9090])

    allocate(vertices(142)%branchR2(0:3))
    call avR2(142, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_9074, nGC_9073])

    call avR2(142, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(142, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_9071, nGC_9070])

    call avR2(142, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(3014)%branchR2(0:0))
    call avR2(3014, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9128])

    allocate(vertices(2450)%branchR2(0:0))
    call avR2(2450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(3114)%branchR2(0:0))
    call avR2(3114, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8771])

    allocate(vertices(1751)%branchR2(0:0))
    call avR2(1751, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(9)%branchR2(0:0))
    call avR2(9, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(446)%branchR2(0:0))
    call avR2(446, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1208)%branchR2(0:0))
    call avR2(1208, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8821])

    allocate(vertices(1338)%branchR2(0:0))
    call avR2(1338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(2162)%branchR2(0:1))
    call avR2(2162, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2162, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9049, nGC_9048])

    allocate(vertices(2693)%branchR2(0:1))
    call avR2(2693, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8892, nGC_8894])

    call avR2(2693, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8893, nGC_8895])

    allocate(vertices(3501)%branchR2(0:0))
    call avR2(3501, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2082)%branchR2(0:0))
    call avR2(2082, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(408)%branchR2(0:0))
    call avR2(408, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(3854)%branchR2(0:1))
    call avR2(3854, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9224])

    call avR2(3854, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9225])

    allocate(vertices(2271)%branchR2(0:0))
    call avR2(2271, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(1052)%branchR2(0:1))
    call avR2(1052, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(1052, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_8803, nGC_8802])

    allocate(vertices(1039)%branchR2(0:0))
    call avR2(1039, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1041)%branchR2(0:1))
    call avR2(1041, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8976, nGC_8977])

    call avR2(1041, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8978, nGC_8978])

    allocate(vertices(29)%branchR2(0:0))
    call avR2(29, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2377)%branchR2(0:0))
    call avR2(2377, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2381)%branchR2(0:0))
    call avR2(2381, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8821])

    allocate(vertices(1256)%branchR2(0:0))
    call avR2(1256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(2413)%branchR2(0:0))
    call avR2(2413, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(1287)%branchR2(0:0))
    call avR2(1287, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1402)%branchR2(0:0))
    call avR2(1402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1922)%branchR2(0:0))
    call avR2(1922, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8933])

    allocate(vertices(3481)%branchR2(0:0))
    call avR2(3481, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(698)%branchR2(0:1))
    call avR2(698, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8914, nGC_8912])

    call avR2(698, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8927, nGC_8926])

    allocate(vertices(1072)%branchR2(0:0))
    call avR2(1072, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

    allocate(vertices(3855)%branchR2(0:0))
    call avR2(3855, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8775])

    allocate(vertices(3856)%branchR2(0:1))
    call avR2(3856, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9224])

    call avR2(3856, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9225])

    allocate(vertices(1899)%branchR2(0:0))
    call avR2(1899, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8917])

    allocate(vertices(305)%branchR2(0:0))
    call avR2(305, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(998)%branchR2(0:0))
    call avR2(998, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(1339)%branchR2(0:0))
    call avR2(1339, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(717)%branchR2(0:0))
    call avR2(717, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2385)%branchR2(0:0))
    call avR2(2385, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(631)%branchR2(0:1))
    call avR2(631, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8909, nGC_8907])

    call avR2(631, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8910, nGC_8908])

    allocate(vertices(1142)%branchR2(0:0))
    call avR2(1142, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3323)%branchR2(0:0))
    call avR2(3323, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(888)%branchR2(0:0))
    call avR2(888, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(379)%branchR2(0:0))
    call avR2(379, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(859)%branchR2(0:0))
    call avR2(859, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(2174)%branchR2(0:1))
    call avR2(2174, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(2174, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(1454)%branchR2(0:0))
    call avR2(1454, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2580)%branchR2(0:0))
    call avR2(2580, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_32524])

    allocate(vertices(489)%branchR2(0:0))
    call avR2(489, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3857)%branchR2(0:0))
    call avR2(3857, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1997)%branchR2(0:0))
    call avR2(1997, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9029])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1659)%branchR2(0:3))
    call avR2(1659, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9069, nGC_9068])

    call avR2(1659, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1659, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(1659, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3858)%branchR2(0:0))
    call avR2(3858, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(74)%branchR2(0:0))
    call avR2(74, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3859)%branchR2(0:1))
    call avR2(3859, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9259])

    call avR2(3859, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9260])

    allocate(vertices(3153)%branchR2(0:0))
    call avR2(3153, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30438])

    allocate(vertices(1273)%branchR2(0:0))
    call avR2(1273, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29534])

    allocate(vertices(1319)%branchR2(0:0))
    call avR2(1319, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(3586)%branchR2(0:0))
    call avR2(3586, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2281)%branchR2(0:0))
    call avR2(2281, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

    allocate(vertices(1029)%branchR2(0:0))
    call avR2(1029, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(1754)%branchR2(0:0))
    call avR2(1754, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9097, nGC_9099&
    ])

    allocate(vertices(3860)%branchR2(0:0))
    call avR2(3860, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9090])

    allocate(vertices(1119)%branchR2(0:1))
    call avR2(1119, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8903, nGC_8905])

    call avR2(1119, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8904, nGC_8906])

    allocate(vertices(1808)%branchR2(0:0))
    call avR2(1808, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1874)%branchR2(0:0))
    call avR2(1874, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1253)%branchR2(0:0))
    call avR2(1253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1398)%branchR2(0:0))
    call avR2(1398, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(3473)%branchR2(0:0))
    call avR2(3473, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3519)%branchR2(0:0))
    call avR2(3519, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9127])

    allocate(vertices(1538)%branchR2(0:0))
    call avR2(1538, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1511)%branchR2(0:0))
    call avR2(1511, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3206)%branchR2(0:0))
    call avR2(3206, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29512])

    allocate(vertices(2328)%branchR2(0:0))
    call avR2(2328, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3409)%branchR2(0:0))
    call avR2(3409, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3088)%branchR2(0:0))
    call avR2(3088, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8819])

    allocate(vertices(289)%branchR2(0:0))
    call avR2(289, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(394)%branchR2(0:0))
    call avR2(394, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(2187)%branchR2(0:0))
    call avR2(2187, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

    allocate(vertices(1658)%branchR2(0:0))
    call avR2(1658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3861)%branchR2(0:0))
    call avR2(3861, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9090])

    allocate(vertices(2522)%branchR2(0:0))
    call avR2(2522, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(979)%branchR2(0:0))
    call avR2(979, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(1414)%branchR2(0:0))
    call avR2(1414, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(353)%branchR2(0:0))
    call avR2(353, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2729)%branchR2(0:0))
    call avR2(2729, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2399)%branchR2(0:0))
    call avR2(2399, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(3005)%branchR2(0:0))
    call avR2(3005, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3862)%branchR2(0:5))
    call avR2(3862, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    call avR2(3862, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3862, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3862, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,        &
    nGC_9268])

    call avR2(3862, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3862, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    allocate(vertices(2552)%branchR2(0:0))
    call avR2(2552, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9029])

    allocate(vertices(2349)%branchR2(0:3))
    call avR2(2349, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9085, nGC_9084])

    call avR2(2349, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(2349, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9083, nGC_9082])

    call avR2(2349, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(2521)%branchR2(0:0))
    call avR2(2521, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2154)%branchR2(0:0))
    call avR2(2154, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8928])

    allocate(vertices(1306)%branchR2(0:0))
    call avR2(1306, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8856])

    allocate(vertices(1167)%branchR2(0:0))
    call avR2(1167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(2473)%branchR2(0:0))
    call avR2(2473, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1613)%branchR2(0:0))
    call avR2(1613, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

    allocate(vertices(1189)%branchR2(0:0))
    call avR2(1189, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8929])

    allocate(vertices(2781)%branchR2(0:0))
    call avR2(2781, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3478)%branchR2(0:0))
    call avR2(3478, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8800])

    allocate(vertices(2710)%branchR2(0:0))
    call avR2(2710, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(210)%branchR2(0:0))
    call avR2(210, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9044, nGC_9045])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3138)%branchR2(0:0))
    call avR2(3138, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3863)%branchR2(0:1))
    call avR2(3863, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9238])

    call avR2(3863, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9239])

    allocate(vertices(2095)%branchR2(0:0))
    call avR2(2095, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1390)%branchR2(0:0))
    call avR2(1390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2859)%branchR2(0:0))
    call avR2(2859, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9127])

    allocate(vertices(3388)%branchR2(0:0))
    call avR2(3388, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2116)%branchR2(0:0))
    call avR2(2116, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1463)%branchR2(0:1))
    call avR2(1463, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1463, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9055, nGC_9054])

    allocate(vertices(3560)%branchR2(0:0))
    call avR2(3560, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9257, nGC_9258, nGC_9256])

    allocate(vertices(1529)%branchR2(0:0))
    call avR2(1529, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2350)%branchR2(0:0))
    call avR2(2350, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1831)%branchR2(0:0))
    call avR2(1831, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(1246)%branchR2(0:0))
    call avR2(1246, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(2127)%branchR2(0:1))
    call avR2(2127, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8874, nGC_8876])

    call avR2(2127, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8875, nGC_8877])

    allocate(vertices(1395)%branchR2(0:0))
    call avR2(1395, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1660)%branchR2(0:0))
    call avR2(1660, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(205)%branchR2(0:0))
    call avR2(205, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(901)%branchR2(0:0))
    call avR2(901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2330)%branchR2(0:0))
    call avR2(2330, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(3864)%branchR2(0:0))
    call avR2(3864, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(2497)%branchR2(0:0))
    call avR2(2497, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30450])

    allocate(vertices(2501)%branchR2(0:0))
    call avR2(2501, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1826)%branchR2(0:0))
    call avR2(1826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(2818)%branchR2(0:0))
    call avR2(2818, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2435)%branchR2(0:1))
    call avR2(2435, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9002, nGC_9003])

    call avR2(2435, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9004, nGC_9004])

    allocate(vertices(3865)%branchR2(0:0))
    call avR2(3865, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9107, nGC_9106, nGC_9107&
    ])

    allocate(vertices(3543)%branchR2(0:0))
    call avR2(3543, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(3866)%branchR2(0:1))
    call avR2(3866, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

    call avR2(3866, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(2643)%branchR2(0:0))
    call avR2(2643, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1555)%branchR2(0:0))
    call avR2(1555, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31866])

    allocate(vertices(2453)%branchR2(0:1))
    call avR2(2453, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(2453, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(1647)%branchR2(0:0))
    call avR2(1647, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

    allocate(vertices(1133)%branchR2(0:0))
    call avR2(1133, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3230)%branchR2(0:0))
    call avR2(3230, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3867)%branchR2(0:1))
    call avR2(3867, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9206])

    call avR2(3867, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9207])

    allocate(vertices(1630)%branchR2(0:0))
    call avR2(1630, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(312)%branchR2(0:0))
    call avR2(312, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(3266)%branchR2(0:0))
    call avR2(3266, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8844])

    allocate(vertices(1557)%branchR2(0:0))
    call avR2(1557, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8891, nGC_8890])

    allocate(vertices(1523)%branchR2(0:0))
    call avR2(1523, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

    allocate(vertices(363)%branchR2(0:0))
    call avR2(363, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8928])

    allocate(vertices(3868)%branchR2(0:0))
    call avR2(3868, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1848)%branchR2(0:0))
    call avR2(1848, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2795)%branchR2(0:0))
    call avR2(2795, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8753, nGC_8754, nGC_8761&
    , nGC_8761])

    allocate(vertices(1662)%branchR2(0:0))
    call avR2(1662, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2793)%branchR2(0:0))
    call avR2(2793, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1877)%branchR2(0:0))
    call avR2(1877, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1951)%branchR2(0:0))
    call avR2(1951, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2114)%branchR2(0:1))
    call avR2(2114, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8955, nGC_8957])

    call avR2(2114, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8956, nGC_8958])

    allocate(vertices(2191)%branchR2(0:0))
    call avR2(2191, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1749)%branchR2(0:0))
    call avR2(1749, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1177)%branchR2(0:0))
    call avR2(1177, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(754)%branchR2(0:0))
    call avR2(754, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8901])

    allocate(vertices(245)%branchR2(0:0))
    call avR2(245, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(2376)%branchR2(0:0))
    call avR2(2376, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3357)%branchR2(0:0))
    call avR2(3357, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2227)%branchR2(0:0))
    call avR2(2227, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30629])

    allocate(vertices(2612)%branchR2(0:0))
    call avR2(2612, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8795, nGC_8796])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(409)%branchR2(0:0))
    call avR2(409, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8915])

    allocate(vertices(1050)%branchR2(0:0))
    call avR2(1050, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1570)%branchR2(0:0))
    call avR2(1570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(545)%branchR2(0:1))
    call avR2(545, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8828, nGC_8830])

    call avR2(545, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8850, nGC_8851])

    allocate(vertices(947)%branchR2(0:0))
    call avR2(947, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1927)%branchR2(0:0))
    call avR2(1927, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8774])

    allocate(vertices(3081)%branchR2(0:0))
    call avR2(3081, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1032)%branchR2(0:0))
    call avR2(1032, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(600)%branchR2(0:0))
    call avR2(600, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8969])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(3869)%branchR2(0:0))
    call avR2(3869, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1005)%branchR2(0:1))
    call avR2(1005, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1005, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9051, nGC_9050])

    allocate(vertices(2318)%branchR2(0:0))
    call avR2(2318, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3414)%branchR2(0:0))
    call avR2(3414, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9128])

    allocate(vertices(2763)%branchR2(0:0))
    call avR2(2763, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8771])

    allocate(vertices(197)%branchR2(0:0))
    call avR2(197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(1674)%branchR2(0:0))
    call avR2(1674, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8921])

    allocate(vertices(2317)%branchR2(0:0))
    call avR2(2317, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(3870)%branchR2(0:1))
    call avR2(3870, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9259])

    call avR2(3870, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9260])

    allocate(vertices(2484)%branchR2(0:0))
    call avR2(2484, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3055)%branchR2(0:0))
    call avR2(3055, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(3403)%branchR2(0:0))
    call avR2(3403, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8784])

    allocate(vertices(2355)%branchR2(0:0))
    call avR2(2355, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(734)%branchR2(0:0))
    call avR2(734, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(145)%branchR2(0:0))
    call avR2(145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(471)%branchR2(0:0))
    call avR2(471, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9262, nGC_9261])

    allocate(vertices(2447)%branchR2(0:0))
    call avR2(2447, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(1009)%branchR2(0:0))
    call avR2(1009, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3871)%branchR2(0:1))
    call avR2(3871, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9224])

    call avR2(3871, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9225])

    allocate(vertices(3064)%branchR2(0:0))
    call avR2(3064, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2404)%branchR2(0:0))
    call avR2(2404, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(3872)%branchR2(0:0))
    call avR2(3872, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1003)%branchR2(0:1))
    call avR2(1003, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(1003, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(1616)%branchR2(0:0))
    call avR2(1616, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(2507)%branchR2(0:0))
    call avR2(2507, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(843)%branchR2(0:0))
    call avR2(843, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8881, nGC_8880])

    allocate(vertices(223)%branchR2(0:1))
    call avR2(223, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(223, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(646)%branchR2(0:0))
    call avR2(646, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

    allocate(vertices(3873)%branchR2(0:0))
    call avR2(3873, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(1438)%branchR2(0:0))
    call avR2(1438, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3517)%branchR2(0:0))
    call avR2(3517, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9127])

    allocate(vertices(1304)%branchR2(0:0))
    call avR2(1304, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(2387)%branchR2(0:0))
    call avR2(2387, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8772])

    allocate(vertices(640)%branchR2(0:0))
    call avR2(640, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8984, nGC_8983])

    allocate(vertices(2554)%branchR2(0:0))
    call avR2(2554, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(656)%branchR2(0:0))
    call avR2(656, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

  end subroutine fill_vertices_mdl12
end module vertices_info12
