!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl8()
    coupl(nGC_9212) = (-16d0*Nc*cima*coupl(nGC_1305)*coupl(nGC_136)*coupl(     &
                      nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135 &
                      )*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_139)*coupl(&
                      nGC_143)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_140 &
                      )*coupl(nGC_144)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(&
                      nGC_147)*coupl(nGC_152)*coupl(nGC_80)**2d0 - 16d0*Nc*cima&
                      *coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_80)**2d0 - 16d0*&
                      Nc*cima*coupl(nGC_171)*coupl(nGC_176)*coupl(nGC_80)**2d0 &
                       - 16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)*coupl(     &
                      nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_182 &
                      )*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_183)*coupl(&
                      nGC_3063)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_194&
                      )*coupl(nGC_197)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(&
                      nGC_198)*coupl(nGC_657)*coupl(nGC_80)**2d0 + 4d0*cima*   &
                      coupl(nGC_1151)*coupl(nGC_1559)*coupl(nGC_63)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_1559)*coupl(&
                      nGC_68)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1151)*coupl(  &
                      nGC_1559)*coupl(nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(  &
                      nGC_1151)*coupl(nGC_3331)*coupl(nGC_63)*coupl(nGC_92) +  &
                      4d0*cima*coupl(nGC_1285)*coupl(nGC_1559)*coupl(nGC_69)*  &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_3331)*&
                      coupl(nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1285)*  &
                      coupl(nGC_3331)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*  &
                      coupl(nGC_1285)*coupl(nGC_3331)*coupl(nGC_69)*coupl(     &
                      nGC_92) - 16d0*cima*coupl(nGC_155)*coupl(nGC_160)*coupl( &
                      nGC_80)**2d0 + 4d0*cima*coupl(nGC_1559)*coupl(nGC_64)*   &
                      coupl(nGC_711)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1559)* &
                      coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_94) + 4d0*cima*   &
                      coupl(nGC_1559)*coupl(nGC_68)*coupl(nGC_711)*coupl(nGC_92&
                      ) + 4d0*cima*coupl(nGC_1559)*coupl(nGC_69)*coupl(nGC_711 &
                      )*coupl(nGC_92) - 16d0*cima*coupl(nGC_156)*coupl(nGC_159 &
                      )*coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_163)*coupl(   &
                      nGC_168)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_164)*  &
                      coupl(nGC_167)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(     &
                      nGC_186)*coupl(nGC_191)*coupl(nGC_80)**2d0 - 16d0*cima*  &
                      coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_80)**2d0 + 4d0*  &
                      cima*coupl(nGC_3331)*coupl(nGC_63)*coupl(nGC_663)*coupl( &
                      nGC_94) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_64)*coupl(  &
                      nGC_663)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3331)*coupl( &
                      nGC_64)*coupl(nGC_711)*coupl(nGC_92) + 4d0*cima*coupl(   &
                      nGC_3331)*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_92) +   &
                      9d0*cima*coupl(nGC_3331)*coupl(nGC_82)**2d0*coupl(nGC_91 &
                      ) + 9d0*cima*coupl(nGC_3331)*coupl(nGC_91)*coupl(nGC_913 &
                      )**2d0 + 9d0*cima*coupl(nGC_4075)*coupl(nGC_82)**2d0*    &
                      coupl(nGC_94) + 9d0*cima*coupl(nGC_4075)*coupl(nGC_913)**&
                      2d0*coupl(nGC_94) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*&
                      coupl(nGC_72)*coupl(nGC_879) + 4d0*cima*coupl(nGC_63)*   &
                      coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_879) + 4d0*cima*   &
                      coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879  &
                      ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72)*  &
                      coupl(nGC_879) - 6d0*coupl(nGC_1269)*coupl(nGC_3331)*    &
                      coupl(nGC_91) - 6d0*coupl(nGC_1269)*coupl(nGC_4075)*coupl&
                      (nGC_94) + 6d0*coupl(nGC_1559)*coupl(nGC_61)*coupl(nGC_94&
                      ) + 6d0*coupl(nGC_3331)*coupl(nGC_61)*coupl(nGC_92))/(   &
                      192d0*pi**2d0)
    coupl(nGC_9213) = (20d0*Nc*cima*coupl(nGC_131)**4d0 + 20d0*Nc*cima*coupl(  &
                      nGC_142)**4d0 + 20d0*Nc*cima*coupl(nGC_146)**4d0 + 20d0* &
                      Nc*cima*coupl(nGC_170)**4d0 + 20d0*Nc*cima*coupl(nGC_178 &
                      )**4d0 + 20d0*Nc*cima*coupl(nGC_193)**4d0 + 12d0*cima*   &
                      coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1151)**2d0*coupl&
                      (nGC_63)**2d0 - 10d0*cima*coupl(nGC_1151)*coupl(nGC_1285 &
                      )*coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1151 &
                      )*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_711) - 10d0*cima*&
                      coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_879&
                      ) - 10d0*cima*coupl(nGC_1151)*coupl(nGC_64)*coupl(nGC_663&
                      )*coupl(nGC_69) - 10d0*cima*coupl(nGC_1151)*coupl(nGC_64 &
                      )*coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(nGC_1285 &
                      )**2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_1285)*   &
                      coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_711) - 10d0*cima*  &
                      coupl(nGC_1285)*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_69&
                      ) - 10d0*cima*coupl(nGC_1285)*coupl(nGC_68)*coupl(nGC_72 &
                      )*coupl(nGC_879) - 10d0*cima*coupl(nGC_1285)*coupl(nGC_69&
                      )*coupl(nGC_72)*coupl(nGC_879) + 20d0*cima*coupl(nGC_154 &
                      )**4d0 + 20d0*cima*coupl(nGC_162)**4d0 - 5d0*cima*coupl( &
                      nGC_17)**4d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(       &
                      nGC_4633)**2d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(     &
                      nGC_96)**2d0 - 20d0*cima*coupl(nGC_17)*coupl(nGC_4633)*  &
                      coupl(nGC_611)*coupl(nGC_96) + 12d0*cima*coupl(nGC_18)** &
                      2d0 + 20d0*cima*coupl(nGC_185)**4d0 - 5d0*cima*coupl(    &
                      nGC_4633)**4d0 - 10d0*cima*coupl(nGC_4633)**2d0*coupl(   &
                      nGC_611)**2d0 - 5d0*cima*coupl(nGC_611)**4d0 - 10d0*cima*&
                      coupl(nGC_611)**2d0*coupl(nGC_96)**2d0 + 24d0*cima*coupl(&
                      nGC_62)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(nGC_711)*   &
                      coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(nGC_64)**  &
                      2d0*coupl(nGC_711)**2d0 - 10d0*cima*coupl(nGC_64)*coupl( &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_711) - 10d0*cima*coupl( &
                      nGC_64)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_879) - 5d0&
                      *cima*coupl(nGC_663)**2d0*coupl(nGC_68)**2d0 - 10d0*cima*&
                      coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879 &
                      ) - 10d0*cima*coupl(nGC_663)*coupl(nGC_69)*coupl(nGC_72)*&
                      coupl(nGC_879) - 20d0*cima*coupl(nGC_72)**2d0*coupl(     &
                      nGC_879)**2d0 - 5d0*cima*coupl(nGC_96)**4d0 + 24d0*cima* &
                      coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_611)** &
                      2d0 - 6d0*coupl(nGC_100)*coupl(nGC_96)**2d0 + 6d0*coupl( &
                      nGC_1151)*coupl(nGC_22)*coupl(nGC_69) + 6d0*coupl(       &
                      nGC_1151)*coupl(nGC_34)*coupl(nGC_63) - 6d0*coupl(       &
                      nGC_1151)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_22)*coupl(nGC_63) + 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_30)*coupl(nGC_69) - 6d0*coupl(       &
                      nGC_1285)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(nGC_17 &
                      )**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*coupl(     &
                      nGC_51) + 6d0*coupl(nGC_17)*coupl(nGC_4633)*coupl(nGC_51 &
                      ) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(nGC_97) - 6d0*&
                      coupl(nGC_18)*coupl(nGC_4633)**2d0 + 6d0*coupl(nGC_22)*  &
                      coupl(nGC_64)*coupl(nGC_663) + 6d0*coupl(nGC_22)*coupl(  &
                      nGC_68)*coupl(nGC_711) + 6d0*coupl(nGC_30)*coupl(nGC_663 &
                      )*coupl(nGC_68) + 6d0*coupl(nGC_34)*coupl(nGC_64)*coupl( &
                      nGC_711) + 6d0*coupl(nGC_4633)**2d0*coupl(nGC_51) - 12d0*&
                      coupl(nGC_4633)*coupl(nGC_611)*coupl(nGC_97) + 12d0*coupl&
                      (nGC_50)*coupl(nGC_72)*coupl(nGC_879) + 6d0*coupl(nGC_51 &
                      )*coupl(nGC_611)**2d0 + 6d0*coupl(nGC_51)*coupl(nGC_611)*&
                      coupl(nGC_96) + 6d0*coupl(nGC_51)*coupl(nGC_96)**2d0 -   &
                      6d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_711) - 6d0*    &
                      coupl(nGC_62)*coupl(nGC_663)*coupl(nGC_68) - 12d0*coupl( &
                      nGC_62)*coupl(nGC_72)*coupl(nGC_879))/(96d0*pi**2d0)
    coupl(nGC_15508) = coupl(nGC_15504) + coupl(nGC_15506)
    coupl(nGC_13564) = coupl(nGC_43)*dZHMinusGMinus_QED2 + coupl(nGC_43)*      &
                       dZHaG0_QED2 + coupl(nGC_9295)
    coupl(nGC_13752) = coupl(nGC_13750) - coupl(nGC_13751)
    coupl(nGC_14190) = coupl(nGC_46)*dZHaG0_QED2 + coupl(nGC_47)*dZG0Ha_QED2 + &
                       coupl(nGC_59)*dZHa_QED2 + coupl(nGC_9306)
    coupl(nGC_14083) = coupl(nGC_13303) + coupl(nGC_14081)
    coupl(nGC_18049) = coupl(nGC_163)*dZHaG0_QED2/2d0 + coupl(nGC_167)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_167)*dZmuMinusR_QED2/2d0&
                        + coupl(nGC_9474)
    coupl(nGC_17872) = coupl(nGC_15504) + coupl(nGC_17870)
    coupl(nGC_15735) = coupl(nGC_15732) + coupl(nGC_15733)
    coupl(nGC_14214) = coupl(nGC_13800) - coupl(nGC_13804)
    coupl(nGC_13329) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZdL_QED2 +  &
                       coupl(nGC_9400)
    coupl(nGC_13010) = coupl(nGC_13006) + coupl(nGC_13009)
    coupl(nGC_16087) = coupl(nGC_12677) - coupl(nGC_12678)
    coupl(nGC_31206) = -coupl(nGC_8819)
    coupl(nGC_15830) = coupl(nGC_12884) + coupl(nGC_15829)
    coupl(nGC_15831) = coupl(nGC_12884) + coupl(nGC_15825)
    coupl(nGC_14927) = coupl(nGC_162)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_166)*&
                       dZmuMinusR_QED2/2d0 + coupl(nGC_166)*dZnu_muL_QED2/2d0  &
                        + coupl(nGC_9466)
    coupl(nGC_13461) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 +   &
                       coupl(nGC_13)*dZHl_QED2 + coupl(nGC_9)*dZHlHh_QED2 +    &
                       coupl(nGC_9311)
    coupl(nGC_13281) = coupl(nGC_43)*dZHMinus_QED2/2d0 + coupl(nGC_53)*        &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_56)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_58)*dZHaG0_QED2 +   &
                       coupl(nGC_9333)
    coupl(nGC_18811) = -coupl(nGC_18094)
    coupl(nGC_9228) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*coupl(     &
                      nGC_132)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_131)*coupl(nGC_132)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_148)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_172)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_178)*coupl(nGC_179)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_193)*coupl(nGC_194)*coupl(nGC_80)*coupl(nGC_88) + 9d0&
                      *cima*coupl(nGC_1151)*coupl(nGC_4075)*coupl(nGC_82)*coupl&
                      (nGC_913) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_611)*coupl&
                      (nGC_92)*coupl(nGC_96) + 24d0*cima*coupl(nGC_1159)*coupl(&
                      nGC_74) + 9d0*cima*coupl(nGC_1285)*coupl(nGC_3331)*coupl(&
                      nGC_82)*coupl(nGC_913) + 4d0*cima*coupl(nGC_1285)*coupl( &
                      nGC_611)*coupl(nGC_94)*coupl(nGC_96) + 20d0*cima*coupl(  &
                      nGC_154)*coupl(nGC_156)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl(nGC_156)* &
                      coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_162)*  &
                      coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 20d0*cima*coupl(nGC_185)*coupl(nGC_187 &
                      )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_185)*&
                      coupl(nGC_187)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_80)*coupl(nGC_90 &
                      ) + 24d0*cima*coupl(nGC_20)*coupl(nGC_79) + 4d0*cima*    &
                      coupl(nGC_3331)*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0*  &
                      cima*coupl(nGC_4075)*coupl(nGC_64)*coupl(nGC_72)**2d0 +  &
                      9d0*cima*coupl(nGC_4633)*coupl(nGC_643)*coupl(nGC_82)*   &
                      coupl(nGC_879) + 9d0*cima*coupl(nGC_611)*coupl(nGC_82)*  &
                      coupl(nGC_879)*coupl(nGC_913) + 4d0*cima*coupl(nGC_64)** &
                      2d0*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*&
                      coupl(nGC_72)**2d0*coupl(nGC_92) + 4d0*cima*coupl(nGC_68 &
                      )**2d0*coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(     &
                      nGC_68)*coupl(nGC_72)**2d0*coupl(nGC_94) + 4d0*cima*coupl&
                      (nGC_72)**3d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_879)*   &
                      coupl(nGC_92)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_879&
                      )*coupl(nGC_94)**2d0*coupl(nGC_96) - 6d0*coupl(nGC_100)* &
                      coupl(nGC_879)*coupl(nGC_913) - 6d0*coupl(nGC_101)*coupl(&
                      nGC_82)*coupl(nGC_879) - 6d0*coupl(nGC_1151)*coupl(      &
                      nGC_4075)*coupl(nGC_79) - 6d0*coupl(nGC_1159)*coupl(     &
                      nGC_4633)*coupl(nGC_879) - 6d0*coupl(nGC_1285)*coupl(    &
                      nGC_3331)*coupl(nGC_79) - 6d0*coupl(nGC_15)*coupl(       &
                      nGC_4075)*coupl(nGC_82) + 6d0*coupl(nGC_15)*coupl(nGC_64 &
                      )*coupl(nGC_72) + 6d0*coupl(nGC_15)*coupl(nGC_92)*coupl( &
                      nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_3331)*coupl(nGC_82 &
                      ) + 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_72) + 6d0* &
                      coupl(nGC_16)*coupl(nGC_94)*coupl(nGC_96) - 6d0*coupl(   &
                      nGC_20)*coupl(nGC_4633)*coupl(nGC_643) - 6d0*coupl(nGC_20&
                      )*coupl(nGC_611)*coupl(nGC_913) + 6d0*coupl(nGC_20)*coupl&
                      (nGC_72)**2d0 + 36d0*coupl(nGC_20)*coupl(nGC_82)*coupl(  &
                      nGC_913) + 36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_913 &
                      ) - 6d0*coupl(nGC_611)*coupl(nGC_79)*coupl(nGC_879) - 6d0&
                      *coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_879) - 6d0*coupl( &
                      nGC_62)*coupl(nGC_879)*coupl(nGC_913) - 6d0*coupl(nGC_643&
                      )*coupl(nGC_879)*coupl(nGC_97))/(192d0*pi**2d0)
    coupl(nGC_8907) = (coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_17) + 8d0*coupl(  &
                      nGC_1)*coupl(nGC_131)*coupl(nGC_2) - coupl(nGC_130)*coupl&
                      (nGC_169)*coupl(nGC_170) + coupl(nGC_130)*coupl(nGC_663)*&
                      coupl(nGC_80) + coupl(nGC_131)*coupl(nGC_2)*coupl(       &
                      nGC_4633) + coupl(nGC_131)*coupl(nGC_611)*coupl(nGC_85   &
                      ) + 8d0*coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_87) +     &
                      coupl(nGC_131)*coupl(nGC_87)*coupl(nGC_96) - coupl(      &
                      nGC_132)*coupl(nGC_170)*coupl(nGC_171) + coupl(nGC_132)* &
                      coupl(nGC_80)*coupl(nGC_879) - coupl(nGC_133)*coupl(     &
                      nGC_170)*coupl(nGC_173) + coupl(nGC_133)*coupl(nGC_711)* &
                      coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_170)*coupl(     &
                      nGC_175))/(32d0*pi**2d0)
    coupl(nGC_8905) = (8d0*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl(   &
                      nGC_1)*coupl(nGC_178)*coupl(nGC_4633) - coupl(nGC_137)*  &
                      coupl(nGC_142)*coupl(nGC_180) - coupl(nGC_139)*coupl(    &
                      nGC_142)*coupl(nGC_183) - coupl(nGC_141)*coupl(nGC_142)* &
                      coupl(nGC_177) - coupl(nGC_142)*coupl(nGC_144)*coupl(    &
                      nGC_179) - coupl(nGC_17)*coupl(nGC_178)*coupl(nGC_2) -   &
                      coupl(nGC_177)*coupl(nGC_69)*coupl(nGC_80) - coupl(      &
                      nGC_178)*coupl(nGC_611)*coupl(nGC_87) + 8d0*coupl(nGC_178&
                      )*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_178)*coupl(    &
                      nGC_85)*coupl(nGC_96) - coupl(nGC_179)*coupl(nGC_72)*    &
                      coupl(nGC_80) - coupl(nGC_180)*coupl(nGC_63)*coupl(nGC_80&
                      ))/(32d0*pi**2d0)
    coupl(nGC_30438) = -coupl(nGC_8861)
    coupl(nGC_9221) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_80)**2d0 -  &
                      16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_80)**2d0 -    &
                      16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_80)**2d0 +    &
                      12d0*cima*coupl(nGC_100)*coupl(nGC_1269) + 4d0*cima*coupl&
                      (nGC_1151)**2d0*coupl(nGC_63)**2d0 + 4d0*cima*coupl(     &
                      nGC_1151)**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*   &
                      coupl(nGC_1151)**2d0*coupl(nGC_69)**2d0 + 4d0*cima*coupl(&
                      nGC_1151)**2d0*coupl(nGC_72)**2d0 + 8d0*cima*coupl(      &
                      nGC_1151)*coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_69) +  &
                      4d0*cima*coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_64)*    &
                      coupl(nGC_711) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_63)* &
                      coupl(nGC_663)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1151)* &
                      coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_711) + 4d0*cima*   &
                      coupl(nGC_1151)*coupl(nGC_69)**2d0*coupl(nGC_711) + 4d0* &
                      cima*coupl(nGC_1151)*coupl(nGC_711)*coupl(nGC_72)**2d0 + &
                      4d0*cima*coupl(nGC_1285)**2d0*coupl(nGC_63)**2d0 + 4d0*  &
                      cima*coupl(nGC_1285)**2d0*coupl(nGC_63)*coupl(nGC_64) +  &
                      4d0*cima*coupl(nGC_1285)**2d0*coupl(nGC_69)**2d0 + 4d0*  &
                      cima*coupl(nGC_1285)**2d0*coupl(nGC_72)**2d0 + 4d0*cima* &
                      coupl(nGC_1285)*coupl(nGC_63)**2d0*coupl(nGC_663) + 4d0* &
                      cima*coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                      nGC_663) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_64)*coupl( &
                      nGC_69)*coupl(nGC_711) + 4d0*cima*coupl(nGC_1285)*coupl( &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(   &
                      nGC_1285)*coupl(nGC_663)*coupl(nGC_72)**2d0 - 16d0*cima* &
                      coupl(nGC_154)**2d0*coupl(nGC_80)**2d0 - 16d0*cima*coupl(&
                      nGC_162)**2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_17 &
                      )**2d0*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_17)**2d0*  &
                      coupl(nGC_643)**2d0 + 18d0*cima*coupl(nGC_17)*coupl(nGC_3&
                      )*coupl(nGC_82)*coupl(nGC_96) + 18d0*cima*coupl(nGC_17)* &
                      coupl(nGC_643)*coupl(nGC_913)*coupl(nGC_96) + 12d0*cima* &
                      coupl(nGC_18)*coupl(nGC_795) - 16d0*cima*coupl(nGC_185)**&
                      2d0*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_4633)**2d0*  &
                      coupl(nGC_64)*coupl(nGC_711) + 4d0*cima*coupl(nGC_4633)**&
                      2d0*coupl(nGC_663)*coupl(nGC_68) + 4d0*cima*coupl(       &
                      nGC_4633)**2d0*coupl(nGC_72)*coupl(nGC_879) + 4d0*cima*  &
                      coupl(nGC_611)**2d0*coupl(nGC_64)*coupl(nGC_711) + 4d0*  &
                      cima*coupl(nGC_611)**2d0*coupl(nGC_663)*coupl(nGC_68) +  &
                      4d0*cima*coupl(nGC_611)**2d0*coupl(nGC_72)*coupl(nGC_879 &
                      ) + 24d0*cima*coupl(nGC_62)*coupl(nGC_78) + 4d0*cima*    &
                      coupl(nGC_63)**2d0*coupl(nGC_879)**2d0 + 4d0*cima*coupl( &
                      nGC_63)*coupl(nGC_64)*coupl(nGC_879)**2d0 + 9d0*cima*    &
                      coupl(nGC_64)*coupl(nGC_643)**2d0*coupl(nGC_711) + 9d0*  &
                      cima*coupl(nGC_64)*coupl(nGC_711)*coupl(nGC_913)**2d0 +  &
                      9d0*cima*coupl(nGC_643)**2d0*coupl(nGC_663)*coupl(nGC_68 &
                      ) + 9d0*cima*coupl(nGC_643)**2d0*coupl(nGC_72)*coupl(    &
                      nGC_879) + 9d0*cima*coupl(nGC_663)*coupl(nGC_68)*coupl(  &
                      nGC_913)**2d0 + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*    &
                      coupl(nGC_879)**2d0 + 4d0*cima*coupl(nGC_69)**2d0*coupl( &
                      nGC_879)**2d0 + 8d0*cima*coupl(nGC_72)**2d0*coupl(nGC_879&
                      )**2d0 + 9d0*cima*coupl(nGC_72)*coupl(nGC_879)*coupl(    &
                      nGC_913)**2d0 + 9d0*cima*coupl(nGC_82)**2d0*coupl(nGC_96 &
                      )**2d0 + 24d0*cima*coupl(nGC_83)*coupl(nGC_97) + 9d0*cima&
                      *coupl(nGC_913)**2d0*coupl(nGC_96)**2d0 + 36d0*coupl(    &
                      nGC_100)*coupl(nGC_82)**2d0 + 6d0*coupl(nGC_1151)*coupl( &
                      nGC_61)*coupl(nGC_63) - 6d0*coupl(nGC_1269)*coupl(nGC_96 &
                      )**2d0 + 6d0*coupl(nGC_1285)*coupl(nGC_61)*coupl(nGC_69  &
                      ) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_913) - 6d0*&
                      coupl(nGC_15)*coupl(nGC_711)*coupl(nGC_913) - 6d0*coupl( &
                      nGC_16)*coupl(nGC_663)*coupl(nGC_913) - 6d0*coupl(nGC_16 &
                      )*coupl(nGC_68)*coupl(nGC_913) - 6d0*coupl(nGC_17)**2d0* &
                      coupl(nGC_795) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(  &
                      nGC_62) - 12d0*coupl(nGC_17)*coupl(nGC_62)*coupl(nGC_643 &
                      ) - 12d0*coupl(nGC_17)*coupl(nGC_83)*coupl(nGC_96) + 36d0&
                      *coupl(nGC_18)*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_19)*    &
                      coupl(nGC_72)*coupl(nGC_913) - 6d0*coupl(nGC_20)*coupl(  &
                      nGC_879)*coupl(nGC_913) + 72d0*coupl(nGC_3)*coupl(nGC_82 &
                      )*coupl(nGC_97) + 6d0*coupl(nGC_4633)**2d0*coupl(nGC_62  &
                      ) + 6d0*coupl(nGC_611)**2d0*coupl(nGC_62) + 36d0*coupl(  &
                      nGC_62)*coupl(nGC_643)**2d0 + 6d0*coupl(nGC_62)*coupl(   &
                      nGC_72)*coupl(nGC_879) - 12d0*coupl(nGC_62)*coupl(nGC_82 &
                      )*coupl(nGC_96) + 36d0*coupl(nGC_62)*coupl(nGC_913)**2d0 &
                       - 12d0*coupl(nGC_62)*coupl(nGC_913)*coupl(nGC_96) - 6d0*&
                      coupl(nGC_64)*coupl(nGC_643)*coupl(nGC_66) - 6d0*coupl(  &
                      nGC_64)*coupl(nGC_711)*coupl(nGC_78) - 6d0*coupl(nGC_643 &
                      )*coupl(nGC_66)*coupl(nGC_711) - 6d0*coupl(nGC_643)*coupl&
                      (nGC_663)*coupl(nGC_70) - 6d0*coupl(nGC_643)*coupl(nGC_68&
                      )*coupl(nGC_70) - 6d0*coupl(nGC_643)*coupl(nGC_72)*coupl(&
                      nGC_73) - 6d0*coupl(nGC_643)*coupl(nGC_74)*coupl(nGC_879 &
                      ) - 6d0*coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_78) - 6d0*&
                      coupl(nGC_72)*coupl(nGC_78)*coupl(nGC_879))/(192d0*pi**  &
                      2d0)
    coupl(nGC_9220) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_170)**2d0 +   &
                      40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_169 &
                      )*coupl(nGC_170) + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl&
                      (nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                      nGC_142)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(  &
                      nGC_178)**2d0 + 40d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142&
                      )*coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                      nGC_142)**2d0*coupl(nGC_177)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_145)**2d0*coupl(nGC_146)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_145)**2d0*coupl(nGC_193)**2d0 + 40d0*Nc*cima*coupl(  &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193) +  &
                      20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_192)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_170)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_178)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_193)**2d0 +   &
                      6d0*cima*coupl(nGC_100)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1285)*coupl(nGC_4633)**2d0*coupl(nGC_69) - 10d0*cima*&
                      coupl(nGC_1285)*coupl(nGC_611)**2d0*coupl(nGC_69) - 5d0* &
                      cima*coupl(nGC_1285)*coupl(nGC_611)*coupl(nGC_879)*coupl(&
                      nGC_94) - 10d0*cima*coupl(nGC_1285)*coupl(nGC_64)*coupl( &
                      nGC_69)*coupl(nGC_711) - 10d0*cima*coupl(nGC_1285)*coupl(&
                      nGC_663)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(  &
                      nGC_1285)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_879) +   &
                      20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_154)**2d0 - 10d0*&
                      cima*coupl(nGC_1559)*coupl(nGC_91)*coupl(nGC_96)**2d0 +  &
                      24d0*cima*coupl(nGC_16)**2d0 + 20d0*cima*coupl(nGC_161)**&
                      2d0*coupl(nGC_162)**2d0 + 20d0*cima*coupl(nGC_184)**2d0* &
                      coupl(nGC_185)**2d0 - 5d0*cima*coupl(nGC_3331)*coupl(    &
                      nGC_611)*coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(   &
                      nGC_3331)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_96) -    &
                      10d0*cima*coupl(nGC_3331)*coupl(nGC_72)*coupl(nGC_879)*  &
                      coupl(nGC_94) - 10d0*cima*coupl(nGC_3331)*coupl(nGC_94)* &
                      coupl(nGC_96)**2d0 + 12d0*cima*coupl(nGC_61)*coupl(nGC_62&
                      ) - 10d0*cima*coupl(nGC_64)**2d0*coupl(nGC_711)**2d0 -   &
                      10d0*cima*coupl(nGC_64)*coupl(nGC_663)*coupl(nGC_68)*    &
                      coupl(nGC_711) - 10d0*cima*coupl(nGC_64)*coupl(nGC_711)* &
                      coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(nGC_663)*  &
                      coupl(nGC_879)*coupl(nGC_94)*coupl(nGC_96) + 24d0*cima*  &
                      coupl(nGC_70)**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_1559)* &
                      coupl(nGC_91) - 3d0*coupl(nGC_100)*coupl(nGC_3331)*coupl(&
                      nGC_94) + 3d0*coupl(nGC_11)*coupl(nGC_1285)*coupl(nGC_69 &
                      ) + 3d0*coupl(nGC_1151)*coupl(nGC_13)*coupl(nGC_63) + 3d0&
                      *coupl(nGC_1151)*coupl(nGC_44)*coupl(nGC_663) + 3d0*coupl&
                      (nGC_1151)*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl(      &
                      nGC_1151)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(       &
                      nGC_1151)*coupl(nGC_69)*coupl(nGC_9) - 6d0*coupl(nGC_1285&
                      )*coupl(nGC_16)*coupl(nGC_611) + 6d0*coupl(nGC_1285)*    &
                      coupl(nGC_22)*coupl(nGC_711) + 6d0*coupl(nGC_1285)*coupl(&
                      nGC_30)*coupl(nGC_663) + 3d0*coupl(nGC_1285)*coupl(nGC_44&
                      )*coupl(nGC_711) - 6d0*coupl(nGC_1285)*coupl(nGC_4633)*  &
                      coupl(nGC_70) + 3d0*coupl(nGC_1285)*coupl(nGC_51)*coupl( &
                      nGC_69) - 3d0*coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_69 &
                      ) + 3d0*coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_9) + 3d0*&
                      coupl(nGC_1559)*coupl(nGC_42)*coupl(nGC_94) + 3d0*coupl( &
                      nGC_1559)*coupl(nGC_56)*coupl(nGC_91) - 6d0*coupl(nGC_16 &
                      )*coupl(nGC_3331)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl&
                      (nGC_611)*coupl(nGC_69) - 6d0*coupl(nGC_16)*coupl(nGC_879&
                      )*coupl(nGC_94) + 6d0*coupl(nGC_22)*coupl(nGC_64)*coupl( &
                      nGC_69) + 6d0*coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_663  &
                      ) + 6d0*coupl(nGC_24)*coupl(nGC_68)*coupl(nGC_711) + 3d0*&
                      coupl(nGC_30)*coupl(nGC_4633)**2d0 + 3d0*coupl(nGC_30)*  &
                      coupl(nGC_611)**2d0 + 6d0*coupl(nGC_30)*coupl(nGC_68)*   &
                      coupl(nGC_69) + 3d0*coupl(nGC_31)*coupl(nGC_72)*coupl(   &
                      nGC_879) + 3d0*coupl(nGC_3331)*coupl(nGC_42)*coupl(nGC_91&
                      ) + 3d0*coupl(nGC_3331)*coupl(nGC_50)*coupl(nGC_94) +    &
                      12d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_711) + 6d0*   &
                      coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_879) + 6d0*coupl(  &
                      nGC_41)*coupl(nGC_711)*coupl(nGC_72) + 3d0*coupl(nGC_44)*&
                      coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_44)*coupl(   &
                      nGC_64)*coupl(nGC_69) - 6d0*coupl(nGC_4633)*coupl(nGC_69 &
                      )*coupl(nGC_70) + 3d0*coupl(nGC_51)*coupl(nGC_663)*coupl(&
                      nGC_68) + 3d0*coupl(nGC_57)*coupl(nGC_64)*coupl(nGC_711  &
                      ) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_711) - 3d0*&
                      coupl(nGC_61)*coupl(nGC_663)*coupl(nGC_68) - 3d0*coupl(  &
                      nGC_61)*coupl(nGC_72)*coupl(nGC_879) - 3d0*coupl(nGC_62)*&
                      coupl(nGC_64)*coupl(nGC_711) - 3d0*coupl(nGC_62)*coupl(  &
                      nGC_663)*coupl(nGC_68) - 3d0*coupl(nGC_96)**2d0*coupl(   &
                      nGC_99))/(96d0*pi**2d0)
    coupl(nGC_9223) = (20d0*Nc*cima*coupl(nGC_1305)*coupl(nGC_131)*coupl(nGC_80&
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1305)*coupl(    &
                      nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_1305)*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_88) +  &
                      20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_142)*coupl(nGC_144)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_146)*coupl(nGC_147)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_170)*coupl(nGC_171)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_3063)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(     &
                      nGC_3063)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*    &
                      coupl(nGC_178)*coupl(nGC_3063)*coupl(nGC_80)*coupl(nGC_88&
                      ) + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_657)*coupl(    &
                      nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl&
                      (nGC_657)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*    &
                      coupl(nGC_193)*coupl(nGC_657)*coupl(nGC_80)*coupl(nGC_88 &
                      ) + 24d0*cima*coupl(nGC_1159)*coupl(nGC_73) + 20d0*cima* &
                      coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_80)*coupl(nGC_86 &
                      ) - 16d0*cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_80 &
                      )*coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl(nGC_155 &
                      )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_162)*&
                      coupl(nGC_163)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*   &
                      coupl(nGC_879)*coupl(nGC_913) + 20d0*cima*coupl(nGC_185)*&
                      coupl(nGC_186)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 24d0*cima*coupl(nGC_19)*coupl(nGC_79   &
                      ) + 9d0*cima*coupl(nGC_3331)*coupl(nGC_663)*coupl(nGC_82 &
                      )*coupl(nGC_913) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_69 &
                      )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_4075)*coupl(   &
                      nGC_63)*coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_4075)*   &
                      coupl(nGC_711)*coupl(nGC_82)*coupl(nGC_913) + 4d0*cima*  &
                      coupl(nGC_611)*coupl(nGC_63)**2d0*coupl(nGC_72) + 4d0*   &
                      cima*coupl(nGC_611)*coupl(nGC_663)*coupl(nGC_94)*coupl(  &
                      nGC_96) + 4d0*cima*coupl(nGC_611)*coupl(nGC_69)**2d0*    &
                      coupl(nGC_72) + 4d0*cima*coupl(nGC_611)*coupl(nGC_711)*  &
                      coupl(nGC_92)*coupl(nGC_96) + 4d0*cima*coupl(nGC_611)*   &
                      coupl(nGC_72)**3d0 + 4d0*cima*coupl(nGC_611)*coupl(      &
                      nGC_879)*coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_611)*   &
                      coupl(nGC_879)*coupl(nGC_94)**2d0 + 4d0*cima*coupl(nGC_63&
                      )*coupl(nGC_72)**2d0*coupl(nGC_92) + 4d0*cima*coupl(     &
                      nGC_69)*coupl(nGC_72)**2d0*coupl(nGC_94) + 9d0*cima*coupl&
                      (nGC_82)*coupl(nGC_879)*coupl(nGC_913)*coupl(nGC_96) -   &
                      6d0*coupl(nGC_100)*coupl(nGC_82)*coupl(nGC_879) - 6d0*   &
                      coupl(nGC_101)*coupl(nGC_879)*coupl(nGC_913) - 6d0*coupl(&
                      nGC_1159)*coupl(nGC_17)*coupl(nGC_879) - 6d0*coupl(nGC_15&
                      )*coupl(nGC_4075)*coupl(nGC_913) + 6d0*coupl(nGC_15)*    &
                      coupl(nGC_611)*coupl(nGC_92) + 6d0*coupl(nGC_15)*coupl(  &
                      nGC_63)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(nGC_3331 &
                      )*coupl(nGC_913) + 6d0*coupl(nGC_16)*coupl(nGC_611)*coupl&
                      (nGC_94) + 6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_72  &
                      ) - 6d0*coupl(nGC_17)*coupl(nGC_19)*coupl(nGC_3) + 6d0*  &
                      coupl(nGC_19)*coupl(nGC_72)**2d0 + 36d0*coupl(nGC_19)*   &
                      coupl(nGC_82)*coupl(nGC_913) - 6d0*coupl(nGC_19)*coupl(  &
                      nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_3)*coupl(nGC_879)* &
                      coupl(nGC_97) - 6d0*coupl(nGC_3331)*coupl(nGC_663)*coupl(&
                      nGC_79) - 6d0*coupl(nGC_4075)*coupl(nGC_711)*coupl(nGC_79&
                      ) - 6d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_879) - 6d0*&
                      coupl(nGC_62)*coupl(nGC_879)*coupl(nGC_913) + 36d0*coupl(&
                      nGC_643)*coupl(nGC_73)*coupl(nGC_82) - 6d0*coupl(nGC_79)*&
                      coupl(nGC_879)*coupl(nGC_96))/(192d0*pi**2d0)
    coupl(nGC_9222) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)*coupl(    &
                      nGC_87) - 16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_87  &
                      )**2d0 - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_84)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_84)*    &
                      coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(  &
                      nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(   &
                      nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(   &
                      nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_146)**2d0*&
                      coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)**2d0*   &
                      coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*   &
                      coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_170 &
                      )**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_178)**&
                      2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)**2d0&
                      *coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_178&
                      )**2d0*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_193)**&
                      2d0*coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_193)**2d0&
                      *coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                      )**2d0*coupl(nGC_87)**2d0 + 4d0*cima*coupl(nGC_1151)*    &
                      coupl(nGC_1559)*coupl(nGC_69)*coupl(nGC_94) + 4d0*cima*  &
                      coupl(nGC_1151)*coupl(nGC_3331)*coupl(nGC_63)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_3331)*coupl(&
                      nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1151)*coupl(  &
                      nGC_4075)*coupl(nGC_63)*coupl(nGC_92) + 12d0*cima*coupl( &
                      nGC_1269)*coupl(nGC_62) + 4d0*cima*coupl(nGC_1285)*coupl(&
                      nGC_1559)*coupl(nGC_69)*coupl(nGC_91) + 4d0*cima*coupl(  &
                      nGC_1285)*coupl(nGC_3331)*coupl(nGC_63)*coupl(nGC_91) +  &
                      4d0*cima*coupl(nGC_1285)*coupl(nGC_3331)*coupl(nGC_69)*  &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_4075)*&
                      coupl(nGC_63)*coupl(nGC_94) - 16d0*cima*coupl(nGC_154)** &
                      2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_154)**2d0*  &
                      coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_154)** &
                      2d0*coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)**2d0*  &
                      coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)**2d0*coupl(&
                      nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_162)**2d0*   &
                      coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_185)**2d0*coupl(&
                      nGC_86)**2d0 + 20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_86&
                      )*coupl(nGC_90) - 16d0*cima*coupl(nGC_185)**2d0*coupl(   &
                      nGC_90)**2d0 + 4d0*cima*coupl(nGC_3331)*coupl(nGC_72)*   &
                      coupl(nGC_879)*coupl(nGC_94) + 4d0*cima*coupl(nGC_4075)* &
                      coupl(nGC_72)*coupl(nGC_879)*coupl(nGC_92) + 4d0*cima*   &
                      coupl(nGC_4633)**2d0*coupl(nGC_96)**2d0 + 4d0*cima*coupl(&
                      nGC_611)**2d0*coupl(nGC_96)**2d0 + 9d0*cima*coupl(nGC_64 &
                      )*coupl(nGC_711)*coupl(nGC_82)**2d0 + 9d0*cima*coupl(    &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_82)**2d0 + 9d0*cima*    &
                      coupl(nGC_72)*coupl(nGC_82)**2d0*coupl(nGC_879) + 3d0*   &
                      coupl(nGC_100)*coupl(nGC_4633)**2d0 + 3d0*coupl(nGC_100)*&
                      coupl(nGC_611)**2d0 + 3d0*coupl(nGC_101)*coupl(nGC_72)*  &
                      coupl(nGC_879) + 3d0*coupl(nGC_1151)*coupl(nGC_63)*coupl(&
                      nGC_99) - 3d0*coupl(nGC_1269)*coupl(nGC_64)*coupl(nGC_711&
                      ) - 3d0*coupl(nGC_1269)*coupl(nGC_663)*coupl(nGC_68) -   &
                      3d0*coupl(nGC_1269)*coupl(nGC_72)*coupl(nGC_879) + 3d0*  &
                      coupl(nGC_1285)*coupl(nGC_69)*coupl(nGC_99) - 6d0*coupl( &
                      nGC_15)*coupl(nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_15)* &
                      coupl(nGC_711)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(  &
                      nGC_663)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_68)*&
                      coupl(nGC_82) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(   &
                      nGC_82) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_879  &
                      ) + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0 + 18d0*coupl(  &
                      nGC_62)*coupl(nGC_913)**2d0)/(96d0*pi**2d0)
    coupl(nGC_29762) = -coupl(nGC_8933)
    coupl(nGC_29512) = -coupl(nGC_8782)
    coupl(nGC_16050) = coupl(nGC_TS_GC_108_Hl) + coupl(nGC_TS_GC_116_Hh)
    coupl(nGC_12751) = coupl(nGC_154)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_158)*&
                       dZeMinusR_QED2/2d0 + coupl(nGC_158)*dZnu_eL_QED2/2d0 +  &
                       coupl(nGC_9465)
    coupl(nGC_31066) = -coupl(nGC_8844)
    coupl(nGC_12755) = coupl(nGC_19)*dZHMinus_QED2/2d0 + coupl(nGC_19)*        &
                       dZHa_QED2/2d0 + coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl(&
                       nGC_19)*dZZ_QED2/2d0 + coupl(nGC_73)*dZAZ_QED2/2d0 +    &
                       coupl(nGC_9387)
    coupl(nGC_16808) = coupl(nGC_16804) + coupl(nGC_16807)
    coupl(nGC_13330) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2 +  &
                       coupl(nGC_9401)
    coupl(nGC_13332) = coupl(nGC_13325) + coupl(nGC_13329)
    coupl(nGC_16251) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9457)
    coupl(nGC_13255) = coupl(nGC_25)*dZG0Ha_QED2/2d0 + coupl(nGC_26)*          &
                       dZHaG0_QED2/2d0 + coupl(nGC_28)*dZHlHh_QED2/2d0 + coupl(&
                       nGC_29)*dZHhHl_QED2/2d0 + coupl(nGC_37)*dZHa_QED2/2d0 + &
                       coupl(nGC_37)*dZHh_QED2/2d0 + coupl(nGC_37)*dZHl_QED2/  &
                       2d0 + coupl(nGC_9318)
    coupl(nGC_29043) = -coupl(nGC_28952)
    coupl(nGC_9236) = (-32d0*Nc*cima*coupl(nGC_1305)*coupl(nGC_132)*coupl(     &
                      nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_1305)*coupl(nGC_132&
                      )*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(      &
                      nGC_1305)*coupl(nGC_132)*coupl(nGC_88)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_84)**2d0 +  &
                      40d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_84)*&
                      coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144&
                      )*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_147)*coupl(&
                      nGC_148)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_147 &
                      )*coupl(nGC_148)*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*  &
                      cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87)**2d0 -  &
                      32d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_84  &
                      )**2d0 + 40d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl&
                      (nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_171)*    &
                      coupl(nGC_172)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(  &
                      nGC_179)*coupl(nGC_3063)*coupl(nGC_85)**2d0 + 40d0*Nc*   &
                      cima*coupl(nGC_179)*coupl(nGC_3063)*coupl(nGC_85)*coupl( &
                      nGC_88) - 32d0*Nc*cima*coupl(nGC_179)*coupl(nGC_3063)*   &
                      coupl(nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_194)*coupl(  &
                      nGC_657)*coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_194 &
                      )*coupl(nGC_657)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*  &
                      cima*coupl(nGC_194)*coupl(nGC_657)*coupl(nGC_88)**2d0 +  &
                      12d0*cima*coupl(nGC_1269)*coupl(nGC_62) - 32d0*cima*coupl&
                      (nGC_155)*coupl(nGC_156)*coupl(nGC_86)**2d0 + 40d0*cima* &
                      coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89 &
                      ) - 32d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_89 &
                      )**2d0 + 4d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl( &
                      nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1559)*coupl(  &
                      nGC_3331)*coupl(nGC_92)*coupl(nGC_94) - 32d0*cima*coupl( &
                      nGC_163)*coupl(nGC_164)*coupl(nGC_86)**2d0 + 40d0*cima*  &
                      coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_86)*coupl(nGC_89 &
                      ) - 32d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_89 &
                      )**2d0 - 32d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl(  &
                      nGC_86)**2d0 + 40d0*cima*coupl(nGC_186)*coupl(nGC_187)*  &
                      coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_186)*  &
                      coupl(nGC_187)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(      &
                      nGC_3331)**2d0*coupl(nGC_92)**2d0 + 4d0*cima*coupl(      &
                      nGC_3331)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*coupl(      &
                      nGC_3331)*coupl(nGC_4075)*coupl(nGC_91)*coupl(nGC_94) +  &
                      4d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_92)*  &
                      coupl(nGC_94) + 4d0*cima*coupl(nGC_4075)**2d0*coupl(     &
                      nGC_92)**2d0 + 4d0*cima*coupl(nGC_4075)**2d0*coupl(nGC_94&
                      )**2d0 + 4d0*cima*coupl(nGC_611)**2d0*coupl(nGC_72)*coupl&
                      (nGC_879) + 9d0*cima*coupl(nGC_72)*coupl(nGC_82)**2d0*   &
                      coupl(nGC_879) + 9d0*cima*coupl(nGC_72)*coupl(nGC_879)*  &
                      coupl(nGC_913)**2d0 + 4d0*cima*coupl(nGC_72)*coupl(      &
                      nGC_879)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_100)*coupl(  &
                      nGC_72)*coupl(nGC_879) - 6d0*coupl(nGC_1269)*coupl(nGC_72&
                      )*coupl(nGC_879) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(&
                      nGC_913) - 6d0*coupl(nGC_19)*coupl(nGC_82)*coupl(nGC_879 &
                      ) - 6d0*coupl(nGC_20)*coupl(nGC_72)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_20)*coupl(nGC_879)*coupl(nGC_913) + 3d0*coupl( &
                      nGC_3331)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(       &
                      nGC_4075)*coupl(nGC_92)*coupl(nGC_99) + 18d0*coupl(nGC_62&
                      )*coupl(nGC_82)**2d0 + 18d0*coupl(nGC_62)*coupl(nGC_913  &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_9234) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_1305)**2d0 + &
                      80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_1305)*coupl(  &
                      nGC_132) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_132&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_143  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_143)*&
                      coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                      nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_147)**2d0 + 80d0*Nc*cima*coupl(nGC_145)**2d0*coupl(  &
                      nGC_147)*coupl(nGC_148) + 20d0*Nc*cima*coupl(nGC_145)**  &
                      2d0*coupl(nGC_148)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**  &
                      2d0*coupl(nGC_171)**2d0 + 80d0*Nc*cima*coupl(nGC_169)**  &
                      2d0*coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*coupl(  &
                      nGC_169)**2d0*coupl(nGC_172)**2d0 + 20d0*Nc*cima*coupl(  &
                      nGC_177)**2d0*coupl(nGC_179)**2d0 + 80d0*Nc*cima*coupl(  &
                      nGC_177)**2d0*coupl(nGC_179)*coupl(nGC_3063) + 20d0*Nc*  &
                      cima*coupl(nGC_177)**2d0*coupl(nGC_3063)**2d0 + 20d0*Nc* &
                      cima*coupl(nGC_192)**2d0*coupl(nGC_194)**2d0 + 80d0*Nc*  &
                      cima*coupl(nGC_192)**2d0*coupl(nGC_194)*coupl(nGC_657) + &
                      20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_657)**2d0 +   &
                      6d0*cima*coupl(nGC_101)*coupl(nGC_99) - 10d0*cima*coupl( &
                      nGC_1151)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_879) -   &
                      5d0*cima*coupl(nGC_1285)**2d0*coupl(nGC_72)**2d0 - 20d0* &
                      cima*coupl(nGC_1285)*coupl(nGC_69)*coupl(nGC_72)*coupl(  &
                      nGC_879) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_155)**&
                      2d0 + 80d0*cima*coupl(nGC_153)**2d0*coupl(nGC_155)*coupl(&
                      nGC_156) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_156)**&
                      2d0 - 10d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl(   &
                      nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(nGC_1559)*coupl( &
                      nGC_4075)*coupl(nGC_91)*coupl(nGC_92) + 20d0*cima*coupl( &
                      nGC_161)**2d0*coupl(nGC_163)**2d0 + 80d0*cima*coupl(     &
                      nGC_161)**2d0*coupl(nGC_163)*coupl(nGC_164) + 20d0*cima* &
                      coupl(nGC_161)**2d0*coupl(nGC_164)**2d0 + 20d0*cima*coupl&
                      (nGC_184)**2d0*coupl(nGC_186)**2d0 + 80d0*cima*coupl(    &
                      nGC_184)**2d0*coupl(nGC_186)*coupl(nGC_187) + 20d0*cima* &
                      coupl(nGC_184)**2d0*coupl(nGC_187)**2d0 - 10d0*cima*coupl&
                      (nGC_3331)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(    &
                      nGC_3331)*coupl(nGC_4075)*coupl(nGC_92)*coupl(nGC_94) +  &
                      12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 10d0*cima*coupl( &
                      nGC_64)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_879) - 5d0&
                      *cima*coupl(nGC_663)**2d0*coupl(nGC_72)**2d0 - 20d0*cima*&
                      coupl(nGC_663)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879 &
                      ) - 5d0*cima*coupl(nGC_68)**2d0*coupl(nGC_879)**2d0 - 5d0&
                      *cima*coupl(nGC_69)**2d0*coupl(nGC_879)**2d0 - 3d0*coupl(&
                      nGC_101)*coupl(nGC_1559)*coupl(nGC_91) - 3d0*coupl(      &
                      nGC_101)*coupl(nGC_3331)*coupl(nGC_94) + 3d0*coupl(nGC_11&
                      )*coupl(nGC_3331)*coupl(nGC_94) + 6d0*coupl(nGC_1151)*   &
                      coupl(nGC_40)*coupl(nGC_879) + 3d0*coupl(nGC_1151)*coupl(&
                      nGC_42)*coupl(nGC_663) + 3d0*coupl(nGC_1151)*coupl(nGC_56&
                      )*coupl(nGC_63) - 3d0*coupl(nGC_1151)*coupl(nGC_62)*coupl&
                      (nGC_63) + 3d0*coupl(nGC_1285)*coupl(nGC_42)*coupl(      &
                      nGC_711) + 3d0*coupl(nGC_1285)*coupl(nGC_50)*coupl(nGC_69&
                      ) - 3d0*coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_69) + 3d0&
                      *coupl(nGC_13)*coupl(nGC_4075)*coupl(nGC_92) + 6d0*coupl(&
                      nGC_1559)*coupl(nGC_28)*coupl(nGC_3331) + 6d0*coupl(     &
                      nGC_1559)*coupl(nGC_37)*coupl(nGC_4075) + 3d0*coupl(     &
                      nGC_1559)*coupl(nGC_46)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_1559)*coupl(nGC_59)*coupl(nGC_91) + 6d0*coupl(nGC_26 &
                      )*coupl(nGC_3331)*coupl(nGC_4075) + 6d0*coupl(nGC_26)*   &
                      coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_28)*coupl(   &
                      nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_30)*coupl(nGC_72)* &
                      coupl(nGC_879) + 6d0*coupl(nGC_31)*coupl(nGC_3331)**2d0  &
                       + 6d0*coupl(nGC_31)*coupl(nGC_94)**2d0 + 3d0*coupl(     &
                      nGC_3331)*coupl(nGC_46)*coupl(nGC_91) + 3d0*coupl(       &
                      nGC_3331)*coupl(nGC_52)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_3331)*coupl(nGC_9)*coupl(nGC_92) - 3d0*coupl(nGC_3331&
                      )*coupl(nGC_94)*coupl(nGC_99) + 6d0*coupl(nGC_37)*coupl( &
                      nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40)*coupl(nGC_64)* &
                      coupl(nGC_72) + 3d0*coupl(nGC_4075)*coupl(nGC_9)*coupl(  &
                      nGC_94) - 3d0*coupl(nGC_4075)*coupl(nGC_92)*coupl(nGC_99 &
                      ) + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_72) + 6d0* &
                      coupl(nGC_41)*coupl(nGC_711)*coupl(nGC_879) + 3d0*coupl( &
                      nGC_42)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_42)* &
                      coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_50)*coupl(   &
                      nGC_663)*coupl(nGC_68) + 3d0*coupl(nGC_56)*coupl(nGC_64)*&
                      coupl(nGC_711) - 6d0*coupl(nGC_61)*coupl(nGC_72)*coupl(  &
                      nGC_879) - 3d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_711 &
                      ) - 3d0*coupl(nGC_62)*coupl(nGC_663)*coupl(nGC_68))/(96d0&
                      *pi**2d0)
    coupl(nGC_9235) = (-32d0*Nc*cima*coupl(nGC_1305)*coupl(nGC_132)*coupl(     &
                      nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144 &
                      )*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_147)*coupl(&
                      nGC_148)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_171 &
                      )*coupl(nGC_172)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(&
                      nGC_179)*coupl(nGC_3063)*coupl(nGC_80)**2d0 - 32d0*Nc*   &
                      cima*coupl(nGC_194)*coupl(nGC_657)*coupl(nGC_80)**2d0 +  &
                      12d0*cima*coupl(nGC_101)*coupl(nGC_1269) + 4d0*cima*coupl&
                      (nGC_1151)*coupl(nGC_3331)*coupl(nGC_63)*coupl(nGC_94) + &
                      4d0*cima*coupl(nGC_1151)*coupl(nGC_3331)*coupl(nGC_68)*  &
                      coupl(nGC_92) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_3331)*&
                      coupl(nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1151)*  &
                      coupl(nGC_4075)*coupl(nGC_63)*coupl(nGC_92) + 4d0*cima*  &
                      coupl(nGC_1151)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_879&
                      ) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_3331)*coupl(nGC_69&
                      )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_4075&
                      )*coupl(nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1285)*&
                      coupl(nGC_4075)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*  &
                      coupl(nGC_1285)*coupl(nGC_4075)*coupl(nGC_69)*coupl(     &
                      nGC_92) + 4d0*cima*coupl(nGC_1285)*coupl(nGC_69)*coupl(  &
                      nGC_72)*coupl(nGC_879) - 32d0*cima*coupl(nGC_155)*coupl( &
                      nGC_156)*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_163)*  &
                      coupl(nGC_164)*coupl(nGC_80)**2d0 - 32d0*cima*coupl(     &
                      nGC_186)*coupl(nGC_187)*coupl(nGC_80)**2d0 + 9d0*cima*   &
                      coupl(nGC_3)**2d0*coupl(nGC_72)*coupl(nGC_879) + 4d0*cima&
                      *coupl(nGC_3331)*coupl(nGC_64)*coupl(nGC_711)*coupl(     &
                      nGC_94) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_663)*coupl( &
                      nGC_68)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3331)*coupl(  &
                      nGC_68)*coupl(nGC_711)*coupl(nGC_92) + 4d0*cima*coupl(   &
                      nGC_3331)*coupl(nGC_69)*coupl(nGC_711)*coupl(nGC_92) +   &
                      9d0*cima*coupl(nGC_3331)*coupl(nGC_82)**2d0*coupl(nGC_94 &
                      ) + 9d0*cima*coupl(nGC_3331)*coupl(nGC_913)**2d0*coupl(  &
                      nGC_94) + 4d0*cima*coupl(nGC_4075)*coupl(nGC_63)*coupl(  &
                      nGC_663)*coupl(nGC_94) + 4d0*cima*coupl(nGC_4075)*coupl( &
                      nGC_64)*coupl(nGC_663)*coupl(nGC_94) + 4d0*cima*coupl(   &
                      nGC_4075)*coupl(nGC_64)*coupl(nGC_711)*coupl(nGC_92) +   &
                      4d0*cima*coupl(nGC_4075)*coupl(nGC_663)*coupl(nGC_68)*   &
                      coupl(nGC_92) + 9d0*cima*coupl(nGC_4075)*coupl(nGC_82)** &
                      2d0*coupl(nGC_92) + 9d0*cima*coupl(nGC_4075)*coupl(      &
                      nGC_913)**2d0*coupl(nGC_92) + 24d0*cima*coupl(nGC_62)*   &
                      coupl(nGC_78) + 4d0*cima*coupl(nGC_64)*coupl(nGC_711)*   &
                      coupl(nGC_72)*coupl(nGC_879) + 9d0*cima*coupl(nGC_643)** &
                      2d0*coupl(nGC_72)*coupl(nGC_879) + 4d0*cima*coupl(nGC_663&
                      )*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879) + 8d0*cima* &
                      coupl(nGC_72)**2d0*coupl(nGC_879)**2d0 + 9d0*cima*coupl( &
                      nGC_72)*coupl(nGC_82)**2d0*coupl(nGC_879) + 9d0*cima*    &
                      coupl(nGC_72)*coupl(nGC_879)*coupl(nGC_913)**2d0 + 36d0* &
                      coupl(nGC_101)*coupl(nGC_82)**2d0 - 6d0*coupl(nGC_1269)* &
                      coupl(nGC_3331)*coupl(nGC_94) - 6d0*coupl(nGC_1269)*coupl&
                      (nGC_4075)*coupl(nGC_92) - 6d0*coupl(nGC_19)*coupl(nGC_72&
                      )*coupl(nGC_82) - 6d0*coupl(nGC_19)*coupl(nGC_879)*coupl(&
                      nGC_913) - 6d0*coupl(nGC_20)*coupl(nGC_72)*coupl(nGC_913 &
                      ) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_879) - 6d0*&
                      coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(    &
                      nGC_3)*coupl(nGC_74)*coupl(nGC_879) + 6d0*coupl(nGC_3331 &
                      )*coupl(nGC_61)*coupl(nGC_94) + 6d0*coupl(nGC_4075)*coupl&
                      (nGC_61)*coupl(nGC_92) + 36d0*coupl(nGC_62)*coupl(nGC_643&
                      )**2d0 + 12d0*coupl(nGC_62)*coupl(nGC_72)*coupl(nGC_879  &
                      ) + 36d0*coupl(nGC_62)*coupl(nGC_913)**2d0 - 6d0*coupl(  &
                      nGC_643)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_643 &
                      )*coupl(nGC_73)*coupl(nGC_879) - 12d0*coupl(nGC_72)*coupl&
                      (nGC_78)*coupl(nGC_879))/(192d0*pi**2d0)
    coupl(nGC_9232) = (20d0*Nc*cima*coupl(nGC_1305)**2d0*coupl(nGC_133)**2d0 + &
                      80d0*Nc*cima*coupl(nGC_1305)*coupl(nGC_132)*coupl(nGC_133&
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_133  &
                      )**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_143  &
                      )**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_143)*&
                      coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                      nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(  &
                      nGC_149)**2d0 + 80d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148&
                      )*coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl(nGC_148)**2d0*&
                      coupl(nGC_149)**2d0 + 20d0*Nc*cima*coupl(nGC_171)**2d0*  &
                      coupl(nGC_173)**2d0 + 80d0*Nc*cima*coupl(nGC_171)*coupl( &
                      nGC_172)*coupl(nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_172&
                      )**2d0*coupl(nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_179  &
                      )**2d0*coupl(nGC_180)**2d0 + 80d0*Nc*cima*coupl(nGC_179)*&
                      coupl(nGC_180)**2d0*coupl(nGC_3063) + 20d0*Nc*cima*coupl(&
                      nGC_180)**2d0*coupl(nGC_3063)**2d0 + 20d0*Nc*cima*coupl( &
                      nGC_194)**2d0*coupl(nGC_195)**2d0 + 80d0*Nc*cima*coupl(  &
                      nGC_194)*coupl(nGC_195)**2d0*coupl(nGC_657) + 20d0*Nc*   &
                      cima*coupl(nGC_195)**2d0*coupl(nGC_657)**2d0 + 6d0*cima* &
                      coupl(nGC_101)*coupl(nGC_99) - 5d0*cima*coupl(nGC_1151)**&
                      2d0*coupl(nGC_72)**2d0 - 20d0*cima*coupl(nGC_1151)*coupl(&
                      nGC_63)*coupl(nGC_72)*coupl(nGC_879) - 10d0*cima*coupl(  &
                      nGC_1285)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_879) +   &
                      20d0*cima*coupl(nGC_155)**2d0*coupl(nGC_157)**2d0 + 80d0*&
                      cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_157)**2d0 + &
                      20d0*cima*coupl(nGC_156)**2d0*coupl(nGC_157)**2d0 + 20d0*&
                      cima*coupl(nGC_163)**2d0*coupl(nGC_165)**2d0 + 80d0*cima*&
                      coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_165)**2d0 + 20d0*&
                      cima*coupl(nGC_164)**2d0*coupl(nGC_165)**2d0 + 20d0*cima*&
                      coupl(nGC_186)**2d0*coupl(nGC_188)**2d0 + 80d0*cima*coupl&
                      (nGC_186)*coupl(nGC_187)*coupl(nGC_188)**2d0 + 20d0*cima*&
                      coupl(nGC_187)**2d0*coupl(nGC_188)**2d0 - 10d0*cima*coupl&
                      (nGC_3331)**2d0*coupl(nGC_94)**2d0 - 20d0*cima*coupl(    &
                      nGC_3331)*coupl(nGC_4075)*coupl(nGC_92)*coupl(nGC_94) -  &
                      10d0*cima*coupl(nGC_4075)**2d0*coupl(nGC_92)**2d0 + 12d0*&
                      cima*coupl(nGC_61)*coupl(nGC_62) - 5d0*cima*coupl(nGC_63 &
                      )**2d0*coupl(nGC_879)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*&
                      coupl(nGC_879)**2d0 - 20d0*cima*coupl(nGC_64)*coupl(     &
                      nGC_711)*coupl(nGC_72)*coupl(nGC_879) - 10d0*cima*coupl( &
                      nGC_663)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879) - 5d0&
                      *cima*coupl(nGC_711)**2d0*coupl(nGC_72)**2d0 + 3d0*coupl(&
                      nGC_10)*coupl(nGC_3331)*coupl(nGC_92) + 3d0*coupl(nGC_10 &
                      )*coupl(nGC_4075)*coupl(nGC_94) - 3d0*coupl(nGC_101)*    &
                      coupl(nGC_3331)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(&
                      nGC_4075)*coupl(nGC_92) + 3d0*coupl(nGC_1151)*coupl(     &
                      nGC_1285)*coupl(nGC_42) + 3d0*coupl(nGC_1151)*coupl(     &
                      nGC_50)*coupl(nGC_63) - 3d0*coupl(nGC_1151)*coupl(nGC_62 &
                      )*coupl(nGC_63) + 3d0*coupl(nGC_12)*coupl(nGC_4075)*coupl&
                      (nGC_92) + 6d0*coupl(nGC_1285)*coupl(nGC_49)*coupl(      &
                      nGC_879) + 3d0*coupl(nGC_1285)*coupl(nGC_56)*coupl(nGC_69&
                      ) - 3d0*coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_69) + 3d0&
                      *coupl(nGC_13)*coupl(nGC_3331)*coupl(nGC_94) + 6d0*coupl(&
                      nGC_26)*coupl(nGC_3331)*coupl(nGC_4075) + 6d0*coupl(     &
                      nGC_26)*coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_29)* &
                      coupl(nGC_3331)*coupl(nGC_4075) + 6d0*coupl(nGC_29)*coupl&
                      (nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_3331)**2d0*coupl( &
                      nGC_37) + 3d0*coupl(nGC_3331)*coupl(nGC_46)*coupl(nGC_92 &
                      ) + 3d0*coupl(nGC_3331)*coupl(nGC_59)*coupl(nGC_94) - 3d0&
                      *coupl(nGC_3331)*coupl(nGC_94)*coupl(nGC_99) + 6d0*coupl(&
                      nGC_34)*coupl(nGC_72)*coupl(nGC_879) + 6d0*coupl(nGC_37)*&
                      coupl(nGC_94)**2d0 + 6d0*coupl(nGC_38)*coupl(nGC_4075)** &
                      2d0 + 6d0*coupl(nGC_38)*coupl(nGC_92)**2d0 + 3d0*coupl(  &
                      nGC_4075)*coupl(nGC_46)*coupl(nGC_94) + 3d0*coupl(       &
                      nGC_4075)*coupl(nGC_52)*coupl(nGC_92) - 3d0*coupl(       &
                      nGC_4075)*coupl(nGC_92)*coupl(nGC_99) + 3d0*coupl(nGC_42 &
                      )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_42)*coupl( &
                      nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_42)*coupl(nGC_663)*&
                      coupl(nGC_711) + 6d0*coupl(nGC_48)*coupl(nGC_663)*coupl( &
                      nGC_879) + 6d0*coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_72  &
                      ) + 6d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 3d0* &
                      coupl(nGC_50)*coupl(nGC_64)*coupl(nGC_711) + 3d0*coupl(  &
                      nGC_56)*coupl(nGC_663)*coupl(nGC_68) - 6d0*coupl(nGC_61)*&
                      coupl(nGC_72)*coupl(nGC_879) - 3d0*coupl(nGC_62)*coupl(  &
                      nGC_64)*coupl(nGC_711) - 3d0*coupl(nGC_62)*coupl(nGC_663 &
                      )*coupl(nGC_68))/(96d0*pi**2d0)
    coupl(nGC_9233) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1305)**2d0*coupl( &
                      nGC_133) + 80d0*Nc*cima*coupl(nGC_130)*coupl(nGC_1305)*  &
                      coupl(nGC_132)*coupl(nGC_133) + 20d0*Nc*cima*coupl(      &
                      nGC_130)*coupl(nGC_132)**2d0*coupl(nGC_133) + 20d0*Nc*   &
                      cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_143)**2d0 + &
                      80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_143 &
                      )*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_137)*coupl(    &
                      nGC_141)*coupl(nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_145&
                      )*coupl(nGC_147)**2d0*coupl(nGC_149) + 80d0*Nc*cima*coupl&
                      (nGC_145)*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_149) + &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_148)**2d0*coupl(   &
                      nGC_149) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_171)**  &
                      2d0*coupl(nGC_173) + 80d0*Nc*cima*coupl(nGC_169)*coupl(  &
                      nGC_171)*coupl(nGC_172)*coupl(nGC_173) + 20d0*Nc*cima*   &
                      coupl(nGC_169)*coupl(nGC_172)**2d0*coupl(nGC_173) + 20d0*&
                      Nc*cima*coupl(nGC_177)*coupl(nGC_179)**2d0*coupl(nGC_180 &
                      ) + 80d0*Nc*cima*coupl(nGC_177)*coupl(nGC_179)*coupl(    &
                      nGC_180)*coupl(nGC_3063) + 20d0*Nc*cima*coupl(nGC_177)*  &
                      coupl(nGC_180)*coupl(nGC_3063)**2d0 + 20d0*Nc*cima*coupl(&
                      nGC_192)*coupl(nGC_194)**2d0*coupl(nGC_195) + 80d0*Nc*   &
                      cima*coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_195)*coupl( &
                      nGC_657) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*   &
                      coupl(nGC_657)**2d0 - 5d0*cima*coupl(nGC_1151)*coupl(    &
                      nGC_1285)*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_1151)* &
                      coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_879) - 10d0*cima*  &
                      coupl(nGC_1151)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_879&
                      ) - 10d0*cima*coupl(nGC_1285)*coupl(nGC_63)*coupl(nGC_72 &
                      )*coupl(nGC_879) - 5d0*cima*coupl(nGC_1285)*coupl(nGC_64 &
                      )*coupl(nGC_72)*coupl(nGC_879) + 20d0*cima*coupl(nGC_153 &
                      )*coupl(nGC_155)**2d0*coupl(nGC_157) + 80d0*cima*coupl(  &
                      nGC_153)*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_157) +  &
                      20d0*cima*coupl(nGC_153)*coupl(nGC_156)**2d0*coupl(      &
                      nGC_157) - 5d0*cima*coupl(nGC_1559)*coupl(nGC_3331)*coupl&
                      (nGC_94)**2d0 - 5d0*cima*coupl(nGC_1559)*coupl(nGC_4075)*&
                      coupl(nGC_92)*coupl(nGC_94) + 20d0*cima*coupl(nGC_161)*  &
                      coupl(nGC_163)**2d0*coupl(nGC_165) + 80d0*cima*coupl(    &
                      nGC_161)*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_165) +  &
                      20d0*cima*coupl(nGC_161)*coupl(nGC_164)**2d0*coupl(      &
                      nGC_165) + 20d0*cima*coupl(nGC_184)*coupl(nGC_186)**2d0* &
                      coupl(nGC_188) + 80d0*cima*coupl(nGC_184)*coupl(nGC_186)*&
                      coupl(nGC_187)*coupl(nGC_188) + 20d0*cima*coupl(nGC_184)*&
                      coupl(nGC_187)**2d0*coupl(nGC_188) - 5d0*cima*coupl(     &
                      nGC_3331)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*   &
                      coupl(nGC_3331)**2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*  &
                      cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(nGC_91)*coupl(&
                      nGC_92) - 5d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*coupl(&
                      nGC_92)**2d0 - 5d0*cima*coupl(nGC_3331)*coupl(nGC_4075)* &
                      coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_4075)**2d0*coupl(&
                      nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(    &
                      nGC_663)*coupl(nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(  &
                      nGC_63)*coupl(nGC_69)*coupl(nGC_879)**2d0 - 10d0*cima*   &
                      coupl(nGC_64)*coupl(nGC_663)*coupl(nGC_72)*coupl(nGC_879 &
                      ) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_879)**&
                      2d0 - 5d0*cima*coupl(nGC_663)*coupl(nGC_711)*coupl(nGC_72&
                      )**2d0 - 10d0*cima*coupl(nGC_68)*coupl(nGC_711)*coupl(   &
                      nGC_72)*coupl(nGC_879) - 5d0*cima*coupl(nGC_69)*coupl(   &
                      nGC_711)*coupl(nGC_72)*coupl(nGC_879) + 3d0*coupl(nGC_10 &
                      )*coupl(nGC_4075)*coupl(nGC_92) - 3d0*coupl(nGC_101)*    &
                      coupl(nGC_3331)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl(&
                      nGC_4075)*coupl(nGC_94) + 6d0*coupl(nGC_1151)*coupl(     &
                      nGC_42)*coupl(nGC_711) + 3d0*coupl(nGC_1151)*coupl(nGC_48&
                      )*coupl(nGC_879) + 3d0*coupl(nGC_1151)*coupl(nGC_50)*    &
                      coupl(nGC_69) + 3d0*coupl(nGC_1151)*coupl(nGC_56)*coupl( &
                      nGC_68) + 3d0*coupl(nGC_1285)*coupl(nGC_41)*coupl(nGC_879&
                      ) - 3d0*coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_63) - 3d0&
                      *coupl(nGC_1285)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(&
                      nGC_13)*coupl(nGC_3331)*coupl(nGC_92) + 3d0*coupl(nGC_13 &
                      )*coupl(nGC_4075)*coupl(nGC_94) + 3d0*coupl(nGC_1559)*   &
                      coupl(nGC_29)*coupl(nGC_4075) + 3d0*coupl(nGC_1559)*coupl&
                      (nGC_3331)*coupl(nGC_37) + 3d0*coupl(nGC_1559)*coupl(    &
                      nGC_46)*coupl(nGC_92) + 3d0*coupl(nGC_1559)*coupl(nGC_59 &
                      )*coupl(nGC_94) + 6d0*coupl(nGC_22)*coupl(nGC_72)*coupl( &
                      nGC_879) + 3d0*coupl(nGC_26)*coupl(nGC_3331)**2d0 + 3d0* &
                      coupl(nGC_26)*coupl(nGC_4075)**2d0 + 3d0*coupl(nGC_26)*  &
                      coupl(nGC_92)**2d0 + 3d0*coupl(nGC_26)*coupl(nGC_94)**2d0&
                       + 3d0*coupl(nGC_28)*coupl(nGC_3331)**2d0 + 3d0*coupl(   &
                      nGC_28)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_29)*coupl(    &
                      nGC_91)*coupl(nGC_92) + 3d0*coupl(nGC_31)*coupl(nGC_3331 &
                      )*coupl(nGC_4075) + 3d0*coupl(nGC_31)*coupl(nGC_92)*coupl&
                      (nGC_94) + 3d0*coupl(nGC_3331)*coupl(nGC_37)*coupl(      &
                      nGC_4075) + 3d0*coupl(nGC_3331)*coupl(nGC_38)*coupl(     &
                      nGC_4075) + 3d0*coupl(nGC_3331)*coupl(nGC_46)*coupl(     &
                      nGC_94) + 3d0*coupl(nGC_3331)*coupl(nGC_52)*coupl(nGC_92 &
                      ) + 3d0*coupl(nGC_3331)*coupl(nGC_9)*coupl(nGC_94) + 3d0*&
                      coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(   &
                      nGC_37)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_38)* &
                      coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_40)*coupl(   &
                      nGC_663)*coupl(nGC_879) + 3d0*coupl(nGC_40)*coupl(nGC_69 &
                      )*coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl( &
                      nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_68)**2d0 + 3d0*    &
                      coupl(nGC_42)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_48)*    &
                      coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(   &
                      nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_711)*&
                      coupl(nGC_879) + 3d0*coupl(nGC_50)*coupl(nGC_68)*coupl(  &
                      nGC_711) + 3d0*coupl(nGC_56)*coupl(nGC_69)*coupl(nGC_711 &
                      ) - 3d0*coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_663) - 3d0*&
                      coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_663))/(96d0*pi**2d0&
                      )
    coupl(nGC_9230) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80 &
                      )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*coupl(     &
                      nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_88) +   &
                      20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80)*&
                      coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +    &
                      20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*&
                      coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193&
                      )*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                      nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88) + 4d0&
                      *cima*coupl(nGC_1151)*coupl(nGC_1559)*coupl(nGC_3331)*   &
                      coupl(nGC_96) + 4d0*cima*coupl(nGC_1151)*coupl(nGC_3331)*&
                      coupl(nGC_4075)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1151)*&
                      coupl(nGC_68)*coupl(nGC_711)*coupl(nGC_96) + 4d0*cima*   &
                      coupl(nGC_1151)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_94&
                      ) + 24d0*cima*coupl(nGC_1159)*coupl(nGC_70) + 4d0*cima*  &
                      coupl(nGC_1285)*coupl(nGC_1559)**2d0*coupl(nGC_96) + 4d0*&
                      cima*coupl(nGC_1285)*coupl(nGC_3331)**2d0*coupl(nGC_96   &
                      ) + 9d0*cima*coupl(nGC_1285)*coupl(nGC_4633)*coupl(      &
                      nGC_643)*coupl(nGC_82) + 9d0*cima*coupl(nGC_1285)*coupl( &
                      nGC_611)*coupl(nGC_82)*coupl(nGC_913) + 20d0*cima*coupl( &
                      nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86) -    &
                      16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*   &
                      coupl(nGC_89) - 16d0*cima*coupl(nGC_153)*coupl(nGC_154)* &
                      coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_1559)*  &
                      coupl(nGC_68)*coupl(nGC_711)*coupl(nGC_72) + 24d0*cima*  &
                      coupl(nGC_16)*coupl(nGC_79) + 20d0*cima*coupl(nGC_161)*  &
                      coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*  &
                      coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89 &
                      ) - 16d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_80 &
                      )*coupl(nGC_90) + 20d0*cima*coupl(nGC_184)*coupl(nGC_185 &
                      )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_184)*&
                      coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*  &
                      coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                      ) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_611)*coupl(nGC_879&
                      )*coupl(nGC_96) + 4d0*cima*coupl(nGC_3331)*coupl(nGC_64)*&
                      coupl(nGC_711)*coupl(nGC_72) + 4d0*cima*coupl(nGC_3331)* &
                      coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*    &
                      coupl(nGC_4075)*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72 &
                      ) + 4d0*cima*coupl(nGC_64)**2d0*coupl(nGC_69)*coupl(     &
                      nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_663)*coupl(   &
                      nGC_711)*coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(   &
                      nGC_69)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(    &
                      nGC_663)*coupl(nGC_711)*coupl(nGC_72)*coupl(nGC_92) + 4d0&
                      *cima*coupl(nGC_68)**2d0*coupl(nGC_69)*coupl(nGC_96) +   &
                      4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*coupl(&
                      nGC_94) + 4d0*cima*coupl(nGC_69)*coupl(nGC_72)**2d0*coupl&
                      (nGC_96) + 9d0*cima*coupl(nGC_82)*coupl(nGC_879)*coupl(  &
                      nGC_913)*coupl(nGC_94) - 6d0*coupl(nGC_100)*coupl(       &
                      nGC_1285)*coupl(nGC_913) - 6d0*coupl(nGC_1159)*coupl(    &
                      nGC_1285)*coupl(nGC_4633) - 6d0*coupl(nGC_1285)*coupl(   &
                      nGC_61)*coupl(nGC_913) - 6d0*coupl(nGC_1285)*coupl(      &
                      nGC_611)*coupl(nGC_79) - 6d0*coupl(nGC_1285)*coupl(nGC_62&
                      )*coupl(nGC_82) - 6d0*coupl(nGC_1285)*coupl(nGC_643)*    &
                      coupl(nGC_97) - 6d0*coupl(nGC_1285)*coupl(nGC_82)*coupl( &
                      nGC_99) + 6d0*coupl(nGC_14)*coupl(nGC_68)*coupl(nGC_711  &
                      ) + 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(nGC_69) - 6d0* &
                      coupl(nGC_16)*coupl(nGC_4633)*coupl(nGC_643) - 6d0*coupl(&
                      nGC_16)*coupl(nGC_611)*coupl(nGC_913) + 6d0*coupl(nGC_16 &
                      )*coupl(nGC_64)*coupl(nGC_711) + 6d0*coupl(nGC_16)*coupl(&
                      nGC_68)*coupl(nGC_69) + 36d0*coupl(nGC_16)*coupl(nGC_82)*&
                      coupl(nGC_913) + 6d0*coupl(nGC_20)*coupl(nGC_3331)*coupl(&
                      nGC_96) + 6d0*coupl(nGC_20)*coupl(nGC_69)*coupl(nGC_72   &
                      ) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_94) + 36d0*&
                      coupl(nGC_3)*coupl(nGC_70)*coupl(nGC_913) - 6d0*coupl(   &
                      nGC_79)*coupl(nGC_879)*coupl(nGC_94))/(192d0*pi**2d0)
    coupl(nGC_9231) = (20d0*Nc*cima*coupl(nGC_1305)**2d0*coupl(nGC_132)**2d0 + &
                      20d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(nGC_148)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_171)**2d0*coupl(nGC_172)**2d0 +   &
                      20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(nGC_3063)**2d0 +  &
                      20d0*Nc*cima*coupl(nGC_194)**2d0*coupl(nGC_657)**2d0 +   &
                      3d0*cima*coupl(nGC_101)**2d0 + 20d0*cima*coupl(nGC_155)**&
                      2d0*coupl(nGC_156)**2d0 + 20d0*cima*coupl(nGC_163)**2d0* &
                      coupl(nGC_164)**2d0 + 20d0*cima*coupl(nGC_186)**2d0*coupl&
                      (nGC_187)**2d0 - 5d0*cima*coupl(nGC_3331)**2d0*coupl(    &
                      nGC_94)**2d0 - 10d0*cima*coupl(nGC_3331)*coupl(nGC_4075)*&
                      coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_4075)** &
                      2d0*coupl(nGC_92)**2d0 + 6d0*cima*coupl(nGC_62)**2d0 -   &
                      10d0*cima*coupl(nGC_72)**2d0*coupl(nGC_879)**2d0 - 3d0*  &
                      coupl(nGC_101)*coupl(nGC_3331)*coupl(nGC_94) - 3d0*coupl(&
                      nGC_101)*coupl(nGC_4075)*coupl(nGC_92) + 3d0*coupl(nGC_26&
                      )*coupl(nGC_3331)*coupl(nGC_92) + 3d0*coupl(nGC_26)*coupl&
                      (nGC_4075)*coupl(nGC_94) + 3d0*coupl(nGC_31)*coupl(      &
                      nGC_3331)*coupl(nGC_94) + 3d0*coupl(nGC_38)*coupl(       &
                      nGC_4075)*coupl(nGC_92) + 6d0*coupl(nGC_50)*coupl(nGC_72 &
                      )*coupl(nGC_879) - 6d0*coupl(nGC_62)*coupl(nGC_72)*coupl(&
                      nGC_879))/(16d0*pi**2d0)
    coupl(nGC_8728) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_143)*coupl(nGC_144) -   &
                      8d0*Nc*cMC**2d0*cima*coupl(nGC_1305)*coupl(nGC_132) - 8d0&
                      *Nc*cMD**2d0*cima*coupl(nGC_147)*coupl(nGC_148) - 8d0*Nc*&
                      cMS**2d0*cima*coupl(nGC_171)*coupl(nGC_172) - 8d0*Nc*cMT &
                      **2d0*cima*coupl(nGC_179)*coupl(nGC_3063) - 8d0*Nc*cMU** &
                      2d0*cima*coupl(nGC_194)*coupl(nGC_657) - 8d0*cME**2d0*   &
                      cima*coupl(nGC_155)*coupl(nGC_156) - 2d0*cMHC**2d0*cima* &
                      coupl(nGC_72)*coupl(nGC_879) - cMHH**2d0*cima*coupl(     &
                      nGC_4075)*coupl(nGC_92) - cMHL**2d0*cima*coupl(nGC_3331)*&
                      coupl(nGC_94) - 8d0*cMM**2d0*cima*coupl(nGC_163)*coupl(  &
                      nGC_164) - 8d0*cMTA**2d0*cima*coupl(nGC_186)*coupl(      &
                      nGC_187) - 2d0*cMW**2d0*cima*coupl(nGC_72)*coupl(nGC_879 &
                      ) - 4d0*cMW**2d0*coupl(nGC_62) - cMZ**2d0*cima*coupl(    &
                      nGC_3331)*coupl(nGC_94) - cMZ**2d0*cima*coupl(nGC_4075)* &
                      coupl(nGC_92) - 2d0*cMZ**2d0*coupl(nGC_101))/(32d0*pi**  &
                      2d0)
    coupl(nGC_9238) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1305)*coupl( &
                      nGC_132) - coupl(nGC_143)*coupl(nGC_144) - coupl(nGC_147 &
                      )*coupl(nGC_148) - coupl(nGC_171)*coupl(nGC_172) - coupl(&
                      nGC_179)*coupl(nGC_3063) - coupl(nGC_194)*coupl(nGC_657  &
                      ))/(16d0*pi**2d0)
    coupl(nGC_9239) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1305)*coupl(  &
                      nGC_132) + coupl(nGC_143)*coupl(nGC_144) + coupl(nGC_147 &
                      )*coupl(nGC_148) + coupl(nGC_171)*coupl(nGC_172) + coupl(&
                      nGC_179)*coupl(nGC_3063) + coupl(nGC_194)*coupl(nGC_657  &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_14507) = coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9286)
    coupl(nGC_15642) = coupl(nGC_12884) + coupl(nGC_15641)
    coupl(nGC_29844) = -coupl(nGC_8820)
    coupl(nGC_17570) = -coupl(nGC_17569)
    coupl(nGC_14752) = -coupl(nGC_14748)
    coupl(nGC_14753) = 2d0*coupl(nGC_14748)
    coupl(nGC_12925) = -coupl(nGC_12924)
    coupl(nGC_16159) = coupl(nGC_112)*dZHa_QED2/2d0 + coupl(nGC_112)*dZHh_QED2/&
                       2d0 + coupl(nGC_117)*dZG0Ha_QED2/2d0 + coupl(nGC_120)*  &
                       dZHlHh_QED2/2d0 + coupl(nGC_121)*dZHaG0_QED2/2d0 + coupl&
                       (nGC_9355) + coupl(nGC_TS_GC_29_Hh) + coupl(            &
                       nGC_TS_GC_37_Hl)
    coupl(nGC_15068) = coupl(nGC_194)*dZHa_QED2/2d0 + coupl(nGC_9513)
    coupl(nGC_13644) = coupl(nGC_156)*dZHaG0_QED2/2d0 + coupl(nGC_160)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_160)*dZeMinusR_QED2/2d0  &
                        + coupl(nGC_9471)
    coupl(nGC_14508) = -coupl(nGC_14507)
    coupl(nGC_13740) = -coupl(nGC_13197) + coupl(nGC_13201)
    coupl(nGC_14082) = coupl(nGC_13303) + coupl(nGC_14080)
    coupl(nGC_18938) = coupl(nGC_18935) + coupl(nGC_18937)
    coupl(nGC_23325) = coupl(nGC_23319) + coupl(nGC_23324)
    coupl(nGC_31481) = -coupl(nGC_8934)
    coupl(nGC_15643) = coupl(nGC_12884) + coupl(nGC_15637)
    coupl(nGC_30629) = -coupl(nGC_8899)
    coupl(nGC_15070) = coupl(nGC_15067) + coupl(nGC_15068)
    coupl(nGC_30597) = -coupl(nGC_8779)
    coupl(nGC_13331) = coupl(nGC_13325) + coupl(nGC_13330)
    coupl(nGC_29477) = -coupl(nGC_8778)
    coupl(nGC_15069) = coupl(nGC_15058) - coupl(nGC_15064) - coupl(nGC_15068)
    coupl(nGC_20579) = -coupl(nGC_20578)
  end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
