!******************************************************************************!
!                                                                              !
!    currents_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info2
  implicit none
  contains
  subroutine fill_current_2(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_Z, P_g, P_Z, P_g, 3710, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Ha, 3583, check)
    call createCurrent(P_uAnti, P_u, 2882, check)
    call createCurrent(P_Ha, P_Z, P_Ha, P_Z, 2566, check)
    call createCurrent(P_Hl, P_Ha, P_Z, 1132, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 1996, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 318, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_G0, 3112, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, 2431, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, P_Hl, 2960, check)
    call createCurrent(P_s, P_g, P_sAnti, 2593, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hl, 3606, check)
    call createCurrent(P_Hl, P_Ha, P_HMinus, P_HPlus, 3091, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 331, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hh, P_Ha, 141, check)
    call createCurrent(P_G0, P_Ha, P_HPlus, P_HMinus, 1227, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_Ha, 1393, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 1002, check)
    call createCurrent(P_A, P_Hl, P_A, 3683, check)
    call createCurrent(P_Z, P_GMinus, P_Hl, P_WPlus, 1524, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_A, 2504, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_Hh, 560, check)
    call createCurrent(P_A, P_g, P_g, P_g, 3596, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_GMinus, 3133, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, 3088, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 1963, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_G0, 3144, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, 1894, check)
    call createCurrent(P_b, P_Hh, P_bAnti, 49, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_Hl, 1140, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_GMinus, 2773, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, P_A, 3281, check)
    call createCurrent(P_HPlus, P_Z, P_G0, P_WMinus, 3125, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, 3004, check)
    call createCurrent(P_WMinus, P_Ha, P_Z, P_HPlus, 2039, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_G0, 3243, check)
    call createCurrent(P_Hh, P_Ha, P_G0, 2494, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, 3513, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, 2334, check)
    call createCurrent(P_HPlus, P_Ha, P_G0, P_GMinus, 2293, check)
    call createCurrent(P_dAnti, P_d, 3066, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Ha, 2803, check)
    call createCurrent(P_HPlus, P_Hl, P_Z, P_WMinus, 1424, check)
    call createCurrent(P_Hh, P_Z, P_Hh, P_A, 3297, check)
    call createCurrent(P_s, P_sAnti, P_Z, 762, check)
    call createCurrent(P_A, P_Hl, P_Ha, 3580, check)
    call createCurrent(P_HPlus, P_G0, P_WMinus, P_A, 3496, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_HMinus, 2259, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_G0, 2908, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Ha, 3584, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, P_Z, 495, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 642, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_Hl, 3435, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, P_Z, 1362, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_HMinus, 1289, check)
    call createCurrent(P_Z, P_G0, P_Hl, 2069, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Hl, 120, check)
    call createCurrent(P_Z, P_Hh, P_WMinus, P_GPlus, 2656, check)
    call createCurrent(P_Hh, P_G0, P_Hh, P_G0, 1216, check)
    call createCurrent(P_g, P_d, P_dAnti, 1060, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghZ, 3137, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, P_A, 174, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Ha, 3635, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_Ha, 476, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_Z, 3166, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, 3352, check)
    call createCurrent(P_cAnti, P_g, P_c, 1626, check)
    call createCurrent(P_Z, P_Z, P_G0, P_Ha, 3573, check)
    call createCurrent(P_HPlus, P_G0, P_Hh, P_HMinus, 2782, check)
    call createCurrent(P_A, P_cAnti, P_c, 2181, check)
    call createCurrent(P_HMinus, P_bAnti, P_t, 396, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Ha, 3389, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_HMinus, 2139, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 2150, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, 2123, check)
    call createCurrent(P_Ha, P_Hl, P_Ha, P_Hl, 1072, check)
    call createCurrent(P_HPlus, P_HMinus, P_HMinus, P_HPlus, 1816, check)
    call createCurrent(P_GPlus, P_A, P_A, P_HMinus, 3296, check)
    call createCurrent(P_A, P_GMinus, P_A, P_HPlus, 3547, check)
    call createCurrent(P_g, P_tAnti, P_t, 1345, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_Ha, 3143, check)
    call createCurrent(P_GPlus, P_g, P_g, P_HMinus, 3851, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, P_Z, 1084, check)
    call createCurrent(P_A, P_A, P_A, P_A, 3762, check)
    call createCurrent(P_G0, P_Ha, P_HMinus, P_HPlus, 1121, check)
    call createCurrent(P_cAnti, P_Hl, P_c, 634, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 1270, check)
    call createCurrent(P_Ha, P_Hl, P_G0, P_G0, 3787, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_G0, 2814, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 3810, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, 2234, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Hl, 615, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 3666, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_Z, 3697, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 3637, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 114, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_A, 2758, check)
    call createCurrent(P_Hh, P_WPlus, P_Hh, P_WMinus, 2633, check)
    call createCurrent(P_t, P_g, P_tAnti, 1872, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, P_Hl, 2905, check)
    call createCurrent(P_Hl, P_Z, P_HMinus, P_WPlus, 2567, check)
    call createCurrent(P_Z, P_Hh, P_Hh, P_Z, 177, check)
    call createCurrent(P_g, P_g, P_Ha, P_G0, 3739, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 2488, check)
    call createCurrent(P_G0, P_HMinus, P_Z, P_WPlus, 2860, check)
    call createCurrent(P_G0, P_G0, P_HPlus, P_HMinus, 955, check)
    call createCurrent(P_HPlus, P_GMinus, P_A, P_A, 3457, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 2674, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_Z, 1160, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 2213, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_A, 3655, check)
    call createCurrent(P_HMinus, P_Hl, P_Ha, P_GPlus, 1564, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 790, check)
    call createCurrent(P_A, P_HMinus, P_A, P_GPlus, 3048, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 1754, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hl, P_A, 962, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hl, 2927, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 248, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, 760, check)
    call createCurrent(P_Ha, P_Z, P_Ha, P_A, 3076, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, P_A, 176, check)
    call createCurrent(P_Hl, P_d, P_dAnti, 1803, check)
    call createCurrent(P_HPlus, P_Ha, P_WMinus, 1732, check)
    call createCurrent(P_Hh, P_eMinus, P_ePlus, 2201, check)
    call createCurrent(P_u, P_Hh, P_uAnti, 2075, check)
    call createCurrent(P_muPlus, P_muMinus, 3061, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, P_Ha, 110, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 112, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Ha, 368, check)
    call createCurrent(P_Ha, P_G0, P_GMinus, P_GPlus, 1272, check)
    call createCurrent(P_GMinus, P_Hh, P_Hl, P_GPlus, 126, check)
    call createCurrent(P_G0, P_Ha, P_Hl, 1203, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hl, 1175, check)
    call createCurrent(P_uAnti, P_G0, P_u, 333, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 1162, check)
    call createCurrent(P_Ha, P_Hh, P_Hl, P_G0, 1509, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_G0, 1694, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, P_A, 782, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_Ha, 2499, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 2420, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hl, 3845, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, 1266, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 1492, check)
    call createCurrent(P_A, P_HMinus, P_Ha, P_WPlus, 2673, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_GPlus, 898, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, 648, check)
    call createCurrent(P_Z, P_G0, P_Ha, P_A, 3748, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 2446, check)
    call createCurrent(P_Ha, P_A, P_A, P_Ha, 3799, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_G0, 3551, check)
    call createCurrent(P_d, P_Hl, P_dAnti, 1292, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_A, 3661, check)
    call createCurrent(P_Hl, P_u, P_uAnti, 151, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 3713, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, 75, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 1117, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, 1103, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_HMinus, 3080, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_G0, 468, check)
    call createCurrent(P_Z, P_b, P_bAnti, 2641, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 194, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, 3379, check)
    call createCurrent(P_HMinus, P_Hl, P_Hl, P_GPlus, 1331, check)
    call createCurrent(P_muMinus, P_Hl, P_muPlus, 878, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 1766, check)
    call createCurrent(P_HPlus, P_Hh, P_G0, P_HMinus, 2839, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 1916, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_Hh, 1131, check)
    call createCurrent(P_HMinus, P_WMinus, P_HPlus, P_WPlus, 1898, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_HMinus, 2427, check)
    call createCurrent(P_Hh, P_Ha, P_Z, 923, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 362, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Ha, 2768, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, 2006, check)
    call createCurrent(P_Ha, P_Z, P_WPlus, P_HMinus, 460, check)
    call createCurrent(P_g, P_u, P_uAnti, 2106, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_G0, 1814, check)
    call createCurrent(P_HMinus, P_A, P_GPlus, 3360, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 671, check)
    call createCurrent(P_Ha, P_GMinus, P_Ha, P_GPlus, 2584, check)
    call createCurrent(P_Hh, P_Hh, P_HMinus, P_HPlus, 1240, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_Z, 2900, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_Z, 3282, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_G0, 253, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_A, 803, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 1942, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, 2028, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_Hl, 639, check)
    call createCurrent(P_Ha, P_WPlus, P_GMinus, P_A, 2832, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 3693, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Hl, 1831, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 59, check)
    call createCurrent(P_Hl, P_Hh, P_WMinus, P_WPlus, 3055, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hl, 3611, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, P_Z, 2332, check)
    call createCurrent(P_HPlus, P_GMinus, P_GMinus, P_HPlus, 427, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, P_Z, 568, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 2301, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 341, check)
    call createCurrent(P_Z, P_GMinus, P_Ha, P_WPlus, 3165, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, P_Hh, 1717, check)
    call createCurrent(P_bAnti, P_Ha, P_b, 1051, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Ha, 3355, check)
    call createCurrent(P_sAnti, P_s, P_A, 653, check)
    call createCurrent(P_G0, P_Hh, P_HPlus, P_HMinus, 3310, check)
    call createCurrent(P_g, P_HMinus, P_g, P_GPlus, 3707, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hh, 2157, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, 1995, check)
    call createCurrent(P_muMinus, P_muPlus, P_Ha, 57, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, P_Z, 3538, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, 155, check)
    call createCurrent(P_Ha, P_GMinus, P_Hl, P_GPlus, 3532, check)
    call createCurrent(P_HMinus, P_G0, P_Hl, P_HPlus, 2736, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Ha, 2464, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hl, P_Z, 538, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_HPlus, 2811, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 309, check)
    call createCurrent(P_A, P_HPlus, P_Hh, P_WMinus, 1512, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, 1092, check)
    call createCurrent(P_HMinus, P_GPlus, P_GMinus, P_GPlus, 2692, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_HPlus, 2018, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 1380, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, 335, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 2013, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_HPlus, 330, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 2472, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 376, check)
    call createCurrent(P_t, P_tAnti, P_Hh, 277, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, P_Hl, 1957, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, 3083, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_A, 3715, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 1165, check)
    call createCurrent(P_t, P_Ha, P_tAnti, 472, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, P_Z, 1567, check)
    call createCurrent(P_ePlus, P_Ha, P_eMinus, 1913, check)
    call createCurrent(P_Hl, P_GMinus, P_Hl, P_HPlus, 2084, check)
    call createCurrent(P_Z, P_Z, P_HPlus, P_GMinus, 3280, check)
    call createCurrent(P_GPlus, P_Ha, P_WMinus, 3502, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 958, check)
    call createCurrent(P_A, P_Ha, P_A, P_Ha, 3783, check)
    call createCurrent(P_GMinus, P_Ha, P_Hl, P_HPlus, 1680, check)
    call createCurrent(P_cAnti, P_c, P_g, 1577, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 910, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 2822, check)
    call createCurrent(P_dAnti, P_Hh, P_d, 557, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, 7, check)
    call createCurrent(P_G0, P_Hl, P_Hl, P_Ha, 1246, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_HMinus, 530, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 2465, check)
    call createCurrent(P_nu_e, P_ePlus, P_HMinus, 2216, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_G0, 2721, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 3755, check)
    call createCurrent(P_Ha, P_eMinus, P_ePlus, 1934, check)
    call createCurrent(P_Z, P_Ha, 3037, check)
    call createCurrent(P_HPlus, P_WMinus, 3579, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, P_Z, 3460, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hl, 3763, check)
    call createCurrent(P_A, P_A, P_G0, P_Ha, 3714, check)
    call createCurrent(P_Hh, P_HPlus, P_Hh, P_HMinus, 450, check)
    call createCurrent(P_Hh, P_Hl, P_GPlus, P_HMinus, 1550, check)
    call createCurrent(P_A, P_sAnti, P_s, 1465, check)
    call createCurrent(P_G0, P_GPlus, P_Hh, P_GMinus, 2875, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Hl, 3340, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_Ha, 554, check)
    call createCurrent(P_Ha, P_GMinus, P_G0, P_HPlus, 1768, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_Ha, 2175, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_HMinus, 3501, check)
    call createCurrent(P_WPlus, P_HMinus, P_HPlus, P_WMinus, 379, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Hh, 2273, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, 3045, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 2020, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, P_Z, 2800, check)
    call createCurrent(P_d, P_dAnti, P_Z, 95, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_GPlus, 2841, check)
    call createCurrent(P_dAnti, P_Ha, P_d, 2353, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Hl, 2824, check)
    call createCurrent(P_HMinus, P_tauPlus, P_nu_tau, 522, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, P_G0, 1195, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_G0, 2608, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, P_Z, 839, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_HMinus, 2096, check)
    call createCurrent(P_g, P_g, P_Hh, 3645, check)
    call createCurrent(P_G0, P_Hh, P_G0, 1797, check)
    call createCurrent(P_Hh, P_d, P_dAnti, 1041, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_Hh, 2716, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_HMinus, 1837, check)
    call createCurrent(P_Ha, P_WMinus, P_A, P_GPlus, 2901, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 1676, check)
    call createCurrent(P_g, P_g, P_g, P_A, 3814, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 726, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 2659, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 3798, check)
    call createCurrent(P_u, P_Hl, P_uAnti, 275, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, 3475, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Hh, 825, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, 3448, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, 3241, check)
    call createCurrent(P_HPlus, P_g, P_HMinus, P_g, 3790, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 244, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 467, check)
    call createCurrent(P_Hh, P_HPlus, P_Ha, P_GMinus, 231, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_GMinus, 1848, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Ha, 3391, check)
    call createCurrent(P_b, P_bAnti, P_A, 2563, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hl, 205, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 1869, check)
    call createCurrent(P_Z, P_Ha, P_HPlus, P_WMinus, 2005, check)
    call createCurrent(P_Ha, P_A, P_WMinus, P_GPlus, 3303, check)
    call createCurrent(P_Hh, P_Z, P_GMinus, P_WPlus, 2233, check)
    call createCurrent(P_Ha, P_G0, P_HPlus, P_GMinus, 2462, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 2496, check)
    call createCurrent(P_A, P_Z, P_Hl, 3030, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_Z, 3586, check)
    call createCurrent(P_Hl, P_GMinus, P_Ha, P_GPlus, 2943, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, P_Z, 1253, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hh, 3317, check)
    call createCurrent(P_A, P_A, P_HMinus, P_GPlus, 2747, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 322, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hh, 3119, check)
    call createCurrent(P_sAnti, P_G0, P_s, 1169, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 2526, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 1033, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 3663, check)
    call createCurrent(P_Ha, P_tauMinus, P_tauPlus, 497, check)
    call createCurrent(P_Hh, P_G0, P_Z, 93, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_Ha, 826, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 210, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 1395, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_Z, 4, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, P_Z, 1841, check)
    call createCurrent(P_Hl, P_g, P_Hl, P_g, 3801, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Ha, 2269, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hl, 1019, check)
    call createCurrent(P_A, P_G0, 3470, check)
    call createCurrent(P_GPlus, P_WMinus, P_HMinus, P_WPlus, 3099, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 429, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hh, 3104, check)
    call createCurrent(P_A, P_Hh, P_GPlus, P_WMinus, 2508, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_HMinus, 420, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hh, 3363, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 2376, check)
    call createCurrent(P_GMinus, P_G0, P_Hl, P_HPlus, 929, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_HMinus, 1843, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, 165, check)
    call createCurrent(P_HPlus, P_g, P_GMinus, P_g, 3773, check)
    call createCurrent(P_g, P_g, P_g, P_g, 324, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_GPlus, 3071, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 1301, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hl, 1986, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hh, 2375, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, 1235, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_HPlus, 3388, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_HPlus, 988, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 1735, check)
    call createCurrent(P_Z, P_G0, P_HMinus, P_WPlus, 3170, check)
    call createCurrent(P_bAnti, P_b, P_Hh, 1745, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_G0, 769, check)
    call createCurrent(P_Hh, P_GMinus, P_Hh, P_GPlus, 2703, check)
    call createCurrent(P_HPlus, P_WPlus, P_HMinus, P_WMinus, 1193, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, 835, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_Ha, 402, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 1844, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hh, 660, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Ha, 421, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Hl, 3660, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 2131, check)
    call createCurrent(P_A, P_Z, P_HMinus, P_GPlus, 2986, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, P_A, 3136, check)
    call createCurrent(P_Hh, P_WMinus, P_Hl, P_WPlus, 2827, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_Hl, 2700, check)
    call createCurrent(P_G0, P_A, P_A, P_Ha, 3860, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 2078, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hh, 944, check)
    call createCurrent(P_Hl, P_c, P_cAnti, 1812, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hl, 405, check)
    call createCurrent(P_b, P_bAnti, P_Hl, 815, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_G0, 3553, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hl, 695, check)
    call createCurrent(P_t, P_tAnti, P_Ha, 2658, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_G0, 694, check)
    call createCurrent(P_c, P_HMinus, P_sAnti, 2054, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 1144, check)
    call createCurrent(P_HMinus, P_A, P_A, P_HPlus, 2130, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 2211, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, P_A, 3262, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 3638, check)
    call createCurrent(P_A, P_HPlus, P_Hl, P_WMinus, 622, check)
    call createCurrent(P_A, P_WMinus, P_Hl, P_HPlus, 1205, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_G0, 1065, check)
    call createCurrent(P_Hl, P_GPlus, P_Hh, P_HMinus, 939, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 1870, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 1298, check)
    call createCurrent(P_bAnti, P_A, P_b, 2046, check)
    call createCurrent(P_Hh, P_Ha, P_HPlus, P_GMinus, 2274, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_G0, 566, check)
    call createCurrent(P_HMinus, P_ePlus, P_nu_e, 1891, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 3874, check)
    call createCurrent(P_Hl, P_Ha, P_HPlus, P_GMinus, 317, check)
    call createCurrent(P_G0, P_t, P_tAnti, 389, check)
    call createCurrent(P_Hl, P_HMinus, P_Hh, P_GPlus, 1187, check)
    call createCurrent(P_cAnti, P_c, P_G0, 2207, check)
    call createCurrent(P_tAnti, P_Hl, P_t, 1578, check)
    call createCurrent(P_cAnti, P_c, P_Hl, 1129, check)
    call createCurrent(P_HMinus, P_Hh, P_Hh, P_HPlus, 2439, check)
    call createCurrent(P_bAnti, P_g, P_b, 2298, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, 1159, check)
    call createCurrent(P_Z, P_WMinus, P_Hl, P_HPlus, 1699, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_Z, 204, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_GMinus, 2634, check)
    call createCurrent(P_GMinus, P_GMinus, P_HPlus, P_GPlus, 1984, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 508, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_G0, 2783, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, P_Z, 3070, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 1673, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_HPlus, 1982, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_Z, 625, check)
    call createCurrent(P_Ha, P_Hl, P_G0, P_Hl, 2568, check)
    call createCurrent(P_HMinus, P_Z, P_Z, P_GPlus, 3465, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 1226, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, 456, check)
    call createCurrent(P_cAnti, P_c, P_Ha, 106, check)
    call createCurrent(P_Hh, P_HMinus, P_Ha, P_HPlus, 3198, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 746, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, 577, check)
    call createCurrent(P_Ha, P_Hh, P_G0, 2343, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 595, check)
    call createCurrent(P_g, P_uAnti, P_u, 1713, check)
    call createCurrent(P_Ha, P_Z, P_GMinus, P_WPlus, 3587, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Ha, 2378, check)
    call createCurrent(P_Ha, P_Hl, P_A, 3232, check)
    call createCurrent(P_Ha, P_t, P_tAnti, 1482, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 2166, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, P_Z, 3123, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, 2950, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Hl, 1000, check)
    call createCurrent(P_G0, P_Hl, P_A, 3237, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 1525, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hl, 1791, check)
    call createCurrent(P_GPlus, P_HMinus, P_G0, P_G0, 2662, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, 3254, check)
    call createCurrent(P_WMinus, P_A, P_Ha, P_HPlus, 670, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 2589, check)
    call createCurrent(P_A, P_G0, P_Ha, P_A, 3861, check)
    call createCurrent(P_g, P_GMinus, P_HPlus, P_g, 3761, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 1836, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 2010, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, 84, check)
    call createCurrent(P_G0, P_Ha, P_A, P_Z, 3712, check)
    call createCurrent(P_tauMinus, P_Hl, P_tauPlus, 881, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 743, check)
    call createCurrent(P_Hh, P_bAnti, P_b, 2117, check)
    call createCurrent(P_sAnti, P_s, P_Z, 2351, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 1964, check)
    call createCurrent(P_Hh, P_Z, P_Z, P_Hh, 1873, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_A, 3288, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, P_Z, 2092, check)
    call createCurrent(P_HPlus, P_GMinus, P_WMinus, P_WPlus, 2962, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hl, 83, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 180, check)
    call createCurrent(P_Hh, P_Ha, P_GPlus, P_GMinus, 3386, check)
    call createCurrent(P_Hh, P_Hh, P_G0, P_Ha, 524, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 721, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 1209, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 3679, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Ha, 3258, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, 1497, check)
    call createCurrent(P_Ha, P_Ha, P_g, P_g, 3863, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_Ha, 230, check)
    call createCurrent(P_Ha, P_Z, P_A, P_G0, 3733, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 3718, check)
    call createCurrent(P_Z, P_Hh, P_HMinus, P_WPlus, 61, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_Z, 1600, check)
    call createCurrent(P_d, P_Hh, P_dAnti, 1760, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Ha, 3283, check)
    call createCurrent(P_Ha, P_cAnti, P_c, 437, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, 569, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_Z, 2854, check)
    call createCurrent(P_Hh, P_Hh, P_g, P_g, 3703, check)
    call createCurrent(P_Hh, P_Hl, P_Ha, P_Ha, 359, check)
    call createCurrent(P_HPlus, P_Ha, P_Hh, P_HMinus, 2846, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 3865, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hl, 580, check)
    call createCurrent(P_WPlus, P_WMinus, P_Ha, P_Ha, 525, check)
    call createCurrent(P_HPlus, P_Hl, P_WMinus, P_Z, 733, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 1855, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, 3201, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_Z, 3196, check)
    call createCurrent(P_Z, P_cAnti, P_c, 1691, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_HPlus, 1104, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 2279, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_Ha, 932, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, P_A, 1181, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 1437, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Ha, 3844, check)
    call createCurrent(P_HPlus, P_HPlus, P_GMinus, P_HMinus, 1568, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_Hh, 1354, check)
    call createCurrent(P_HMinus, P_GPlus, P_WPlus, P_WMinus, 2955, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hl, P_Z, 691, check)
    call createCurrent(P_HMinus, P_GPlus, P_HMinus, P_HPlus, 2108, check)
    call createCurrent(P_b, P_g, P_bAnti, 2034, check)
    call createCurrent(P_WMinus, P_HPlus, 2785, check)
    call createCurrent(P_Hh, P_G0, P_Hl, P_Ha, 2691, check)
    call createCurrent(P_HMinus, P_Ha, P_A, P_WPlus, 1832, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_Hl, 1004, check)
    call createCurrent(P_WMinus, P_HPlus, P_Ha, 1363, check)
    call createCurrent(P_muMinus, P_HPlus, P_nu_muAnti, 2288, check)
    call createCurrent(P_g, P_A, P_g, P_A, 3737, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, 207, check)
    call createCurrent(P_G0, P_HPlus, P_Hl, P_HMinus, 3312, check)
    call createCurrent(P_Z, P_Z, P_Hh, 2286, check)
    call createCurrent(P_GPlus, P_Ha, P_WMinus, P_Z, 3102, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_HPlus, 302, check)
    call createCurrent(P_bAnti, P_b, P_Ha, 2629, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 1827, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, 1616, check)
    call createCurrent(P_cAnti, P_c, P_A, 891, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_GPlus, 2480, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, 193, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_Ha, 1625, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hh, 2492, check)
    call createCurrent(P_Hh, P_WMinus, P_Hh, P_WPlus, 2323, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_HPlus, 3418, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 2503, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 598, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_A, 3772, check)
    call createCurrent(P_HPlus, P_HMinus, P_HMinus, P_GPlus, 2285, check)
    call createCurrent(P_HMinus, P_G0, P_G0, P_HPlus, 2616, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 1326, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, 375, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_GMinus, 3005, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 1449, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Ha, 2648, check)
    call createCurrent(P_HPlus, P_Hl, P_Hl, P_GMinus, 942, check)
    call createCurrent(P_Hl, P_Hl, P_HMinus, P_GPlus, 394, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_Z, 849, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_GMinus, 1635, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_G0, 1377, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, 2961, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 2088, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 1828, check)
    call createCurrent(P_G0, P_Ha, P_HMinus, P_GPlus, 904, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_HPlus, 363, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_HPlus, 2653, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hl, 2873, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Ha, 3326, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hh, 1087, check)
    call createCurrent(P_WMinus, P_Ha, P_Ha, P_WPlus, 520, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1138, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hh, 289, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Ha, 1862, check)
    call createCurrent(P_Hh, P_HMinus, P_Hl, P_GPlus, 1101, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hh, 2304, check)
    call createCurrent(P_GMinus, P_HPlus, P_A, 2855, check)
    call createCurrent(P_G0, P_Ha, P_GMinus, P_GPlus, 901, check)
    call createCurrent(P_g, P_g, P_GPlus, P_HMinus, 3830, check)
    call createCurrent(P_G0, P_Z, P_HMinus, P_WPlus, 3075, check)
    call createCurrent(P_t, P_bAnti, P_HMinus, 1594, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, P_A, 3272, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Hh, 2761, check)
    call createCurrent(P_GMinus, P_GPlus, P_HPlus, P_HMinus, 2379, check)
    call createCurrent(P_Ha, P_A, P_WPlus, P_GMinus, 3120, check)
    call createCurrent(P_Z, P_G0, P_Hh, 2260, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Hl, 673, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Hl, 3134, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_GMinus, 2954, check)
    call createCurrent(P_Hh, P_GPlus, P_Hh, P_GMinus, 2309, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_Ha, 1068, check)
    call createCurrent(P_g, P_GMinus, P_g, P_HPlus, 3716, check)
    call createCurrent(P_Hl, P_WMinus, P_Hh, P_WPlus, 2863, check)
    call createCurrent(P_Z, P_A, P_HPlus, P_GMinus, 2744, check)
    call createCurrent(P_Hh, P_Hl, P_HMinus, P_GPlus, 2002, check)
    call createCurrent(P_HMinus, P_Hh, P_Z, P_WPlus, 789, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hh, 1254, check)
    call createCurrent(P_Hh, P_Z, P_Ha, 1153, check)
    call createCurrent(P_uAnti, P_u, P_A, 792, check)
    call createCurrent(P_tAnti, P_G0, P_t, 976, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, 2724, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, 3057, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Hh, 3049, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, 1921, check)
    call createCurrent(P_s, P_sAnti, P_Ha, 131, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_G0, 501, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 589, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_A, 852, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 2172, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_G0, 3491, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hh, 2163, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, 252, check)
    call createCurrent(P_tAnti, P_Z, P_t, 1082, check)
    call createCurrent(P_Hh, P_Hh, 3007, check)
    call createCurrent(P_Hh, P_G0, P_HPlus, P_GMinus, 1310, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Hh, 687, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 536, check)
    call createCurrent(P_Hh, P_muMinus, P_muPlus, 640, check)
    call createCurrent(P_GPlus, P_Ha, P_Hl, P_HMinus, 1506, check)
    call createCurrent(P_g, P_G0, P_Ha, P_g, 3735, check)
    call createCurrent(P_WMinus, P_Hh, P_Z, P_GPlus, 1948, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, 1859, check)
    call createCurrent(P_Hl, P_A, P_GPlus, P_WMinus, 1692, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 3699, check)
    call createCurrent(P_Z, P_Ha, P_WMinus, P_GPlus, 2980, check)
    call createCurrent(P_c, P_cAnti, P_G0, 2453, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, P_Hh, 3161, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 2143, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 1618, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_GPlus, 145, check)
    call createCurrent(P_b, P_bAnti, P_g, 1876, check)
    call createCurrent(P_Hl, P_HPlus, P_Hh, P_HMinus, 2395, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_GPlus, 34, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 682, check)
    call createCurrent(P_Ha, P_G0, P_WPlus, P_WMinus, 2966, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_GMinus, 2600, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 287, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 903, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 494, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_Z, 2276, check)
    call createCurrent(P_Hl, P_WPlus, P_Hh, P_WMinus, 2948, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hl, 3850, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, 2585, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_HPlus, 3392, check)
    call createCurrent(P_g, P_A, P_A, P_g, 3671, check)
    call createCurrent(P_Ha, P_g, P_g, P_Ha, 3603, check)
    call createCurrent(P_G0, P_Ha, P_G0, 3616, check)
    call createCurrent(P_sAnti, P_Z, P_s, 516, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_Hh, 1387, check)
    call createCurrent(P_Ha, P_Ha, P_Hh, P_Hl, 357, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_G0, 2008, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Hl, 822, check)
    call createCurrent(P_A, P_G0, P_Hh, 3499, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, 1554, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 3736, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 3658, check)
    call createCurrent(P_G0, P_Ha, P_Hh, 1308, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 584, check)
    call createCurrent(P_Ha, P_Hh, P_HMinus, P_GPlus, 2071, check)
    call createCurrent(P_WPlus, P_Z, P_Hh, P_GMinus, 1474, check)
    call createCurrent(P_Ha, P_GPlus, P_GMinus, P_G0, 1493, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, 2011, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 1277, check)
    call createCurrent(P_HMinus, P_HMinus, P_GPlus, P_GPlus, 2283, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 1135, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_G0, 3001, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_HPlus, 3131, check)
    call createCurrent(P_dAnti, P_A, P_d, 897, check)
    call createCurrent(P_Hl, P_G0, P_A, 3110, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_A, 2973, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, 941, check)
    call createCurrent(P_GPlus, P_WMinus, 3569, check)
    call createCurrent(P_Ha, P_WMinus, P_Z, P_HPlus, 2198, check)
    call createCurrent(P_Z, P_tAnti, P_t, 823, check)
    call createCurrent(P_Ha, P_A, P_Z, P_G0, 3826, check)
    call createCurrent(P_Ha, P_GMinus, P_A, P_WPlus, 3396, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 1824, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 1498, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hh, 3597, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 3684, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 2220, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 2214, check)
    call createCurrent(P_Ha, P_Ha, P_HMinus, P_HPlus, 703, check)
    call createCurrent(P_Z, P_Ha, P_G0, P_Z, 2770, check)
    call createCurrent(P_Hh, P_Ha, P_HMinus, P_HPlus, 3444, check)
    call createCurrent(P_s, P_sAnti, 2938, check)
    call createCurrent(P_HMinus, P_Z, P_Hl, P_WPlus, 91, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_Hl, 25, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_Hl, 996, check)
    call createCurrent(P_Ha, P_HPlus, P_A, P_WMinus, 706, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_HPlus, 3228, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, 2381, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_HMinus, 1533, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 1313, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hl, 603, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 1823, check)
    call createCurrent(P_A, P_Ha, P_Z, P_G0, 3646, check)
    call createCurrent(P_Ha, P_Hh, P_Hh, P_Ha, 483, check)
    call createCurrent(P_Hl, P_Ha, P_Hl, P_G0, 542, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_HPlus, 3449, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_G0, 1573, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 3876, check)
    call createCurrent(P_WMinus, P_HMinus, P_GPlus, P_WPlus, 2794, check)
    call createCurrent(P_GMinus, P_A, P_A, P_HPlus, 3552, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 1334, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hh, 3857, check)
    call createCurrent(P_Hl, P_A, P_GMinus, P_WPlus, 1355, check)
    call createCurrent(P_Hl, P_Z, P_GMinus, P_WPlus, 2396, check)
    call createCurrent(P_Z, P_G0, P_A, P_Ha, 3760, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, 3325, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, 1114, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, P_Hl, 2187, check)
    call createCurrent(P_GPlus, P_HMinus, 2969, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, P_Hh, 2618, check)
    call createCurrent(P_HPlus, P_G0, P_Hl, P_HMinus, 3405, check)
    call createCurrent(P_Ha, P_G0, 3145, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_Z, 3526, check)
    call createCurrent(P_HMinus, P_Hl, P_G0, P_GPlus, 1661, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 1490, check)
    call createCurrent(P_GMinus, P_HPlus, 3286, check)
    call createCurrent(P_WPlus, P_Hl, P_Hh, P_WMinus, 2712, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 2421, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Hh, 1278, check)
    call createCurrent(P_G0, P_HPlus, P_WMinus, P_Z, 2837, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_GMinus, 3150, check)
    call createCurrent(P_GMinus, P_Ha, P_Hl, P_GPlus, 2812, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hh, 3730, check)
    call createCurrent(P_G0, P_Z, P_Ha, P_A, 3806, check)
    call createCurrent(P_c, P_cAnti, P_g, 36, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, 1208, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_GMinus, 1128, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_G0, 2382, check)
    call createCurrent(P_G0, P_G0, 2830, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_GPlus, 2417, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, 1936, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Ha, 1537, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 2136, check)
    call createCurrent(P_nu_tau, P_HMinus, P_tauPlus, 2229, check)
    call createCurrent(P_Hh, P_WPlus, P_A, P_HMinus, 583, check)
    call createCurrent(P_A, P_HPlus, P_Z, P_GMinus, 3025, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 2022, check)
    call createCurrent(P_Hh, P_Z, P_WPlus, P_GMinus, 2372, check)
    call createCurrent(P_GPlus, P_Ha, P_G0, P_GMinus, 1409, check)
    call createCurrent(P_GMinus, P_Z, P_Hh, P_WPlus, 1166, check)
    call createCurrent(P_Ha, P_Hl, P_Ha, P_Hh, 1477, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 12, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_HPlus, 241, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Ha, 1485, check)
    call createCurrent(P_Z, P_HMinus, P_Hh, P_WPlus, 2505, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, P_G0, 2637, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 1476, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 1774, check)
    call createCurrent(P_Z, P_HMinus, P_Hl, P_WPlus, 902, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hl, 1714, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, 1273, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, P_A, 130, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 1211, check)
    call createCurrent(P_Hl, P_sAnti, P_s, 73, check)
    call createCurrent(P_Ha, P_WMinus, P_WPlus, P_G0, 3152, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 2192, check)
    call createCurrent(P_A, P_HPlus, P_A, P_HMinus, 147, check)
    call createCurrent(P_Hl, P_Z, P_WPlus, P_HMinus, 860, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, 2425, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 2178, check)
    call createCurrent(P_Ha, P_G0, P_Hh, P_Hl, 1178, check)
    call createCurrent(P_HMinus, P_Ha, P_Ha, P_GPlus, 2430, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 2623, check)
    call createCurrent(P_Ha, P_GPlus, P_A, P_WMinus, 3480, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_G0, 89, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_HMinus, 2870, check)
    call createCurrent(P_GPlus, P_Hl, P_Ha, P_GMinus, 3483, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 2697, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 2219, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 1641, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 3670, check)
    call createCurrent(P_Hl, P_HPlus, P_G0, P_HMinus, 3033, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 786, check)
    call createCurrent(P_G0, P_Hh, P_GMinus, P_HPlus, 2226, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_Z, 2161, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 702, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 1890, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Hl, 1684, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_G0, 280, check)
    call createCurrent(P_Hh, P_HPlus, P_Hl, P_GMinus, 136, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 2176, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_GPlus, 1460, check)
    call createCurrent(P_tauMinus, P_Hh, P_tauPlus, 992, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_GMinus, 382, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hh, 2588, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_G0, 3484, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 3621, check)
    call createCurrent(P_g, P_bAnti, P_b, 281, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_G0, 3024, check)
    call createCurrent(P_Z, P_Hl, P_WMinus, P_HPlus, 1606, check)
    call createCurrent(P_Hl, P_GPlus, P_G0, P_HMinus, 2297, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 2347, check)
    call createCurrent(P_GMinus, P_GPlus, P_HMinus, P_HPlus, 2444, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_A, 2339, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, 1544, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Ha, 3176, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 718, check)
    call createCurrent(P_Hl, P_HPlus, P_Hl, P_HMinus, 458, check)
    call createCurrent(P_G0, P_Ha, P_Hl, P_Hl, 995, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, 1705, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 2032, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hh, 1632, check)
    call createCurrent(P_Ha, P_G0, P_Ha, P_G0, 1384, check)
    call createCurrent(P_HPlus, P_WMinus, P_HMinus, P_WPlus, 2221, check)
    call createCurrent(P_Hl, P_Hl, P_g, P_g, 3843, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 1034, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 1022, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_G0, 1753, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 699, check)
    call createCurrent(P_Hh, P_HPlus, P_G0, P_GMinus, 1353, check)
    call createCurrent(P_A, P_Ha, P_WPlus, P_GMinus, 2742, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_G0, 2035, check)
    call createCurrent(P_bAnti, P_b, P_A, 1556, check)
    call createCurrent(P_HPlus, P_HMinus, P_GPlus, P_GMinus, 1329, check)
    call createCurrent(P_GPlus, P_Ha, P_A, P_WMinus, 3002, check)
    call createCurrent(P_A, P_Hl, P_WPlus, P_GMinus, 644, check)
    call createCurrent(P_Z, P_GPlus, P_Hl, P_WMinus, 2393, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 969, check)
    call createCurrent(P_WPlus, P_Ha, P_Z, P_HMinus, 2380, check)
    call createCurrent(P_WMinus, P_Ha, P_Z, P_GPlus, 2977, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, 1340, check)
    call createCurrent(P_Z, P_WPlus, P_Hh, P_GMinus, 824, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_HPlus, 2299, check)
    call createCurrent(P_Hh, P_Hl, P_HPlus, P_GMinus, 1185, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 1807, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, 1883, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_A, 911, check)
    call createCurrent(P_Hh, P_A, P_WMinus, P_HPlus, 1232, check)
    call createCurrent(P_Ha, P_Z, P_A, P_Ha, 3472, check)
    call createCurrent(P_Hl, P_Ha, P_HPlus, P_HMinus, 2941, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_Z, 3530, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 183, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Hh, 657, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 1219, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_G0, 1900, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_HPlus, 1190, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 1611, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, P_Z, 3172, check)
    call createCurrent(P_Ha, P_u, P_uAnti, 1365, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Hh, 2115, check)
    call createCurrent(P_Ha, P_Hh, P_HPlus, P_GMinus, 18, check)
    call createCurrent(P_GMinus, P_Hh, P_Hh, P_HPlus, 1970, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hl, 3278, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 2255, check)
    call createCurrent(P_WMinus, P_HPlus, P_WPlus, P_GMinus, 2918, check)
    call createCurrent(P_Ha, P_HPlus, P_WMinus, 1252, check)
    call createCurrent(P_HPlus, P_A, P_A, P_GMinus, 3542, check)
    call createCurrent(P_WMinus, P_GPlus, P_HMinus, P_WPlus, 3273, check)
    call createCurrent(P_g, P_GPlus, P_HMinus, P_g, 3695, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, P_A, 1389, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_Hl, 2823, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 1168, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, 3557, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 856, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, 817, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1562, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Ha, 9, check)
    call createCurrent(P_g, P_g, P_Ha, P_Ha, 3694, check)
    call createCurrent(P_Hl, P_Ha, P_Hh, P_G0, 1394, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_HPlus, 2101, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_GPlus, 2077, check)
    call createCurrent(P_HMinus, P_Hl, P_Ha, P_HPlus, 3536, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_GPlus, 2615, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, P_Hl, 2401, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hh, 527, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_HMinus, 1719, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Ha, 435, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, P_Z, 3546, check)
    call createCurrent(P_g, P_HPlus, P_g, P_GMinus, 3812, check)
    call createCurrent(P_Ha, P_HMinus, P_A, P_WPlus, 1516, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, 3175, check)
    call createCurrent(P_Hl, P_HPlus, P_Hh, P_GMinus, 2602, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, P_A, 109, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_HMinus, 412, check)
    call createCurrent(P_Ha, P_G0, P_HMinus, P_GPlus, 1937, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_Hh, 2110, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 1707, check)
    call createCurrent(P_G0, P_Hl, P_GMinus, P_GPlus, 3316, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, 2405, check)
    call createCurrent(P_Z, P_G0, 3011, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, 3466, check)
    call createCurrent(P_A, P_A, P_HPlus, P_GMinus, 2796, check)
    call createCurrent(P_Z, P_Hl, P_WPlus, P_HMinus, 1720, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 2869, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 55, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 2473, check)
    call createCurrent(P_GPlus, P_A, P_Ha, P_WMinus, 3322, check)
    call createCurrent(P_HPlus, P_Ha, P_Ha, P_HMinus, 425, check)
    call createCurrent(P_G0, P_HMinus, P_WPlus, 3313, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_HMinus, 3518, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_HPlus, 2142, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, 797, check)
    call createCurrent(P_A, P_HPlus, P_Ha, P_WMinus, 1793, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, 17, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, 3195, check)
    call createCurrent(P_uAnti, P_g, P_u, 2349, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_G0, 2909, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_A, 3662, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Ha, 2266, check)
    call createCurrent(P_Hh, P_Z, P_Z, 2307, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 1237, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 1633, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, 2991, check)
    call createCurrent(P_G0, P_A, 2871, check)
    call createCurrent(P_Hl, P_uAnti, P_u, 2389, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 3832, check)
    call createCurrent(P_G0, P_Ha, P_Z, P_A, 3686, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 46, check)
    call createCurrent(P_G0, P_HMinus, P_G0, P_HPlus, 1792, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_HMinus, 2074, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, 2904, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_A, 2643, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 2160, check)
    call createCurrent(P_Hh, P_tAnti, P_t, 2137, check)
    call createCurrent(P_uAnti, P_Hl, P_u, 1588, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_GMinus, 1965, check)
    call createCurrent(P_Hl, P_A, P_WMinus, P_HPlus, 1233, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hh, 3600, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 912, check)
    call createCurrent(P_b, P_Ha, P_bAnti, 994, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 152, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_HMinus, 1151, check)
    call createCurrent(P_GPlus, P_A, P_Hh, P_WMinus, 2683, check)
    call createCurrent(P_Z, P_G0, P_Z, P_Ha, 2984, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Hh, 3407, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 528, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_HMinus, 751, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_Ha, 2089, check)
    call createCurrent(P_HPlus, P_cAnti, P_s, 2607, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_HPlus, 628, check)
    call createCurrent(P_dAnti, P_d, P_G0, 2127, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_A, 978, check)
    call createCurrent(P_tauPlus, P_Hh, P_tauMinus, 2419, check)
    call createCurrent(P_G0, P_cAnti, P_c, 952, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 1749, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hl, 3629, check)
    call createCurrent(P_c, P_G0, P_cAnti, 1441, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_HMinus, 2048, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 343, check)
    call createCurrent(P_GMinus, P_Ha, P_A, P_WPlus, 3539, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, P_Hl, 1956, check)
    call createCurrent(P_GPlus, P_G0, P_Ha, P_HMinus, 725, check)
    call createCurrent(P_WMinus, P_Hh, P_HPlus, 1429, check)
    call createCurrent(P_d, P_dAnti, 2933, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Ha, 72, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Hh, 3227, check)
    call createCurrent(P_Hl, P_WMinus, P_Z, P_GPlus, 1280, check)
    call createCurrent(P_A, P_g, P_g, P_A, 3791, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, 2038, check)
    call createCurrent(P_Z, P_Ha, P_Hh, 2599, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 2061, check)
    call createCurrent(P_Ha, P_HPlus, P_Ha, P_HMinus, 2033, check)
    call createCurrent(P_HPlus, P_Hh, P_Hh, P_GMinus, 2251, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Hl, 1271, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 543, check)
    call createCurrent(P_A, P_A, P_Ha, P_Ha, 3591, check)
    call createCurrent(P_c, P_cAnti, P_Ha, 259, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hh, 1598, check)
    call createCurrent(P_Hh, P_A, P_A, 3664, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hh, 637, check)
    call createCurrent(P_Z, P_HPlus, P_GMinus, P_A, 3130, check)
    call createCurrent(P_bAnti, P_Hh, P_b, 1120, check)
    call createCurrent(P_Ha, P_WMinus, P_GPlus, P_Z, 3167, check)
    call createCurrent(P_t, P_Hh, P_tAnti, 1911, check)
    call createCurrent(P_Ha, P_Ha, P_Hh, 1096, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, P_Z, 2899, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 1531, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 3700, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 845, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 779, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_Z, 927, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hl, 2765, check)
    call createCurrent(P_Ha, P_G0, P_g, P_g, 3709, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_Ha, 3203, check)
    call createCurrent(P_Hl, P_Hh, P_WPlus, P_WMinus, 2877, check)
    call createCurrent(P_Ha, P_g, P_Ha, P_g, 3623, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_GPlus, 2345, check)
    call createCurrent(P_Ha, P_Z, P_Hh, 1736, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hl, 2361, check)
    call createCurrent(P_G0, P_g, P_g, P_Ha, 3687, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, 157, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_Z, 256, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 2364, check)
    call createCurrent(P_A, P_dAnti, P_d, 531, check)
    call createCurrent(P_HMinus, P_GPlus, P_WMinus, P_WPlus, 3373, check)
    call createCurrent(P_HPlus, P_Hl, P_Hl, P_HMinus, 167, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_HMinus, 2518, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hh, 1468, check)
    call createCurrent(P_Z, P_u, P_uAnti, 1399, check)
    call createCurrent(P_d, P_HPlus, P_uAnti, 1806, check)
    call createCurrent(P_HPlus, P_ghA, P_ghWpAnti, 2958, check)
    call createCurrent(P_Hl, P_Z, P_WMinus, P_HPlus, 846, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghWm, 3213, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 2621, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_G0, 295, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, 52, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1255, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, 161, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Ha, 266, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 201, check)
    call createCurrent(P_WMinus, P_Z, P_Hh, P_GPlus, 521, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 2257, check)
    call createCurrent(P_Hh, P_G0, P_HMinus, P_HPlus, 2947, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_HMinus, 1238, check)
    call createCurrent(P_A, P_Hl, P_Z, 2998, check)
    call createCurrent(P_HMinus, P_Z, P_G0, P_WPlus, 3015, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_A, 3524, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_HPlus, 2819, check)
    call createCurrent(P_d, P_dAnti, P_Hl, 2079, check)
    call createCurrent(P_Z, P_Z, P_Hl, 1035, check)
    call createCurrent(P_Hh, P_sAnti, P_s, 2443, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hh, 876, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, 2813, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Ha, 2362, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, 2200, check)
    call createCurrent(P_G0, P_GMinus, P_Hl, P_GPlus, 3220, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 2158, check)
    call createCurrent(P_G0, P_Ha, P_G0, P_Ha, 1350, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 2031, check)
    call createCurrent(P_g, P_sAnti, P_s, 2463, check)
    call createCurrent(P_eMinus, P_HPlus, P_nu_eAnti, 257, check)
    call createCurrent(P_u, P_uAnti, P_G0, 347, check)
    call createCurrent(P_HPlus, P_Ha, P_Hh, P_GMinus, 2, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Hh, 3610, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_HMinus, 1502, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_Z, 2308, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hl, 3092, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_GPlus, 1627, check)
    call createCurrent(P_dAnti, P_Hl, P_d, 51, check)
    call createCurrent(P_t, P_G0, P_tAnti, 1086, check)
    call createCurrent(P_g, P_Hl, P_g, 3741, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hh, 392, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_Z, 2329, check)
    call createCurrent(P_Hl, P_Hh, P_g, P_g, 3849, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hh, 2049, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 3478, check)
    call createCurrent(P_WMinus, P_Hh, P_A, P_HPlus, 1931, check)
    call createCurrent(P_HPlus, P_HMinus, 2990, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hh, 118, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, P_Z, 2997, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 1017, check)
    call createCurrent(P_HMinus, P_G0, P_Hh, P_GPlus, 1558, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_HPlus, 2561, check)
    call createCurrent(P_Ha, P_HMinus, P_Ha, P_HPlus, 626, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 2003, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_GPlus, 2937, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, 2776, check)
    call createCurrent(P_HPlus, P_g, P_g, P_HMinus, 3682, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_GMinus, 3421, check)
    call createCurrent(P_Hl, P_Hh, P_Ha, P_G0, 728, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_HPlus, 2891, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 2072, check)
    call createCurrent(P_Z, P_A, P_Hh, 3529, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 1946, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Ha, 1448, check)
    call createCurrent(P_uAnti, P_HPlus, P_d, 1767, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hl, 2044, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, 977, check)
    call createCurrent(P_HPlus, P_G0, P_G0, P_HMinus, 1609, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hl, 1990, check)
    call createCurrent(P_Ha, P_Z, P_Z, P_G0, 3402, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_Ha, 2290, check)
    call createCurrent(P_Ha, P_Hh, P_GMinus, P_GPlus, 3210, check)
    call createCurrent(P_ePlus, P_HMinus, P_nu_e, 915, check)
    call createCurrent(P_A, P_Hh, P_Ha, 3255, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_HMinus, 3147, check)
    call createCurrent(P_Hh, P_HPlus, P_G0, P_HMinus, 2798, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_HMinus, 344, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 1222, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_GMinus, 1369, check)
    call createCurrent(P_G0, P_Ha, 2849, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_Ha, 1454, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hl, 3185, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hh, 2125, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_A, 1523, check)
    call createCurrent(P_Hh, P_GMinus, P_Ha, P_GPlus, 2883, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_Ha, 3382, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Ha, 3079, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_G0, 3506, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_HMinus, 552, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 2424, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 1748, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_GPlus, 2485, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, 2458, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, P_Z, 3221, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hl, 3065, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 2523, check)
    call createCurrent(P_WPlus, P_GPlus, P_HMinus, P_WMinus, 3244, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, 79, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hh, 1324, check)
    call createCurrent(P_GMinus, P_Ha, P_Z, P_WPlus, 2737, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, 1461, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 78, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 980, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, 3558, check)
    call createCurrent(P_HPlus, P_g, P_g, P_GMinus, 3822, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 1710, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hh, 1871, check)
    call createCurrent(P_WPlus, P_G0, P_HMinus, P_A, 2924, check)
    call createCurrent(P_u, P_A, P_uAnti, 807, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 447, check)
    call createCurrent(P_GMinus, P_Hh, P_Z, P_WPlus, 1940, check)
    call createCurrent(P_Ha, P_WMinus, P_A, P_HPlus, 1056, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_HPlus, 3366, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, 2983, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hh, 2628, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, P_Ha, 1703, check)
    call createCurrent(P_A, P_u, P_uAnti, 1740, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hh, 116, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hh, 1312, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hh, 2872, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hh, 2919, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hh, 2999, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 1453, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_Ha, 81, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hl, 1944, check)
    call createCurrent(P_s, P_sAnti, P_Hh, 2310, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_HMinus, 551, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_G0, 2366, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hl, 1080, check)
    call createCurrent(P_Ha, P_G0, P_A, P_A, 3746, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 224, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 2342, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_Ha, 2144, check)
    call createCurrent(P_Ha, P_Ha, P_HMinus, P_GPlus, 2067, check)
    call createCurrent(P_HMinus, P_GPlus, 2838, check)
    call createCurrent(P_GMinus, P_Ha, P_Hh, P_HPlus, 2631, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, 3309, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 1605, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 1245, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hl, 2336, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 1300, check)
    call createCurrent(P_bAnti, P_Hl, P_b, 50, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Hh, 2630, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 1009, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_G0, 492, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, P_A, 3184, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 1634, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_A, 438, check)
    call createCurrent(P_Ha, P_muMinus, P_muPlus, 2249, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hh, 170, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 744, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1028, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_HMinus, 3060, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 2270, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 3780, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_A, 2728, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_GMinus, 1981, check)
    call createCurrent(P_WMinus, P_Ha, P_WPlus, P_G0, 3562, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_GPlus, 2946, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hl, 2685, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, 3259, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_Ha, 2112, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 811, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 1328, check)
    call createCurrent(P_A, P_A, P_HMinus, P_HPlus, 1452, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_G0, 654, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_G0, 1771, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 2903, check)
    call createCurrent(P_Hh, P_ePlus, P_eMinus, 381, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 1798, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, 948, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 2333, check)
    call createCurrent(P_Ha, P_Ha, P_Z, P_A, 3519, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_Z, 3668, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_HPlus, 768, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, 2925, check)
    call createCurrent(P_HPlus, P_HMinus, P_g, P_g, 3675, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, 3222, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_A, 296, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_Ha, 428, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, P_Z, 2753, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 2199, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_GPlus, 1885, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_GMinus, 1494, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hl, 2414, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 1134, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hh, 2777, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 3825, check)
    call createCurrent(P_Hh, P_tauPlus, P_tauMinus, 795, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_HMinus, 2856, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 1423, check)
    call createCurrent(P_Z, P_Hl, P_GMinus, P_WPlus, 1360, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 2598, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 3836, check)
    call createCurrent(P_G0, P_A, P_Ha, P_A, 3853, check)
    call createCurrent(P_HMinus, P_A, P_Hl, P_WPlus, 1260, check)
    call createCurrent(P_Ha, P_G0, P_WMinus, P_WPlus, 2982, check)
    call createCurrent(P_GMinus, P_WPlus, P_Ha, P_A, 2974, check)
    call createCurrent(P_Hh, P_G0, P_A, 2858, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 1479, check)
    call createCurrent(P_c, P_Hl, P_cAnti, 1307, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Ha, 2886, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_A, 3594, check)
    call createCurrent(P_g, P_Hh, P_g, P_Hl, 3617, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hl, 473, check)
    call createCurrent(P_Hh, P_WPlus, P_Z, P_HMinus, 65, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_Ha, 1503, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_Z, 1088, check)
    call createCurrent(P_Hl, P_GPlus, P_Ha, P_HMinus, 1781, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 2483, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 267, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 1519, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 1518, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 3777, check)
    call createCurrent(P_c, P_Ha, P_cAnti, 1200, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 1968, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Hl, 3511, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Ha, 102, check)
    call createCurrent(P_Ha, P_tauPlus, P_tauMinus, 535, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_G0, 3121, check)
    call createCurrent(P_muPlus, P_nu_mu, P_HMinus, 820, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, 3171, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 3731, check)
    call createCurrent(P_Hh, P_Hl, P_Z, P_Z, 2799, check)
    call createCurrent(P_g, P_g, P_HMinus, P_GPlus, 3609, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_HPlus, 3000, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 506, check)
    call createCurrent(P_bAnti, P_t, P_HMinus, 621, check)
    call createCurrent(P_A, P_WPlus, P_Ha, P_HMinus, 237, check)
    call createCurrent(P_A, P_A, P_HPlus, P_HMinus, 464, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, 378, check)
    call createCurrent(P_HPlus, P_Z, P_A, P_GMinus, 3477, check)
    call createCurrent(P_HPlus, P_G0, P_Z, P_WMinus, 3056, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_HPlus, 2330, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hl, 1063, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hl, 599, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hh, 502, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 2576, check)
    call createCurrent(P_uAnti, P_Hh, P_u, 2156, check)
    call createCurrent(P_g, P_HPlus, P_g, P_HMinus, 3856, check)
    call createCurrent(P_muMinus, P_Ha, P_muPlus, 858, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_Z, 2243, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_Z, 3464, check)
    call createCurrent(P_d, P_dAnti, P_g, 1794, check)
    call createCurrent(P_nu_tauAnti, P_HPlus, P_tauMinus, 156, check)
    call createCurrent(P_g, P_A, P_g, P_g, 3628, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, P_A, 800, check)
    call createCurrent(P_Ha, P_g, P_g, P_G0, 3647, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, P_A, 1385, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hl, 3426, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_HPlus, 2224, check)
    call createCurrent(P_G0, P_Ha, P_Hh, P_Hh, 146, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_HPlus, 1532, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 1657, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Ha, 966, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 228, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_HPlus, 208, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 1651, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_G0, 2564, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 3877, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, P_Z, 556, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_HPlus, 2726, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 1697, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, 3277, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 1780, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Hl, 678, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_A, 2471, check)
    call createCurrent(P_cAnti, P_Hh, P_c, 1833, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_Ha, 3180, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_GMinus, 90, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_G0, 3338, check)
    call createCurrent(P_A, P_Hl, P_GPlus, P_WMinus, 2319, check)
    call createCurrent(P_G0, P_Z, P_HPlus, P_WMinus, 3451, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 2711, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, 2495, check)
    call createCurrent(P_Hl, P_Hl, P_WMinus, P_WPlus, 2179, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, 757, check)
    call createCurrent(P_GPlus, P_GMinus, 2868, check)
    call createCurrent(P_WPlus, P_Ha, P_G0, P_WMinus, 3187, check)
    call createCurrent(P_c, P_g, P_cAnti, 431, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 3878, check)
    call createCurrent(P_Ha, P_WPlus, P_HMinus, P_Z, 2573, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_Ha, 2647, check)
    call createCurrent(P_Ha, P_G0, P_G0, 3708, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_Ha, 1546, check)
    call createCurrent(P_c, P_cAnti, P_Z, 961, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Hl, 1630, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_Hl, 1515, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_HPlus, 3417, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1918, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Hh, 784, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hh, 1483, check)
    call createCurrent(P_Ha, P_Ha, P_HPlus, P_HMinus, 605, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, 1342, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, P_A, 3437, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_Hl, 951, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_GPlus, 990, check)
    call createCurrent(P_GMinus, P_Ha, P_WPlus, P_A, 2804, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Ha, 2289, check)
    call createCurrent(P_u, P_Ha, P_uAnti, 2183, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, 1602, check)
    call createCurrent(P_dAnti, P_Z, P_d, 1079, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 1958, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hl, 3692, check)
    call createCurrent(P_WMinus, P_Hh, P_Hl, P_WPlus, 3190, check)
    call createCurrent(P_HPlus, P_Ha, P_WMinus, P_Z, 1576, check)
    call createCurrent(P_Hl, P_Z, P_HPlus, P_WMinus, 98, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 2208, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, 1263, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hh, 3673, check)
    call createCurrent(P_WPlus, P_WMinus, P_Ha, P_G0, 3105, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 1450, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_GPlus, 3094, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 292, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 1173, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 2026, check)
    call createCurrent(P_uAnti, P_u, P_G0, 2147, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 1020, check)
    call createCurrent(P_s, P_HPlus, P_cAnti, 631, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hl, 351, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, 2592, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, P_A, 1024, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hl, 1943, check)
    call createCurrent(P_Hh, P_GPlus, P_A, P_WMinus, 1709, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 2536, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_G0, 2808, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_A, 3442, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_A, 2037, check)
    call createCurrent(P_G0, P_Hh, P_Z, 1318, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, 2828, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 2377, check)
    call createCurrent(P_g, P_g, P_HPlus, P_HMinus, 3833, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hh, 2493, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 956, check)
    call createCurrent(P_Hl, P_b, P_bAnti, 1013, check)
    call createCurrent(P_GPlus, P_Hl, P_Ha, P_HMinus, 1565, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, P_Z, 3548, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_HPlus, 3081, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_GMinus, 1887, check)
    call createCurrent(P_tAnti, P_t, P_Hl, 1527, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Hl, 233, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hl, 1167, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 2972, check)
    call createCurrent(P_Ha, P_G0, P_A, P_Z, 3706, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_A, 3107, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_Ha, 3544, check)
    call createCurrent(P_Hl, P_GMinus, P_G0, P_HPlus, 419, check)
    call createCurrent(P_HMinus, P_Ha, P_Hl, P_HPlus, 3013, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_A, 3869, check)
    call createCurrent(P_GPlus, P_Hh, P_Ha, P_HMinus, 1580, check)
    call createCurrent(P_GPlus, P_Hh, P_Z, P_WMinus, 684, check)
    call createCurrent(P_A, P_HPlus, P_GMinus, P_A, 2878, check)
    call createCurrent(P_A, P_Ha, P_WMinus, P_GPlus, 3267, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 2248, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_HMinus, 64, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, 3541, check)
    call createCurrent(P_A, P_A, 2715, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_GPlus, 1434, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, P_Z, 2235, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_HPlus, 1789, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 430, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_G0, 1012, check)
    call createCurrent(P_Hl, P_Hh, P_A, P_Z, 3624, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 3593, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_Ha, 1874, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 1526, check)
    call createCurrent(P_HPlus, P_Hh, P_Hl, P_HMinus, 985, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_Ha, 2487, check)
    call createCurrent(P_GMinus, P_Z, P_Ha, P_WPlus, 2759, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_Z, 821, check)
    call createCurrent(P_WMinus, P_Ha, P_A, P_HPlus, 386, check)
    call createCurrent(P_b, P_bAnti, 3577, check)
    call createCurrent(P_Hh, P_Ha, P_Hl, P_G0, 236, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_HMinus, 2836, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 1608, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_GPlus, 1929, check)
    call createCurrent(P_Hh, P_A, P_GPlus, P_WMinus, 1730, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, 227, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_HPlus, 2168, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_HMinus, 372, check)
    call createCurrent(P_A, P_A, P_g, P_g, 3725, check)
    call createCurrent(P_Z, P_HMinus, P_A, P_HPlus, 1663, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, P_A, 3556, check)
    call createCurrent(P_Z, P_Hh, P_WPlus, P_HMinus, 1977, check)
    call createCurrent(P_s, P_Hl, P_sAnti, 2403, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 1440, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 3868, check)
    call createCurrent(P_b, P_bAnti, P_Z, 262, check)
    call createCurrent(P_GPlus, P_G0, P_Ha, P_GMinus, 669, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_HPlus, 1045, check)
    call createCurrent(P_Hh, P_HMinus, P_Z, P_WPlus, 178, check)
    call createCurrent(P_Hl, P_tAnti, P_t, 875, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 2302, check)
    call createCurrent(P_HPlus, P_HMinus, P_WMinus, P_WPlus, 736, check)
    call createCurrent(P_Z, P_G0, P_HPlus, P_WMinus, 3455, check)
    call createCurrent(P_Hl, P_Ha, P_Ha, P_Hh, 1442, check)
    call createCurrent(P_Ha, P_G0, P_Hh, P_Hh, 734, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 2180, check)
    call createCurrent(P_WPlus, P_A, P_Hh, P_HMinus, 206, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_HMinus, 675, check)
    call createCurrent(P_Hl, P_G0, P_HPlus, P_GMinus, 2267, check)
    call createCurrent(P_HPlus, P_GMinus, 3505, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 173, check)
    call createCurrent(P_Hl, P_WPlus, P_A, P_HMinus, 1095, check)
    call createCurrent(P_GPlus, P_HMinus, P_HMinus, P_GPlus, 696, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_GMinus, 1071, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, 1382, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, 60, check)
    call createCurrent(P_Ha, P_muPlus, P_muMinus, 2296, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, 2852, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 2081, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_A, 509, check)
    call createCurrent(P_GMinus, P_g, P_g, P_HPlus, 3866, check)
    call createCurrent(P_HPlus, P_WMinus, P_Ha, P_A, 2663, check)
    call createCurrent(P_Z, P_sAnti, P_s, 1672, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 738, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_HMinus, 2456, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hl, 3698, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_HMinus, 1475, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Ha, 3841, check)
    call createCurrent(P_GPlus, P_HMinus, P_GPlus, P_GMinus, 478, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_GPlus, 1336, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Ha, 3202, check)
    call createCurrent(P_WMinus, P_Hl, P_WPlus, 1212, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 297, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 544, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 1364, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 1456, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, 356, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_G0, 229, check)
    call createCurrent(P_Ha, P_GPlus, P_GMinus, P_Ha, 1919, check)
    call createCurrent(P_HPlus, P_tauMinus, P_nu_tauAnti, 342, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, 243, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Ha, 3479, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hl, 2790, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, P_A, 1601, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hh, 2121, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_Ha, 799, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_HPlus, 1652, check)
    call createCurrent(P_Z, P_WMinus, P_Ha, P_HPlus, 2577, check)
    call createCurrent(P_Hl, P_eMinus, P_ePlus, 2007, check)
    call createCurrent(P_Hl, P_Hl, P_GPlus, P_HMinus, 945, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_GMinus, 500, check)
    call createCurrent(P_A, P_Ha, P_Z, P_Ha, 2859, check)
    call createCurrent(P_HPlus, P_tAnti, P_b, 1119, check)
    call createCurrent(P_Z, P_Ha, P_Hl, 1852, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 1865, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_HMinus, 993, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 714, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_Ha, 1484, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 1553, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 1256, check)
    call createCurrent(P_g, P_g, P_HPlus, P_GMinus, 3648, check)
    call createCurrent(P_Hh, P_HMinus, P_G0, P_GPlus, 2128, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hh, 957, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_G0, 107, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hl, 2540, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, 234, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 108, check)
    call createCurrent(P_HMinus, P_G0, P_Z, P_WPlus, 3473, check)
    call createCurrent(P_Hl, P_G0, P_Ha, P_Hl, 693, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_G0, 406, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_GMinus, 710, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 3651, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 1078, check)
    call createCurrent(P_HMinus, P_A, P_GPlus, P_Z, 3567, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 3400, check)
    call createCurrent(P_HPlus, P_A, P_A, P_HMinus, 1739, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 2383, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1267, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Hl, 833, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_G0, 630, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_G0, 1032, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 934, check)
    call createCurrent(P_cAnti, P_G0, P_c, 271, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, 199, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_Z, 1188, check)
    call createCurrent(P_G0, P_A, P_HPlus, P_WMinus, 3306, check)
    call createCurrent(P_HMinus, P_GPlus, P_g, P_g, 3778, check)
    call createCurrent(P_G0, P_g, P_Ha, P_g, 3614, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_HMinus, 3350, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, P_Z, 3413, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Hl, 334, check)
    call createCurrent(P_sAnti, P_Hl, P_s, 2490, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_A, 2449, check)
    call createCurrent(P_Hh, P_GPlus, P_Z, P_WMinus, 2551, check)
    call createCurrent(P_Hh, P_Z, P_HMinus, P_WPlus, 299, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 2247, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_Z, 2866, check)
    call createCurrent(P_WMinus, P_WPlus, 2780, check)
    call createCurrent(P_HPlus, P_WMinus, P_GMinus, P_WPlus, 2988, check)
    call createCurrent(P_Z, P_Hh, P_HPlus, P_WMinus, 348, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, 2970, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, P_Z, 3138, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 1817, check)
    call createCurrent(P_A, P_WMinus, P_Ha, P_HPlus, 410, check)
    call createCurrent(P_Hh, P_GMinus, P_G0, P_GPlus, 3329, check)
    call createCurrent(P_G0, P_Hl, P_Z, 2436, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_HPlus, 1991, check)
    call createCurrent(P_cAnti, P_c, P_Hh, 785, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Hh, 2531, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Ha, 187, check)
    call createCurrent(P_HPlus, P_uAnti, P_d, 1455, check)
    call createCurrent(P_HMinus, P_WMinus, P_WPlus, P_GPlus, 3117, check)
    call createCurrent(P_WPlus, P_HPlus, P_GMinus, P_WMinus, 3284, check)
    call createCurrent(P_Ha, P_G0, P_GPlus, P_GMinus, 418, check)
    call createCurrent(P_Hl, P_A, P_A, 3855, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, P_Ha, 2315, check)
    call createCurrent(P_Ha, P_A, P_Ha, P_A, 3815, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Ha, 2134, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, P_A, 3409, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, 2212, check)
    call createCurrent(P_d, P_dAnti, P_Hh, 1722, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_A, 2434, check)
    call createCurrent(P_g, P_s, P_sAnti, 142, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 2124, check)
    call createCurrent(P_GMinus, P_HPlus, P_WPlus, P_WMinus, 3096, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hl, 103, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hh, 683, check)
    call createCurrent(P_Ha, P_A, P_HPlus, P_WMinus, 1724, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1150, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Hh, 2398, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 466, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_Ha, 3235, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 474, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_A, 593, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_Z, 3017, check)
    call createCurrent(P_c, P_A, P_cAnti, 1374, check)
    call createCurrent(P_Hl, P_Ha, P_Hl, P_Ha, 1949, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 2595, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 1143, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, 3246, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Hh, 2544, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 767, check)
    call createCurrent(P_G0, P_Z, 2971, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, 2921, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 316, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, 3275, check)
    call createCurrent(P_Ha, P_G0, P_Hl, 2171, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 2228, check)
    call createCurrent(P_HPlus, P_Hl, P_G0, P_GMinus, 1571, check)
    call createCurrent(P_c, P_Hh, P_cAnti, 326, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 69, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 1893, check)
    call createCurrent(P_Hh, P_g, P_Hh, P_g, 3630, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_A, 2755, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 1723, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 2597, check)
    call createCurrent(P_Ha, P_Hl, P_HPlus, P_GMinus, 805, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 1077, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_HMinus, 3035, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, P_Hl, 1677, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 899, check)
    call createCurrent(P_Hl, P_G0, P_GMinus, P_GPlus, 2826, check)
    call createCurrent(P_A, P_WPlus, P_Ha, P_GMinus, 3375, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_Z, 489, check)
    call createCurrent(P_Hl, P_WMinus, P_A, P_HPlus, 1242, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, 619, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_HPlus, 972, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_Hh, 3494, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 3230, check)
    call createCurrent(P_A, P_G0, P_HMinus, P_WPlus, 3087, check)
    call createCurrent(P_t, P_tAnti, P_Z, 1005, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 1534, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 3043, check)
    call createCurrent(P_Ha, P_Z, P_G0, P_A, 3740, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 3867, check)
    call createCurrent(P_G0, P_WPlus, P_HMinus, P_Z, 3308, check)
    call createCurrent(P_Ha, P_ghWp, P_ghWpAnti, 3509, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, P_Z, 606, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 971, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_HMinus, 1716, check)
    call createCurrent(P_HMinus, P_Ha, P_Z, P_WPlus, 220, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_A, 3821, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 740, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_HMinus, 523, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 2059, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_Hl, 3420, check)
    call createCurrent(P_GPlus, P_Z, P_Hl, P_WMinus, 1511, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_HPlus, 3215, check)
    call createCurrent(P_HMinus, P_g, P_g, P_GPlus, 3721, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_A, 285, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 2300, check)
    call createCurrent(P_Hh, P_g, P_Hl, P_g, 3657, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 1426, check)
    call createCurrent(P_tAnti, P_Hh, P_t, 443, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, P_G0, 2164, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 893, check)
    call createCurrent(P_HPlus, P_HMinus, P_HPlus, P_GMinus, 570, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_A, 3619, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 265, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 3813, check)
    call createCurrent(P_WMinus, P_A, P_Hl, P_HPlus, 614, check)
    call createCurrent(P_A, P_Ha, P_A, P_G0, 3775, check)
    call createCurrent(P_Ha, P_Ha, P_G0, P_G0, 888, check)
    call createCurrent(P_G0, P_Hh, P_HMinus, P_HPlus, 3452, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, 3078, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 1595, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, P_A, 3330, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, 2258, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, 2843, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_GPlus, 3032, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, 2460, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_GMinus, 3321, check)
    call createCurrent(P_HMinus, P_Ha, P_G0, P_HPlus, 1896, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 1604, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 1048, check)
    call createCurrent(P_HMinus, P_HPlus, P_GPlus, P_HMinus, 2240, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 2394, check)
    call createCurrent(P_HPlus, P_Hh, P_WMinus, P_Z, 774, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_Hl, 1323, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, 3126, check)
    call createCurrent(P_Ha, P_GPlus, P_G0, P_HMinus, 499, check)
    call createCurrent(P_GMinus, P_WPlus, 2815, check)
    call createCurrent(P_Hl, P_tauPlus, P_tauMinus, 315, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Ha, 3520, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 121, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_GPlus, 713, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 2312, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 1038, check)
    call createCurrent(P_G0, P_Hh, P_A, 3305, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hl, 2070, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, 3174, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 869, check)
    call createCurrent(P_A, P_G0, P_Hl, 3390, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 830, check)
    call createCurrent(P_s, P_sAnti, P_G0, 1030, check)
    call createCurrent(P_Hl, P_Z, P_GPlus, P_WMinus, 2098, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 3767, check)
    call createCurrent(P_u, P_uAnti, P_Hl, 1992, check)
    call createCurrent(P_Ha, P_HMinus, P_Z, P_WPlus, 2606, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 711, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_GPlus, 776, check)
    call createCurrent(P_tAnti, P_HPlus, P_b, 2590, check)
    call createCurrent(P_G0, P_Hh, P_Ha, 540, check)
    call createCurrent(P_HPlus, P_HMinus, P_WPlus, P_WMinus, 1010, check)
    call createCurrent(P_G0, P_GPlus, P_Ha, P_GMinus, 801, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 1881, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 1234, check)
    call createCurrent(P_Ha, P_WPlus, P_WMinus, P_G0, 3531, check)
    call createCurrent(P_Hh, P_A, P_Ha, 3456, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 618, check)
    call createCurrent(P_Ha, P_Hh, P_GPlus, P_GMinus, 3098, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 2682, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 3837, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hh, 651, check)
    call createCurrent(P_HMinus, P_Hh, P_G0, P_GPlus, 1386, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, 2935, check)
    call createCurrent(P_Hh, P_Ha, P_GMinus, P_GPlus, 3194, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Ha, 3219, check)
    call createCurrent(P_Z, P_t, P_tAnti, 1279, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 1923, check)
    call createCurrent(P_d, P_G0, P_dAnti, 2263, check)
    call createCurrent(P_Z, P_HMinus, P_GPlus, 2817, check)
    call createCurrent(P_A, P_GMinus, P_Ha, P_WPlus, 3476, check)
    call createCurrent(P_WMinus, P_Hh, P_Hh, P_WPlus, 2565, check)
    call createCurrent(P_Z, P_GPlus, P_Hh, P_WMinus, 2313, check)
    call createCurrent(P_sAnti, P_Ha, P_s, 553, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, 3, check)
    call createCurrent(P_Hl, P_Hh, 3311, check)
    call createCurrent(P_Hh, P_Hl, P_WMinus, P_WPlus, 3263, check)
    call createCurrent(P_GMinus, P_Ha, P_Ha, P_GPlus, 2619, check)
    call createCurrent(P_Z, P_c, P_cAnti, 679, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 2141, check)
    call createCurrent(P_A, P_HMinus, P_Hh, P_WPlus, 2291, check)
    call createCurrent(P_muPlus, P_Hl, P_muMinus, 1155, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hl, 3601, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_G0, 970, check)
    call createCurrent(P_G0, P_A, P_Hl, 2889, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hl, 590, check)
    call createCurrent(P_Ha, P_HMinus, P_G0, P_GPlus, 791, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hh, 2148, check)
    call createCurrent(P_HPlus, P_Hl, P_WMinus, 754, check)
    call createCurrent(P_d, P_dAnti, P_Ha, 1696, check)
    call createCurrent(P_Ha, P_GPlus, P_Ha, P_GMinus, 775, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, 1375, check)
    call createCurrent(P_G0, P_Ha, P_HPlus, P_GMinus, 794, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 1909, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hl, 885, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_G0, 3236, check)
    call createCurrent(P_HPlus, P_Hl, P_Hh, P_GMinus, 2053, check)
    call createCurrent(P_Ha, P_HMinus, P_Hh, P_GPlus, 358, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, 1810, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 2155, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 707, check)
    call createCurrent(P_HPlus, P_b, P_tAnti, 1015, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 27, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, P_G0, 2104, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_Z, 3053, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Hh, 2625, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Hl, 2696, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, 1381, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Ha, 2876, check)
    call createCurrent(P_tauPlus, P_HMinus, P_nu_tau, 1481, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Ha, 3462, check)
    call createCurrent(P_g, P_Hh, P_Hl, P_g, 3678, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, P_Z, 1702, check)
    call createCurrent(P_HMinus, P_HPlus, P_WMinus, P_WPlus, 310, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 1997, check)
    call createCurrent(P_GPlus, P_HPlus, P_HMinus, P_HMinus, 1404, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 1352, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, 2627, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, 2525, check)
    call createCurrent(P_WMinus, P_G0, P_HPlus, 2885, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 105, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hl, 2363, check)
    call createCurrent(P_G0, P_Hl, P_HPlus, P_GMinus, 2482, check)
    call createCurrent(P_Hl, P_Hl, P_WPlus, P_WMinus, 1332, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 129, check)
    call createCurrent(P_t, P_HMinus, P_bAnti, 550, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 1649, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hl, 3870, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 498, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Hh, 2280, check)
    call createCurrent(P_HPlus, P_WMinus, P_WPlus, P_GMinus, 3101, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 2055, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_HPlus, 3199, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hl, 3732, check)
    call createCurrent(P_Ha, P_Hl, P_Hh, P_Ha, 2132, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_Ha, 1413, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, 2915, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_Z, 2278, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_HPlus, 2024, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_Hl, 1849, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Ha, 1941, check)
    call createCurrent(P_HMinus, P_g, P_g, P_HPlus, 3871, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_GMinus, 2734, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 2680, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 88, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_Z, 3589, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, 2934, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Ha, 2844, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_HMinus, 3149, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_A, 3734, check)
    call createCurrent(P_Ha, P_A, P_A, P_G0, 3752, check)
    call createCurrent(P_G0, P_Hl, P_HMinus, P_GPlus, 97, check)
    call createCurrent(P_HPlus, P_Ha, P_Z, P_WMinus, 905, check)
    call createCurrent(P_Hl, P_GPlus, P_Z, P_WMinus, 890, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, 2359, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Ha, 723, check)
    call createCurrent(P_A, P_WPlus, P_Hl, P_HMinus, 840, check)
    call createCurrent(P_Ha, P_HMinus, P_G0, P_HPlus, 370, check)
    call createCurrent(P_HMinus, P_WPlus, P_WMinus, P_GPlus, 3394, check)
    call createCurrent(P_tauPlus, P_Ha, P_tauMinus, 2009, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 1924, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hl, 1644, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 2384, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 2186, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_HMinus, 214, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_G0, 2879, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, 269, check)
    call createCurrent(P_Hl, P_Z, P_A, 3016, check)
    call createCurrent(P_G0, P_Ha, P_WPlus, P_WMinus, 3178, check)
    call createCurrent(P_g, P_dAnti, P_d, 1014, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_Hl, 1361, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 361, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_G0, 587, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_G0, 2241, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, 3188, check)
    call createCurrent(P_d, P_Z, P_dAnti, 2062, check)
    call createCurrent(P_Ha, P_HPlus, P_Hh, P_GMinus, 2461, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 413, check)
    call createCurrent(P_Ha, P_G0, P_GPlus, P_HMinus, 482, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 2572, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, 2272, check)
    call createCurrent(P_t, P_A, P_tAnti, 816, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, 1930, check)
    call createCurrent(P_HPlus, P_A, P_Z, P_GMinus, 3447, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Ha, 3331, check)
    call createCurrent(P_HPlus, P_A, P_Hh, P_WMinus, 2438, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 2821, check)
    call createCurrent(P_WMinus, P_Hl, P_Hl, P_WPlus, 1124, check)
    call createCurrent(P_A, P_Hl, P_G0, 3512, check)
    call createCurrent(P_cAnti, P_c, P_Z, 1480, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_HMinus, 3339, check)
    call createCurrent(P_Ha, P_Ha, 3381, check)
    call createCurrent(P_GMinus, P_Hl, P_G0, P_HPlus, 2521, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 1031, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hl, 2153, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hl, 676, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 920, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Hh, 658, check)
    call createCurrent(P_Hl, P_ePlus, P_eMinus, 1288, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_Hl, 515, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Ha, 2789, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hl, 1507, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_Hh, 1910, check)
    call createCurrent(P_GPlus, P_A, P_HMinus, P_A, 2949, check)
    call createCurrent(P_Hh, P_Ha, P_Ha, 87, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hh, 3039, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hh, 850, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 1366, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_Hl, 1908, check)
    call createCurrent(P_G0, P_Ha, P_g, P_g, 3753, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 2476, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 749, check)
    call createCurrent(P_A, P_HMinus, P_G0, P_WPlus, 2707, check)
    call createCurrent(P_Z, P_Hh, P_GMinus, P_WPlus, 1856, check)
    call createCurrent(P_WMinus, P_Hl, P_Z, P_HPlus, 1938, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghWp, 3234, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Hl, 355, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Hh, 0, check)
    call createCurrent(P_HPlus, P_GMinus, P_HMinus, P_GPlus, 1770, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_HMinus, 2793, check)
    call createCurrent(P_G0, P_HMinus, P_Ha, P_HPlus, 1007, check)
    call createCurrent(P_HMinus, P_Hl, P_A, P_WPlus, 395, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hh, 3802, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, 232, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_GPlus, 1607, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, 2316, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 451, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 1591, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, P_G0, 617, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 1861, check)
    call createCurrent(P_Ha, P_GMinus, P_Hh, P_HPlus, 455, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 3653, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_G0, 3430, check)
    call createCurrent(P_GMinus, P_Hh, P_A, P_WPlus, 708, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_A, 2138, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, 2888, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Ha, 2784, check)
    call createCurrent(P_Hl, P_Hl, P_HMinus, P_HPlus, 1826, check)
    call createCurrent(P_dAnti, P_G0, P_d, 1081, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_G0, 2261, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_Hl, 2450, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 1228, check)
    call createCurrent(P_A, P_GPlus, P_Hl, P_WMinus, 1656, check)
    call createCurrent(P_A, P_Ha, P_G0, P_Z, 3656, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 2135, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 887, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 99, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 1681, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, 1952, check)
    call createCurrent(P_G0, P_G0, P_HMinus, P_HPlus, 633, check)
    call createCurrent(P_HPlus, P_Z, P_Ha, P_WMinus, 1685, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 1368, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 2294, check)
    call createCurrent(P_G0, P_Hl, P_Ha, 997, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_G0, 3341, check)
    call createCurrent(P_Hh, P_WMinus, P_A, P_HPlus, 16, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 2660, check)
    call createCurrent(P_Hl, P_tauMinus, P_tauPlus, 2466, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, P_A, 2708, check)
    call createCurrent(P_Hh, P_G0, P_HPlus, P_HMinus, 3268, check)
    call createCurrent(P_Hh, P_t, P_tAnti, 124, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_Z, 3423, check)
    call createCurrent(P_tAnti, P_g, P_t, 716, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 1099, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, 3459, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_HMinus, 3216, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, P_A, 3433, check)
    call createCurrent(P_g, P_g, P_Hl, 3680, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_GPlus, 1488, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 1346, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 1093, check)
    call createCurrent(P_muPlus, P_muMinus, P_Ha, 872, check)
    call createCurrent(P_G0, P_HPlus, P_Hh, P_HMinus, 3270, check)
    call createCurrent(P_G0, P_WMinus, P_Ha, P_WPlus, 3441, check)
    call createCurrent(P_tAnti, P_t, P_Hh, 1182, check)
    call createCurrent(P_cAnti, P_s, P_HPlus, 2429, check)
    call createCurrent(P_Z, P_Ha, P_A, P_G0, 3612, check)
    call createCurrent(P_WPlus, P_G0, P_Ha, P_WMinus, 2788, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_G0, 3074, check)
    call createCurrent(P_G0, P_HMinus, P_Hh, P_HPlus, 3054, check)
    call createCurrent(P_u, P_uAnti, P_A, 268, check)
    call createCurrent(P_u, P_Z, P_uAnti, 2188, check)
    call createCurrent(P_A, P_Z, P_Ha, P_Ha, 3292, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hh, 982, check)
    call createCurrent(P_Ha, P_GMinus, P_Ha, P_HPlus, 1914, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Hl, 423, check)
    call createCurrent(P_Hl, P_s, P_sAnti, 834, check)
    call createCurrent(P_Ha, P_GPlus, P_WMinus, P_Z, 2926, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_Z, 3249, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 1750, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 15, check)
    call createCurrent(P_Hh, P_Hl, P_G0, P_G0, 197, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hh, 2050, check)
    call createCurrent(P_Ha, P_HPlus, P_G0, P_HMinus, 1764, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 1850, check)
    call createCurrent(P_G0, P_Hl, P_GPlus, P_HMinus, 2468, check)
    call createCurrent(P_WPlus, P_Hh, P_A, P_HMinus, 1747, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_HMinus, 3387, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_HPlus, 2097, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Ha, 964, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_HPlus, 40, check)
    call createCurrent(P_g, P_Hh, P_Hh, P_g, 3879, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_Z, 332, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 1830, check)
    call createCurrent(P_g, P_HMinus, P_GPlus, P_g, 3717, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Hh, 1420, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hl, 1851, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 758, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Hl, 164, check)
    call createCurrent(P_WMinus, P_Ha, P_G0, P_WPlus, 3218, check)
    call createCurrent(P_WPlus, P_A, P_Hl, P_HMinus, 2356, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 3769, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 2684, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hl, 3173, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_G0, 1988, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, P_Z, 2857, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Hh, 866, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_Ha, 2704, check)
    call createCurrent(P_Hl, P_muPlus, P_muMinus, 513, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hl, 3803, check)
    call createCurrent(P_b, P_tAnti, P_HPlus, 345, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_Z, 1983, check)
    call createCurrent(P_g, P_g, P_A, P_A, 3804, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 128, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_HMinus, 512, check)
  end subroutine fill_current_2
end module currents_info2
