!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(2143)%branchR2(0:0))
    call avR2(2143, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9052, nGC_9053])

    allocate(vertices(1278)%branchR2(0:0))
    call avR2(1278, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(860)%branchR2(0:0))
    call avR2(860, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9253])

    allocate(vertices(28)%branchR2(0:1))
    call avR2(28, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8911, nGC_8913])

    call avR2(28, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8912, nGC_8914])

    allocate(vertices(1415)%branchR2(0:0))
    call avR2(1415, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2141)%branchR2(0:1))
    call avR2(2141, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8823, nGC_8825])

    call avR2(2141, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8824, nGC_8826])

    allocate(vertices(3658)%branchR2(0:1))
    call avR2(3658, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3658, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(330)%branchR2(0:0))
    call avR2(330, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3659)%branchR2(0:0))
    call avR2(3659, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2403)%branchR2(0:1))
    call avR2(2403, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9016, nGC_9016])

    call avR2(2403, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9014, nGC_9015])

    allocate(vertices(2414)%branchR2(0:0))
    call avR2(2414, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(1000)%branchR2(0:0))
    call avR2(1000, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1154)%branchR2(0:0))
    call avR2(1154, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8774])

    allocate(vertices(1596)%branchR2(0:0))
    call avR2(1596, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(285)%branchR2(0:0))
    call avR2(285, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(3660)%branchR2(0:0))
    call avR2(3660, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(3544)%branchR2(0:0))
    call avR2(3544, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2731)%branchR2(0:0))
    call avR2(2731, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(3661)%branchR2(0:0))
    call avR2(3661, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(977)%branchR2(0:0))
    call avR2(977, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(849)%branchR2(0:0))
    call avR2(849, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1964)%branchR2(0:0))
    call avR2(1964, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8891, nGC_8890])

    allocate(vertices(21)%branchR2(0:0))
    call avR2(21, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(808)%branchR2(0:1))
    call avR2(808, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9002, nGC_9003])

    call avR2(808, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9004, nGC_9004])

    allocate(vertices(749)%branchR2(0:0))
    call avR2(749, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1965)%branchR2(0:0))
    call avR2(1965, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1894)%branchR2(0:0))
    call avR2(1894, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(1708)%branchR2(0:0))
    call avR2(1708, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(235)%branchR2(0:0))
    call avR2(235, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(1972)%branchR2(0:0))
    call avR2(1972, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2358)%branchR2(0:0))
    call avR2(2358, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9261, nGC_9262&
    ])

    allocate(vertices(1994)%branchR2(0:0))
    call avR2(1994, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2891)%branchR2(0:0))
    call avR2(2891, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(932)%branchR2(0:0))
    call avR2(932, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(2631)%branchR2(0:0))
    call avR2(2631, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1698)%branchR2(0:0))
    call avR2(1698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(701)%branchR2(0:0))
    call avR2(701, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30597])

    allocate(vertices(1597)%branchR2(0:0))
    call avR2(1597, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1068)%branchR2(0:0))
    call avR2(1068, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2581)%branchR2(0:0))
    call avR2(2581, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

    allocate(vertices(1030)%branchR2(0:1))
    call avR2(1030, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(1030, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(2368)%branchR2(0:0))
    call avR2(2368, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8919])

    allocate(vertices(3292)%branchR2(0:0))
    call avR2(3292, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9127])

    allocate(vertices(1942)%branchR2(0:0))
    call avR2(1942, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9047])

    allocate(vertices(3181)%branchR2(0:0))
    call avR2(3181, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2078)%branchR2(0:1))
    call avR2(2078, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9027])

    call avR2(2078, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9028])

    allocate(vertices(3662)%branchR2(0:0))
    call avR2(3662, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(237)%branchR2(0:0))
    call avR2(237, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2316)%branchR2(0:0))
    call avR2(2316, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8899])

    allocate(vertices(2070)%branchR2(0:0))
    call avR2(2070, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3030)%branchR2(0:0))
    call avR2(3030, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8785])

    allocate(vertices(2002)%branchR2(0:0))
    call avR2(2002, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1846)%branchR2(0:1))
    call avR2(1846, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(1846, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8805, nGC_8804])

    allocate(vertices(3514)%branchR2(0:0))
    call avR2(3514, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2100)%branchR2(0:3))
    call avR2(2100, 0, 26, 1, 0, FVFa1, 0, [1, 2], [nGC_9069, nGC_9068])

    call avR2(2100, 1, 26, 1, 0, FVFa1, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(2100, 2, 27, 1, 0, FVFa1, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(2100, 3, 27, 1, 0, FVFa1, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(1252)%branchR2(0:0))
    call avR2(1252, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30629])

    allocate(vertices(3304)%branchR2(0:0))
    call avR2(3304, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2458)%branchR2(0:0))
    call avR2(2458, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29488])

    allocate(vertices(3075)%branchR2(0:0))
    call avR2(3075, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3092)%branchR2(0:0))
    call avR2(3092, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2583)%branchR2(0:0))
    call avR2(2583, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8960, nGC_8959])

    allocate(vertices(1558)%branchR2(0:0))
    call avR2(1558, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1906)%branchR2(0:0))
    call avR2(1906, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(659)%branchR2(0:0))
    call avR2(659, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9043])

    allocate(vertices(3663)%branchR2(0:0))
    call avR2(3663, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9091])

    allocate(vertices(1298)%branchR2(0:0))
    call avR2(1298, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8847])

    allocate(vertices(2378)%branchR2(0:0))
    call avR2(2378, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(2052)%branchR2(0:0))
    call avR2(2052, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(349)%branchR2(0:1))
    call avR2(349, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_9017, nGC_9018])

    call avR2(349, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_9019, nGC_9019])

    allocate(vertices(2395)%branchR2(0:0))
    call avR2(2395, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2322)%branchR2(0:0))
    call avR2(2322, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(296)%branchR2(0:0))
    call avR2(296, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3664)%branchR2(0:0))
    call avR2(3664, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8776])

    allocate(vertices(3665)%branchR2(0:0))
    call avR2(3665, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(3498)%branchR2(0:0))
    call avR2(3498, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1704)%branchR2(0:0))
    call avR2(1704, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1546)%branchR2(0:0))
    call avR2(1546, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(118)%branchR2(0:0))
    call avR2(118, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1512)%branchR2(0:0))
    call avR2(1512, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(3666)%branchR2(0:0))
    call avR2(3666, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9263, nGC_9263, nGC_9263&
    ])

    allocate(vertices(1531)%branchR2(0:1))
    call avR2(1531, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9026])

    call avR2(1531, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

    allocate(vertices(329)%branchR2(0:0))
    call avR2(329, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(1054)%branchR2(0:1))
    call avR2(1054, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_9007, nGC_9007])

    call avR2(1054, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_9005, nGC_9006])

    allocate(vertices(186)%branchR2(0:0))
    call avR2(186, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1752)%branchR2(0:1))
    call avR2(1752, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8943, nGC_8945])

    call avR2(1752, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8944, nGC_8946])

    allocate(vertices(2682)%branchR2(0:0))
    call avR2(2682, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130, nGC_9131&
    ])

    allocate(vertices(2372)%branchR2(0:0))
    call avR2(2372, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(167)%branchR2(0:0))
    call avR2(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(454)%branchR2(0:0))
    call avR2(454, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8900])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1682)%branchR2(0:0))
    call avR2(1682, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2198)%branchR2(0:0))
    call avR2(2198, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3667)%branchR2(0:0))
    call avR2(3667, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9107, nGC_9106, nGC_9107&
    ])

    allocate(vertices(3668)%branchR2(0:0))
    call avR2(3668, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1834)%branchR2(0:0))
    call avR2(1834, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8836])

    allocate(vertices(2184)%branchR2(0:0))
    call avR2(2184, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3480)%branchR2(0:0))
    call avR2(3480, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(487)%branchR2(0:1))
    call avR2(487, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8970, nGC_8971])

    call avR2(487, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8972, nGC_8972])

    allocate(vertices(2124)%branchR2(0:0))
    call avR2(2124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1968)%branchR2(0:0))
    call avR2(1968, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9030])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(1230)%branchR2(0:1))
    call avR2(1230, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8805, nGC_8804])

    call avR2(1230, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(2098)%branchR2(0:0))
    call avR2(2098, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1437)%branchR2(0:0))
    call avR2(1437, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9030])

    allocate(vertices(538)%branchR2(0:0))
    call avR2(538, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1129)%branchR2(0:1))
    call avR2(1129, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_9004, nGC_9004])

    call avR2(1129, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_9002, nGC_9003])

    allocate(vertices(2040)%branchR2(0:0))
    call avR2(2040, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2365)%branchR2(0:0))
    call avR2(2365, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(675)%branchR2(0:0))
    call avR2(675, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(3344)%branchR2(0:0))
    call avR2(3344, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1397)%branchR2(0:1))
    call avR2(1397, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8961, nGC_8963])

    call avR2(1397, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8962, nGC_8964])

    allocate(vertices(241)%branchR2(0:0))
    call avR2(241, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2611)%branchR2(0:0))
    call avR2(2611, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(3669)%branchR2(0:0))
    call avR2(3669, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137, nGC_9137&
    ])

    allocate(vertices(1447)%branchR2(0:0))
    call avR2(1447, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2803)%branchR2(0:0))
    call avR2(2803, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2168)%branchR2(0:0))
    call avR2(2168, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3052)%branchR2(0:0))
    call avR2(3052, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29827])

    allocate(vertices(2963)%branchR2(0:0))
    call avR2(2963, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(148)%branchR2(0:1))
    call avR2(148, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(148, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(1515)%branchR2(0:0))
    call avR2(1515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3670)%branchR2(0:1))
    call avR2(3670, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9154])

    call avR2(3670, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9155])

    allocate(vertices(2294)%branchR2(0:1))
    call avR2(2294, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

    call avR2(2294, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9028])

    allocate(vertices(1231)%branchR2(0:1))
    call avR2(1231, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8985, nGC_8986])

    call avR2(1231, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8987, nGC_8987])

    allocate(vertices(3073)%branchR2(0:0))
    call avR2(3073, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(2837)%branchR2(0:0))
    call avR2(2837, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(436)%branchR2(0:0))
    call avR2(436, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(360)%branchR2(0:0))
    call avR2(360, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(2283)%branchR2(0:0))
    call avR2(2283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

    allocate(vertices(3272)%branchR2(0:0))
    call avR2(3272, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(933)%branchR2(0:0))
    call avR2(933, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8845])

    allocate(vertices(3252)%branchR2(0:0))
    call avR2(3252, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8753, nGC_8754, nGC_8767&
    , nGC_8767])

    allocate(vertices(3671)%branchR2(0:1))
    call avR2(3671, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9114, nGC_9114,        &
    nGC_9114])

    call avR2(3671, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9115, nGC_9115,        &
    nGC_9115])

    allocate(vertices(1502)%branchR2(0:0))
    call avR2(1502, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2354)%branchR2(0:0))
    call avR2(2354, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29304])

    allocate(vertices(2257)%branchR2(0:0))
    call avR2(2257, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9202])

    allocate(vertices(331)%branchR2(0:0))
    call avR2(331, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9202])

    allocate(vertices(1422)%branchR2(0:0))
    call avR2(1422, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9029])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8948, nGC_8947])

    allocate(vertices(1633)%branchR2(0:0))
    call avR2(1633, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2669)%branchR2(0:0))
    call avR2(2669, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(3672)%branchR2(0:1))
    call avR2(3672, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3672, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8898])

    allocate(vertices(1805)%branchR2(0:0))
    call avR2(1805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(246)%branchR2(0:0))
    call avR2(246, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(3673)%branchR2(0:0))
    call avR2(3673, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(584)%branchR2(0:0))
    call avR2(584, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9044, nGC_9045])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(657)%branchR2(0:0))
    call avR2(657, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2019)%branchR2(0:0))
    call avR2(2019, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2600)%branchR2(0:0))
    call avR2(2600, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3674)%branchR2(0:0))
    call avR2(3674, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1795)%branchR2(0:0))
    call avR2(1795, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2655)%branchR2(0:0))
    call avR2(2655, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30337])

    allocate(vertices(1656)%branchR2(0:0))
    call avR2(1656, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1779)%branchR2(0:0))
    call avR2(1779, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(3305)%branchR2(0:0))
    call avR2(3305, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8777])

    allocate(vertices(3383)%branchR2(0:0))
    call avR2(3383, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9128])

    allocate(vertices(2575)%branchR2(0:0))
    call avR2(2575, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(3675)%branchR2(0:1))
    call avR2(3675, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9224])

    call avR2(3675, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9225])

    allocate(vertices(3676)%branchR2(0:0))
    call avR2(3676, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9090])

    allocate(vertices(1739)%branchR2(0:0))
    call avR2(1739, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(2582)%branchR2(0:0))
    call avR2(2582, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9245])

    allocate(vertices(1434)%branchR2(0:0))
    call avR2(1434, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(3415)%branchR2(0:0))
    call avR2(3415, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9127])

    allocate(vertices(792)%branchR2(0:1))
    call avR2(792, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(792, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8809, nGC_8808])

    allocate(vertices(3677)%branchR2(0:0))
    call avR2(3677, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3459)%branchR2(0:0))
    call avR2(3459, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30784])

    allocate(vertices(2151)%branchR2(0:0))
    call avR2(2151, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8960, nGC_8959])

    allocate(vertices(722)%branchR2(0:0))
    call avR2(722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(2474)%branchR2(0:0))
    call avR2(2474, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(3021)%branchR2(0:0))
    call avR2(3021, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8753, nGC_8754, nGC_8752&
    , nGC_8752])

    allocate(vertices(1057)%branchR2(0:0))
    call avR2(1057, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(992)%branchR2(0:0))
    call avR2(992, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8992, nGC_8991])

    allocate(vertices(1168)%branchR2(0:0))
    call avR2(1168, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1585)%branchR2(0:0))
    call avR2(1585, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2538)%branchR2(0:1))
    call avR2(2538, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8823, nGC_8825])

    call avR2(2538, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8824, nGC_8826])

    allocate(vertices(83)%branchR2(0:0))
    call avR2(83, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(1198)%branchR2(0:0))
    call avR2(1198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(3214)%branchR2(0:0))
    call avR2(3214, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(260)%branchR2(0:0))
    call avR2(260, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(984)%branchR2(0:0))
    call avR2(984, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(3507)%branchR2(0:0))
    call avR2(3507, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8783])

    allocate(vertices(2068)%branchR2(0:0))
    call avR2(2068, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8772])

    allocate(vertices(3678)%branchR2(0:1))
    call avR2(3678, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9251])

    call avR2(3678, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9252])

    allocate(vertices(3442)%branchR2(0:0))
    call avR2(3442, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9133])

    allocate(vertices(341)%branchR2(0:0))
    call avR2(341, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9089])

    allocate(vertices(1535)%branchR2(0:0))
    call avR2(1535, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(2352)%branchR2(0:0))
    call avR2(2352, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130, nGC_9131&
    ])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(3491)%branchR2(0:0))
    call avR2(3491, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(152)%branchR2(0:0))
    call avR2(152, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9149])

    allocate(vertices(742)%branchR2(0:0))
    call avR2(742, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1034)%branchR2(0:0))
    call avR2(1034, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2324)%branchR2(0:0))
    call avR2(2324, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(1311)%branchR2(0:0))
    call avR2(1311, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(272)%branchR2(0:0))
    call avR2(272, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(3496)%branchR2(0:0))
    call avR2(3496, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3354)%branchR2(0:0))
    call avR2(3354, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2235)%branchR2(0:0))
    call avR2(2235, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(1926)%branchR2(0:0))
    call avR2(1926, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2569)%branchR2(0:0))
    call avR2(2569, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3679)%branchR2(0:0))
    call avR2(3679, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9094, nGC_9094&
    ])

    allocate(vertices(1728)%branchR2(0:0))
    call avR2(1728, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2948)%branchR2(0:0))
    call avR2(2948, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2939)%branchR2(0:0))
    call avR2(2939, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8837])

    allocate(vertices(2534)%branchR2(0:0))
    call avR2(2534, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2218)%branchR2(0:0))
    call avR2(2218, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9046])

    allocate(vertices(1532)%branchR2(0:0))
    call avR2(1532, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2264)%branchR2(0:0))
    call avR2(2264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(2236)%branchR2(0:0))
    call avR2(2236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(720)%branchR2(0:0))
    call avR2(720, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(758)%branchR2(0:0))
    call avR2(758, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8879, nGC_8878])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1141)%branchR2(0:0))
    call avR2(1141, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(1128)%branchR2(0:0))
    call avR2(1128, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1835)%branchR2(0:1))
    call avR2(1835, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

    call avR2(1835, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9028])

    allocate(vertices(1276)%branchR2(0:0))
    call avR2(1276, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(3680)%branchR2(0:1))
    call avR2(3680, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_9010])

    call avR2(3680, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_9011])

    allocate(vertices(3152)%branchR2(0:0))
    call avR2(3152, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2421)%branchR2(0:1))
    call avR2(2421, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8826, nGC_8824])

    call avR2(2421, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(880)%branchR2(0:0))
    call avR2(880, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1106)%branchR2(0:0))
    call avR2(1106, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(939)%branchR2(0:0))
    call avR2(939, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(112)%branchR2(0:0))
    call avR2(112, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8822])

    allocate(vertices(3072)%branchR2(0:0))
    call avR2(3072, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2700)%branchR2(0:0))
    call avR2(2700, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3120)%branchR2(0:0))
    call avR2(3120, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3087)%branchR2(0:0))
    call avR2(3087, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2020)%branchR2(0:0))
    call avR2(2020, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(709)%branchR2(0:0))
    call avR2(709, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2987)%branchR2(0:0))
    call avR2(2987, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1677)%branchR2(0:0))
    call avR2(1677, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1174)%branchR2(0:0))
    call avR2(1174, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(114)%branchR2(0:1))
    call avR2(114, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

    call avR2(114, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9028])

    allocate(vertices(713)%branchR2(0:0))
    call avR2(713, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(1285)%branchR2(0:0))
    call avR2(1285, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2353)%branchR2(0:1))
    call avR2(2353, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8943, nGC_8945])

    call avR2(2353, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8944, nGC_8946])

    allocate(vertices(3469)%branchR2(0:0))
    call avR2(3469, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1093)%branchR2(0:0))
    call avR2(1093, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9262, nGC_9261&
    ])

    allocate(vertices(983)%branchR2(0:0))
    call avR2(983, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3347)%branchR2(0:0))
    call avR2(3347, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9214])

    allocate(vertices(531)%branchR2(0:1))
    call avR2(531, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_8794, nGC_8793])

    call avR2(531, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(178)%branchR2(0:0))
    call avR2(178, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2325)%branchR2(0:0))
    call avR2(2325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1843)%branchR2(0:0))
    call avR2(1843, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(3681)%branchR2(0:0))
    call avR2(3681, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9090])

    allocate(vertices(1901)%branchR2(0:0))
    call avR2(1901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2391)%branchR2(0:0))
    call avR2(2391, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2751)%branchR2(0:0))
    call avR2(2751, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2120)%branchR2(0:0))
    call avR2(2120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(2670)%branchR2(0:0))
    call avR2(2670, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8919])

    allocate(vertices(1687)%branchR2(0:0))
    call avR2(1687, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(75)%branchR2(0:0))
    call avR2(75, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29488])

    allocate(vertices(65)%branchR2(0:0))
    call avR2(65, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3135)%branchR2(0:0))
    call avR2(3135, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1903)%branchR2(0:0))
    call avR2(1903, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(257)%branchR2(0:0))
    call avR2(257, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8915])

    allocate(vertices(2296)%branchR2(0:0))
    call avR2(2296, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8950, nGC_8949])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(2791)%branchR2(0:0))
    call avR2(2791, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(30)%branchR2(0:1))
    call avR2(30, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(30, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(2811)%branchR2(0:0))
    call avR2(2811, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8846])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9249])

    allocate(vertices(1069)%branchR2(0:0))
    call avR2(1069, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8898])

    allocate(vertices(3240)%branchR2(0:0))
    call avR2(3240, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1695)%branchR2(0:0))
    call avR2(1695, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9029])

    allocate(vertices(1179)%branchR2(0:0))
    call avR2(1179, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2634)%branchR2(0:0))
    call avR2(2634, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(2513)%branchR2(0:0))
    call avR2(2513, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(301)%branchR2(0:0))
    call avR2(301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3448)%branchR2(0:0))
    call avR2(3448, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8843])

    allocate(vertices(3182)%branchR2(0:0))
    call avR2(3182, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(782)%branchR2(0:0))
    call avR2(782, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2753)%branchR2(0:0))
    call avR2(2753, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(116)%branchR2(0:0))
    call avR2(116, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(1893)%branchR2(0:0))
    call avR2(1893, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130, nGC_9131&
    ])

    allocate(vertices(1934)%branchR2(0:0))
    call avR2(1934, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8948, nGC_8947])

    allocate(vertices(2773)%branchR2(0:0))
    call avR2(2773, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(426)%branchR2(0:0))
    call avR2(426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3682)%branchR2(0:1))
    call avR2(3682, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9224])

    call avR2(3682, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9225])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8781])

    allocate(vertices(1163)%branchR2(0:0))
    call avR2(1163, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9241])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30450])

    allocate(vertices(2615)%branchR2(0:0))
    call avR2(2615, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(551)%branchR2(0:0))
    call avR2(551, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(3183)%branchR2(0:0))
    call avR2(3183, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1321)%branchR2(0:0))
    call avR2(1321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3015)%branchR2(0:0))
    call avR2(3015, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1813)%branchR2(0:0))
    call avR2(1813, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1010)%branchR2(0:0))
    call avR2(1010, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(869)%branchR2(0:1))
    call avR2(869, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

    call avR2(869, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9028])

    allocate(vertices(1755)%branchR2(0:0))
    call avR2(1755, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9029])

    allocate(vertices(1756)%branchR2(0:0))
    call avR2(1756, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2170)%branchR2(0:0))
    call avR2(2170, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8901])

    allocate(vertices(2605)%branchR2(0:0))
    call avR2(2605, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(3683)%branchR2(0:0))
    call avR2(3683, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8775])

    allocate(vertices(539)%branchR2(0:0))
    call avR2(539, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(3465)%branchR2(0:0))
    call avR2(3465, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1257)%branchR2(0:0))
    call avR2(1257, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8795, nGC_8796])

    allocate(vertices(3396)%branchR2(0:0))
    call avR2(3396, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(135)%branchR2(0:0))
    call avR2(135, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9097, nGC_9098, nGC_9099])

    allocate(vertices(359)%branchR2(0:0))
    call avR2(359, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(50)%branchR2(0:1))
    call avR2(50, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9001, nGC_9001])

    call avR2(50, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8999, nGC_9000])

    allocate(vertices(1773)%branchR2(0:0))
    call avR2(1773, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3253)%branchR2(0:0))
    call avR2(3253, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1462)%branchR2(0:0))
    call avR2(1462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

    allocate(vertices(679)%branchR2(0:1))
    call avR2(679, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9037, nGC_9035])

    call avR2(679, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9038, nGC_9036])

    allocate(vertices(2245)%branchR2(0:0))
    call avR2(2245, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(929)%branchR2(0:0))
    call avR2(929, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1981)%branchR2(0:0))
    call avR2(1981, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(417)%branchR2(0:0))
    call avR2(417, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131, nGC_9132])

    allocate(vertices(252)%branchR2(0:0))
    call avR2(252, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(1221)%branchR2(0:0))
    call avR2(1221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1774)%branchR2(0:0))
    call avR2(1774, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1493)%branchR2(0:0))
    call avR2(1493, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1897)%branchR2(0:1))
    call avR2(1897, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

    call avR2(1897, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

    allocate(vertices(3684)%branchR2(0:0))
    call avR2(3684, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9107, nGC_9107, nGC_9106&
    ])

    allocate(vertices(1067)%branchR2(0:0))
    call avR2(1067, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8902])

    allocate(vertices(3685)%branchR2(0:0))
    call avR2(3685, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(3686)%branchR2(0:0))
    call avR2(3686, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1146)%branchR2(0:0))
    call avR2(1146, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(470)%branchR2(0:0))
    call avR2(470, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(1190)%branchR2(0:0))
    call avR2(1190, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(1952)%branchR2(0:0))
    call avR2(1952, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(3071)%branchR2(0:0))
    call avR2(3071, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(2137)%branchR2(0:1))
    call avR2(2137, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8988, nGC_8989])

    call avR2(2137, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8990, nGC_8990])

    allocate(vertices(1930)%branchR2(0:0))
    call avR2(1930, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30629])

    allocate(vertices(2525)%branchR2(0:0))
    call avR2(2525, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(2437)%branchR2(0:0))
    call avR2(2437, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8774])

    allocate(vertices(1694)%branchR2(0:0))
    call avR2(1694, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(3687)%branchR2(0:1))
    call avR2(3687, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9217])

    call avR2(3687, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9218])

    allocate(vertices(954)%branchR2(0:1))
    call avR2(954, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(954, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9055, nGC_9054])

    allocate(vertices(1031)%branchR2(0:1))
    call avR2(1031, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8828, nGC_8830])

    call avR2(1031, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8850, nGC_8851])

    allocate(vertices(3688)%branchR2(0:0))
    call avR2(3688, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1913)%branchR2(0:0))
    call avR2(1913, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8948, nGC_8947])

    allocate(vertices(2021)%branchR2(0:0))
    call avR2(2021, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3689)%branchR2(0:0))
    call avR2(3689, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(345)%branchR2(0:1))
    call avR2(345, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8903, nGC_8905])

    call avR2(345, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8904, nGC_8906])

    allocate(vertices(1871)%branchR2(0:0))
    call avR2(1871, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1249)%branchR2(0:0))
    call avR2(1249, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1725)%branchR2(0:1))
    call avR2(1725, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8874, nGC_8876])

    call avR2(1725, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8875, nGC_8877])

    allocate(vertices(1941)%branchR2(0:0))
    call avR2(1941, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(868)%branchR2(0:0))
    call avR2(868, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9030])

    allocate(vertices(936)%branchR2(0:1))
    call avR2(936, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8914, nGC_8912])

    call avR2(936, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8927, nGC_8926])

    allocate(vertices(581)%branchR2(0:0))
    call avR2(581, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9089])

    allocate(vertices(2723)%branchR2(0:0))
    call avR2(2723, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3690)%branchR2(0:0))
    call avR2(3690, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9090])

    allocate(vertices(3282)%branchR2(0:0))
    call avR2(3282, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9128])

    allocate(vertices(1269)%branchR2(0:0))
    call avR2(1269, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8997])

    allocate(vertices(585)%branchR2(0:0))
    call avR2(585, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1157)%branchR2(0:0))
    call avR2(1157, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(1955)%branchR2(0:0))
    call avR2(1955, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(2164)%branchR2(0:0))
    call avR2(2164, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(131)%branchR2(0:1))
    call avR2(131, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(131, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(2652)%branchR2(0:0))
    call avR2(2652, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9257, nGC_9256, nGC_9258&
    ])

    allocate(vertices(1158)%branchR2(0:0))
    call avR2(1158, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8835])

    allocate(vertices(2380)%branchR2(0:0))
    call avR2(2380, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(293)%branchR2(0:0))
    call avR2(293, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3691)%branchR2(0:1))
    call avR2(3691, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

    call avR2(3691, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1832)%branchR2(0:0))
    call avR2(1832, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(3370)%branchR2(0:0))
    call avR2(3370, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1744)%branchR2(0:0))
    call avR2(1744, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(989)%branchR2(0:0))
    call avR2(989, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2166)%branchR2(0:0))
    call avR2(2166, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2890)%branchR2(0:0))
    call avR2(2890, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31066])

    allocate(vertices(2363)%branchR2(0:0))
    call avR2(2363, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(1076)%branchR2(0:1))
    call avR2(1076, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

    call avR2(1076, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

    allocate(vertices(1347)%branchR2(0:0))
    call avR2(1347, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(150)%branchR2(0:0))
    call avR2(150, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(387)%branchR2(0:0))
    call avR2(387, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1218)%branchR2(0:1))
    call avR2(1218, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8993, nGC_8994])

    call avR2(1218, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8995, nGC_8995])

    allocate(vertices(3165)%branchR2(0:0))
    call avR2(3165, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(726)%branchR2(0:1))
    call avR2(726, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8829, nGC_8827])

    call avR2(726, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8830, nGC_8828])

    allocate(vertices(1261)%branchR2(0:0))
    call avR2(1261, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(3313)%branchR2(0:0))
    call avR2(3313, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8861])

    allocate(vertices(2878)%branchR2(0:0))
    call avR2(2878, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(2278)%branchR2(0:0))
    call avR2(2278, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(288)%branchR2(0:0))
    call avR2(288, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2428)%branchR2(0:0))
    call avR2(2428, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1451)%branchR2(0:1))
    call avR2(1451, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(1451, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(2779)%branchR2(0:0))
    call avR2(2779, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1240)%branchR2(0:0))
    call avR2(1240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(318)%branchR2(0:0))
    call avR2(318, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9029])

    allocate(vertices(3439)%branchR2(0:0))
    call avR2(3439, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2307)%branchR2(0:0))
    call avR2(2307, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8969])

    allocate(vertices(1215)%branchR2(0:0))
    call avR2(1215, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(437)%branchR2(0:1))
    call avR2(437, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(437, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(421)%branchR2(0:0))
    call avR2(421, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(3692)%branchR2(0:0))
    call avR2(3692, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(885)%branchR2(0:0))
    call avR2(885, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(2775)%branchR2(0:0))
    call avR2(2775, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3547)%branchR2(0:0))
    call avR2(3547, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(1409)%branchR2(0:0))
    call avR2(1409, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3118)%branchR2(0:0))
    call avR2(3118, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1566)%branchR2(0:0))
    call avR2(1566, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(1818)%branchR2(0:0))
    call avR2(1818, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(153)%branchR2(0:0))
    call avR2(153, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(634)%branchR2(0:1))
    call avR2(634, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9004, nGC_9004])

    call avR2(634, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_9002, nGC_9003])

    allocate(vertices(308)%branchR2(0:0))
    call avR2(308, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2215)%branchR2(0:0))
    call avR2(2215, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(3108)%branchR2(0:0))
    call avR2(3108, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(2246)%branchR2(0:0))
    call avR2(2246, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(2308)%branchR2(0:0))
    call avR2(2308, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(3693)%branchR2(0:1))
    call avR2(3693, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3693, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(2014)%branchR2(0:1))
    call avR2(2014, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

    call avR2(2014, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9028])

    allocate(vertices(3694)%branchR2(0:1))
    call avR2(3694, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9238])

    call avR2(3694, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9239])

    allocate(vertices(137)%branchR2(0:0))
    call avR2(137, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(3695)%branchR2(0:1))
    call avR2(3695, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

    call avR2(3695, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29695])

    allocate(vertices(3550)%branchR2(0:0))
    call avR2(3550, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8732, nGC_8731])

    allocate(vertices(2268)%branchR2(0:0))
    call avR2(2268, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1063)%branchR2(0:0))
    call avR2(1063, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(3221)%branchR2(0:0))
    call avR2(3221, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8915])

    allocate(vertices(1274)%branchR2(0:0))
    call avR2(1274, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2498)%branchR2(0:0))
    call avR2(2498, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30154])

    allocate(vertices(3132)%branchR2(0:0))
    call avR2(3132, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2254)%branchR2(0:0))
    call avR2(2254, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2654)%branchR2(0:0))
    call avR2(2654, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2633)%branchR2(0:0))
    call avR2(2633, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9241])

    allocate(vertices(3056)%branchR2(0:0))
    call avR2(3056, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(376)%branchR2(0:0))
    call avR2(376, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1919)%branchR2(0:0))
    call avR2(1919, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(1098)%branchR2(0:1))
    call avR2(1098, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8973, nGC_8974])

    call avR2(1098, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8975, nGC_8975])

    allocate(vertices(733)%branchR2(0:0))
    call avR2(733, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(3143)%branchR2(0:0))
    call avR2(3143, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2493)%branchR2(0:0))
    call avR2(2493, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(1839)%branchR2(0:0))
    call avR2(1839, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(3363)%branchR2(0:0))
    call avR2(3363, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2202)%branchR2(0:0))
    call avR2(2202, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2362)%branchR2(0:0))
    call avR2(2362, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1519)%branchR2(0:0))
    call avR2(1519, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(1058)%branchR2(0:1))
    call avR2(1058, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1058, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9055, nGC_9054])

    allocate(vertices(3696)%branchR2(0:5))
    call avR2(3696, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    call avR2(3696, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3696, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3696, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3696, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,        &
    nGC_9268])

    call avR2(3696, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    allocate(vertices(2592)%branchR2(0:0))
    call avR2(2592, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(3529)%branchR2(0:0))
    call avR2(3529, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8784])

    allocate(vertices(3697)%branchR2(0:0))
    call avR2(3697, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1933)%branchR2(0:0))
    call avR2(1933, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8950, nGC_8949])

    allocate(vertices(3698)%branchR2(0:1))
    call avR2(3698, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9251])

    call avR2(3698, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9252])

    allocate(vertices(419)%branchR2(0:0))
    call avR2(419, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1526)%branchR2(0:0))
    call avR2(1526, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_31182])

    allocate(vertices(3361)%branchR2(0:0))
    call avR2(3361, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8856])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2870)%branchR2(0:0))
    call avR2(2870, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9030])

    allocate(vertices(694)%branchR2(0:0))
    call avR2(694, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2130)%branchR2(0:0))
    call avR2(2130, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(3699)%branchR2(0:1))
    call avR2(3699, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3699, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(442)%branchR2(0:0))
    call avR2(442, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3548)%branchR2(0:0))
    call avR2(3548, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2086)%branchR2(0:0))
    call avR2(2086, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8932])

    allocate(vertices(755)%branchR2(0:0))
    call avR2(755, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(2495)%branchR2(0:0))
    call avR2(2495, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(1353)%branchR2(0:0))
    call avR2(1353, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2292)%branchR2(0:0))
    call avR2(2292, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(340)%branchR2(0:0))
    call avR2(340, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2153)%branchR2(0:0))
    call avR2(2153, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2889)%branchR2(0:0))
    call avR2(2889, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29477])

    allocate(vertices(2388)%branchR2(0:0))
    call avR2(2388, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9089])

    allocate(vertices(3437)%branchR2(0:0))
    call avR2(3437, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3004)%branchR2(0:0))
    call avR2(3004, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31206])

    allocate(vertices(1571)%branchR2(0:0))
    call avR2(1571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2033)%branchR2(0:0))
    call avR2(2033, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2300)%branchR2(0:0))
    call avR2(2300, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9043])

    allocate(vertices(2138)%branchR2(0:0))
    call avR2(2138, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(2279)%branchR2(0:0))
    call avR2(2279, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8881, nGC_8880])

    allocate(vertices(3700)%branchR2(0:1))
    call avR2(3700, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3700, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1701)%branchR2(0:0))
    call avR2(1701, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1648)%branchR2(0:1))
    call avR2(1648, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8826, nGC_8824])

    call avR2(1648, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(3701)%branchR2(0:1))
    call avR2(3701, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9154])

    call avR2(3701, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9155])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(3545)%branchR2(0:0))
    call avR2(3545, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8818])

    allocate(vertices(2045)%branchR2(0:0))
    call avR2(2045, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(2075)%branchR2(0:1))
    call avR2(2075, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8995, nGC_8995])

    call avR2(2075, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8993, nGC_8994])

    allocate(vertices(2735)%branchR2(0:0))
    call avR2(2735, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2360)%branchR2(0:1))
    call avR2(2360, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8914, nGC_8912])

    call avR2(2360, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8927, nGC_8926])

    allocate(vertices(3702)%branchR2(0:1))
    call avR2(3702, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9217])

    call avR2(3702, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9218])

    allocate(vertices(1943)%branchR2(0:0))
    call avR2(1943, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(348)%branchR2(0:0))
    call avR2(348, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2653)%branchR2(0:0))
    call avR2(2653, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8917])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(2967)%branchR2(0:0))
    call avR2(2967, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(3080)%branchR2(0:0))
    call avR2(3080, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2496)%branchR2(0:0))
    call avR2(2496, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(741)%branchR2(0:0))
    call avR2(741, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2091)%branchR2(0:0))
    call avR2(2091, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3224)%branchR2(0:0))
    call avR2(3224, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8753, nGC_8754, nGC_8752&
    , nGC_8752])

    allocate(vertices(51)%branchR2(0:1))
    call avR2(51, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9007, nGC_9007])

    call avR2(51, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_9005, nGC_9006])

    allocate(vertices(530)%branchR2(0:0))
    call avR2(530, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(1533)%branchR2(0:0))
    call avR2(1533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

    allocate(vertices(1969)%branchR2(0:0))
    call avR2(1969, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1601)%branchR2(0:0))
    call avR2(1601, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1684)%branchR2(0:0))
    call avR2(1684, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(2543)%branchR2(0:0))
    call avR2(2543, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(1602)%branchR2(0:0))
    call avR2(1602, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8902])

    allocate(vertices(2984)%branchR2(0:0))
    call avR2(2984, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9214])

    allocate(vertices(1439)%branchR2(0:0))
    call avR2(1439, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9044, nGC_9045])

    allocate(vertices(938)%branchR2(0:0))
    call avR2(938, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8855])

    allocate(vertices(2105)%branchR2(0:0))
    call avR2(2105, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1702)%branchR2(0:0))
    call avR2(1702, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(762)%branchR2(0:1))
    call avR2(762, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(762, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9049, nGC_9048])

    allocate(vertices(3703)%branchR2(0:1))
    call avR2(3703, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9247])

    call avR2(3703, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(2343)%branchR2(0:0))
    call avR2(2343, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

    allocate(vertices(3704)%branchR2(0:1))
    call avR2(3704, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9170])

    call avR2(3704, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1518)%branchR2(0:0))
    call avR2(1518, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8836])

    allocate(vertices(2015)%branchR2(0:0))
    call avR2(2015, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(3567)%branchR2(0:0))
    call avR2(3567, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(3705)%branchR2(0:1))
    call avR2(3705, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3705, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9265, nGC_9265,        &
    nGC_9265])

    allocate(vertices(1888)%branchR2(0:1))
    call avR2(1888, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8955, nGC_8957])

    call avR2(1888, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8956, nGC_8958])

    allocate(vertices(1988)%branchR2(0:0))
    call avR2(1988, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(2517)%branchR2(0:0))
    call avR2(2517, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(462)%branchR2(0:0))
    call avR2(462, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(2146)%branchR2(0:0))
    call avR2(2146, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(815)%branchR2(0:1))
    call avR2(815, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8999, nGC_9000])

    call avR2(815, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9001, nGC_9001])

    allocate(vertices(2806)%branchR2(0:0))
    call avR2(2806, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(2520)%branchR2(0:0))
    call avR2(2520, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2280)%branchR2(0:0))
    call avR2(2280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(3217)%branchR2(0:0))
    call avR2(3217, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1573)%branchR2(0:0))
    call avR2(1573, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1424)%branchR2(0:0))
    call avR2(1424, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(912)%branchR2(0:0))
    call avR2(912, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9029])

    allocate(vertices(1607)%branchR2(0:0))
    call avR2(1607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(793)%branchR2(0:0))
    call avR2(793, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(785)%branchR2(0:1))
    call avR2(785, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8975, nGC_8975])

    call avR2(785, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8973, nGC_8974])

    allocate(vertices(239)%branchR2(0:0))
    call avR2(239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(3706)%branchR2(0:0))
    call avR2(3706, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2667)%branchR2(0:0))
    call avR2(2667, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3485)%branchR2(0:0))
    call avR2(3485, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9188])

    allocate(vertices(3295)%branchR2(0:0))
    call avR2(3295, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31307])

    allocate(vertices(3231)%branchR2(0:0))
    call avR2(3231, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9133])

    allocate(vertices(1556)%branchR2(0:1))
    call avR2(1556, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(1556, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8788, nGC_8787])

    allocate(vertices(952)%branchR2(0:1))
    call avR2(952, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(952, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8772])

    allocate(vertices(2969)%branchR2(0:0))
    call avR2(2969, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8721, nGC_8720])

    allocate(vertices(2144)%branchR2(0:0))
    call avR2(2144, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1477)%branchR2(0:0))
    call avR2(1477, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(3025)%branchR2(0:0))
    call avR2(3025, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1465)%branchR2(0:1))
    call avR2(1465, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_8803, nGC_8802])

    call avR2(1465, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(1460)%branchR2(0:0))
    call avR2(1460, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2115)%branchR2(0:0))
    call avR2(2115, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(445)%branchR2(0:1))
    call avR2(445, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9019, nGC_9019])

    call avR2(445, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9017, nGC_9018])

    allocate(vertices(725)%branchR2(0:0))
    call avR2(725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1686)%branchR2(0:1))
    call avR2(1686, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1686, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9051, nGC_9050])

    allocate(vertices(3431)%branchR2(0:0))
    call avR2(3431, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1013)%branchR2(0:1))
    call avR2(1013, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8999, nGC_9000])

    call avR2(1013, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_9001, nGC_9001])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(472)%branchR2(0:1))
    call avR2(472, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8955, nGC_8957])

    call avR2(472, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8956, nGC_8958])

    allocate(vertices(1948)%branchR2(0:0))
    call avR2(1948, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(346)%branchR2(0:0))
    call avR2(346, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3100)%branchR2(0:0))
    call avR2(3100, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8736, nGC_8735, nGC_8737])

    allocate(vertices(2618)%branchR2(0:0))
    call avR2(2618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1940)%branchR2(0:0))
    call avR2(1940, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9132, nGC_9130])

    allocate(vertices(3707)%branchR2(0:1))
    call avR2(3707, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

    call avR2(3707, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1746)%branchR2(0:0))
    call avR2(1746, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8879, nGC_8878])

    allocate(vertices(2977)%branchR2(0:0))
    call avR2(2977, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(3016)%branchR2(0:0))
    call avR2(3016, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(1778)%branchR2(0:0))
    call avR2(1778, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1595)%branchR2(0:0))
    call avR2(1595, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_31182])

    allocate(vertices(1592)%branchR2(0:0))
    call avR2(1592, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(829)%branchR2(0:0))
    call avR2(829, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(103)%branchR2(0:0))
    call avR2(103, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2243)%branchR2(0:0))
    call avR2(2243, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2829)%branchR2(0:0))
    call avR2(2829, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1962)%branchR2(0:0))
    call avR2(1962, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

    allocate(vertices(3510)%branchR2(0:0))
    call avR2(3510, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1973)%branchR2(0:0))
    call avR2(1973, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1798)%branchR2(0:0))
    call avR2(1798, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9030])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1827)%branchR2(0:1))
    call avR2(1827, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8829, nGC_8827])

    call avR2(1827, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8830, nGC_8828])

    allocate(vertices(751)%branchR2(0:0))
    call avR2(751, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(844)%branchR2(0:0))
    call avR2(844, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9236])

    allocate(vertices(2743)%branchR2(0:0))
    call avR2(2743, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2617)%branchR2(0:0))
    call avR2(2617, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8920])

    allocate(vertices(3708)%branchR2(0:0))
    call avR2(3708, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8857])

    allocate(vertices(3709)%branchR2(0:1))
    call avR2(3709, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9217])

    call avR2(3709, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9218])

    allocate(vertices(126)%branchR2(0:0))
    call avR2(126, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(1579)%branchR2(0:0))
    call avR2(1579, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30154])

    allocate(vertices(2489)%branchR2(0:0))
    call avR2(2489, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1550)%branchR2(0:0))
    call avR2(1550, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1917)%branchR2(0:0))
    call avR2(1917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(23)%branchR2(0:0))
    call avR2(23, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3710)%branchR2(0:1))
    call avR2(3710, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3710, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9265, nGC_9265,        &
    nGC_9265])

    allocate(vertices(2519)%branchR2(0:0))
    call avR2(2519, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8997])

    allocate(vertices(850)%branchR2(0:0))
    call avR2(850, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3711)%branchR2(0:5))
    call avR2(3711, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    call avR2(3711, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3711, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3711, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3711, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,        &
    nGC_9268])

    call avR2(3711, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    allocate(vertices(629)%branchR2(0:0))
    call avR2(629, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(1140)%branchR2(0:0))
    call avR2(1140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(2011)%branchR2(0:0))
    call avR2(2011, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8902])

    allocate(vertices(3563)%branchR2(0:0))
    call avR2(3563, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1048)%branchR2(0:0))
    call avR2(1048, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9029])

    allocate(vertices(3434)%branchR2(0:0))
    call avR2(3434, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2707)%branchR2(0:0))
    call avR2(2707, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1591)%branchR2(0:0))
    call avR2(1591, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(389)%branchR2(0:1))
    call avR2(389, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8886, nGC_8888])

    call avR2(389, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8887, nGC_8889])

    allocate(vertices(3249)%branchR2(0:0))
    call avR2(3249, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9127])

    allocate(vertices(438)%branchR2(0:0))
    call avR2(438, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(834)%branchR2(0:1))
    call avR2(834, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_9014, nGC_9015])

    call avR2(834, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_9016, nGC_9016])

    allocate(vertices(1600)%branchR2(0:0))
    call avR2(1600, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(3712)%branchR2(0:0))
    call avR2(3712, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1376)%branchR2(0:1))
    call avR2(1376, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1376, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9040, nGC_9039])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3360)%branchR2(0:0))
    call avR2(3360, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8770])

    allocate(vertices(2685)%branchR2(0:0))
    call avR2(2685, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1748)%branchR2(0:1))
    call avR2(1748, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8826, nGC_8824])

    call avR2(1748, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(1985)%branchR2(0:0))
    call avR2(1985, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3713)%branchR2(0:1))
    call avR2(3713, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3713, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(650)%branchR2(0:0))
    call avR2(650, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130, nGC_9132])

    allocate(vertices(1159)%branchR2(0:0))
    call avR2(1159, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(2171)%branchR2(0:0))
    call avR2(2171, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

    allocate(vertices(2778)%branchR2(0:0))
    call avR2(2778, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(450)%branchR2(0:0))
    call avR2(450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1891)%branchR2(0:0))
    call avR2(1891, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8928])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2359)%branchR2(0:0))
    call avR2(2359, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8780])

    allocate(vertices(3714)%branchR2(0:0))
    call avR2(3714, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9090])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1669)%branchR2(0:0))
    call avR2(1669, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(548)%branchR2(0:0))
    call avR2(548, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3715)%branchR2(0:0))
    call avR2(3715, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2079)%branchR2(0:1))
    call avR2(2079, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9005, nGC_9006])

    call avR2(2079, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9007, nGC_9007])

    allocate(vertices(2298)%branchR2(0:3))
    call avR2(2298, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9061, nGC_9059])

    call avR2(2298, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(2298, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9058, nGC_9056])

    call avR2(2298, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(1714)%branchR2(0:0))
    call avR2(1714, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(543)%branchR2(0:0))
    call avR2(543, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8836])

    allocate(vertices(1238)%branchR2(0:0))
    call avR2(1238, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1400)%branchR2(0:0))
    call avR2(1400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3716)%branchR2(0:1))
    call avR2(3716, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

    call avR2(3716, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(2494)%branchR2(0:0))
    call avR2(2494, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

    allocate(vertices(43)%branchR2(0:0))
    call avR2(43, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3020)%branchR2(0:0))
    call avR2(3020, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9214])

    allocate(vertices(309)%branchR2(0:0))
    call avR2(309, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2980)%branchR2(0:0))
    call avR2(2980, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2646)%branchR2(0:0))
    call avR2(2646, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8779])

    allocate(vertices(3184)%branchR2(0:0))
    call avR2(3184, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(3717)%branchR2(0:1))
    call avR2(3717, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

    call avR2(3717, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31481])

    allocate(vertices(2577)%branchR2(0:0))
    call avR2(2577, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1975)%branchR2(0:0))
    call avR2(1975, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(2500)%branchR2(0:0))
    call avR2(2500, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1073)%branchR2(0:0))
    call avR2(1073, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(3002)%branchR2(0:0))
    call avR2(3002, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(2468)%branchR2(0:0))
    call avR2(2468, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2452)%branchR2(0:0))
    call avR2(2452, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1295)%branchR2(0:0))
    call avR2(1295, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3023)%branchR2(0:0))
    call avR2(3023, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2057)%branchR2(0:0))
    call avR2(2057, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(636)%branchR2(0:0))
    call avR2(636, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(2096)%branchR2(0:0))
    call avR2(2096, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(1060)%branchR2(0:3))
    call avR2(1060, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_9069, nGC_9068])

    call avR2(1060, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1060, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(1060, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3261)%branchR2(0:0))
    call avR2(3261, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8860])

    allocate(vertices(2551)%branchR2(0:0))
    call avR2(2551, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1564)%branchR2(0:0))
    call avR2(1564, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(893)%branchR2(0:0))
    call avR2(893, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8797, nGC_8798])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2853)%branchR2(0:0))
    call avR2(2853, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(862)%branchR2(0:0))
    call avR2(862, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1726)%branchR2(0:1))
    call avR2(1726, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8828, nGC_8830])

    call avR2(1726, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8850, nGC_8851])

    allocate(vertices(2909)%branchR2(0:0))
    call avR2(2909, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2885)%branchR2(0:0))
    call avR2(2885, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8860])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2436)%branchR2(0:0))
    call avR2(2436, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8865])

    allocate(vertices(1935)%branchR2(0:0))
    call avR2(1935, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(212)%branchR2(0:0))
    call avR2(212, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(589)%branchR2(0:0))
    call avR2(589, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8855])

    allocate(vertices(2422)%branchR2(0:0))
    call avR2(2422, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1026)%branchR2(0:0))
    call avR2(1026, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8836])

    allocate(vertices(3584)%branchR2(0:0))
    call avR2(3584, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(809)%branchR2(0:0))
    call avR2(809, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(823)%branchR2(0:1))
    call avR2(823, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(823, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9051, nGC_9050])

    allocate(vertices(2434)%branchR2(0:0))
    call avR2(2434, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8806, nGC_8807])

    allocate(vertices(566)%branchR2(0:0))
    call avR2(566, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2854)%branchR2(0:0))
    call avR2(2854, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(3284)%branchR2(0:0))
    call avR2(3284, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3281)%branchR2(0:0))
    call avR2(3281, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1480)%branchR2(0:1))
    call avR2(1480, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9037, nGC_9035])

    call avR2(1480, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9038, nGC_9036])

    allocate(vertices(2392)%branchR2(0:0))
    call avR2(2392, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1152)%branchR2(0:1))
    call avR2(1152, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8903, nGC_8905])

    call avR2(1152, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8904, nGC_8906])

    allocate(vertices(2974)%branchR2(0:0))
    call avR2(2974, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(1865)%branchR2(0:0))
    call avR2(1865, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8822])

    allocate(vertices(2642)%branchR2(0:0))
    call avR2(2642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3575)%branchR2(0:0))
    call avR2(3575, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(3718)%branchR2(0:1))
    call avR2(3718, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3718, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(2185)%branchR2(0:0))
    call avR2(2185, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2662)%branchR2(0:0))
    call avR2(2662, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(2384)%branchR2(0:0))
    call avR2(2384, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9044, nGC_9045])

    allocate(vertices(3276)%branchR2(0:0))
    call avR2(3276, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_8762])

    allocate(vertices(965)%branchR2(0:0))
    call avR2(965, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8806, nGC_8807])

    allocate(vertices(3263)%branchR2(0:0))
    call avR2(3263, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(1911)%branchR2(0:1))
    call avR2(1911, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8990, nGC_8990])

    call avR2(1911, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8988, nGC_8989])

    allocate(vertices(1568)%branchR2(0:0))
    call avR2(1568, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(2796)%branchR2(0:0))
    call avR2(2796, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(1404)%branchR2(0:0))
    call avR2(1404, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2687)%branchR2(0:0))
    call avR2(2687, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1730)%branchR2(0:0))
    call avR2(1730, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2490)%branchR2(0:1))
    call avR2(2490, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9016, nGC_9016])

    call avR2(2490, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_9014, nGC_9015])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(2609)%branchR2(0:0))
    call avR2(2609, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(1958)%branchR2(0:0))
    call avR2(1958, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2703)%branchR2(0:0))
    call avR2(2703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(3520)%branchR2(0:0))
    call avR2(3520, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2158)%branchR2(0:0))
    call avR2(2158, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1156)%branchR2(0:0))
    call avR2(1156, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1375)%branchR2(0:0))
    call avR2(1375, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(3719)%branchR2(0:0))
    call avR2(3719, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2119)%branchR2(0:0))
    call avR2(2119, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8915])

    allocate(vertices(3720)%branchR2(0:1))
    call avR2(3720, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9224])

    call avR2(3720, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9225])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(2712)%branchR2(0:0))
    call avR2(2712, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2759)%branchR2(0:0))
    call avR2(2759, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1325)%branchR2(0:0))
    call avR2(1325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1389)%branchR2(0:0))
    call avR2(1389, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(3164)%branchR2(0:0))
    call avR2(3164, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9188])

    allocate(vertices(3475)%branchR2(0:0))
    call avR2(3475, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29317])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9029])

    allocate(vertices(1074)%branchR2(0:1))
    call avR2(1074, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_9024, nGC_9024])

    call avR2(1074, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_9022, nGC_9023])

    allocate(vertices(174)%branchR2(0:0))
    call avR2(174, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2432)%branchR2(0:0))
    call avR2(2432, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(2042)%branchR2(0:0))
    call avR2(2042, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2560)%branchR2(0:0))
    call avR2(2560, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1763)%branchR2(0:0))
    call avR2(1763, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1484)%branchR2(0:0))
    call avR2(1484, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2089)%branchR2(0:0))
    call avR2(2089, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(961)%branchR2(0:1))
    call avR2(961, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9037, nGC_9035])

    call avR2(961, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9038, nGC_9036])

    allocate(vertices(94)%branchR2(0:0))
    call avR2(94, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2989)%branchR2(0:0))
    call avR2(2989, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1982)%branchR2(0:0))
    call avR2(1982, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2117)%branchR2(0:1))
    call avR2(2117, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8970, nGC_8971])

    call avR2(2117, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8972, nGC_8972])

    allocate(vertices(2691)%branchR2(0:0))
    call avR2(2691, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2541)%branchR2(0:1))
    call avR2(2541, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8943, nGC_8945])

    call avR2(2541, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8944, nGC_8946])

    allocate(vertices(2754)%branchR2(0:0))
    call avR2(2754, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1724)%branchR2(0:0))
    call avR2(1724, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(3335)%branchR2(0:0))
    call avR2(3335, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9188])

    allocate(vertices(2733)%branchR2(0:0))
    call avR2(2733, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(3721)%branchR2(0:1))
    call avR2(3721, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

    call avR2(3721, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(2593)%branchR2(0:3))
    call avR2(2593, 0, 26, 1, 0, FVFa1, 0, [1, 2], [nGC_9074, nGC_9073])

    call avR2(2593, 1, 26, 1, 0, FVFa1, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(2593, 2, 27, 1, 0, FVFa1, 0, [1, 2], [nGC_9071, nGC_9070])

    call avR2(2593, 3, 27, 1, 0, FVFa1, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(2717)%branchR2(0:0))
    call avR2(2717, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1841)%branchR2(0:0))
    call avR2(1841, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(317)%branchR2(0:0))
    call avR2(317, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2675)%branchR2(0:1))
    call avR2(2675, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8829, nGC_8827])

    call avR2(2675, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8830, nGC_8828])

    allocate(vertices(3722)%branchR2(0:0))
    call avR2(3722, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2879)%branchR2(0:0))
    call avR2(2879, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(3149)%branchR2(0:0))
    call avR2(3149, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2375)%branchR2(0:0))
    call avR2(2375, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8900])

    allocate(vertices(295)%branchR2(0:0))
    call avR2(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2591)%branchR2(0:0))
    call avR2(2591, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(277)%branchR2(0:1))
    call avR2(277, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8988, nGC_8989])

    call avR2(277, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8990, nGC_8990])

    allocate(vertices(1789)%branchR2(0:0))
    call avR2(1789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(3562)%branchR2(0:0))
    call avR2(3562, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1297)%branchR2(0:0))
    call avR2(1297, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8968])

    allocate(vertices(2287)%branchR2(0:0))
    call avR2(2287, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(337)%branchR2(0:0))
    call avR2(337, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(3723)%branchR2(0:1))
    call avR2(3723, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_8981])

    call avR2(3723, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_8982])

    allocate(vertices(2739)%branchR2(0:0))
    call avR2(2739, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3724)%branchR2(0:1))
    call avR2(3724, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3724, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

  end subroutine fill_vertices_mdl10
end module vertices_info10
