!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  implicit none
  contains
  subroutine fill_vertices_mdl11()
    use class_vertices
    use class_couplings
    allocate(vertices(1624)%branchR2(0:0))
    call avR2(1624, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(1742)%branchR2(0:0))
    call avR2(1742, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1377)%branchR2(0:0))
    call avR2(1377, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(1136)%branchR2(0:0))
    call avR2(1136, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29824])

    allocate(vertices(3123)%branchR2(0:0))
    call avR2(3123, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(326)%branchR2(0:1))
    call avR2(326, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8975, nGC_8975])

    call avR2(326, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8973, nGC_8974])

    allocate(vertices(779)%branchR2(0:0))
    call avR2(779, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(1341)%branchR2(0:0))
    call avR2(1341, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(2866)%branchR2(0:0))
    call avR2(2866, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9133])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(392)%branchR2(0:0))
    call avR2(392, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3207)%branchR2(0:0))
    call avR2(3207, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3581)%branchR2(0:0))
    call avR2(3581, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(22)%branchR2(0:0))
    call avR2(22, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8795, nGC_8796])

    allocate(vertices(3725)%branchR2(0:1))
    call avR2(3725, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9114, nGC_9114,        &
    nGC_9114])

    call avR2(3725, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9115, nGC_9115,        &
    nGC_9115])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(39)%branchR2(0:0))
    call avR2(39, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(3726)%branchR2(0:0))
    call avR2(3726, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8776])

    allocate(vertices(477)%branchR2(0:0))
    call avR2(477, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(516)%branchR2(0:1))
    call avR2(516, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(516, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_9049, nGC_9048])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(523)%branchR2(0:0))
    call avR2(523, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(195)%branchR2(0:1))
    call avR2(195, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8976, nGC_8977])

    call avR2(195, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8978, nGC_8978])

    allocate(vertices(2927)%branchR2(0:0))
    call avR2(2927, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9133])

    allocate(vertices(3422)%branchR2(0:0))
    call avR2(3422, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(2301)%branchR2(0:0))
    call avR2(2301, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29255])

    allocate(vertices(3306)%branchR2(0:0))
    call avR2(3306, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(177)%branchR2(0:0))
    call avR2(177, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9245])

    allocate(vertices(1612)%branchR2(0:0))
    call avR2(1612, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(2884)%branchR2(0:0))
    call avR2(2884, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1124)%branchR2(0:0))
    call avR2(1124, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9250])

    allocate(vertices(479)%branchR2(0:0))
    call avR2(479, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9029])

    allocate(vertices(1227)%branchR2(0:0))
    call avR2(1227, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(1823)%branchR2(0:0))
    call avR2(1823, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9149])

    allocate(vertices(3727)%branchR2(0:0))
    call avR2(3727, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9094, nGC_9094&
    ])

    allocate(vertices(1614)%branchR2(0:0))
    call avR2(1614, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8990, nGC_8990])

    call avR2(1182, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8988, nGC_8989])

    allocate(vertices(3418)%branchR2(0:0))
    call avR2(3418, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2860)%branchR2(0:0))
    call avR2(2860, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8932])

    allocate(vertices(3338)%branchR2(0:0))
    call avR2(3338, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3235)%branchR2(0:0))
    call avR2(3235, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(52)%branchR2(0:0))
    call avR2(52, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8921])

    allocate(vertices(1537)%branchR2(0:0))
    call avR2(1537, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2454)%branchR2(0:1))
    call avR2(2454, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(2454, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_9055, nGC_9054])

    allocate(vertices(946)%branchR2(0:0))
    call avR2(946, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9030])

    allocate(vertices(1135)%branchR2(0:0))
    call avR2(1135, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2848)%branchR2(0:0))
    call avR2(2848, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9188])

    allocate(vertices(403)%branchR2(0:0))
    call avR2(403, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2545)%branchR2(0:0))
    call avR2(2545, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2923)%branchR2(0:0))
    call avR2(2923, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1851)%branchR2(0:0))
    call avR2(1851, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3154)%branchR2(0:0))
    call avR2(3154, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1679)%branchR2(0:0))
    call avR2(1679, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(1517)%branchR2(0:0))
    call avR2(1517, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2005)%branchR2(0:0))
    call avR2(2005, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2706)%branchR2(0:0))
    call avR2(2706, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(2024)%branchR2(0:0))
    call avR2(2024, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(122)%branchR2(0:0))
    call avR2(122, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29901])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(3477)%branchR2(0:0))
    call avR2(3477, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1153)%branchR2(0:0))
    call avR2(1153, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8933])

    allocate(vertices(2841)%branchR2(0:0))
    call avR2(2841, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2346)%branchR2(0:0))
    call avR2(2346, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9052, nGC_9053])

    allocate(vertices(1139)%branchR2(0:0))
    call avR2(1139, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(1410)%branchR2(0:0))
    call avR2(1410, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(381)%branchR2(0:0))
    call avR2(381, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(3728)%branchR2(0:1))
    call avR2(3728, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_9010])

    call avR2(3728, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_9011])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9257, nGC_9258])

    allocate(vertices(3460)%branchR2(0:0))
    call avR2(3460, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9188])

    allocate(vertices(3527)%branchR2(0:0))
    call avR2(3527, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2902)%branchR2(0:0))
    call avR2(2902, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1443)%branchR2(0:0))
    call avR2(1443, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(10)%branchR2(0:0))
    call avR2(10, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8847])

    allocate(vertices(2872)%branchR2(0:0))
    call avR2(2872, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9128])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(1628)%branchR2(0:0))
    call avR2(1628, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(934)%branchR2(0:0))
    call avR2(934, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(188)%branchR2(0:1))
    call avR2(188, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9026])

    call avR2(188, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9027])

    allocate(vertices(1912)%branchR2(0:0))
    call avR2(1912, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(191)%branchR2(0:0))
    call avR2(191, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9261, nGC_9262])

    allocate(vertices(391)%branchR2(0:0))
    call avR2(391, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(2711)%branchR2(0:0))
    call avR2(2711, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8799])

    allocate(vertices(2285)%branchR2(0:0))
    call avR2(2285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(2179)%branchR2(0:0))
    call avR2(2179, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9250])

    allocate(vertices(1272)%branchR2(0:0))
    call avR2(1272, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(423)%branchR2(0:0))
    call avR2(423, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1762)%branchR2(0:0))
    call avR2(1762, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8967])

    allocate(vertices(2102)%branchR2(0:0))
    call avR2(2102, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9099, nGC_9098, nGC_9097&
    ])

    allocate(vertices(2136)%branchR2(0:1))
    call avR2(2136, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

    call avR2(2136, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9028])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(440)%branchR2(0:0))
    call avR2(440, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(1767)%branchR2(0:1))
    call avR2(1767, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8911, nGC_8913])

    call avR2(1767, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8912, nGC_8914])

    allocate(vertices(3729)%branchR2(0:0))
    call avR2(3729, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(1990)%branchR2(0:0))
    call avR2(1990, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1850)%branchR2(0:0))
    call avR2(1850, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9097, nGC_9098, nGC_9099&
    ])

    allocate(vertices(2877)%branchR2(0:0))
    call avR2(2877, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(1939)%branchR2(0:0))
    call avR2(1939, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9047])

    allocate(vertices(1847)%branchR2(0:0))
    call avR2(1847, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(2188)%branchR2(0:1))
    call avR2(2188, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(2188, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9055, nGC_9054])

    allocate(vertices(133)%branchR2(0:0))
    call avR2(133, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2578)%branchR2(0:0))
    call avR2(2578, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(1300)%branchR2(0:0))
    call avR2(1300, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2442)%branchR2(0:0))
    call avR2(2442, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(3730)%branchR2(0:1))
    call avR2(3730, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9251])

    call avR2(3730, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9252])

    allocate(vertices(1289)%branchR2(0:0))
    call avR2(1289, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1081)%branchR2(0:1))
    call avR2(1081, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8874, nGC_8876])

    call avR2(1081, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8875, nGC_8877])

    allocate(vertices(1267)%branchR2(0:0))
    call avR2(1267, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9257, nGC_9256&
    ])

    allocate(vertices(1959)%branchR2(0:0))
    call avR2(1959, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(3046)%branchR2(0:0))
    call avR2(3046, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(49)%branchR2(0:1))
    call avR2(49, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8972, nGC_8972])

    call avR2(49, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8970, nGC_8971])

    allocate(vertices(3447)%branchR2(0:0))
    call avR2(3447, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1251)%branchR2(0:0))
    call avR2(1251, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(1794)%branchR2(0:3))
    call avR2(1794, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9069, nGC_9068])

    call avR2(1794, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1794, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(1794, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3302)%branchR2(0:0))
    call avR2(3302, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1406)%branchR2(0:1))
    call avR2(1406, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

    call avR2(1406, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

    allocate(vertices(3731)%branchR2(0:0))
    call avR2(3731, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9091])

    allocate(vertices(3732)%branchR2(0:1))
    call avR2(3732, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9259])

    call avR2(3732, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9260])

    allocate(vertices(3733)%branchR2(0:0))
    call avR2(3733, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2061)%branchR2(0:0))
    call avR2(2061, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8881, nGC_8880])

    allocate(vertices(3186)%branchR2(0:0))
    call avR2(3186, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2284)%branchR2(0:0))
    call avR2(2284, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3526)%branchR2(0:0))
    call avR2(3526, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(1324)%branchR2(0:0))
    call avR2(1324, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3273)%branchR2(0:0))
    call avR2(3273, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3734)%branchR2(0:0))
    call avR2(3734, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9092])

    allocate(vertices(3449)%branchR2(0:0))
    call avR2(3449, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(385)%branchR2(0:0))
    call avR2(385, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(914)%branchR2(0:0))
    call avR2(914, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(514)%branchR2(0:0))
    call avR2(514, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2645)%branchR2(0:0))
    call avR2(2645, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(256)%branchR2(0:0))
    call avR2(256, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3735)%branchR2(0:1))
    call avR2(3735, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9217])

    call avR2(3735, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9218])

    allocate(vertices(1043)%branchR2(0:0))
    call avR2(1043, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1472)%branchR2(0:0))
    call avR2(1472, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2025)%branchR2(0:0))
    call avR2(2025, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(1471)%branchR2(0:3))
    call avR2(1471, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9074, nGC_9073])

    call avR2(1471, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1471, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9071, nGC_9070])

    call avR2(1471, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(467)%branchR2(0:1))
    call avR2(467, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8834, nGC_8832])

    call avR2(467, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8853, nGC_8852])

    allocate(vertices(2651)%branchR2(0:0))
    call avR2(2651, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2668)%branchR2(0:0))
    call avR2(2668, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9030])

    allocate(vertices(2109)%branchR2(0:0))
    call avR2(2109, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(1442)%branchR2(0:0))
    call avR2(1442, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(1499)%branchR2(0:0))
    call avR2(1499, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31866])

    allocate(vertices(2648)%branchR2(0:0))
    call avR2(2648, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1283)%branchR2(0:0))
    call avR2(1283, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8948, nGC_8947])

    allocate(vertices(708)%branchR2(0:0))
    call avR2(708, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2602)%branchR2(0:0))
    call avR2(2602, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8781])

    allocate(vertices(1006)%branchR2(0:0))
    call avR2(1006, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9089])

    allocate(vertices(926)%branchR2(0:0))
    call avR2(926, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9047])

    allocate(vertices(1316)%branchR2(0:0))
    call avR2(1316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3157)%branchR2(0:0))
    call avR2(3157, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2342)%branchR2(0:0))
    call avR2(2342, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8812])

    allocate(vertices(3736)%branchR2(0:1))
    call avR2(3736, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9206])

    call avR2(3736, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9207])

    allocate(vertices(780)%branchR2(0:1))
    call avR2(780, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(780, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(2619)%branchR2(0:0))
    call avR2(2619, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(2750)%branchR2(0:0))
    call avR2(2750, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(897)%branchR2(0:1))
    call avR2(897, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(897, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8794, nGC_8793])

    allocate(vertices(3737)%branchR2(0:1))
    call avR2(3737, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9114, nGC_9114,        &
    nGC_9114])

    call avR2(3737, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9115, nGC_9115,        &
    nGC_9115])

    allocate(vertices(380)%branchR2(0:0))
    call avR2(380, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1315)%branchR2(0:0))
    call avR2(1315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1963)%branchR2(0:0))
    call avR2(1963, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8854])

    allocate(vertices(558)%branchR2(0:0))
    call avR2(558, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(500)%branchR2(0:0))
    call avR2(500, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3468)%branchR2(0:0))
    call avR2(3468, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2438)%branchR2(0:0))
    call avR2(2438, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1685)%branchR2(0:0))
    call avR2(1685, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1750)%branchR2(0:0))
    call avR2(1750, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(1401)%branchR2(0:3))
    call avR2(1401, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(1401, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1401, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(1401, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(588)%branchR2(0:0))
    call avR2(588, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(1419)%branchR2(0:0))
    call avR2(1419, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8931])

    allocate(vertices(1357)%branchR2(0:0))
    call avR2(1357, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1470)%branchR2(0:0))
    call avR2(1470, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(369)%branchR2(0:0))
    call avR2(369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3413)%branchR2(0:0))
    call avR2(3413, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1974)%branchR2(0:0))
    call avR2(1974, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1293)%branchR2(0:0))
    call avR2(1293, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(3287)%branchR2(0:0))
    call avR2(3287, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3369)%branchR2(0:0))
    call avR2(3369, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8818])

    allocate(vertices(2827)%branchR2(0:0))
    call avR2(2827, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(1200, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2056)%branchR2(0:0))
    call avR2(2056, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(2740)%branchR2(0:0))
    call avR2(2740, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1575)%branchR2(0:0))
    call avR2(1575, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(1588)%branchR2(0:1))
    call avR2(1588, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_9024, nGC_9024])

    call avR2(1588, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_9022, nGC_9023])

    allocate(vertices(2189)%branchR2(0:0))
    call avR2(2189, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(956)%branchR2(0:1))
    call avR2(956, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8834, nGC_8832])

    call avR2(956, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8853, nGC_8852])

    allocate(vertices(576)%branchR2(0:0))
    call avR2(576, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1887)%branchR2(0:0))
    call avR2(1887, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(830)%branchR2(0:1))
    call avR2(830, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8831, nGC_8833])

    call avR2(830, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8832, nGC_8834])

    allocate(vertices(2916)%branchR2(0:0))
    call avR2(2916, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2744)%branchR2(0:0))
    call avR2(2744, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(203)%branchR2(0:0))
    call avR2(203, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(2997)%branchR2(0:0))
    call avR2(2997, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1199)%branchR2(0:0))
    call avR2(1199, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2867)%branchR2(0:0))
    call avR2(2867, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(1372)%branchR2(0:0))
    call avR2(1372, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(909)%branchR2(0:0))
    call avR2(909, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3102)%branchR2(0:0))
    call avR2(3102, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2321)%branchR2(0:0))
    call avR2(2321, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8948, nGC_8947])

    allocate(vertices(1670)%branchR2(0:0))
    call avR2(1670, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3738)%branchR2(0:0))
    call avR2(3738, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(2620)%branchR2(0:0))
    call avR2(2620, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8921])

    allocate(vertices(3503)%branchR2(0:0))
    call avR2(3503, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2148)%branchR2(0:0))
    call avR2(2148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(1996)%branchR2(0:0))
    call avR2(1996, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3739)%branchR2(0:1))
    call avR2(3739, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9217])

    call avR2(3739, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9218])

    allocate(vertices(535)%branchR2(0:0))
    call avR2(535, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8960, nGC_8959])

    allocate(vertices(1486)%branchR2(0:0))
    call avR2(1486, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(274)%branchR2(0:0))
    call avR2(274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2998)%branchR2(0:0))
    call avR2(2998, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(168)%branchR2(0:0))
    call avR2(168, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1202)%branchR2(0:0))
    call avR2(1202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(2332)%branchR2(0:0))
    call avR2(2332, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2893)%branchR2(0:0))
    call avR2(2893, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9188])

    allocate(vertices(3740)%branchR2(0:0))
    call avR2(3740, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2326)%branchR2(0:0))
    call avR2(2326, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1132)%branchR2(0:0))
    call avR2(1132, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31481])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8918])

    allocate(vertices(2658)%branchR2(0:1))
    call avR2(2658, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8955, nGC_8957])

    call avR2(2658, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8956, nGC_8958])

    allocate(vertices(1337)%branchR2(0:0))
    call avR2(1337, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(1781)%branchR2(0:0))
    call avR2(1781, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3741)%branchR2(0:1))
    call avR2(3741, 0, 47, 1, 0, VSV0, 0, [2, 1], [nGC_9010])

    call avR2(3741, 1, 48, 1, 0, VSV0, 0, [2, 1], [nGC_9011])

    allocate(vertices(1737)%branchR2(0:0))
    call avR2(1737, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2630)%branchR2(0:0))
    call avR2(2630, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2512)%branchR2(0:0))
    call avR2(2512, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8781])

    allocate(vertices(1683)%branchR2(0:0))
    call avR2(1683, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2054)%branchR2(0:1))
    call avR2(2054, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8908, nGC_8910])

    call avR2(2054, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8924, nGC_8925])

    allocate(vertices(3742)%branchR2(0:0))
    call avR2(3742, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3534)%branchR2(0:0))
    call avR2(3534, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2940)%branchR2(0:0))
    call avR2(2940, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(2900)%branchR2(0:0))
    call avR2(2900, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(320)%branchR2(0:0))
    call avR2(320, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3215)%branchR2(0:0))
    call avR2(3215, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2334)%branchR2(0:0))
    call avR2(2334, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8968])

    allocate(vertices(2752)%branchR2(0:0))
    call avR2(2752, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(1457)%branchR2(0:0))
    call avR2(1457, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29824])

    allocate(vertices(1840)%branchR2(0:0))
    call avR2(1840, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3743)%branchR2(0:0))
    call avR2(3743, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1524)%branchR2(0:0))
    call avR2(1524, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2529)%branchR2(0:1))
    call avR2(2529, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8909, nGC_8907])

    call avR2(2529, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8910, nGC_8908])

    allocate(vertices(452)%branchR2(0:0))
    call avR2(452, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(718)%branchR2(0:0))
    call avR2(718, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9030])

    allocate(vertices(2001)%branchR2(0:0))
    call avR2(2001, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8822])

    allocate(vertices(1623)%branchR2(0:0))
    call avR2(1623, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(3744)%branchR2(0:1))
    call avR2(3744, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9251])

    call avR2(3744, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9252])

    allocate(vertices(2128)%branchR2(0:0))
    call avR2(2128, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2302)%branchR2(0:0))
    call avR2(2302, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8836])

    allocate(vertices(2312)%branchR2(0:0))
    call avR2(2312, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131, nGC_9130&
    ])

    allocate(vertices(1995)%branchR2(0:0))
    call avR2(1995, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8902])

    allocate(vertices(3745)%branchR2(0:0))
    call avR2(3745, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2210)%branchR2(0:1))
    call avR2(2210, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8892, nGC_8894])

    call avR2(2210, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8893, nGC_8895])

    allocate(vertices(1654)%branchR2(0:0))
    call avR2(1654, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(3746)%branchR2(0:0))
    call avR2(3746, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9090])

    allocate(vertices(1775)%branchR2(0:0))
    call avR2(1775, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1666)%branchR2(0:0))
    call avR2(1666, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8917])

    allocate(vertices(1671)%branchR2(0:0))
    call avR2(1671, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130, nGC_9132&
    ])

    allocate(vertices(2069)%branchR2(0:0))
    call avR2(2069, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8865])

    allocate(vertices(2290)%branchR2(0:0))
    call avR2(2290, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(927)%branchR2(0:0))
    call avR2(927, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(136)%branchR2(0:0))
    call avR2(136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(1705)%branchR2(0:0))
    call avR2(1705, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8967])

    allocate(vertices(2553)%branchR2(0:0))
    call avR2(2553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3747)%branchR2(0:1))
    call avR2(3747, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

    call avR2(3747, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1017)%branchR2(0:0))
    call avR2(1017, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9025])

    allocate(vertices(3018)%branchR2(0:0))
    call avR2(3018, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2007)%branchR2(0:0))
    call avR2(2007, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2469)%branchR2(0:0))
    call avR2(2469, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(209)%branchR2(0:1))
    call avR2(209, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(209, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8803, nGC_8802])

    allocate(vertices(1657)%branchR2(0:1))
    call avR2(1657, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8831, nGC_8833])

    call avR2(1657, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8832, nGC_8834])

    allocate(vertices(1331)%branchR2(0:0))
    call avR2(1331, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(536)%branchR2(0:0))
    call avR2(536, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9202])

    allocate(vertices(2261)%branchR2(0:0))
    call avR2(2261, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(3748)%branchR2(0:0))
    call avR2(3748, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2515)%branchR2(0:0))
    call avR2(2515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(653)%branchR2(0:1))
    call avR2(653, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(653, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8803, nGC_8802])

    allocate(vertices(3749)%branchR2(0:0))
    call avR2(3749, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3084)%branchR2(0:1))
    call avR2(3084, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8749, nGC_8748, nGC_8746&
    , nGC_8746])

    call avR2(3084, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8747&
    , nGC_8747])

    allocate(vertices(1051)%branchR2(0:1))
    call avR2(1051, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(1051, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(2382)%branchR2(0:0))
    call avR2(2382, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(2638)%branchR2(0:0))
    call avR2(2638, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1334)%branchR2(0:0))
    call avR2(1334, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9046])

    allocate(vertices(2586)%branchR2(0:0))
    call avR2(2586, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2608)%branchR2(0:0))
    call avR2(2608, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2920)%branchR2(0:0))
    call avR2(2920, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8784])

    allocate(vertices(1895)%branchR2(0:0))
    call avR2(1895, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_32077])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8795, nGC_8796])

    allocate(vertices(3750)%branchR2(0:1))
    call avR2(3750, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9238])

    call avR2(3750, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9239])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8772])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1815)%branchR2(0:0))
    call avR2(1815, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3583)%branchR2(0:0))
    call avR2(3583, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2336)%branchR2(0:0))
    call avR2(2336, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(953)%branchR2(0:0))
    call avR2(953, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2429)%branchR2(0:1))
    call avR2(2429, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8909, nGC_8907])

    call avR2(2429, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8910, nGC_8908])

    allocate(vertices(999)%branchR2(0:0))
    call avR2(999, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3130)%branchR2(0:0))
    call avR2(3130, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2364)%branchR2(0:0))
    call avR2(2364, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29948])

    allocate(vertices(716)%branchR2(0:3))
    call avR2(716, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(716, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(716, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(716, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(2572)%branchR2(0:0))
    call avR2(2572, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9256, nGC_9257&
    ])

    allocate(vertices(1452)%branchR2(0:0))
    call avR2(1452, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(1760)%branchR2(0:1))
    call avR2(1760, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8978, nGC_8978])

    call avR2(1760, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8976, nGC_8977])

    allocate(vertices(1713)%branchR2(0:3))
    call avR2(1713, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_9085, nGC_9084])

    call avR2(1713, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1713, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_9083, nGC_9082])

    call avR2(1713, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(3139)%branchR2(0:0))
    call avR2(3139, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2122)%branchR2(0:0))
    call avR2(2122, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2455)%branchR2(0:0))
    call avR2(2455, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(2714)%branchR2(0:0))
    call avR2(2714, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9214])

    allocate(vertices(356)%branchR2(0:0))
    call avR2(356, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(1241)%branchR2(0:0))
    call avR2(1241, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9202])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8835])

    allocate(vertices(303)%branchR2(0:0))
    call avR2(303, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2758)%branchR2(0:0))
    call avR2(2758, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(140)%branchR2(0:0))
    call avR2(140, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8916])

    allocate(vertices(985)%branchR2(0:0))
    call avR2(985, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(130)%branchR2(0:0))
    call avR2(130, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2418)%branchR2(0:0))
    call avR2(2418, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(62)%branchR2(0:1))
    call avR2(62, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8886, nGC_8888])

    call avR2(62, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8887, nGC_8889])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(2810)%branchR2(0:0))
    call avR2(2810, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9026])

    call avR2(1180, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9027])

    allocate(vertices(3341)%branchR2(0:0))
    call avR2(3341, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(287)%branchR2(0:0))
    call avR2(287, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9030])

    allocate(vertices(3751)%branchR2(0:0))
    call avR2(3751, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3200)%branchR2(0:0))
    call avR2(3200, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1791)%branchR2(0:0))
    call avR2(1791, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1618)%branchR2(0:0))
    call avR2(1618, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(338)%branchR2(0:0))
    call avR2(338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(3455)%branchR2(0:0))
    call avR2(3455, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(3752)%branchR2(0:0))
    call avR2(3752, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9090])

    allocate(vertices(3061)%branchR2(0:0))
    call avR2(3061, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8753, nGC_8754, nGC_8761&
    , nGC_8761])

    allocate(vertices(1435)%branchR2(0:0))
    call avR2(1435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(2556)%branchR2(0:0))
    call avR2(2556, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29255])

    allocate(vertices(2445)%branchR2(0:0))
    call avR2(2445, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2576)%branchR2(0:0))
    call avR2(2576, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9030])

    allocate(vertices(2142)%branchR2(0:0))
    call avR2(2142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(1234)%branchR2(0:0))
    call avR2(1234, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8835])

    allocate(vertices(3753)%branchR2(0:1))
    call avR2(3753, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9217])

    call avR2(3753, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9218])

    allocate(vertices(2016)%branchR2(0:1))
    call avR2(2016, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(2016, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(1738)%branchR2(0:0))
    call avR2(1738, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132, nGC_9131&
    ])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2060)%branchR2(0:0))
    call avR2(2060, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3062)%branchR2(0:0))
    call avR2(3062, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8861])

    allocate(vertices(3754)%branchR2(0:1))
    call avR2(3754, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

    call avR2(3754, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1405)%branchR2(0:0))
    call avR2(1405, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9013, nGC_9012])

    allocate(vertices(3387)%branchR2(0:0))
    call avR2(3387, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1604)%branchR2(0:0))
    call avR2(1604, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2728)%branchR2(0:0))
    call avR2(2728, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9133])

    allocate(vertices(1172)%branchR2(0:0))
    call avR2(1172, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1562)%branchR2(0:1))
    call avR2(1562, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9026])

    call avR2(1562, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9027])

    allocate(vertices(2930)%branchR2(0:1))
    call avR2(2930, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8749, nGC_8748, nGC_8765&
    , nGC_8765])

    call avR2(2930, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8766&
    , nGC_8766])

    allocate(vertices(1740)%branchR2(0:1))
    call avR2(1740, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8809, nGC_8808])

    call avR2(1740, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(813)%branchR2(0:0))
    call avR2(813, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(1145)%branchR2(0:0))
    call avR2(1145, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(921)%branchR2(0:0))
    call avR2(921, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2780)%branchR2(0:0))
    call avR2(2780, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8736, nGC_8735, nGC_8737])

    allocate(vertices(2183)%branchR2(0:1))
    call avR2(2183, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8961, nGC_8963])

    call avR2(2183, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8962, nGC_8964])

    allocate(vertices(120)%branchR2(0:0))
    call avR2(120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(494)%branchR2(0:0))
    call avR2(494, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8984, nGC_8983])

    allocate(vertices(3755)%branchR2(0:1))
    call avR2(3755, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3755, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(1378)%branchR2(0:0))
    call avR2(1378, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8934])

    allocate(vertices(1551)%branchR2(0:0))
    call avR2(1551, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9089])

    allocate(vertices(1828)%branchR2(0:0))
    call avR2(1828, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8854])

    allocate(vertices(1816)%branchR2(0:0))
    call avR2(1816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

    allocate(vertices(3366)%branchR2(0:0))
    call avR2(3366, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1373)%branchR2(0:0))
    call avR2(1373, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3402)%branchR2(0:0))
    call avR2(3402, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9214])

    allocate(vertices(1636)%branchR2(0:1))
    call avR2(1636, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8886, nGC_8888])

    call avR2(1636, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8887, nGC_8889])

    allocate(vertices(3756)%branchR2(0:0))
    call avR2(3756, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137, nGC_9137&
    ])

    allocate(vertices(463)%branchR2(0:0))
    call avR2(463, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_9009, nGC_9008])

    allocate(vertices(1164)%branchR2(0:0))
    call avR2(1164, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

    allocate(vertices(1170)%branchR2(0:0))
    call avR2(1170, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3757)%branchR2(0:0))
    call avR2(3757, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2937)%branchR2(0:0))
    call avR2(2937, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9052, nGC_9053])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(2741)%branchR2(0:0))
    call avR2(2741, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30784])

    allocate(vertices(1776)%branchR2(0:0))
    call avR2(1776, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8998])

    allocate(vertices(1661)%branchR2(0:0))
    call avR2(1661, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2049)%branchR2(0:0))
    call avR2(2049, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1759)%branchR2(0:0))
    call avR2(1759, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2305)%branchR2(0:0))
    call avR2(2305, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(3758)%branchR2(0:0))
    call avR2(3758, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9091])

    allocate(vertices(2173)%branchR2(0:0))
    call avR2(2173, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8968])

    allocate(vertices(3237)%branchR2(0:0))
    call avR2(3237, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8778])

    allocate(vertices(3552)%branchR2(0:0))
    call avR2(3552, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(591)%branchR2(0:0))
    call avR2(591, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(434)%branchR2(0:0))
    call avR2(434, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9030])

    allocate(vertices(1355)%branchR2(0:0))
    call avR2(1355, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1542)%branchR2(0:0))
    call avR2(1542, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29695])

    allocate(vertices(3759)%branchR2(0:1))
    call avR2(3759, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9217])

    call avR2(3759, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9218])

    allocate(vertices(1547)%branchR2(0:0))
    call avR2(1547, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9099, nGC_9097&
    ])

    allocate(vertices(1814)%branchR2(0:0))
    call avR2(1814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2559)%branchR2(0:1))
    call avR2(2559, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9026])

    call avR2(2559, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

    allocate(vertices(1213)%branchR2(0:1))
    call avR2(1213, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(1213, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(1907)%branchR2(0:0))
    call avR2(1907, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9029])

    allocate(vertices(3518)%branchR2(0:0))
    call avR2(3518, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2295)%branchR2(0:0))
    call avR2(2295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3760)%branchR2(0:0))
    call avR2(3760, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(737)%branchR2(0:1))
    call avR2(737, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8826, nGC_8824])

    call avR2(737, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(3761)%branchR2(0:1))
    call avR2(3761, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

    call avR2(3761, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(949)%branchR2(0:0))
    call avR2(949, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3432)%branchR2(0:0))
    call avR2(3432, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8783])

    allocate(vertices(3762)%branchR2(0:0))
    call avR2(3762, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9095, nGC_9095&
    ])

    allocate(vertices(1736)%branchR2(0:0))
    call avR2(1736, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29762])

    allocate(vertices(3564)%branchR2(0:0))
    call avR2(3564, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1094)%branchR2(0:1))
    call avR2(1094, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9027])

    call avR2(1094, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9028])

    allocate(vertices(1697)%branchR2(0:0))
    call avR2(1697, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(2897)%branchR2(0:0))
    call avR2(2897, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1109)%branchR2(0:1))
    call avR2(1109, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_9017, nGC_9018])

    call avR2(1109, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_9019, nGC_9019])

    allocate(vertices(3763)%branchR2(0:0))
    call avR2(3763, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(2066)%branchR2(0:0))
    call avR2(2066, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(226)%branchR2(0:0))
    call avR2(226, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(1495)%branchR2(0:0))
    call avR2(1495, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8774])

    allocate(vertices(2965)%branchR2(0:0))
    call avR2(2965, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9253])

    allocate(vertices(1037)%branchR2(0:0))
    call avR2(1037, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(278)%branchR2(0:0))
    call avR2(278, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1151)%branchR2(0:0))
    call avR2(1151, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(284)%branchR2(0:0))
    call avR2(284, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8984, nGC_8983])

    allocate(vertices(3568)%branchR2(0:0))
    call avR2(3568, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(3764)%branchR2(0:0))
    call avR2(3764, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9093])

    allocate(vertices(986)%branchR2(0:0))
    call avR2(986, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

    allocate(vertices(814)%branchR2(0:1))
    call avR2(814, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(814, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8794, nGC_8793])

    allocate(vertices(1635)%branchR2(0:0))
    call avR2(1635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(372)%branchR2(0:0))
    call avR2(372, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(460)%branchR2(0:0))
    call avR2(460, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1797)%branchR2(0:0))
    call avR2(1797, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(1956)%branchR2(0:0))
    call avR2(1956, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(1336)%branchR2(0:0))
    call avR2(1336, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(2190)%branchR2(0:0))
    call avR2(2190, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8984, nGC_8983])

    allocate(vertices(233)%branchR2(0:0))
    call avR2(233, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2616)%branchR2(0:0))
    call avR2(2616, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(1356)%branchR2(0:0))
    call avR2(1356, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1243)%branchR2(0:3))
    call avR2(1243, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9074, nGC_9073])

    call avR2(1243, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1243, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9071, nGC_9070])

    call avR2(1243, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(2093)%branchR2(0:0))
    call avR2(2093, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3038)%branchR2(0:0))
    call avR2(3038, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8784])

    allocate(vertices(2112)%branchR2(0:0))
    call avR2(2112, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3765)%branchR2(0:1))
    call avR2(3765, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3765, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(396)%branchR2(0:1))
    call avR2(396, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8906, nGC_8904])

    call avR2(396, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8923, nGC_8922])

    allocate(vertices(2192)%branchR2(0:1))
    call avR2(2192, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8829, nGC_8827])

    call avR2(2192, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8830, nGC_8828])

    allocate(vertices(204)%branchR2(0:0))
    call avR2(204, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1665)%branchR2(0:1))
    call avR2(1665, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(1665, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(2789)%branchR2(0:0))
    call avR2(2789, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

    allocate(vertices(1333)%branchR2(0:3))
    call avR2(1333, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9085, nGC_9084])

    call avR2(1333, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1333, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9083, nGC_9082])

    call avR2(1333, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(182)%branchR2(0:1))
    call avR2(182, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(182, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(845)%branchR2(0:1))
    call avR2(845, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8826, nGC_8824])

    call avR2(845, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(3766)%branchR2(0:0))
    call avR2(3766, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3767)%branchR2(0:1))
    call avR2(3767, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9154])

    call avR2(3767, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9155])

    allocate(vertices(1584)%branchR2(0:1))
    call avR2(1584, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8987, nGC_8987])

    call avR2(1584, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8985, nGC_8986])

    allocate(vertices(3044)%branchR2(0:0))
    call avR2(3044, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3768)%branchR2(0:0))
    call avR2(3768, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9106, nGC_9107, nGC_9107&
    ])

    allocate(vertices(3769)%branchR2(0:1))
    call avR2(3769, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9206])

    call avR2(3769, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9207])

    allocate(vertices(2480)%branchR2(0:0))
    call avR2(2480, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1527)%branchR2(0:1))
    call avR2(1527, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_9019, nGC_9019])

    call avR2(1527, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_9017, nGC_9018])

    allocate(vertices(2329)%branchR2(0:0))
    call avR2(2329, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3400)%branchR2(0:0))
    call avR2(3400, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1450)%branchR2(0:0))
    call avR2(1450, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8774])

    allocate(vertices(3048)%branchR2(0:0))
    call avR2(3048, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(1426)%branchR2(0:0))
    call avR2(1426, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_32077])

    allocate(vertices(1244)%branchR2(0:0))
    call avR2(1244, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8929])

    allocate(vertices(1508)%branchR2(0:0))
    call avR2(1508, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(108)%branchR2(0:0))
    call avR2(108, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8835])

    allocate(vertices(1464)%branchR2(0:0))
    call avR2(1464, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(3770)%branchR2(0:0))
    call avR2(3770, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3559)%branchR2(0:0))
    call avR2(3559, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8799])

    allocate(vertices(1160)%branchR2(0:0))
    call avR2(1160, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(3059)%branchR2(0:0))
    call avR2(3059, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8800])

    allocate(vertices(1188)%branchR2(0:0))
    call avR2(1188, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(861)%branchR2(0:0))
    call avR2(861, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8916])

    allocate(vertices(1194)%branchR2(0:0))
    call avR2(1194, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(896)%branchR2(0:0))
    call avR2(896, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9030])

    allocate(vertices(2838)%branchR2(0:0))
    call avR2(2838, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8721, nGC_8720])

    allocate(vertices(3109)%branchR2(0:0))
    call avR2(3109, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31206])

    allocate(vertices(2640)%branchR2(0:0))
    call avR2(2640, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3771)%branchR2(0:1))
    call avR2(3771, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3771, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9265, nGC_9265,        &
    nGC_9265])

    allocate(vertices(1541)%branchR2(0:0))
    call avR2(1541, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(1028)%branchR2(0:0))
    call avR2(1028, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3133)%branchR2(0:0))
    call avR2(3133, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2345)%branchR2(0:0))
    call avR2(2345, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(431)%branchR2(0:3))
    call avR2(431, 0, 26, 1, 0, FVFa1, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(431, 1, 26, 1, 0, FVFa1, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(431, 2, 27, 1, 0, FVFa1, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(431, 3, 27, 1, 0, FVFa1, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3196)%branchR2(0:0))
    call avR2(3196, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9133])

    allocate(vertices(1590)%branchR2(0:0))
    call avR2(1590, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2749)%branchR2(0:0))
    call avR2(2749, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9127])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(91)%branchR2(0:0))
    call avR2(91, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1953)%branchR2(0:0))
    call avR2(1953, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1715)%branchR2(0:0))
    call avR2(1715, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3772)%branchR2(0:0))
    call avR2(3772, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(3170)%branchR2(0:0))
    call avR2(3170, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2203)%branchR2(0:0))
    call avR2(2203, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(1929)%branchR2(0:0))
    call avR2(1929, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(1709)%branchR2(0:0))
    call avR2(1709, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8822])

    allocate(vertices(731)%branchR2(0:1))
    call avR2(731, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9026])

    call avR2(731, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9027])

    allocate(vertices(1617)%branchR2(0:0))
    call avR2(1617, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8837])

    allocate(vertices(2094)%branchR2(0:0))
    call avR2(2094, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8814])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

    allocate(vertices(36)%branchR2(0:3))
    call avR2(36, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(36, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(36, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(36, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3558)%branchR2(0:0))
    call avR2(3558, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29827])

    allocate(vertices(1536)%branchR2(0:0))
    call avR2(1536, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8968])

    allocate(vertices(181)%branchR2(0:0))
    call avR2(181, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1650)%branchR2(0:0))
    call avR2(1650, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9250])

    allocate(vertices(863)%branchR2(0:0))
    call avR2(863, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(2656)%branchR2(0:0))
    call avR2(2656, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2087)%branchR2(0:1))
    call avR2(2087, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2087, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9040, nGC_9039])

    allocate(vertices(1396)%branchR2(0:0))
    call avR2(1396, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8966])

    allocate(vertices(1720)%branchR2(0:0))
    call avR2(1720, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(3773)%branchR2(0:1))
    call avR2(3773, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9170])

    call avR2(3773, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(24)%branchR2(0:0))
    call avR2(24, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(1785)%branchR2(0:0))
    call avR2(1785, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130, nGC_9132&
    ])

    allocate(vertices(425)%branchR2(0:0))
    call avR2(425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(920)%branchR2(0:0))
    call avR2(920, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9257, nGC_9256, nGC_9258])

    allocate(vertices(2568)%branchR2(0:0))
    call avR2(2568, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9211])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1379)%branchR2(0:0))
    call avR2(1379, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1286)%branchR2(0:1))
    call avR2(1286, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9037, nGC_9035])

    call avR2(1286, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9038, nGC_9036])

    allocate(vertices(3464)%branchR2(0:0))
    call avR2(3464, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1743)%branchR2(0:0))
    call avR2(1743, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1802)%branchR2(0:0))
    call avR2(1802, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(2526)%branchR2(0:0))
    call avR2(2526, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3116)%branchR2(0:0))
    call avR2(3116, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3007)%branchR2(0:0))
    call avR2(3007, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8730, nGC_8729])

    allocate(vertices(1284)%branchR2(0:0))
    call avR2(1284, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(249)%branchR2(0:0))
    call avR2(249, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(924)%branchR2(0:1))
    call avR2(924, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8874, nGC_8876])

    call avR2(924, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8875, nGC_8877])

    allocate(vertices(1350)%branchR2(0:0))
    call avR2(1350, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(2808)%branchR2(0:0))
    call avR2(2808, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1914)%branchR2(0:0))
    call avR2(1914, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(370)%branchR2(0:0))
    call avR2(370, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(512)%branchR2(0:0))
    call avR2(512, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(3774)%branchR2(0:0))
    call avR2(3774, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2475)%branchR2(0:0))
    call avR2(2475, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1700)%branchR2(0:0))
    call avR2(1700, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8855])

    allocate(vertices(2836)%branchR2(0:0))
    call avR2(2836, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(459)%branchR2(0:0))
    call avR2(459, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30597])

    allocate(vertices(3775)%branchR2(0:0))
    call avR2(3775, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9090])

    allocate(vertices(3776)%branchR2(0:0))
    call avR2(3776, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(1852)%branchR2(0:0))
    call avR2(1852, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8934])

    allocate(vertices(572)%branchR2(0:0))
    call avR2(572, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

    allocate(vertices(2313)%branchR2(0:0))
    call avR2(2313, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2231)%branchR2(0:1))
    call avR2(2231, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_9016, nGC_9016])

    call avR2(2231, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_9014, nGC_9015])

    allocate(vertices(2499)%branchR2(0:0))
    call avR2(2499, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1712)%branchR2(0:0))
    call avR2(1712, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2506)%branchR2(0:1))
    call avR2(2506, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(2506, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_8794, nGC_8793])

    allocate(vertices(405)%branchR2(0:0))
    call avR2(405, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1193)%branchR2(0:0))
    call avR2(1193, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1632)%branchR2(0:0))
    call avR2(1632, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3777)%branchR2(0:5))
    call avR2(3777, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    call avR2(3777, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3777, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3777, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9267, nGC_9267,        &
    nGC_9267])

    call avR2(3777, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,        &
    nGC_9268])

    call avR2(3777, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9266, nGC_9266,        &
    nGC_9266])

    allocate(vertices(3580)%branchR2(0:0))
    call avR2(3580, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_32493])

    allocate(vertices(3359)%branchR2(0:0))
    call avR2(3359, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3778)%branchR2(0:1))
    call avR2(3778, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

    call avR2(3778, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1250)%branchR2(0:0))
    call avR2(1250, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(3779)%branchR2(0:5))
    call avR2(3779, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    call avR2(3779, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3779, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3779, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3779, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9152, nGC_9152,        &
    nGC_9152])

    call avR2(3779, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    allocate(vertices(573)%branchR2(0:0))
    call avR2(573, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

    allocate(vertices(638)%branchR2(0:0))
    call avR2(638, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1192)%branchR2(0:0))
    call avR2(1192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(3780)%branchR2(0:1))
    call avR2(3780, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3780, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(2899)%branchR2(0:0))
    call avR2(2899, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(276)%branchR2(0:0))
    call avR2(276, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(484)%branchR2(0:0))
    call avR2(484, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9047])

    allocate(vertices(129)%branchR2(0:0))
    call avR2(129, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2340)%branchR2(0:0))
    call avR2(2340, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2145)%branchR2(0:0))
    call avR2(2145, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3246)%branchR2(0:0))
    call avR2(3246, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8861])

    allocate(vertices(1186)%branchR2(0:0))
    call avR2(1186, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131, nGC_9132&
    ])

    allocate(vertices(1175)%branchR2(0:0))
    call avR2(1175, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2233)%branchR2(0:0))
    call avR2(2233, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1497)%branchR2(0:0))
    call avR2(1497, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_32524])

    allocate(vertices(559)%branchR2(0:0))
    call avR2(559, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30492])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8992, nGC_8991])

    allocate(vertices(2524)%branchR2(0:0))
    call avR2(2524, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3781)%branchR2(0:1))
    call avR2(3781, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9251])

    call avR2(3781, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9252])

    allocate(vertices(635)%branchR2(0:0))
    call avR2(635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(871)%branchR2(0:0))
    call avR2(871, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29844])

    allocate(vertices(1553)%branchR2(0:0))
    call avR2(1553, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9258, nGC_9257&
    ])

    allocate(vertices(1691)%branchR2(0:1))
    call avR2(1691, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9037, nGC_9035])

    call avR2(1691, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9038, nGC_9036])

    allocate(vertices(2393)%branchR2(0:0))
    call avR2(2393, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(42)%branchR2(0:0))
    call avR2(42, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2713)%branchR2(0:1))
    call avR2(2713, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8749, nGC_8748, nGC_8768&
    , nGC_8768])

    call avR2(2713, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8769&
    , nGC_8769])

    allocate(vertices(891)%branchR2(0:1))
    call avR2(891, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(891, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_8791, nGC_8790])

    allocate(vertices(2946)%branchR2(0:0))
    call avR2(2946, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3297)%branchR2(0:0))
    call avR2(3297, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9128])

    allocate(vertices(960)%branchR2(0:0))
    call avR2(960, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(2222)%branchR2(0:0))
    call avR2(2222, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1226)%branchR2(0:0))
    call avR2(1226, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9256, nGC_9257&
    ])

    allocate(vertices(1675)%branchR2(0:0))
    call avR2(1675, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(770)%branchR2(0:0))
    call avR2(770, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

    allocate(vertices(674)%branchR2(0:1))
    call avR2(674, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8828, nGC_8830])

    call avR2(674, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8850, nGC_8851])

    allocate(vertices(2925)%branchR2(0:0))
    call avR2(2925, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8844])

    allocate(vertices(2504)%branchR2(0:0))
    call avR2(2504, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1362)%branchR2(0:0))
    call avR2(1362, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2757)%branchR2(0:0))
    call avR2(2757, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(712)%branchR2(0:0))
    call avR2(712, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2193)%branchR2(0:1))
    call avR2(2193, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(2193, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(3332)%branchR2(0:0))
    call avR2(3332, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1134)%branchR2(0:0))
    call avR2(1134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(3782)%branchR2(0:1))
    call avR2(3782, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9217])

    call avR2(3782, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9218])

    allocate(vertices(3783)%branchR2(0:0))
    call avR2(3783, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(2407)%branchR2(0:0))
    call avR2(2407, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(2199)%branchR2(0:0))
    call avR2(2199, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(836)%branchR2(0:0))
    call avR2(836, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(3565)%branchR2(0:0))
    call avR2(3565, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(2104)%branchR2(0:0))
    call avR2(2104, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(689)%branchR2(0:0))
    call avR2(689, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(453)%branchR2(0:0))
    call avR2(453, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(306)%branchR2(0:0))
    call avR2(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(0)%branchR2(0:0))
    call avR2(0, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(3784)%branchR2(0:1))
    call avR2(3784, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3784, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1979)%branchR2(0:0))
    call avR2(1979, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8772])

    allocate(vertices(1433)%branchR2(0:0))
    call avR2(1433, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(864)%branchR2(0:1))
    call avR2(864, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8791, nGC_8790])

    call avR2(864, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(2546)%branchR2(0:0))
    call avR2(2546, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

    allocate(vertices(3785)%branchR2(0:0))
    call avR2(3785, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

    allocate(vertices(1522)%branchR2(0:0))
    call avR2(1522, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131, nGC_9130&
    ])

    allocate(vertices(2548)%branchR2(0:0))
    call avR2(2548, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(3786)%branchR2(0:0))
    call avR2(3786, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8776])

    allocate(vertices(3411)%branchR2(0:0))
    call avR2(3411, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(3787)%branchR2(0:0))
    call avR2(3787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(16)%branchR2(0:0))
    call avR2(16, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(524)%branchR2(0:0))
    call avR2(524, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(497)%branchR2(0:0))
    call avR2(497, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8960, nGC_8959])

    allocate(vertices(1500)%branchR2(0:0))
    call avR2(1500, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(3066)%branchR2(0:1))
    call avR2(3066, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8750&
    , nGC_8750])

    call avR2(3066, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8751&
    , nGC_8751])

    allocate(vertices(2544)%branchR2(0:0))
    call avR2(2544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(759)%branchR2(0:0))
    call avR2(759, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9088])

    allocate(vertices(3788)%branchR2(0:1))
    call avR2(3788, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9247])

    call avR2(3788, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(2679)%branchR2(0:0))
    call avR2(2679, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(1824)%branchR2(0:0))
    call avR2(1824, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8837])

    allocate(vertices(1882)%branchR2(0:0))
    call avR2(1882, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

    allocate(vertices(3789)%branchR2(0:0))
    call avR2(3789, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9106, nGC_9107, nGC_9107&
    ])

    allocate(vertices(1801)%branchR2(0:0))
    call avR2(1801, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(1853)%branchR2(0:0))
    call avR2(1853, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2155)%branchR2(0:0))
    call avR2(2155, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(866)%branchR2(0:0))
    call avR2(866, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1330)%branchR2(0:0))
    call avR2(1330, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2561)%branchR2(0:0))
    call avR2(2561, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(3790)%branchR2(0:1))
    call avR2(3790, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9224])

    call avR2(3790, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9225])

    allocate(vertices(2588)%branchR2(0:0))
    call avR2(2588, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2606)%branchR2(0:0))
    call avR2(2606, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(3419)%branchR2(0:0))
    call avR2(3419, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2678)%branchR2(0:1))
    call avR2(2678, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8794, nGC_8793])

    call avR2(2678, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(1866)%branchR2(0:1))
    call avR2(1866, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8906, nGC_8904])

    call avR2(1866, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8923, nGC_8922])

    allocate(vertices(1678)%branchR2(0:1))
    call avR2(1678, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1678, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9040, nGC_9039])

    allocate(vertices(2873)%branchR2(0:0))
    call avR2(2873, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(2247)%branchR2(0:1))
    call avR2(2247, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9027])

    call avR2(2247, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9028])

    allocate(vertices(2169)%branchR2(0:0))
    call avR2(2169, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1858)%branchR2(0:0))
    call avR2(1858, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(565)%branchR2(0:0))
    call avR2(565, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3497)%branchR2(0:0))
    call avR2(3497, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3791)%branchR2(0:1))
    call avR2(3791, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9114, nGC_9114,        &
    nGC_9114])

    call avR2(3791, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9115, nGC_9115,        &
    nGC_9115])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29901])

    allocate(vertices(1768)%branchR2(0:0))
    call avR2(1768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1498)%branchR2(0:0))
    call avR2(1498, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2297)%branchR2(0:0))
    call avR2(2297, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1610)%branchR2(0:0))
    call avR2(1610, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30337])

    allocate(vertices(1232)%branchR2(0:0))
    call avR2(1232, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1173)%branchR2(0:0))
    call avR2(1173, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9149])

    allocate(vertices(3792)%branchR2(0:0))
    call avR2(3792, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1924)%branchR2(0:1))
    call avR2(1924, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8829, nGC_8827])

    call avR2(1924, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8830, nGC_8828])

    allocate(vertices(2737)%branchR2(0:0))
    call avR2(2737, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1116)%branchR2(0:0))
    call avR2(1116, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131, nGC_9130&
    ])

    allocate(vertices(3373)%branchR2(0:0))
    call avR2(3373, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1369)%branchR2(0:0))
    call avR2(1369, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(398)%branchR2(0:0))
    call avR2(398, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

    allocate(vertices(3554)%branchR2(0:0))
    call avR2(3554, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(3330)%branchR2(0:0))
    call avR2(3330, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1110)%branchR2(0:1))
    call avR2(1110, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

    call avR2(1110, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9028])

    allocate(vertices(533)%branchR2(0:0))
    call avR2(533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3793)%branchR2(0:1))
    call avR2(3793, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9114, nGC_9114,        &
    nGC_9114])

    call avR2(3793, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9115, nGC_9115,        &
    nGC_9115])

    allocate(vertices(763)%branchR2(0:0))
    call avR2(763, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(439)%branchR2(0:0))
    call avR2(439, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_32524])

    allocate(vertices(447)%branchR2(0:0))
    call avR2(447, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8806, nGC_8807])

    allocate(vertices(3794)%branchR2(0:1))
    call avR2(3794, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9154])

    call avR2(3794, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9155])

    allocate(vertices(911)%branchR2(0:0))
    call avR2(911, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(169)%branchR2(0:1))
    call avR2(169, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

    call avR2(169, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9028])

    allocate(vertices(3795)%branchR2(0:0))
    call avR2(3795, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(3796)%branchR2(0:0))
    call avR2(3796, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3070)%branchR2(0:0))
    call avR2(3070, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(878)%branchR2(0:0))
    call avR2(878, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9013, nGC_9012])

    allocate(vertices(77)%branchR2(0:0))
    call avR2(77, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2217)%branchR2(0:0))
    call avR2(2217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2579)%branchR2(0:1))
    call avR2(2579, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_8788, nGC_8787])

    call avR2(2579, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(3797)%branchR2(0:1))
    call avR2(3797, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3797, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(367)%branchR2(0:0))
    call avR2(367, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(2034)%branchR2(0:3))
    call avR2(2034, 0, 26, 1, 0, FVFa1, 0, [1, 2], [nGC_9061, nGC_9059])

    call avR2(2034, 1, 26, 1, 0, FVFa1, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(2034, 2, 27, 1, 0, FVFa1, 0, [1, 2], [nGC_9058, nGC_9056])

    call avR2(2034, 3, 27, 1, 0, FVFa1, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(259)%branchR2(0:1))
    call avR2(259, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(259, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(2960)%branchR2(0:0))
    call avR2(2960, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2201)%branchR2(0:0))
    call avR2(2201, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8980, nGC_8979])

    allocate(vertices(3798)%branchR2(0:1))
    call avR2(3798, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3798, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1342)%branchR2(0:0))
    call avR2(1342, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8996])

    allocate(vertices(2039)%branchR2(0:0))
    call avR2(2039, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2149)%branchR2(0:0))
    call avR2(2149, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8950, nGC_8949])

    allocate(vertices(2973)%branchR2(0:0))
    call avR2(2973, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(1381)%branchR2(0:0))
    call avR2(1381, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8968])

    allocate(vertices(3799)%branchR2(0:0))
    call avR2(3799, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9092])

    allocate(vertices(1915)%branchR2(0:0))
    call avR2(1915, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

    allocate(vertices(1205)%branchR2(0:0))
    call avR2(1205, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(175)%branchR2(0:0))
    call avR2(175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(2212)%branchR2(0:0))
    call avR2(2212, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8846])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2537)%branchR2(0:0))
    call avR2(2537, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9046])

    allocate(vertices(1019)%branchR2(0:0))
    call avR2(1019, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(2604)%branchR2(0:0))
    call avR2(2604, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

    allocate(vertices(2367)%branchR2(0:0))
    call avR2(2367, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9089])

    allocate(vertices(3385)%branchR2(0:0))
    call avR2(3385, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31307])

    allocate(vertices(3800)%branchR2(0:1))
    call avR2(3800, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9224])

    call avR2(3800, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9225])

    allocate(vertices(1374)%branchR2(0:1))
    call avR2(1374, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(1374, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_8791, nGC_8790])

    allocate(vertices(2076)%branchR2(0:0))
    call avR2(2076, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9025])

    allocate(vertices(2672)%branchR2(0:0))
    call avR2(2672, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2242)%branchR2(0:1))
    call avR2(2242, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_32749])

    call avR2(2242, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_32751])

    allocate(vertices(2698)%branchR2(0:0))
    call avR2(2698, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(2637)%branchR2(0:0))
    call avR2(2637, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1639)%branchR2(0:3))
    call avR2(1639, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9085, nGC_9084])

    call avR2(1639, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(1639, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9083, nGC_9082])

    call avR2(1639, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(1444)%branchR2(0:0))
    call avR2(1444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(3085)%branchR2(0:0))
    call avR2(3085, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30784])

    allocate(vertices(2610)%branchR2(0:0))
    call avR2(2610, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9261, nGC_9262, nGC_9262&
    ])

    allocate(vertices(1222)%branchR2(0:0))
    call avR2(1222, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8822])

    allocate(vertices(3026)%branchR2(0:1))
    call avR2(3026, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_8749, nGC_8748, nGC_8765&
    , nGC_8765])

    call avR2(3026, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8766&
    , nGC_8766])

    allocate(vertices(3508)%branchR2(0:0))
    call avR2(3508, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9214])

    allocate(vertices(2077)%branchR2(0:0))
    call avR2(2077, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(3285)%branchR2(0:0))
    call avR2(3285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(2738)%branchR2(0:0))
    call avR2(2738, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8712, nGC_8711])

    allocate(vertices(1456)%branchR2(0:0))
    call avR2(1456, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(2730)%branchR2(0:0))
    call avR2(2730, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_8762])

    allocate(vertices(2978)%branchR2(0:0))
    call avR2(2978, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8800])

    allocate(vertices(1229)%branchR2(0:0))
    call avR2(1229, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(1358)%branchR2(0:0))
    call avR2(1358, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(1878)%branchR2(0:0))
    call avR2(1878, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(2286)%branchR2(0:0))
    call avR2(2286, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8969])

    allocate(vertices(3801)%branchR2(0:1))
    call avR2(3801, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9259])

    call avR2(3801, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9260])

    allocate(vertices(3377)%branchR2(0:0))
    call avR2(3377, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3802)%branchR2(0:0))
    call avR2(3802, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(138)%branchR2(0:0))
    call avR2(138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2248)%branchR2(0:0))
    call avR2(2248, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3803)%branchR2(0:0))
    call avR2(3803, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3321)%branchR2(0:0))
    call avR2(3321, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1514)%branchR2(0:3))
    call avR2(1514, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9061, nGC_9059])

    call avR2(1514, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1514, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9058, nGC_9056])

    call avR2(1514, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8929])

    allocate(vertices(1806)%branchR2(0:1))
    call avR2(1806, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8911, nGC_8913])

    call avR2(1806, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8912, nGC_8914])

    allocate(vertices(1044)%branchR2(0:0))
    call avR2(1044, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(2008)%branchR2(0:0))
    call avR2(2008, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(2699)%branchR2(0:0))
    call avR2(2699, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_31182])

    allocate(vertices(2150)%branchR2(0:0))
    call avR2(2150, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(1035)%branchR2(0:0))
    call avR2(1035, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8998])

    allocate(vertices(1423)%branchR2(0:0))
    call avR2(1423, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9029])

    allocate(vertices(1771)%branchR2(0:0))
    call avR2(1771, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(185)%branchR2(0:0))
    call avR2(185, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8902])

    allocate(vertices(3804)%branchR2(0:1))
    call avR2(3804, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9114, nGC_9114,        &
    nGC_9114])

    call avR2(3804, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9115, nGC_9115,        &
    nGC_9115])

    allocate(vertices(1646)%branchR2(0:0))
    call avR2(1646, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(2466)%branchR2(0:0))
    call avR2(2466, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_9021, nGC_9020])

    allocate(vertices(3805)%branchR2(0:0))
    call avR2(3805, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1259)%branchR2(0:0))
    call avR2(1259, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132, nGC_9131])

    allocate(vertices(2833)%branchR2(0:0))
    call avR2(2833, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(2048)%branchR2(0:0))
    call avR2(2048, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(1643)%branchR2(0:0))
    call avR2(1643, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9250])

    allocate(vertices(270)%branchR2(0:0))
    call avR2(270, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1855)%branchR2(0:1))
    call avR2(1855, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8831, nGC_8833])

    call avR2(1855, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8832, nGC_8834])

    allocate(vertices(2540)%branchR2(0:0))
    call avR2(2540, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2085)%branchR2(0:0))
    call avR2(2085, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(132)%branchR2(0:0))
    call avR2(132, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(3000)%branchR2(0:0))
    call avR2(3000, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(3806)%branchR2(0:0))
    call avR2(3806, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1540)%branchR2(0:0))
    call avR2(1540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(3807)%branchR2(0:1))
    call avR2(3807, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

    call avR2(3807, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(974)%branchR2(0:0))
    call avR2(974, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

  end subroutine fill_vertices_mdl11
end module vertices_info11
