!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  implicit none
  contains
  subroutine fill_vertices_mdl13()
    use class_vertices
    use class_couplings
    allocate(vertices(3317)%branchR2(0:0))
    call avR2(3317, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(2374)%branchR2(0:0))
    call avR2(2374, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(1862)%branchR2(0:0))
    call avR2(1862, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(316)%branchR2(0:0))
    call avR2(316, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9052, nGC_9053])

    allocate(vertices(2636)%branchR2(0:0))
    call avR2(2636, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1845)%branchR2(0:0))
    call avR2(1845, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(1007)%branchR2(0:0))
    call avR2(1007, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(1811)%branchR2(0:0))
    call avR2(1811, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(643)%branchR2(0:1))
    call avR2(643, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8803, nGC_8802])

    call avR2(643, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(1446)%branchR2(0:0))
    call avR2(1446, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(2366)%branchR2(0:0))
    call avR2(2366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(412)%branchR2(0:0))
    call avR2(412, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8930])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

    allocate(vertices(1804)%branchR2(0:0))
    call avR2(1804, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

    allocate(vertices(1130)%branchR2(0:0))
    call avR2(1130, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(1745)%branchR2(0:1))
    call avR2(1745, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8972, nGC_8972])

    call avR2(1745, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8970, nGC_8971])

    allocate(vertices(923)%branchR2(0:0))
    call avR2(923, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29762])

    allocate(vertices(3542)%branchR2(0:0))
    call avR2(3542, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9087])

    allocate(vertices(2461)%branchR2(0:0))
    call avR2(2461, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(3211)%branchR2(0:0))
    call avR2(3211, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8819])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(2277)%branchR2(0:1))
    call avR2(2277, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_9037, nGC_9035])

    call avR2(2277, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9038, nGC_9036])

    allocate(vertices(3428)%branchR2(0:0))
    call avR2(3428, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1445)%branchR2(0:0))
    call avR2(1445, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8837])

    allocate(vertices(3146)%branchR2(0:0))
    call avR2(3146, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(165)%branchR2(0:0))
    call avR2(165, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8966])

    allocate(vertices(3299)%branchR2(0:0))
    call avR2(3299, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9133])

    allocate(vertices(3874)%branchR2(0:0))
    call avR2(3874, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9094, nGC_9094&
    ])

    allocate(vertices(944)%branchR2(0:0))
    call avR2(944, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(170)%branchR2(0:0))
    call avR2(170, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(3394)%branchR2(0:0))
    call avR2(3394, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1644)%branchR2(0:0))
    call avR2(1644, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(3875)%branchR2(0:1))
    call avR2(3875, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9224])

    call avR2(3875, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9225])

    allocate(vertices(3425)%branchR2(0:0))
    call avR2(3425, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2401)%branchR2(0:0))
    call avR2(2401, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(2172)%branchR2(0:0))
    call avR2(2172, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9043])

    allocate(vertices(1268)%branchR2(0:0))
    call avR2(1268, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8786])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132, nGC_9131])

    allocate(vertices(879)%branchR2(0:0))
    call avR2(879, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2273)%branchR2(0:0))
    call avR2(2273, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1162)%branchR2(0:0))
    call avR2(1162, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9046])

    allocate(vertices(1923)%branchR2(0:0))
    call avR2(1923, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8854])

    allocate(vertices(2505)%branchR2(0:0))
    call avR2(2505, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(31)%branchR2(0:0))
    call avR2(31, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(364)%branchR2(0:0))
    call avR2(364, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(2379)%branchR2(0:0))
    call avR2(2379, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(97)%branchR2(0:0))
    call avR2(97, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(692)%branchR2(0:0))
    call avR2(692, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9046])

    allocate(vertices(2030)%branchR2(0:0))
    call avR2(2030, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(3876)%branchR2(0:1))
    call avR2(3876, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9206])

    call avR2(3876, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9207])

    allocate(vertices(1896)%branchR2(0:0))
    call avR2(1896, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(2023)%branchR2(0:1))
    call avR2(2023, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8955, nGC_8957])

    call avR2(2023, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8956, nGC_8958])

    allocate(vertices(596)%branchR2(0:0))
    call avR2(596, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1473)%branchR2(0:0))
    call avR2(1473, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(3115)%branchR2(0:0))
    call avR2(3115, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8799])

    allocate(vertices(1793)%branchR2(0:0))
    call avR2(1793, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(913)%branchR2(0:0))
    call avR2(913, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(2542)%branchR2(0:0))
    call avR2(2542, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

    allocate(vertices(1548)%branchR2(0:0))
    call avR2(1548, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2929)%branchR2(0:0))
    call avR2(2929, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8800])

    allocate(vertices(113)%branchR2(0:0))
    call avR2(113, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1490)%branchR2(0:1))
    call avR2(1490, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9026])

    call avR2(1490, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

    allocate(vertices(2071)%branchR2(0:0))
    call avR2(2071, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1399)%branchR2(0:1))
    call avR2(1399, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1399, 1, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_9055, nGC_9054])

    allocate(vertices(2031)%branchR2(0:0))
    call avR2(2031, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(1461)%branchR2(0:0))
    call avR2(1461, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8820])

    allocate(vertices(2314)%branchR2(0:0))
    call avR2(2314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(1150)%branchR2(0:0))
    call avR2(1150, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8879, nGC_8878])

    allocate(vertices(3877)%branchR2(0:1))
    call avR2(3877, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3877, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(2113)%branchR2(0:0))
    call avR2(2113, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8891, nGC_8890])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1652)%branchR2(0:0))
    call avR2(1652, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(25)%branchR2(0:0))
    call avR2(25, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2625)%branchR2(0:0))
    call avR2(2625, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1777)%branchR2(0:0))
    call avR2(1777, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(994)%branchR2(0:1))
    call avR2(994, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(994, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(2639)%branchR2(0:1))
    call avR2(2639, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9001, nGC_9001])

    call avR2(2639, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8999, nGC_9000])

    allocate(vertices(3456)%branchR2(0:0))
    call avR2(3456, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8782])

    allocate(vertices(2274)%branchR2(0:0))
    call avR2(2274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(1812)%branchR2(0:1))
    call avR2(1812, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_9002, nGC_9003])

    call avR2(1812, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_9004, nGC_9004])

    allocate(vertices(2626)%branchR2(0:0))
    call avR2(2626, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(1800)%branchR2(0:0))
    call avR2(1800, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(1653)%branchR2(0:0))
    call avR2(1653, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9257, nGC_9256&
    ])

    allocate(vertices(2289)%branchR2(0:0))
    call avR2(2289, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3878)%branchR2(0:0))
    call avR2(3878, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137, nGC_9137&
    ])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1504)%branchR2(0:0))
    call avR2(1504, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9256, nGC_9257, nGC_9258&
    ])

    allocate(vertices(1837)%branchR2(0:0))
    call avR2(1837, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(3045)%branchR2(0:0))
    call avR2(3045, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31066])

    allocate(vertices(1769)%branchR2(0:0))
    call avR2(1769, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8821])

    allocate(vertices(2629)%branchR2(0:1))
    call avR2(2629, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(2629, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(1970)%branchR2(0:0))
    call avR2(1970, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(2291)%branchR2(0:0))
    call avR2(2291, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2530)%branchR2(0:0))
    call avR2(2530, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(1883)%branchR2(0:0))
    call avR2(1883, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(1425)%branchR2(0:0))
    call avR2(1425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(2589)%branchR2(0:0))
    call avR2(2589, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8855])

    allocate(vertices(2485)%branchR2(0:0))
    call avR2(2485, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(2479)%branchR2(0:0))
    call avR2(2479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1622)%branchR2(0:0))
    call avR2(1622, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8932])

    allocate(vertices(69)%branchR2(0:0))
    call avR2(69, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(2411)%branchR2(0:0))
    call avR2(2411, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8968])

    allocate(vertices(1143)%branchR2(0:0))
    call avR2(1143, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(680)%branchR2(0:0))
    call avR2(680, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9245])

    allocate(vertices(99)%branchR2(0:0))
    call avR2(99, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9044, nGC_9045])

    allocate(vertices(2139)%branchR2(0:0))
    call avR2(2139, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(714)%branchR2(0:0))
    call avR2(714, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(1169, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(2134)%branchR2(0:0))
    call avR2(2134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(1183)%branchR2(0:0))
    call avR2(1183, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9253])

    allocate(vertices(73)%branchR2(0:1))
    call avR2(73, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9014, nGC_9015])

    call avR2(73, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9016, nGC_9016])

    allocate(vertices(1651)%branchR2(0:0))
    call avR2(1651, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(70)%branchR2(0:0))
    call avR2(70, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30597])

    allocate(vertices(3301)%branchR2(0:0))
    call avR2(3301, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8762])

    allocate(vertices(1296)%branchR2(0:0))
    call avR2(1296, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2901)%branchR2(0:0))
    call avR2(2901, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(665)%branchR2(0:0))
    call avR2(665, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(3574)%branchR2(0:0))
    call avR2(3574, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_8762])

    allocate(vertices(919)%branchR2(0:0))
    call avR2(919, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_9021, nGC_9020])

    allocate(vertices(332)%branchR2(0:0))
    call avR2(332, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(406)%branchR2(0:0))
    call avR2(406, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3879)%branchR2(0:1))
    call avR2(3879, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9247])

    call avR2(3879, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(765)%branchR2(0:0))
    call avR2(765, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(2084)%branchR2(0:0))
    call avR2(2084, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2239)%branchR2(0:0))
    call avR2(2239, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9241])

    allocate(vertices(1235)%branchR2(0:0))
    call avR2(1235, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(2181)%branchR2(0:1))
    call avR2(2181, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_8791, nGC_8790])

    call avR2(2181, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(2417)%branchR2(0:0))
    call avR2(2417, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3039)%branchR2(0:0))
    call avR2(3039, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(740)%branchR2(0:0))
    call avR2(740, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

  end subroutine fill_vertices_mdl13
end module vertices_info13
