!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(2400)%branch(0:0))
    call av(2400, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2401)%branch(0:0))
    call av(2401, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(2402)%branch(0:0))
    call av(2402, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2403)%branch(0:0))
    call av(2403, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_169, nGC_169])

    allocate(vertices(2404)%branch(0:0))
    call av(2404, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2405)%branch(0:0))
    call av(2405, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1285])

    allocate(vertices(2406)%branch(0:0))
    call av(2406, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(2407)%branch(0:0))
    call av(2407, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_19])

    allocate(vertices(2408)%branch(0:0))
    call av(2408, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_187, nGC_186])

    allocate(vertices(2409)%branch(0:0))
    call av(2409, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_99])

    allocate(vertices(2410)%branch(0:0))
    call av(2410, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2411)%branch(0:0))
    call av(2411, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_125])

    allocate(vertices(2412)%branch(0:0))
    call av(2412, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(2413)%branch(0:0))
    call av(2413, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(2414)%branch(0:0))
    call av(2414, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2415)%branch(0:0))
    call av(2415, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2416)%branch(0:0))
    call av(2416, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2417)%branch(0:0))
    call av(2417, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2418)%branch(0:0))
    call av(2418, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2419)%branch(0:0))
    call av(2419, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_188, nGC_188])

    allocate(vertices(2420)%branch(0:0))
    call av(2420, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_643])

    allocate(vertices(2421)%branch(0:0))
    call av(2421, 0, 17, 1, 0, FaFS1, 0, [0, 1], [nGC_181, nGC_138])

    allocate(vertices(2422)%branch(0:0))
    call av(2422, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

    allocate(vertices(2423)%branch(0:0))
    call av(2423, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_150, nGC_196])

    allocate(vertices(2424)%branch(0:0))
    call av(2424, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2425)%branch(0:0))
    call av(2425, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_71])

    allocate(vertices(2426)%branch(0:0))
    call av(2426, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2427)%branch(0:0))
    call av(2427, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

    allocate(vertices(2428)%branch(0:0))
    call av(2428, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2429)%branch(0:0))
    call av(2429, 0, 17, 1, 0, FaFS1, 0, [0, 1], [nGC_170, nGC_131])

    allocate(vertices(2430)%branch(0:0))
    call av(2430, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2431)%branch(0:0))
    call av(2431, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_108])

    allocate(vertices(2432)%branch(0:0))
    call av(2432, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2433)%branch(0:0))
    call av(2433, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2434)%branch(0:0))
    call av(2434, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2435)%branch(0:0))
    call av(2435, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_130, nGC_130])

    allocate(vertices(2436)%branch(0:0))
    call av(2436, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_91])

    allocate(vertices(2437)%branch(0:0))
    call av(2437, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_127])

    allocate(vertices(2438)%branch(0:0))
    call av(2438, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2439)%branch(0:0))
    call av(2439, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(2440)%branch(0:0))
    call av(2440, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_4633])

    allocate(vertices(2441)%branch(0:0))
    call av(2441, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_61])

    allocate(vertices(2442)%branch(0:0))
    call av(2442, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_114])

    allocate(vertices(2443)%branch(0:0))
    call av(2443, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_173, nGC_173])

    allocate(vertices(2444)%branch(0:0))
    call av(2444, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(2445)%branch(0:0))
    call av(2445, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2446)%branch(0:0))
    call av(2446, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_753])

    allocate(vertices(2447)%branch(0:0))
    call av(2447, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2448)%branch(0:0))
    call av(2448, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_123])

    allocate(vertices(2449)%branch(0:0))
    call av(2449, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2450)%branch(0:0))
    call av(2450, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_30])

    allocate(vertices(2451)%branch(0:0))
    call av(2451, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_80])

    allocate(vertices(2452)%branch(0:0))
    call av(2452, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2453)%branch(0:0))
    call av(2453, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_135, nGC_136])

    allocate(vertices(2454)%branch(0:0))
    call av(2454, 0, 18, 1, 0, FaVF0, 0, [0, 1], [nGC_85, nGC_88])

    allocate(vertices(2455)%branch(0:0))
    call av(2455, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(2456)%branch(0:0))
    call av(2456, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_185])

    allocate(vertices(2457)%branch(0:0))
    call av(2457, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2458)%branch(0:0))
    call av(2458, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_72])

    allocate(vertices(2459)%branch(0:0))
    call av(2459, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(2460)%branch(0:0))
    call av(2460, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_67])

    allocate(vertices(2461)%branch(0:0))
    call av(2461, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2462)%branch(0:0))
    call av(2462, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2463)%branch(0:1))
    call av(2463, 0, 28, 2, 0, VFaF0, 0, [1, 0], [nGC_7, nGC_7])

    call av(2463, 1, 29, 3, 0, VFaF0, 0, [1, 0], [nGC_7, nGC_7])

    allocate(vertices(2464)%branch(0:0))
    call av(2464, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2465)%branch(0:0))
    call av(2465, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_77])

    allocate(vertices(2466)%branch(0:0))
    call av(2466, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_184, nGC_184])

    allocate(vertices(2467)%branch(0:0))
    call av(2467, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2468)%branch(0:0))
    call av(2468, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2469)%branch(0:0))
    call av(2469, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2470)%branch(0:0))
    call av(2470, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2471)%branch(0:0))
    call av(2471, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_18])

    allocate(vertices(2472)%branch(0:0))
    call av(2472, 0, 8, 1, 0, SFaF2, 0, [0, 1], [nGC_158])

    allocate(vertices(2473)%branch(0:0))
    call av(2473, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2474)%branch(0:0))
    call av(2474, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_101])

    allocate(vertices(2475)%branch(0:0))
    call av(2475, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_15])

    allocate(vertices(2476)%branch(0:0))
    call av(2476, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_879])

    allocate(vertices(2477)%branch(0:0))
    call av(2477, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2478)%branch(0:0))
    call av(2478, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2479)%branch(0:0))
    call av(2479, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

    allocate(vertices(2480)%branch(0:0))
    call av(2480, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_65])

    allocate(vertices(2481)%branch(0:0))
    call av(2481, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2482)%branch(0:0))
    call av(2482, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2483)%branch(0:0))
    call av(2483, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_196, nGC_150])

    allocate(vertices(2484)%branch(0:0))
    call av(2484, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2485)%branch(0:0))
    call av(2485, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2486)%branch(0:0))
    call av(2486, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2487)%branch(0:0))
    call av(2487, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(2488)%branch(0:0))
    call av(2488, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_21])

    allocate(vertices(2489)%branch(0:0))
    call av(2489, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2490)%branch(0:0))
    call av(2490, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_169, nGC_169])

    allocate(vertices(2491)%branch(0:0))
    call av(2491, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

    allocate(vertices(2492)%branch(0:0))
    call av(2492, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2493)%branch(0:0))
    call av(2493, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2494)%branch(0:0))
    call av(2494, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_112])

    allocate(vertices(2495)%branch(0:0))
    call av(2495, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_114])

    allocate(vertices(2496)%branch(0:0))
    call av(2496, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2497)%branch(0:0))
    call av(2497, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1559])

    allocate(vertices(2498)%branch(0:0))
    call av(2498, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_611])

    allocate(vertices(2499)%branch(0:0))
    call av(2499, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

    allocate(vertices(2500)%branch(0:0))
    call av(2500, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

    allocate(vertices(2501)%branch(0:0))
    call av(2501, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2502)%branch(0:0))
    call av(2502, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2503)%branch(0:0))
    call av(2503, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_1163])

    allocate(vertices(2504)%branch(0:0))
    call av(2504, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2505)%branch(0:0))
    call av(2505, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2506)%branch(0:0))
    call av(2506, 0, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(2507)%branch(0:0))
    call av(2507, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2508)%branch(0:0))
    call av(2508, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2509)%branch(0:0))
    call av(2509, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2510)%branch(0:0))
    call av(2510, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_154])

    allocate(vertices(2511)%branch(0:0))
    call av(2511, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2512)%branch(0:0))
    call av(2512, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_126])

    allocate(vertices(2513)%branch(0:0))
    call av(2513, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_15])

    allocate(vertices(2514)%branch(0:0))
    call av(2514, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_128])

    allocate(vertices(2515)%branch(0:0))
    call av(2515, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(2516)%branch(0:0))
    call av(2516, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2517)%branch(0:0))
    call av(2517, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_109])

    allocate(vertices(2518)%branch(0:0))
    call av(2518, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_97])

    allocate(vertices(2519)%branch(0:0))
    call av(2519, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_124])

    allocate(vertices(2520)%branch(0:0))
    call av(2520, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2521)%branch(0:0))
    call av(2521, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2522)%branch(0:0))
    call av(2522, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2523)%branch(0:0))
    call av(2523, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_753])

    allocate(vertices(2524)%branch(0:0))
    call av(2524, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2525)%branch(0:0))
    call av(2525, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_114])

    allocate(vertices(2526)%branch(0:0))
    call av(2526, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_97])

    allocate(vertices(2527)%branch(0:0))
    call av(2527, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_74])

    allocate(vertices(2528)%branch(0:0))
    call av(2528, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_140, nGC_139])

    allocate(vertices(2529)%branch(0:0))
    call av(2529, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_170, nGC_131])

    allocate(vertices(2530)%branch(0:0))
    call av(2530, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(2531)%branch(0:0))
    call av(2531, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2532)%branch(0:0))
    call av(2532, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2533)%branch(0:0))
    call av(2533, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(2534)%branch(0:0))
    call av(2534, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(2535)%branch(0:0))
    call av(2535, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_131, nGC_170])

    allocate(vertices(2536)%branch(0:0))
    call av(2536, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_913])

    allocate(vertices(2537)%branch(0:0))
    call av(2537, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_90])

    allocate(vertices(2538)%branch(0:0))
    call av(2538, 0, 21, 1, 0, SFFa1, 0, [0, 1], [nGC_138, nGC_181])

    allocate(vertices(2539)%branch(0:0))
    call av(2539, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_657, nGC_194])

    allocate(vertices(2540)%branch(0:0))
    call av(2540, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2541)%branch(0:0))
    call av(2541, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_148, nGC_147])

    allocate(vertices(2542)%branch(0:0))
    call av(2542, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_18])

    allocate(vertices(2543)%branch(0:0))
    call av(2543, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_61])

    allocate(vertices(2544)%branch(0:0))
    call av(2544, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2545)%branch(0:0))
    call av(2545, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_66])

    allocate(vertices(2546)%branch(0:0))
    call av(2546, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

    allocate(vertices(2547)%branch(0:0))
    call av(2547, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2548)%branch(0:0))
    call av(2548, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(2549)%branch(0:0))
    call av(2549, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2550)%branch(0:0))
    call av(2550, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_19])

    allocate(vertices(2551)%branch(0:0))
    call av(2551, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2552)%branch(0:0))
    call av(2552, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_80])

    allocate(vertices(2553)%branch(0:0))
    call av(2553, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2554)%branch(0:0))
    call av(2554, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_65])

    allocate(vertices(2555)%branch(0:0))
    call av(2555, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_98])

    allocate(vertices(2556)%branch(0:0))
    call av(2556, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_69])

    allocate(vertices(2557)%branch(0:0))
    call av(2557, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

    allocate(vertices(2558)%branch(0:0))
    call av(2558, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

    allocate(vertices(2559)%branch(0:0))
    call av(2559, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_80])

    allocate(vertices(2560)%branch(0:0))
    call av(2560, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2561)%branch(0:0))
    call av(2561, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2562)%branch(0:0))
    call av(2562, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_20])

    allocate(vertices(2563)%branch(0:0))
    call av(2563, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(2564)%branch(0:0))
    call av(2564, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2565)%branch(0:0))
    call av(2565, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_61])

    allocate(vertices(2566)%branch(0:0))
    call av(2566, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_101])

    allocate(vertices(2567)%branch(0:0))
    call av(2567, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2568)%branch(0:0))
    call av(2568, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(2569)%branch(0:0))
    call av(2569, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_62])

    allocate(vertices(2570)%branch(0:0))
    call av(2570, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_162])

    allocate(vertices(2571)%branch(0:0))
    call av(2571, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_95])

    allocate(vertices(2572)%branch(0:0))
    call av(2572, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_79, nGC_79, nGC_1269])

    allocate(vertices(2573)%branch(0:0))
    call av(2573, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_20])

    allocate(vertices(2574)%branch(0:0))
    call av(2574, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_165, nGC_165])

    allocate(vertices(2575)%branch(0:0))
    call av(2575, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_39])

    allocate(vertices(2576)%branch(0:0))
    call av(2576, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_80])

    allocate(vertices(2577)%branch(0:0))
    call av(2577, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2578)%branch(0:0))
    call av(2578, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

    allocate(vertices(2579)%branch(0:0))
    call av(2579, 0, 20, 1, 0, VFaF0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(2580)%branch(0:0))
    call av(2580, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_64])

    allocate(vertices(2581)%branch(0:0))
    call av(2581, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2582)%branch(0:0))
    call av(2582, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_99])

    allocate(vertices(2583)%branch(0:0))
    call av(2583, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_187, nGC_186])

    allocate(vertices(2584)%branch(0:0))
    call av(2584, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2585)%branch(0:0))
    call av(2585, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_118])

    allocate(vertices(2586)%branch(0:0))
    call av(2586, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(2587)%branch(0:0))
    call av(2587, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_93])

    allocate(vertices(2588)%branch(0:0))
    call av(2588, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2589)%branch(0:0))
    call av(2589, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_166])

    allocate(vertices(2590)%branch(0:0))
    call av(2590, 0, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_142, nGC_178])

    allocate(vertices(2591)%branch(0:0))
    call av(2591, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(2592)%branch(0:0))
    call av(2592, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_119])

    allocate(vertices(2593)%branch(0:1))
    call av(2593, 0, 26, 2, 0, FVFa1, 0, [1, 0], [nGC_7, nGC_7])

    call av(2593, 1, 27, 3, 0, FVFa1, 0, [1, 0], [nGC_7, nGC_7])

    allocate(vertices(2594)%branch(0:0))
    call av(2594, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2595)%branch(0:0))
    call av(2595, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_643])

    allocate(vertices(2596)%branch(0:0))
    call av(2596, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(2597)%branch(0:0))
    call av(2597, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_98])

    allocate(vertices(2598)%branch(0:0))
    call av(2598, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(2599)%branch(0:0))
    call av(2599, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_92])

    allocate(vertices(2600)%branch(0:0))
    call av(2600, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2601)%branch(0:0))
    call av(2601, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_643])

    allocate(vertices(2602)%branch(0:0))
    call av(2602, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2603)%branch(0:0))
    call av(2603, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2604)%branch(0:0))
    call av(2604, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

    allocate(vertices(2605)%branch(0:0))
    call av(2605, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2606)%branch(0:0))
    call av(2606, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_20])

    allocate(vertices(2607)%branch(0:0))
    call av(2607, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_170, nGC_131])

    allocate(vertices(2608)%branch(0:0))
    call av(2608, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

    allocate(vertices(2609)%branch(0:0))
    call av(2609, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(2610)%branch(0:0))
    call av(2610, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_693, nGC_78, nGC_78])

    allocate(vertices(2611)%branch(0:0))
    call av(2611, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(2612)%branch(0:0))
    call av(2612, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(2613)%branch(0:0))
    call av(2613, 0, 17, 1, 0, FaFS1, 0, [0, 1], [nGC_146, nGC_193])

    allocate(vertices(2614)%branch(0:0))
    call av(2614, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2615)%branch(0:0))
    call av(2615, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2616)%branch(0:0))
    call av(2616, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2617)%branch(0:0))
    call av(2617, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1285])

    allocate(vertices(2618)%branch(0:0))
    call av(2618, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(2619)%branch(0:0))
    call av(2619, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

    allocate(vertices(2620)%branch(0:0))
    call av(2620, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_102])

    allocate(vertices(2621)%branch(0:0))
    call av(2621, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_134, nGC_174])

    allocate(vertices(2622)%branch(0:0))
    call av(2622, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2623)%branch(0:1))
    call av(2623, 0, 38, 6, 0, VUUa0, 0, [1, 0], [nGC_807])

    call av(2623, 1, 39, 7, 0, VUUa0, 0, [1, 0], [nGC_807])

    allocate(vertices(2624)%branch(0:0))
    call av(2624, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_19])

    allocate(vertices(2625)%branch(0:0))
    call av(2625, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2626)%branch(0:0))
    call av(2626, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2627)%branch(0:0))
    call av(2627, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_1285])

    allocate(vertices(2628)%branch(0:0))
    call av(2628, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2629)%branch(0:0))
    call av(2629, 0, 17, 1, 0, FaFS1, 0, [0, 1], [nGC_143, nGC_144])

    allocate(vertices(2630)%branch(0:0))
    call av(2630, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2631)%branch(0:0))
    call av(2631, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2632)%branch(0:0))
    call av(2632, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_15])

    allocate(vertices(2633)%branch(0:0))
    call av(2633, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_61])

    allocate(vertices(2634)%branch(0:0))
    call av(2634, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(2635)%branch(0:0))
    call av(2635, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

    allocate(vertices(2636)%branch(0:0))
    call av(2636, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_65])

    allocate(vertices(2637)%branch(0:0))
    call av(2637, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2638)%branch(0:0))
    call av(2638, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2639)%branch(0:0))
    call av(2639, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(2640)%branch(0:0))
    call av(2640, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_35])

    allocate(vertices(2641)%branch(0:0))
    call av(2641, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_84, nGC_87])

    allocate(vertices(2642)%branch(0:0))
    call av(2642, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2643)%branch(0:0))
    call av(2643, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_65])

    allocate(vertices(2644)%branch(0:0))
    call av(2644, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(2645)%branch(0:0))
    call av(2645, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2646)%branch(0:0))
    call av(2646, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_17])

    allocate(vertices(2647)%branch(0:0))
    call av(2647, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(2648)%branch(0:0))
    call av(2648, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(2649)%branch(0:0))
    call av(2649, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2650)%branch(0:0))
    call av(2650, 0, 19, 1, 0, FSFa0, 0, [0, 1], [nGC_142, nGC_178])

    allocate(vertices(2651)%branch(0:0))
    call av(2651, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(2652)%branch(0:0))
    call av(2652, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_1269, nGC_79, nGC_79])

    allocate(vertices(2653)%branch(0:0))
    call av(2653, 0, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_185])

    allocate(vertices(2654)%branch(0:0))
    call av(2654, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(2655)%branch(0:0))
    call av(2655, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_72])

    allocate(vertices(2656)%branch(0:0))
    call av(2656, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(2657)%branch(0:0))
    call av(2657, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(2658)%branch(0:0))
    call av(2658, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_3063, nGC_179])

    allocate(vertices(2659)%branch(0:0))
    call av(2659, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2660)%branch(0:0))
    call av(2660, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_1159, nGC_1159])

    allocate(vertices(2661)%branch(0:0))
    call av(2661, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_90])

    allocate(vertices(2662)%branch(0:0))
    call av(2662, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(2663)%branch(0:0))
    call av(2663, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

    allocate(vertices(2664)%branch(0:0))
    call av(2664, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

    allocate(vertices(2665)%branch(0:0))
    call av(2665, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_913])

    allocate(vertices(2666)%branch(0:0))
    call av(2666, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2667)%branch(0:0))
    call av(2667, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_16])

    allocate(vertices(2668)%branch(0:0))
    call av(2668, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_80])

    allocate(vertices(2669)%branch(0:0))
    call av(2669, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(2670)%branch(0:0))
    call av(2670, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_1151])

    allocate(vertices(2671)%branch(0:0))
    call av(2671, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_101])

    allocate(vertices(2672)%branch(0:0))
    call av(2672, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_66])

    allocate(vertices(2673)%branch(0:0))
    call av(2673, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2674)%branch(0:1))
    call av(2674, 0, 32, 6, 0, UUaV0, 0, [1, 0], [nGC_807])

    call av(2674, 1, 33, 7, 0, UUaV0, 0, [1, 0], [nGC_807])

    allocate(vertices(2675)%branch(0:0))
    call av(2675, 0, 21, 1, 0, SFFa1, 0, [0, 1], [nGC_174, nGC_134])

    allocate(vertices(2676)%branch(0:0))
    call av(2676, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_94])

    allocate(vertices(2677)%branch(0:0))
    call av(2677, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(2678)%branch(0:0))
    call av(2678, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(2679)%branch(0:0))
    call av(2679, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2680)%branch(0:0))
    call av(2680, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_74])

    allocate(vertices(2681)%branch(0:0))
    call av(2681, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_97])

    allocate(vertices(2682)%branch(0:0))
    call av(2682, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_1159, nGC_83, nGC_1159])

    allocate(vertices(2683)%branch(0:0))
    call av(2683, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2684)%branch(0:0))
    call av(2684, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_753])

    allocate(vertices(2685)%branch(0:0))
    call av(2685, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_65])

    allocate(vertices(2686)%branch(0:0))
    call av(2686, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_90])

    allocate(vertices(2687)%branch(0:0))
    call av(2687, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_70])

    allocate(vertices(2688)%branch(0:0))
    call av(2688, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2689)%branch(0:0))
    call av(2689, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_1163])

    allocate(vertices(2690)%branch(0:0))
    call av(2690, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_62])

    allocate(vertices(2691)%branch(0:0))
    call av(2691, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

    allocate(vertices(2692)%branch(0:0))
    call av(2692, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(2693)%branch(0:0))
    call av(2693, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_197, nGC_198])

    allocate(vertices(2694)%branch(0:0))
    call av(2694, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_90])

    allocate(vertices(2695)%branch(0:0))
    call av(2695, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(2696)%branch(0:0))
    call av(2696, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(2697)%branch(0:0))
    call av(2697, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_77])

    allocate(vertices(2698)%branch(0:0))
    call av(2698, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_119])

    allocate(vertices(2699)%branch(0:0))
    call av(2699, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_82])

    allocate(vertices(2700)%branch(0:0))
    call av(2700, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2701)%branch(0:0))
    call av(2701, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

    allocate(vertices(2702)%branch(0:0))
    call av(2702, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2703)%branch(0:0))
    call av(2703, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

    allocate(vertices(2704)%branch(0:0))
    call av(2704, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

    allocate(vertices(2705)%branch(0:0))
    call av(2705, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

    allocate(vertices(2706)%branchCT(0:0))
    call avCT(2706, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12631])

    allocate(vertices(2707)%branchCT(0:0))
    call avCT(2707, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12634])

    allocate(vertices(0)%branchCT(0:1))
    call avCT(0, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12640])

    call avCT(0, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12637])

    allocate(vertices(2)%branchCT(0:1))
    call avCT(2, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(2, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12652])

    allocate(vertices(4)%branchCT(0:1))
    call avCT(4, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12659])

    call avCT(4, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12655])

    allocate(vertices(5)%branchCT(0:0))
    call avCT(5, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_12663])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12669])

    allocate(vertices(2708)%branchCT(0:0))
    call avCT(2708, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12672])

    allocate(vertices(7)%branchCT(0:1))
    call avCT(7, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12679])

    call avCT(7, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_12675])

    allocate(vertices(8)%branchCT(0:1))
    call avCT(8, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12685])

    call avCT(8, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12684])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12690])

    allocate(vertices(10)%branchCT(0:1))
    call avCT(10, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12698])

    call avCT(10, 1, 8, 1, 0, VSV0, 0, [0, 1], [nGC_12695])

    allocate(vertices(11)%branchCT(0:1))
    call avCT(11, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12703])

    call avCT(11, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12701])

    allocate(vertices(12)%branchCT(0:1))
    call avCT(12, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12707])

    call avCT(12, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_12706])

    allocate(vertices(2709)%branchCT(0:0))
    call avCT(2709, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12713])

    allocate(vertices(15)%branchCT(0:1))
    call avCT(15, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12718])

    call avCT(15, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12716])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12724])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_12663])

    allocate(vertices(18)%branchCT(0:1))
    call avCT(18, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(18, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(2710)%branchCT(0:0))
    call avCT(2710, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12735])

    allocate(vertices(2007)%branchCT(0:0))
    call avCT(2007, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_12742, nGC_12742])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12746])

    allocate(vertices(19)%branchCT(0:1))
    call avCT(19, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_12751])

    call avCT(19, 1, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_12749])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12755])

    allocate(vertices(21)%branchCT(0:1))
    call avCT(21, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12762])

    call avCT(21, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12758])

    allocate(vertices(1437)%branchCT(0:0))
    call avCT(1437, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_12765])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12690])

    allocate(vertices(24)%branchCT(0:1))
    call avCT(24, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12778])

    call avCT(24, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12774])

    allocate(vertices(2445)%branchCT(0:1))
    call avCT(2445, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12640])

    call avCT(2445, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12637])

    allocate(vertices(141)%branchCT(0:1))
    call avCT(141, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12640])

    call avCT(141, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12637])

    allocate(vertices(2711)%branchCT(0:0))
    call avCT(2711, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_12789])

    allocate(vertices(2712)%branchCT(0:0))
    call avCT(2712, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12792])

    allocate(vertices(28)%branchCT(0:1))
    call avCT(28, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_12803, nGC_12804])

    call avCT(28, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_12805, nGC_12806])

    allocate(vertices(29)%branchCT(0:1))
    call avCT(29, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12813])

    call avCT(29, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12809])

    allocate(vertices(30)%branchCT(0:2))
    call avCT(30, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_12827, nGC_12826])

    call avCT(30, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_12823, nGC_12817])

    call avCT(30, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_12829, nGC_12828])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12837])

    call avCT(31, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12834])

    allocate(vertices(32)%branchCT(0:1))
    call avCT(32, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_12841])

    call avCT(32, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_12840])

    allocate(vertices(33)%branchCT(0:1))
    call avCT(33, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12845])

    call avCT(33, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_12846])

    allocate(vertices(2713)%branchCT(0:1))
    call avCT(2713, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_12857, nGC_12849,       &
    nGC_12860, nGC_12860])

    call avCT(2713, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_12858, nGC_12850,       &
    nGC_12861, nGC_12861])

    allocate(vertices(2475)%branchCT(0:0))
    call avCT(2475, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(190)%branchCT(0:1))
    call avCT(190, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12874])

    call avCT(190, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12870])

    allocate(vertices(2714)%branchCT(0:0))
    call avCT(2714, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12877])

    allocate(vertices(36)%branchCT(0:3))
    call avCT(36, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_12882, nGC_12878])

    call avCT(36, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_12885, nGC_12886])

    call avCT(36, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_12882, nGC_12878])

    call avCT(36, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_12885, nGC_12886])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_12899, nGC_12899])

    allocate(vertices(866)%branchCT(0:1))
    call avCT(866, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12905])

    call avCT(866, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12902])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12910])

    allocate(vertices(2715)%branchCT(0:0))
    call avCT(2715, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_12912, nGC_12911])

    allocate(vertices(40)%branchCT(0:1))
    call avCT(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12919])

    call avCT(40, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12915])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12925])

    allocate(vertices(426)%branchCT(0:1))
    call avCT(426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12931])

    call avCT(426, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12928])

    allocate(vertices(43)%branchCT(0:1))
    call avCT(43, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12937])

    call avCT(43, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12934])

    allocate(vertices(44)%branchCT(0:1))
    call avCT(44, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_12946, nGC_12946])

    call avCT(44, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_12948, nGC_12948])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12951])

    allocate(vertices(2716)%branchCT(0:0))
    call avCT(2716, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_12964, nGC_12965])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12968])

    allocate(vertices(48)%branchCT(0:1))
    call avCT(48, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_12980, nGC_12981])

    call avCT(48, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_12982, nGC_12983])

    allocate(vertices(2717)%branchCT(0:0))
    call avCT(2717, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12986])

    allocate(vertices(49)%branchCT(0:1))
    call avCT(49, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_12995, nGC_12995])

    call avCT(49, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_12997, nGC_12997])

    allocate(vertices(2718)%branchCT(0:0))
    call avCT(2718, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(51)%branchCT(0:1))
    call avCT(51, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_13008, nGC_13008])

    call avCT(51, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_13010, nGC_13010])

    allocate(vertices(52)%branchCT(0:0))
    call avCT(52, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13017])

    allocate(vertices(53)%branchCT(0:1))
    call avCT(53, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13023])

    call avCT(53, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13020])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_13026])

    allocate(vertices(2251)%branchCT(0:1))
    call avCT(2251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13033])

    call avCT(2251, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13029])

    allocate(vertices(55)%branchCT(0:0))
    call avCT(55, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_13042, nGC_13043])

    allocate(vertices(56)%branchCT(0:1))
    call avCT(56, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13050])

    call avCT(56, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13046])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_13057, nGC_13058])

    allocate(vertices(2719)%branchCT(0:0))
    call avCT(2719, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12672])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(1917)%branchCT(0:1))
    call avCT(1917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13071])

    call avCT(1917, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13070])

    allocate(vertices(2720)%branchCT(0:0))
    call avCT(2720, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12792])

    allocate(vertices(59)%branchCT(0:1))
    call avCT(59, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13078])

    call avCT(59, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_13076])

    allocate(vertices(2721)%branchCT(0:0))
    call avCT(2721, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(60)%branchCT(0:1))
    call avCT(60, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13087])

    call avCT(60, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13085])

    allocate(vertices(2254)%branchCT(0:0))
    call avCT(2254, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13093])

    allocate(vertices(63)%branchCT(0:1))
    call avCT(63, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12874])

    call avCT(63, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12870])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13103])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(66)%branchCT(0:1))
    call avCT(66, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_12751])

    call avCT(66, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_12749])

    allocate(vertices(67)%branchCT(0:1))
    call avCT(67, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12874])

    call avCT(67, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12870])

    allocate(vertices(68)%branchCT(0:1))
    call avCT(68, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_13123])

    call avCT(68, 1, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_13121])

    allocate(vertices(1312)%branchCT(0:0))
    call avCT(1312, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(2722)%branchCT(0:0))
    call avCT(2722, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13131])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13136])

    allocate(vertices(2723)%branchCT(0:0))
    call avCT(2723, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13139])

    allocate(vertices(2724)%branchCT(0:0))
    call avCT(2724, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13142])

    allocate(vertices(71)%branchCT(0:1))
    call avCT(71, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13150])

    call avCT(71, 1, 8, 1, 0, VVS0, 0, [0, 1], [nGC_13147])

    allocate(vertices(2725)%branchCT(0:0))
    call avCT(2725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(73)%branchCT(0:1))
    call avCT(73, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_12948, nGC_12948])

    call avCT(73, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_12946, nGC_12946])

    allocate(vertices(1806)%branchCT(0:1))
    call avCT(1806, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_12805, nGC_12806])

    call avCT(1806, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_12803, nGC_12804])

    allocate(vertices(74)%branchCT(0:1))
    call avCT(74, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13177])

    call avCT(74, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13173])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13180])

    allocate(vertices(76)%branchCT(0:0))
    call avCT(76, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12669])

    allocate(vertices(9)%branchCT(0:1))
    call avCT(9, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13192])

    call avCT(9, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13188])

    allocate(vertices(78)%branchCT(0:1))
    call avCT(78, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12703])

    call avCT(78, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12701])

    allocate(vertices(79)%branchCT(0:0))
    call avCT(79, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13202])

    allocate(vertices(80)%branchCT(0:1))
    call avCT(80, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13209])

    call avCT(80, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13205])

    allocate(vertices(81)%branchCT(0:1))
    call avCT(81, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13215])

    call avCT(81, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13212])

    allocate(vertices(431)%branchCT(0:3))
    call avCT(431, 0, 26, 2, 0, FVFa1, 0, [1, 2], [nGC_12882, nGC_12878])

    call avCT(431, 1, 26, 2, 0, FVFa1, 0, [3, 0], [nGC_12885, nGC_12886])

    call avCT(431, 2, 27, 3, 0, FVFa1, 0, [1, 2], [nGC_12882, nGC_12878])

    call avCT(431, 3, 27, 3, 0, FVFa1, 0, [3, 0], [nGC_12885, nGC_12886])

    allocate(vertices(1773)%branchCT(0:1))
    call avCT(1773, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13192])

    call avCT(1773, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13188])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13238])

    allocate(vertices(85)%branchCT(0:1))
    call avCT(85, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13209])

    call avCT(85, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13205])

    allocate(vertices(2726)%branchCT(0:0))
    call avCT(2726, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13247])

    allocate(vertices(86)%branchCT(0:1))
    call avCT(86, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13255])

    call avCT(86, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13250])

    allocate(vertices(2727)%branchCT(0:0))
    call avCT(2727, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2728)%branchCT(0:0))
    call avCT(2728, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13259])

    allocate(vertices(2729)%branchCT(0:0))
    call avCT(2729, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13262])

    allocate(vertices(2730)%branchCT(0:0))
    call avCT(2730, 0, 13, 1, 0, FFa1, 0, [0, 2], [nGC_13263])

    allocate(vertices(2404)%branchCT(0:0))
    call avCT(2404, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13093])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13273, nGC_13273,         &
    nGC_13274])

    allocate(vertices(1316)%branchCT(0:1))
    call avCT(1316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13281])

    call avCT(1316, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13277])

    allocate(vertices(521)%branchCT(0:1))
    call avCT(521, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12659])

    call avCT(521, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12655])

    allocate(vertices(2402)%branchCT(0:1))
    call avCT(2402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13293])

    call avCT(2402, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13290])

    allocate(vertices(92)%branchCT(0:1))
    call avCT(92, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_13305, nGC_13306])

    call avCT(92, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_13297, nGC_13300])

    allocate(vertices(93)%branchCT(0:1))
    call avCT(93, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13313])

    call avCT(93, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_13314])

    allocate(vertices(94)%branchCT(0:1))
    call avCT(94, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13255])

    call avCT(94, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13250])

    allocate(vertices(95)%branchCT(0:1))
    call avCT(95, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_13331, nGC_13332])

    call avCT(95, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_13328, nGC_13324])

    allocate(vertices(96)%branchCT(0:1))
    call avCT(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12931])

    call avCT(96, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12928])

    allocate(vertices(97)%branchCT(0:1))
    call avCT(97, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12931])

    call avCT(97, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12928])

    allocate(vertices(2165)%branchCT(0:0))
    call avCT(2165, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13103])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12669])

    allocate(vertices(99)%branchCT(0:0))
    call avCT(99, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_13358, nGC_13359])

    allocate(vertices(100)%branchCT(0:1))
    call avCT(100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12905])

    call avCT(100, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12902])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_13372, nGC_13373])

    allocate(vertices(435)%branchCT(0:1))
    call avCT(435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13381])

    call avCT(435, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13376])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13093])

    allocate(vertices(2567)%branchCT(0:0))
    call avCT(2567, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12669])

    allocate(vertices(595)%branchCT(0:1))
    call avCT(595, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13397])

    call avCT(595, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13394])

    allocate(vertices(105)%branchCT(0:1))
    call avCT(105, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_12751])

    call avCT(105, 1, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_12749])

    allocate(vertices(2245)%branchCT(0:1))
    call avCT(2245, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13406])

    call avCT(2245, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13404])

    allocate(vertices(108)%branchCT(0:1))
    call avCT(108, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_12751])

    call avCT(108, 1, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_12749])

    allocate(vertices(2731)%branchCT(0:0))
    call avCT(2731, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13262])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13093])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13421])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13103])

    allocate(vertices(112)%branchCT(0:1))
    call avCT(112, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12698])

    call avCT(112, 1, 8, 1, 0, VSV0, 0, [0, 1], [nGC_12695])

    allocate(vertices(2732)%branchCT(0:0))
    call avCT(2732, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13436])

    allocate(vertices(114)%branchCT(0:1))
    call avCT(114, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_13440])

    call avCT(114, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_13439])

    allocate(vertices(115)%branchCT(0:2))
    call avCT(115, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_13453, nGC_13454])

    call avCT(115, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_13444, nGC_13450])

    call avCT(115, 2, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_13455, nGC_13456])

    allocate(vertices(2264)%branchCT(0:0))
    call avCT(2264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13461])

    allocate(vertices(116)%branchCT(0:0))
    call avCT(116, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13466])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13470])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13475])

    allocate(vertices(2733)%branchCT(0:0))
    call avCT(2733, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13247])

    allocate(vertices(2734)%branchCT(0:0))
    call avCT(2734, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(118)%branchCT(0:1))
    call avCT(118, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13033])

    call avCT(118, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13029])

    allocate(vertices(2735)%branchCT(0:0))
    call avCT(2735, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13139])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_13492])

    allocate(vertices(2736)%branchCT(0:0))
    call avCT(2736, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(2737)%branchCT(0:0))
    call avCT(2737, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12986])

    allocate(vertices(2738)%branchCT(0:0))
    call avCT(2738, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_13502, nGC_13497])

    allocate(vertices(2739)%branchCT(0:0))
    call avCT(2739, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12672])

    allocate(vertices(120)%branchCT(0:1))
    call avCT(120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12937])

    call avCT(120, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12934])

    allocate(vertices(121)%branchCT(0:1))
    call avCT(121, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_9523])

    call avCT(121, 1, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_13511])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(124)%branchCT(0:1))
    call avCT(124, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_13525, nGC_13525])

    call avCT(124, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_13527, nGC_13527])

    allocate(vertices(2740)%branchCT(0:0))
    call avCT(2740, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12634])

    allocate(vertices(2741)%branchCT(0:0))
    call avCT(2741, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13532])

    allocate(vertices(125)%branchCT(0:1))
    call avCT(125, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12813])

    call avCT(125, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12809])

    allocate(vertices(2742)%branchCT(0:0))
    call avCT(2742, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(126)%branchCT(0:1))
    call avCT(126, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13547])

    call avCT(126, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13543])

    allocate(vertices(127)%branchCT(0:0))
    call avCT(127, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_13552])

    allocate(vertices(128)%branchCT(0:1))
    call avCT(128, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13556])

    call avCT(128, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13555])

    allocate(vertices(129)%branchCT(0:1))
    call avCT(129, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13556])

    call avCT(129, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13555])

    allocate(vertices(1134)%branchCT(0:1))
    call avCT(1134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13564])

    call avCT(1134, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13563])

    allocate(vertices(132)%branchCT(0:0))
    call avCT(132, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12669])

    allocate(vertices(2743)%branchCT(0:0))
    call avCT(2743, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12634])

    allocate(vertices(133)%branchCT(0:1))
    call avCT(133, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12813])

    call avCT(133, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12809])

    allocate(vertices(788)%branchCT(0:1))
    call avCT(788, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13281])

    call avCT(788, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13277])

    allocate(vertices(1075)%branchCT(0:1))
    call avCT(1075, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13177])

    call avCT(1075, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13173])

    allocate(vertices(2744)%branchCT(0:0))
    call avCT(2744, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12672])

    allocate(vertices(798)%branchCT(0:1))
    call avCT(798, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12703])

    call avCT(798, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12701])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12669])

    allocate(vertices(138)%branchCT(0:1))
    call avCT(138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12905])

    call avCT(138, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12902])

    allocate(vertices(139)%branchCT(0:0))
    call avCT(139, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12724])

    allocate(vertices(140)%branchCT(0:0))
    call avCT(140, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_13614])

    allocate(vertices(26)%branchCT(0:1))
    call avCT(26, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13621])

    call avCT(26, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13617])

    allocate(vertices(142)%branchCT(0:3))
    call avCT(142, 0, 30, 2, 0, VFFa0, 0, [1, 2], [nGC_13624, nGC_13622])

    call avCT(142, 1, 30, 2, 0, VFFa0, 0, [3, 0], [nGC_13628, nGC_13629])

    call avCT(142, 2, 31, 3, 0, VFFa0, 0, [1, 2], [nGC_13624, nGC_13622])

    call avCT(142, 3, 31, 3, 0, VFFa0, 0, [3, 0], [nGC_13628, nGC_13629])

    allocate(vertices(27)%branchCT(0:1))
    call avCT(27, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_13644, nGC_13645])

    call avCT(27, 1, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_13638, nGC_13642])

    allocate(vertices(143)%branchCT(0:1))
    call avCT(143, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12718])

    call avCT(143, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12716])

    allocate(vertices(1292)%branchCT(0:1))
    call avCT(1292, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_13008, nGC_13008])

    call avCT(1292, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_13010, nGC_13010])

    allocate(vertices(144)%branchCT(0:1))
    call avCT(144, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_12806, nGC_12805])

    call avCT(144, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_12804, nGC_12803])

    allocate(vertices(854)%branchCT(0:0))
    call avCT(854, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12690])

    allocate(vertices(1789)%branchCT(0:1))
    call avCT(1789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13679])

    call avCT(1789, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13674])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13470])

    allocate(vertices(148)%branchCT(0:2))
    call avCT(148, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13695, nGC_13696])

    call avCT(148, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_13686, nGC_13692])

    call avCT(148, 2, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13697, nGC_13698])

    allocate(vertices(2745)%branchCT(0:0))
    call avCT(2745, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(880)%branchCT(0:1))
    call avCT(880, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13381])

    call avCT(880, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13376])

    allocate(vertices(2746)%branchCT(0:0))
    call avCT(2746, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(151)%branchCT(0:1))
    call avCT(151, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_13719, nGC_13719])

    call avCT(151, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_13720, nGC_13720])

    allocate(vertices(152)%branchCT(0:1))
    call avCT(152, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13725])

    call avCT(152, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13723])

    allocate(vertices(2747)%branchCT(0:0))
    call avCT(2747, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13728])

    allocate(vertices(2748)%branchCT(0:0))
    call avCT(2748, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13735])

    allocate(vertices(155)%branchCT(0:0))
    call avCT(155, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13740])

    allocate(vertices(156)%branchCT(0:0))
    call avCT(156, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_13744])

    allocate(vertices(2749)%branchCT(0:0))
    call avCT(2749, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13745])

    allocate(vertices(157)%branchCT(0:1))
    call avCT(157, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13752])

    call avCT(157, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_13753])

    allocate(vertices(158)%branchCT(0:1))
    call avCT(158, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13255])

    call avCT(158, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13250])

    allocate(vertices(159)%branchCT(0:1))
    call avCT(159, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12874])

    call avCT(159, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12870])

    allocate(vertices(1160)%branchCT(0:1))
    call avCT(1160, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12813])

    call avCT(1160, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12809])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13777])

    allocate(vertices(161)%branchCT(0:0))
    call avCT(161, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_13781])

    allocate(vertices(2750)%branchCT(0:0))
    call avCT(2750, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12792])

    allocate(vertices(2751)%branchCT(0:0))
    call avCT(2751, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13786])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13093])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13797])

    allocate(vertices(2752)%branchCT(0:0))
    call avCT(2752, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13728])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13805])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12910])

    allocate(vertices(168)%branchCT(0:1))
    call avCT(168, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12905])

    call avCT(168, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12902])

    allocate(vertices(2753)%branchCT(0:0))
    call avCT(2753, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12986])

    allocate(vertices(169)%branchCT(0:1))
    call avCT(169, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_13820])

    call avCT(169, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_13819])

    allocate(vertices(2754)%branchCT(0:0))
    call avCT(2754, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12634])

    allocate(vertices(170)%branchCT(0:1))
    call avCT(170, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13828])

    call avCT(170, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13827])

    allocate(vertices(171)%branchCT(0:1))
    call avCT(171, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13839, nGC_13840])

    call avCT(171, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13841, nGC_13842])

    allocate(vertices(2755)%branchCT(0:0))
    call avCT(2755, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13728])

    allocate(vertices(173)%branchCT(0:0))
    call avCT(173, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13849, nGC_13850,        &
    nGC_13849])

    allocate(vertices(1225)%branchCT(0:0))
    call avCT(1225, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13857, nGC_13858,       &
    nGC_13857])

    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13093])

    allocate(vertices(175)%branchCT(0:1))
    call avCT(175, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12919])

    call avCT(175, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12915])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13421])

    allocate(vertices(1084)%branchCT(0:0))
    call avCT(1084, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12669])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12867])

    allocate(vertices(1797)%branchCT(0:1))
    call avCT(1797, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13890])

    call avCT(1797, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13888])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_13358, nGC_13359])

    allocate(vertices(2756)%branchCT(0:0))
    call avCT(2756, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(182)%branchCT(0:2))
    call avCT(182, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_13695, nGC_13696])

    call avCT(182, 1, 17, 1, 0, FaFS1, 0, [0, 1], [nGC_13686, nGC_13692])

    call avCT(182, 2, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_13697, nGC_13698])

    allocate(vertices(1886)%branchCT(0:0))
    call avCT(1886, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13917])

    allocate(vertices(2280)%branchCT(0:1))
    call avCT(2280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13033])

    call avCT(2280, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13029])

    allocate(vertices(184)%branchCT(0:1))
    call avCT(184, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13177])

    call avCT(184, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13173])

    allocate(vertices(185)%branchCT(0:0))
    call avCT(185, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13017])

    allocate(vertices(2757)%branchCT(0:0))
    call avCT(2757, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(186)%branchCT(0:1))
    call avCT(186, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13406])

    call avCT(186, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13404])

    allocate(vertices(187)%branchCT(0:1))
    call avCT(187, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(187, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(188)%branchCT(0:1))
    call avCT(188, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_12841])

    call avCT(188, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_12840])

    allocate(vertices(189)%branchCT(0:1))
    call avCT(189, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13547])

    call avCT(189, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13543])

    allocate(vertices(34)%branchCT(0:1))
    call avCT(34, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12659])

    call avCT(34, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12655])

    allocate(vertices(2758)%branchCT(0:0))
    call avCT(2758, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13262])

    allocate(vertices(2281)%branchCT(0:0))
    call avCT(2281, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13436])

    allocate(vertices(192)%branchCT(0:1))
    call avCT(192, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12813])

    call avCT(192, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12809])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13977])

    allocate(vertices(1800)%branchCT(0:1))
    call avCT(1800, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13983])

    call avCT(1800, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13982])

    allocate(vertices(2514)%branchCT(0:0))
    call avCT(2514, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13988])

    allocate(vertices(1250)%branchCT(0:0))
    call avCT(1250, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13995])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13797])

    allocate(vertices(2759)%branchCT(0:0))
    call avCT(2759, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12986])

    allocate(vertices(2760)%branchCT(0:0))
    call avCT(2760, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(2761)%branchCT(0:0))
    call avCT(2761, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14010])

    allocate(vertices(2762)%branchCT(0:0))
    call avCT(2762, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(200)%branchCT(0:1))
    call avCT(200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13215])

    call avCT(200, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13212])

    allocate(vertices(2336)%branchCT(0:1))
    call avCT(2336, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13547])

    call avCT(2336, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13543])

    allocate(vertices(2763)%branchCT(0:0))
    call avCT(2763, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14026])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12910])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12951])

    allocate(vertices(203)%branchCT(0:1))
    call avCT(203, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12778])

    call avCT(203, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12774])

    allocate(vertices(2764)%branchCT(0:0))
    call avCT(2764, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14043])

    allocate(vertices(204)%branchCT(0:0))
    call avCT(204, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12690])

    allocate(vertices(2765)%branchCT(0:0))
    call avCT(2765, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(2766)%branchCT(0:0))
    call avCT(2766, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12877])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12724])

    allocate(vertices(207)%branchCT(0:1))
    call avCT(207, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12778])

    call avCT(207, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12774])

    allocate(vertices(2767)%branchCT(0:0))
    call avCT(2767, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13093])

    allocate(vertices(209)%branchCT(0:1))
    call avCT(209, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_14082, nGC_14083])

    call avCT(209, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_14075, nGC_14078])

    allocate(vertices(210)%branchCT(0:0))
    call avCT(210, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_13358, nGC_13359])

    allocate(vertices(1315)%branchCT(0:1))
    call avCT(1315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(1315, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12755])

    allocate(vertices(2768)%branchCT(0:0))
    call avCT(2768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13103])

    allocate(vertices(215)%branchCT(0:1))
    call avCT(215, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13071])

    call avCT(215, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13070])

    allocate(vertices(216)%branchCT(0:1))
    call avCT(216, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_13839, nGC_13840])

    call avCT(216, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_13841, nGC_13842])

    allocate(vertices(2769)%branchCT(0:0))
    call avCT(2769, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13262])

    allocate(vertices(2770)%branchCT(0:0))
    call avCT(2770, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12877])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12669])

    allocate(vertices(219)%branchCT(0:1))
    call avCT(219, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_12698])

    call avCT(219, 1, 8, 1, 0, VVS0, 0, [0, 1], [nGC_12695])

    allocate(vertices(220)%branchCT(0:0))
    call avCT(220, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13103])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13274, nGC_13273,        &
    nGC_13273])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12755])

    allocate(vertices(2771)%branchCT(0:0))
    call avCT(2771, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_14142])

    allocate(vertices(224)%branchCT(0:1))
    call avCT(224, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_9519])

    call avCT(224, 1, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_14144])

    allocate(vertices(1007)%branchCT(0:1))
    call avCT(1007, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13050])

    call avCT(1007, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13046])

    allocate(vertices(2772)%branchCT(0:0))
    call avCT(2772, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_14151])

    allocate(vertices(1400)%branchCT(0:1))
    call avCT(1400, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13071])

    call avCT(1400, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13070])

    allocate(vertices(1263)%branchCT(0:1))
    call avCT(1263, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14163])

    call avCT(1263, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14161])

    allocate(vertices(228)%branchCT(0:1))
    call avCT(228, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13556])

    call avCT(228, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13555])

    allocate(vertices(2773)%branchCT(0:0))
    call avCT(2773, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13131])

    allocate(vertices(2774)%branchCT(0:0))
    call avCT(2774, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(1436)%branchCT(0:1))
    call avCT(1436, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13050])

    call avCT(1436, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13046])

    allocate(vertices(2775)%branchCT(0:0))
    call avCT(2775, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12672])

    allocate(vertices(2776)%branchCT(0:0))
    call avCT(2776, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_14142])

    allocate(vertices(2777)%branchCT(0:0))
    call avCT(2777, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12710])

    allocate(vertices(1950)%branchCT(0:0))
    call avCT(1950, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_13614])

    allocate(vertices(230)%branchCT(0:1))
    call avCT(230, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14190])

    call avCT(230, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14189])

    allocate(vertices(231)%branchCT(0:1))
    call avCT(231, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(231, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(232)%branchCT(0:1))
    call avCT(232, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14204])

    call avCT(232, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14200])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13797])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14214])

    allocate(vertices(2778)%branchCT(0:0))
    call avCT(2778, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12792])

    allocate(vertices(2779)%branchCT(0:0))
    call avCT(2779, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13247])

    allocate(vertices(236)%branchCT(0:1))
    call avCT(236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13255])

    call avCT(236, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13250])

    allocate(vertices(2780)%branchCT(0:0))
    call avCT(2780, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_14232, nGC_14226,        &
    nGC_14231])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14236])

    allocate(vertices(238)%branchCT(0:1))
    call avCT(238, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14244])

    call avCT(238, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14242])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_14251, nGC_14251])

    allocate(vertices(240)%branchCT(0:1))
    call avCT(240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13192])

    call avCT(240, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13188])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(903)%branchCT(0:0))
    call avCT(903, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13849, nGC_13849,        &
    nGC_13850])

    allocate(vertices(242)%branchCT(0:1))
    call avCT(242, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12703])

    call avCT(242, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12701])

    allocate(vertices(243)%branchCT(0:1))
    call avCT(243, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14204])

    call avCT(243, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14200])

    allocate(vertices(244)%branchCT(0:1))
    call avCT(244, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13397])

    call avCT(244, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13394])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_12742, nGC_12742])

    allocate(vertices(1811)%branchCT(0:1))
    call avCT(1811, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13050])

    call avCT(1811, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13046])

    allocate(vertices(2781)%branchCT(0:0))
    call avCT(2781, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13131])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_14298])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_14302])

    allocate(vertices(1576)%branchCT(0:0))
    call avCT(1576, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12755])

    allocate(vertices(250)%branchCT(0:1))
    call avCT(250, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(250, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(251)%branchCT(0:0))
    call avCT(251, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12669])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_14322])

    allocate(vertices(1838)%branchCT(0:1))
    call avCT(1838, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13679])

    call avCT(1838, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13674])

    allocate(vertices(1080)%branchCT(0:0))
    call avCT(1080, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12951])

    allocate(vertices(2782)%branchCT(0:0))
    call avCT(2782, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(2783)%branchCT(0:0))
    call avCT(2783, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12634])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_13552])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13135])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12690])

    allocate(vertices(257)%branchCT(0:0))
    call avCT(257, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_14349])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13017])

    allocate(vertices(259)%branchCT(0:1))
    call avCT(259, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_12980, nGC_12981])

    call avCT(259, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_12982, nGC_12983])

    allocate(vertices(2784)%branchCT(0:0))
    call avCT(2784, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(260)%branchCT(0:1))
    call avCT(260, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13177])

    call avCT(260, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13173])

    allocate(vertices(2785)%branchCT(0:0))
    call avCT(2785, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14376, nGC_14375])

    allocate(vertices(262)%branchCT(0:1))
    call avCT(262, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14386, nGC_14387])

    call avCT(262, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14383, nGC_14379])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_14390, nGC_14390,        &
    nGC_14391])

    allocate(vertices(264)%branchCT(0:1))
    call avCT(264, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14396])

    call avCT(264, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_14394])

    allocate(vertices(265)%branchCT(0:1))
    call avCT(265, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13556])

    call avCT(265, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13555])

    allocate(vertices(266)%branchCT(0:1))
    call avCT(266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12646])

    call avCT(266, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12643])

    allocate(vertices(1701)%branchCT(0:0))
    call avCT(1701, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12724])

    allocate(vertices(2786)%branchCT(0:0))
    call avCT(2786, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12672])

    allocate(vertices(269)%branchCT(0:0))
    call avCT(269, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13995])

    allocate(vertices(2787)%branchCT(0:0))
    call avCT(2787, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_14418])

    allocate(vertices(270)%branchCT(0:1))
    call avCT(270, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12703])

    call avCT(270, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12701])

    allocate(vertices(274)%branchCT(0:1))
    call avCT(274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13255])

    call avCT(274, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13250])

    allocate(vertices(275)%branchCT(0:1))
    call avCT(275, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_13720, nGC_13720])

    call avCT(275, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_13719, nGC_13719])

    allocate(vertices(2788)%branchCT(0:0))
    call avCT(2788, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13786])

    allocate(vertices(276)%branchCT(0:1))
    call avCT(276, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12703])

    call avCT(276, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12701])

    allocate(vertices(277)%branchCT(0:1))
    call avCT(277, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_13525, nGC_13525])

    call avCT(277, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_13527, nGC_13527])

    allocate(vertices(2789)%branchCT(0:0))
    call avCT(2789, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13258])

    allocate(vertices(2297)%branchCT(0:1))
    call avCT(2297, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12931])

    call avCT(2297, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12928])

    allocate(vertices(280)%branchCT(0:1))
    call avCT(280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14464])

    call avCT(280, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14463])

    allocate(vertices(281)%branchCT(0:3))
    call avCT(281, 0, 28, 2, 0, VFaF0, 0, [1, 2], [nGC_14465, nGC_14467])

    call avCT(281, 1, 28, 2, 0, VFaF0, 0, [3, 0], [nGC_14471, nGC_14472])

    call avCT(281, 2, 29, 3, 0, VFaF0, 0, [1, 2], [nGC_14465, nGC_14467])

    call avCT(281, 3, 29, 3, 0, VFaF0, 0, [3, 0], [nGC_14471, nGC_14472])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12724])

    allocate(vertices(2790)%branchCT(0:0))
    call avCT(2790, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12792])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_14492, nGC_14492])

    allocate(vertices(1774)%branchCT(0:1))
    call avCT(1774, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_14497])

    call avCT(1774, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_14495])

    allocate(vertices(1786)%branchCT(0:1))
    call avCT(1786, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13828])

    call avCT(1786, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13827])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_12765])

    allocate(vertices(2282)%branchCT(0:1))
    call avCT(2282, 0, 34, 6, 0, UVUa0, 0, [3, 0], [nGC_14508])

    call avCT(2282, 1, 35, 7, 0, UVUa0, 0, [3, 0], [nGC_14508])

    allocate(vertices(911)%branchCT(0:1))
    call avCT(911, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13209])

    call avCT(911, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13205])

    allocate(vertices(290)%branchCT(0:1))
    call avCT(290, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14522])

    call avCT(290, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14521])

    allocate(vertices(291)%branchCT(0:1))
    call avCT(291, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_9526])

    call avCT(291, 1, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_14524])

    allocate(vertices(2791)%branchCT(0:0))
    call avCT(2791, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13131])

    allocate(vertices(292)%branchCT(0:1))
    call avCT(292, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12703])

    call avCT(292, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12701])

    allocate(vertices(2792)%branchCT(0:0))
    call avCT(2792, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13728])

    allocate(vertices(2793)%branchCT(0:0))
    call avCT(2793, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13131])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_14538])

    allocate(vertices(295)%branchCT(0:1))
    call avCT(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12685])

    call avCT(295, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12684])

    allocate(vertices(2794)%branchCT(0:0))
    call avCT(2794, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13131])

    allocate(vertices(297)%branchCT(0:0))
    call avCT(297, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_14538])

    allocate(vertices(2795)%branchCT(0:0))
    call avCT(2795, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_14554, nGC_14549,       &
    nGC_14556, nGC_14556])

    allocate(vertices(298)%branchCT(0:1))
    call avCT(298, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13725])

    call avCT(298, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13723])

    allocate(vertices(299)%branchCT(0:0))
    call avCT(299, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12867])

    allocate(vertices(300)%branchCT(0:1))
    call avCT(300, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_9526])

    call avCT(300, 1, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_14524])

    allocate(vertices(2368)%branchCT(0:1))
    call avCT(2368, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13381])

    call avCT(2368, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13376])

    allocate(vertices(1893)%branchCT(0:0))
    call avCT(1893, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13857, nGC_13858,       &
    nGC_13857])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_14349])

    allocate(vertices(2796)%branchCT(0:0))
    call avCT(2796, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13728])

    allocate(vertices(303)%branchCT(0:1))
    call avCT(303, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13177])

    call avCT(303, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13173])

    allocate(vertices(304)%branchCT(0:1))
    call avCT(304, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_12997, nGC_12997])

    call avCT(304, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_12995, nGC_12995])

    allocate(vertices(2797)%branchCT(0:0))
    call avCT(2797, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(995)%branchCT(0:1))
    call avCT(995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14606])

    call avCT(995, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14602])

    allocate(vertices(2798)%branchCT(0:0))
    call avCT(2798, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(306)%branchCT(0:1))
    call avCT(306, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13679])

    call avCT(306, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13674])

    allocate(vertices(307)%branchCT(0:1))
    call avCT(307, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13209])

    call avCT(307, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13205])

    allocate(vertices(308)%branchCT(0:1))
    call avCT(308, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13556])

    call avCT(308, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13555])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_13372, nGC_13373])

    allocate(vertices(2799)%branchCT(0:0))
    call avCT(2799, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12631])

    allocate(vertices(2534)%branchCT(0:1))
    call avCT(2534, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12813])

    call avCT(2534, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12809])

    allocate(vertices(1940)%branchCT(0:1))
    call avCT(1940, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12659])

    call avCT(1940, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12655])

    allocate(vertices(1695)%branchCT(0:0))
    call avCT(1695, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_13026])

    allocate(vertices(312)%branchCT(0:1))
    call avCT(312, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13293])

    call avCT(312, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13290])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_14655])

    allocate(vertices(314)%branchCT(0:1))
    call avCT(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12937])

    call avCT(314, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12934])

    allocate(vertices(2800)%branchCT(0:0))
    call avCT(2800, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_14663])

    allocate(vertices(762)%branchCT(0:1))
    call avCT(762, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14673, nGC_14674])

    call avCT(762, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14670, nGC_14666])

    allocate(vertices(1357)%branchCT(0:1))
    call avCT(1357, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12931])

    call avCT(1357, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12928])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_14687, nGC_14688])

    allocate(vertices(1990)%branchCT(0:1))
    call avCT(1990, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13023])

    call avCT(1990, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13020])

    allocate(vertices(918)%branchCT(0:1))
    call avCT(918, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12874])

    call avCT(918, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12870])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_13026])

    allocate(vertices(2801)%branchCT(0:0))
    call avCT(2801, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(2260)%branchCT(0:1))
    call avCT(2260, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13312])

    call avCT(2260, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_13309])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12669])

    allocate(vertices(321)%branchCT(0:1))
    call avCT(321, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_12778])

    call avCT(321, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_12774])

    allocate(vertices(1823)%branchCT(0:1))
    call avCT(1823, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13725])

    call avCT(1823, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13723])

    allocate(vertices(2802)%branchCT(0:0))
    call avCT(2802, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(323)%branchCT(0:3))
    call avCT(323, 0, 30, 2, 0, VFFa0, 0, [1, 2], [nGC_14465, nGC_14467])

    call avCT(323, 1, 30, 2, 0, VFFa0, 0, [3, 0], [nGC_14471, nGC_14472])

    call avCT(323, 2, 31, 3, 0, VFFa0, 0, [1, 2], [nGC_14465, nGC_14467])

    call avCT(323, 3, 31, 3, 0, VFFa0, 0, [3, 0], [nGC_14471, nGC_14472])

    allocate(vertices(970)%branchCT(0:1))
    call avCT(970, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14745])

    call avCT(970, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14742])

    allocate(vertices(324)%branchCT(0:5))
    call avCT(324, 0, 2, 4, 0, VVVV0, 0, [4, 0], [nGC_14748, nGC_14748,        &
    nGC_14749])

    call avCT(324, 1, 3, 4, 0, VVVV0, 0, [4, 0], [nGC_14748, nGC_14748,        &
    nGC_14749])

    call avCT(324, 2, 4, 5, 0, VVVV0, 0, [4, 0], [nGC_14753, nGC_14752,        &
    nGC_14752])

    call avCT(324, 3, 5, 5, 0, VVVV0, 0, [4, 0], [nGC_14752, nGC_14753,        &
    nGC_14752])

    call avCT(324, 4, 6, 5, 0, VVVV0, 0, [4, 0], [nGC_14753, nGC_14752,        &
    nGC_14752])

    call avCT(324, 5, 7, 5, 0, VVVV0, 0, [4, 0], [nGC_14752, nGC_14753,        &
    nGC_14752])

    allocate(vertices(2803)%branchCT(0:0))
    call avCT(2803, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13139])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_14766])

    allocate(vertices(326)%branchCT(0:1))
    call avCT(326, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_14775, nGC_14775])

    call avCT(326, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_14777, nGC_14777])

    allocate(vertices(327)%branchCT(0:1))
    call avCT(327, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13209])

    call avCT(327, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13205])

    allocate(vertices(328)%branchCT(0:0))
    call avCT(328, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_14787])

    allocate(vertices(921)%branchCT(0:1))
    call avCT(921, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13679])

    call avCT(921, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13674])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13995])

    allocate(vertices(2804)%branchCT(0:0))
    call avCT(2804, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13258])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12867])

    allocate(vertices(183)%branchCT(0:1))
    call avCT(183, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13150])

    call avCT(183, 1, 8, 1, 0, SVV0, 0, [0, 1], [nGC_13147])

    allocate(vertices(2074)%branchCT(0:0))
    call avCT(2074, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12690])

    allocate(vertices(2805)%branchCT(0:0))
    call avCT(2805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(1417)%branchCT(0:0))
    call avCT(1417, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13857, nGC_13857,       &
    nGC_13858])

    allocate(vertices(332)%branchCT(0:1))
    call avCT(332, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12813])

    call avCT(332, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12809])

    allocate(vertices(333)%branchCT(0:2))
    call avCT(333, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_14844, nGC_14845])

    call avCT(333, 1, 18, 1, 0, FaSF0, 0, [0, 1], [nGC_14834, nGC_14840])

    call avCT(333, 2, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_14846, nGC_14847])

    allocate(vertices(2004)%branchCT(0:1))
    call avCT(2004, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13192])

    call avCT(2004, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13188])

    allocate(vertices(2806)%branchCT(0:0))
    call avCT(2806, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13728])

    allocate(vertices(922)%branchCT(0:1))
    call avCT(922, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14861])

    call avCT(922, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14860])

    allocate(vertices(334)%branchCT(0:1))
    call avCT(334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13679])

    call avCT(334, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13674])

    allocate(vertices(335)%branchCT(0:0))
    call avCT(335, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_13781])

    allocate(vertices(2169)%branchCT(0:0))
    call avCT(2169, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13421])

    allocate(vertices(1689)%branchCT(0:0))
    call avCT(1689, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13093])

    allocate(vertices(336)%branchCT(0:1))
    call avCT(336, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13255])

    call avCT(336, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13250])

    allocate(vertices(1321)%branchCT(0:1))
    call avCT(1321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13564])

    call avCT(1321, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13563])

    allocate(vertices(1781)%branchCT(0:1))
    call avCT(1781, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13023])

    call avCT(1781, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13020])

    allocate(vertices(338)%branchCT(0:1))
    call avCT(338, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13381])

    call avCT(338, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13376])

    allocate(vertices(339)%branchCT(0:1))
    call avCT(339, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13547])

    call avCT(339, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13543])

    allocate(vertices(1361)%branchCT(0:1))
    call avCT(1361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12919])

    call avCT(1361, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12915])

    allocate(vertices(341)%branchCT(0:1))
    call avCT(341, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_14396])

    call avCT(341, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_14394])

    allocate(vertices(2807)%branchCT(0:0))
    call avCT(2807, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_14919])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_13744])

    allocate(vertices(343)%branchCT(0:1))
    call avCT(343, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_14927])

    call avCT(343, 1, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_14925])

    allocate(vertices(924)%branchCT(0:2))
    call avCT(924, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_14940, nGC_14941])

    call avCT(924, 1, 21, 1, 0, SFFa1, 0, [0, 1], [nGC_14931, nGC_14937])

    call avCT(924, 2, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_14942, nGC_14943])

    allocate(vertices(345)%branchCT(0:1))
    call avCT(345, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14954, nGC_14955])

    call avCT(345, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14956, nGC_14957])

    allocate(vertices(2808)%branchCT(0:0))
    call avCT(2808, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13247])

    allocate(vertices(347)%branchCT(0:2))
    call avCT(347, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14844, nGC_14845])

    call avCT(347, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_14834, nGC_14840])

    call avCT(347, 2, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14846, nGC_14847])

    allocate(vertices(2809)%branchCT(0:0))
    call avCT(2809, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_14971])

    allocate(vertices(349)%branchCT(0:1))
    call avCT(349, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_14980, nGC_14980])

    call avCT(349, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_14982, nGC_14982])

    allocate(vertices(2197)%branchCT(0:1))
    call avCT(2197, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13023])

    call avCT(2197, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13020])

    allocate(vertices(351)%branchCT(0:1))
    call avCT(351, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13071])

    call avCT(351, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13070])

    allocate(vertices(352)%branchCT(0:2))
    call avCT(352, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_14940, nGC_14941])

    call avCT(352, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_14931, nGC_14937])

    call avCT(352, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_14942, nGC_14943])

    allocate(vertices(2810)%branchCT(0:0))
    call avCT(2810, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13262])

    allocate(vertices(2811)%branchCT(0:0))
    call avCT(2811, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13262])

    allocate(vertices(355)%branchCT(0:1))
    call avCT(355, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12937])

    call avCT(355, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12934])

    allocate(vertices(2812)%branchCT(0:0))
    call avCT(2812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(356)%branchCT(0:1))
    call avCT(356, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14204])

    call avCT(356, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14200])

    allocate(vertices(2813)%branchCT(0:0))
    call avCT(2813, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_15026])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12746])

    allocate(vertices(2814)%branchCT(0:0))
    call avCT(2814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(358)%branchCT(0:1))
    call avCT(358, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12640])

    call avCT(358, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12637])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_15042])

    allocate(vertices(360)%branchCT(0:1))
    call avCT(360, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14204])

    call avCT(360, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14200])

    allocate(vertices(2815)%branchCT(0:1))
    call avCT(2815, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_15056, nGC_15057])

    call avCT(2815, 1, 13, 1, 0, SV1, 0, [0, 0], [nGC_15053])

    allocate(vertices(1560)%branchCT(0:1))
    call avCT(1560, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_15069, nGC_15070])

    call avCT(1560, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_15071, nGC_15072])

    allocate(vertices(361)%branchCT(0:1))
    call avCT(361, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13397])

    call avCT(361, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13394])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_13026])

    allocate(vertices(2816)%branchCT(0:0))
    call avCT(2816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13898])

    allocate(vertices(2817)%branchCT(0:0))
    call avCT(2817, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_15085])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12968])

    allocate(vertices(364)%branchCT(0:1))
    call avCT(364, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13679])

    call avCT(364, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13674])

    allocate(vertices(365)%branchCT(0:0))
    call avCT(365, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_14251, nGC_14251])

    allocate(vertices(1643)%branchCT(0:0))
    call avCT(1643, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12951])

    allocate(vertices(2818)%branchCT(0:0))
    call avCT(2818, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(2819)%branchCT(0:0))
    call avCT(2819, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12672])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_14492, nGC_14492])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13475])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12755])

    allocate(vertices(2820)%branchCT(0:0))
    call avCT(2820, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13142])

    allocate(vertices(2314)%branchCT(0:1))
    call avCT(2314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13621])

    call avCT(2314, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13617])

    allocate(vertices(2821)%branchCT(0:0))
    call avCT(2821, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13745])

    allocate(vertices(2822)%branchCT(0:0))
    call avCT(2822, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_12789])

    allocate(vertices(1746)%branchCT(0:1))
    call avCT(1746, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_13644, nGC_13645])

    call avCT(1746, 1, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_13638, nGC_13642])

    allocate(vertices(2823)%branchCT(0:0))
    call avCT(2823, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(2824)%branchCT(0:0))
    call avCT(2824, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(370)%branchCT(0:1))
    call avCT(370, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13050])

    call avCT(370, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13046])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 8, 1, 0, UaUV0, 0, [0, 3], [nGC_14538])

    allocate(vertices(2825)%branchCT(0:0))
    call avCT(2825, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13480])

    allocate(vertices(2826)%branchCT(0:0))
    call avCT(2826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12954])

    allocate(vertices(373)%branchCT(0:1))
    call avCT(373, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_12841])

    call avCT(373, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_12840])

  end subroutine fill_vertices_mdl4
end module vertices_info4
