!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 19:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  implicit none
  contains
  subroutine fill_vertices_mdl9()
    use class_vertices
    use class_couplings
    allocate(vertices(2047)%branchR2(0:0))
    call avR2(2047, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(2133)%branchR2(0:0))
    call avR2(2133, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3368)%branchR2(0:0))
    call avR2(3368, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3042)%branchR2(0:1))
    call avR2(3042, 0, 15, 1, 0, VV1, 0, [2, 0], [nGC_8756, nGC_8755, nGC_8757])

    call avR2(3042, 1, 16, 1, 0, VV1, 0, [2, 0], [nGC_8759, nGC_8758, nGC_8760])

    allocate(vertices(1655)%branchR2(0:0))
    call avR2(1655, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9052, nGC_9053])

    allocate(vertices(2982)%branchR2(0:0))
    call avR2(2982, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(935)%branchR2(0:0))
    call avR2(935, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(1642)%branchR2(0:1))
    call avR2(1642, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8909, nGC_8907])

    call avR2(1642, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8910, nGC_8908])

    allocate(vertices(2250)%branchR2(0:0))
    call avR2(2250, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8795, nGC_8796])

    allocate(vertices(1294)%branchR2(0:0))
    call avR2(1294, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2006)%branchR2(0:0))
    call avR2(2006, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8820])

    allocate(vertices(3269)%branchR2(0:0))
    call avR2(3269, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(2396)%branchR2(0:0))
    call avR2(2396, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(1001)%branchR2(0:0))
    call avR2(1001, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(3105)%branchR2(0:0))
    call avR2(3105, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3596)%branchR2(0:5))
    call avR2(3596, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    call avR2(3596, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3596, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3596, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9152, nGC_9152,        &
    nGC_9152])

    call avR2(3596, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3596, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    allocate(vertices(1525)%branchR2(0:0))
    call avR2(1525, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8881, nGC_8880])

    allocate(vertices(3587)%branchR2(0:0))
    call avR2(3587, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1483)%branchR2(0:0))
    call avR2(1483, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(940)%branchR2(0:0))
    call avR2(940, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(597)%branchR2(0:0))
    call avR2(597, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

    allocate(vertices(2892)%branchR2(0:0))
    call avR2(2892, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8739, nGC_8738, nGC_8740])

    allocate(vertices(1560)%branchR2(0:1))
    call avR2(1560, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8961, nGC_8963])

    call avR2(1560, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8962, nGC_8964])

    allocate(vertices(3410)%branchR2(0:0))
    call avR2(3410, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1957)%branchR2(0:0))
    call avR2(1957, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2443)%branchR2(0:1))
    call avR2(2443, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8985, nGC_8986])

    call avR2(2443, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8987, nGC_8987])

    allocate(vertices(1716)%branchR2(0:0))
    call avR2(1716, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(2968)%branchR2(0:0))
    call avR2(2968, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8801])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3597)%branchR2(0:1))
    call avR2(3597, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9251])

    call avR2(3597, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9252])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3104)%branchR2(0:0))
    call avR2(3104, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9128])

    allocate(vertices(444)%branchR2(0:0))
    call avR2(444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8929])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8779])

    allocate(vertices(2644)%branchR2(0:0))
    call avR2(2644, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(3167)%branchR2(0:0))
    call avR2(3167, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(857)%branchR2(0:0))
    call avR2(857, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9202])

    allocate(vertices(2433)%branchR2(0:0))
    call avR2(2433, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

    allocate(vertices(250)%branchR2(0:0))
    call avR2(250, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(3598)%branchR2(0:0))
    call avR2(3598, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(1977)%branchR2(0:0))
    call avR2(1977, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2772)%branchR2(0:0))
    call avR2(2772, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8785])

    allocate(vertices(286)%branchR2(0:0))
    call avR2(286, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(478)%branchR2(0:0))
    call avR2(478, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(2924)%branchR2(0:0))
    call avR2(2924, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(3151)%branchR2(0:0))
    call avR2(3151, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8801])

    allocate(vertices(2822)%branchR2(0:0))
    call avR2(2822, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8801])

    allocate(vertices(652)%branchR2(0:0))
    call avR2(652, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

    allocate(vertices(2406)%branchR2(0:1))
    call avR2(2406, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8803, nGC_8802])

    call avR2(2406, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(229)%branchR2(0:0))
    call avR2(229, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3551)%branchR2(0:0))
    call avR2(3551, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(144)%branchR2(0:1))
    call avR2(144, 0, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8914, nGC_8912])

    call avR2(144, 1, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8927, nGC_8926])

    allocate(vertices(3512)%branchR2(0:0))
    call avR2(3512, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29477])

    allocate(vertices(3178)%branchR2(0:0))
    call avR2(3178, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3599)%branchR2(0:1))
    call avR2(3599, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3599, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1885)%branchR2(0:0))
    call avR2(1885, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(553)%branchR2(0:1))
    call avR2(553, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(553, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(1280)%branchR2(0:0))
    call avR2(1280, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2028)%branchR2(0:0))
    call avR2(2028, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29488])

    allocate(vertices(1689)%branchR2(0:0))
    call avR2(1689, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(997)%branchR2(0:0))
    call avR2(997, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

    allocate(vertices(19)%branchR2(0:0))
    call avR2(19, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8854])

    allocate(vertices(3204)%branchR2(0:0))
    call avR2(3204, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(557)%branchR2(0:1))
    call avR2(557, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8978, nGC_8978])

    call avR2(557, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8976, nGC_8977])

    allocate(vertices(2232)%branchR2(0:0))
    call avR2(2232, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(160)%branchR2(0:0))
    call avR2(160, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(2817)%branchR2(0:0))
    call avR2(2817, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29499])

    allocate(vertices(1928)%branchR2(0:0))
    call avR2(1928, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

    allocate(vertices(1016)%branchR2(0:0))
    call avR2(1016, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3286)%branchR2(0:0))
    call avR2(3286, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8714, nGC_8713])

    allocate(vertices(1340)%branchR2(0:0))
    call avR2(1340, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8780])

    allocate(vertices(1663)%branchR2(0:0))
    call avR2(1663, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3076)%branchR2(0:0))
    call avR2(3076, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9127])

    allocate(vertices(1873)%branchR2(0:0))
    call avR2(1873, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9245])

    allocate(vertices(2649)%branchR2(0:0))
    call avR2(2649, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(666)%branchR2(0:1))
    call avR2(666, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9027])

    call avR2(666, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9028])

    allocate(vertices(3255)%branchR2(0:0))
    call avR2(3255, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29512])

    allocate(vertices(1328)%branchR2(0:0))
    call avR2(1328, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8881, nGC_8880])

    allocate(vertices(2409)%branchR2(0:0))
    call avR2(2409, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9253])

    allocate(vertices(1681)%branchR2(0:0))
    call avR2(1681, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9041, nGC_9042])

    allocate(vertices(176)%branchR2(0:0))
    call avR2(176, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2067)%branchR2(0:0))
    call avR2(2067, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8794, nGC_8793])

    call avR2(1210, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(2304)%branchR2(0:0))
    call avR2(2304, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(534)%branchR2(0:0))
    call avR2(534, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8839])

    allocate(vertices(3600)%branchR2(0:0))
    call avR2(3600, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9093])

    allocate(vertices(3601)%branchR2(0:1))
    call avR2(3601, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9251])

    call avR2(3601, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9252])

    allocate(vertices(807)%branchR2(0:1))
    call avR2(807, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(807, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_8809, nGC_8808])

    allocate(vertices(1122)%branchR2(0:0))
    call avR2(1122, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29534])

    allocate(vertices(1)%branchR2(0:0))
    call avR2(1, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(1120)%branchR2(0:1))
    call avR2(1120, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8972, nGC_8972])

    call avR2(1120, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8970, nGC_8971])

    allocate(vertices(2964)%branchR2(0:0))
    call avR2(2964, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(1083)%branchR2(0:0))
    call avR2(1083, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132, nGC_9131&
    ])

    allocate(vertices(1220)%branchR2(0:1))
    call avR2(1220, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8973, nGC_8974])

    call avR2(1220, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8975, nGC_8975])

    allocate(vertices(2319)%branchR2(0:0))
    call avR2(2319, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(1277)%branchR2(0:1))
    call avR2(1277, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8823, nGC_8825])

    call avR2(1277, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8824, nGC_8826])

    allocate(vertices(3602)%branchR2(0:1))
    call avR2(3602, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9154])

    call avR2(3602, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9155])

    allocate(vertices(1455)%branchR2(0:1))
    call avR2(1455, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8911, nGC_8913])

    call avR2(1455, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8912, nGC_8914])

    allocate(vertices(189)%branchR2(0:0))
    call avR2(189, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(184)%branchR2(0:0))
    call avR2(184, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2770)%branchR2(0:0))
    call avR2(2770, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9214])

    allocate(vertices(552)%branchR2(0:0))
    call avR2(552, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(3393)%branchR2(0:0))
    call avR2(3393, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(213)%branchR2(0:0))
    call avR2(213, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

    allocate(vertices(2594)%branchR2(0:0))
    call avR2(2594, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

    allocate(vertices(3603)%branchR2(0:1))
    call avR2(3603, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9238])

    call avR2(3603, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9239])

    allocate(vertices(1042)%branchR2(0:1))
    call avR2(1042, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8834, nGC_8832])

    call avR2(1042, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8853, nGC_8852])

    allocate(vertices(3228)%branchR2(0:0))
    call avR2(3228, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9188])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(53)%branchR2(0:0))
    call avR2(53, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(2259)%branchR2(0:0))
    call avR2(2259, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(474)%branchR2(0:0))
    call avR2(474, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9261, nGC_9262, nGC_9262])

    allocate(vertices(253)%branchR2(0:0))
    call avR2(253, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1692)%branchR2(0:0))
    call avR2(1692, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(3298)%branchR2(0:0))
    call avR2(3298, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(374)%branchR2(0:1))
    call avR2(374, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8914, nGC_8912])

    call avR2(374, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8927, nGC_8926])

    allocate(vertices(1937)%branchR2(0:0))
    call avR2(1937, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1224)%branchR2(0:0))
    call avR2(1224, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8967])

    allocate(vertices(87)%branchR2(0:0))
    call avR2(87, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8931])

    allocate(vertices(325)%branchR2(0:0))
    call avR2(325, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9241])

    allocate(vertices(822)%branchR2(0:0))
    call avR2(822, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(2832)%branchR2(0:0))
    call avR2(2832, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(2140)%branchR2(0:0))
    call avR2(2140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(3604)%branchR2(0:1))
    call avR2(3604, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3604, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9265, nGC_9265,        &
    nGC_9265])

    allocate(vertices(884)%branchR2(0:1))
    call avR2(884, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8987, nGC_8987])

    call avR2(884, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8985, nGC_8986])

    allocate(vertices(3605)%branchR2(0:1))
    call avR2(3605, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9170])

    call avR2(3605, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1803)%branchR2(0:1))
    call avR2(1803, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_9005, nGC_9006])

    call avR2(1803, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_9007, nGC_9007])

    allocate(vertices(2673)%branchR2(0:0))
    call avR2(2673, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(215)%branchR2(0:0))
    call avR2(215, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

    allocate(vertices(3147)%branchR2(0:0))
    call avR2(3147, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(3290)%branchR2(0:0))
    call avR2(3290, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8762])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3162)%branchR2(0:0))
    call avR2(3162, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8820])

    allocate(vertices(903)%branchR2(0:0))
    call avR2(903, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9099, nGC_9097, nGC_9098])

    allocate(vertices(200)%branchR2(0:0))
    call avR2(200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(858)%branchR2(0:0))
    call avR2(858, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8950, nGC_8949])

    allocate(vertices(1086)%branchR2(0:1))
    call avR2(1086, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8886, nGC_8888])

    call avR2(1086, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8887, nGC_8889])

    allocate(vertices(2288)%branchR2(0:0))
    call avR2(2288, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8916])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9200])

    allocate(vertices(3487)%branchR2(0:0))
    call avR2(3487, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1747)%branchR2(0:0))
    call avR2(1747, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(1765)%branchR2(0:0))
    call avR2(1765, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(570)%branchR2(0:0))
    call avR2(570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(3218)%branchR2(0:0))
    call avR2(3218, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(482)%branchR2(0:0))
    call avR2(482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1822)%branchR2(0:0))
    call avR2(1822, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8822])

    allocate(vertices(3041)%branchR2(0:0))
    call avR2(3041, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

    allocate(vertices(3278)%branchR2(0:0))
    call avR2(3278, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9133])

    allocate(vertices(3199)%branchR2(0:0))
    call avR2(3199, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9188])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(3267)%branchR2(0:0))
    call avR2(3267, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3606)%branchR2(0:0))
    call avR2(3606, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(495)%branchR2(0:0))
    call avR2(495, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(728)%branchR2(0:0))
    call avR2(728, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3190)%branchR2(0:0))
    call avR2(3190, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(955)%branchR2(0:0))
    call avR2(955, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(3136)%branchR2(0:0))
    call avR2(3136, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(2792)%branchR2(0:0))
    call avR2(2792, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3607)%branchR2(0:0))
    call avR2(3607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(61)%branchR2(0:0))
    call avR2(61, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2389)%branchR2(0:1))
    call avR2(2389, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9022, nGC_9023])

    call avR2(2389, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9024, nGC_9024])

    allocate(vertices(760)%branchR2(0:0))
    call avR2(760, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    allocate(vertices(3588)%branchR2(0:0))
    call avR2(3588, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8777])

    allocate(vertices(777)%branchR2(0:1))
    call avR2(777, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9026])

    call avR2(777, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9027])

    allocate(vertices(704)%branchR2(0:0))
    call avR2(704, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9153])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(1554)%branchR2(0:0))
    call avR2(1554, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(315)%branchR2(0:0))
    call avR2(315, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9021, nGC_9020])

    allocate(vertices(1359)%branchR2(0:0))
    call avR2(1359, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

    allocate(vertices(1784)%branchR2(0:0))
    call avR2(1784, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(2211)%branchR2(0:0))
    call avR2(2211, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(3148)%branchR2(0:0))
    call avR2(3148, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

    allocate(vertices(1673)%branchR2(0:0))
    call avR2(1673, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9089])

    allocate(vertices(66)%branchR2(0:0))
    call avR2(66, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8835])

    allocate(vertices(1392)%branchR2(0:0))
    call avR2(1392, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3608)%branchR2(0:1))
    call avR2(3608, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9224])

    call avR2(3608, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9225])

    allocate(vertices(957)%branchR2(0:0))
    call avR2(957, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(3175)%branchR2(0:0))
    call avR2(3175, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8860])

    allocate(vertices(1125)%branchR2(0:0))
    call avR2(1125, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8774])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(3609)%branchR2(0:1))
    call avR2(3609, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

    call avR2(3609, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1015)%branchR2(0:1))
    call avR2(1015, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8903, nGC_8905])

    call avR2(1015, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8904, nGC_8906])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9108])

    allocate(vertices(125)%branchR2(0:0))
    call avR2(125, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(3537)%branchR2(0:0))
    call avR2(3537, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1131)%branchR2(0:0))
    call avR2(1131, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2103)%branchR2(0:0))
    call avR2(2103, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8916])

    allocate(vertices(2852)%branchR2(0:0))
    call avR2(2852, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8818])

    allocate(vertices(1577)%branchR2(0:3))
    call avR2(1577, 0, 22, 1, 0, FaFV1, 0, [1, 2], [nGC_9065, nGC_9064])

    call avR2(1577, 1, 22, 1, 0, FaFV1, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(1577, 2, 23, 1, 0, FaFV1, 0, [1, 2], [nGC_9063, nGC_9062])

    call avR2(1577, 3, 23, 1, 0, FaFV1, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(211)%branchR2(0:0))
    call avR2(211, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(159)%branchR2(0:0))
    call avR2(159, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(1305)%branchR2(0:1))
    call avR2(1305, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(1305, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8791, nGC_8790])

    allocate(vertices(2671)%branchR2(0:0))
    call avR2(2671, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9236])

    allocate(vertices(3099)%branchR2(0:0))
    call avR2(3099, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(537)%branchR2(0:1))
    call avR2(537, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9027])

    call avR2(537, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9028])

    allocate(vertices(687)%branchR2(0:0))
    call avR2(687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(2038)%branchR2(0:0))
    call avR2(2038, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29695])

    allocate(vertices(1040)%branchR2(0:0))
    call avR2(1040, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(2564)%branchR2(0:0))
    call avR2(2564, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(2323)%branchR2(0:0))
    call avR2(2323, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9241])

    allocate(vertices(422)%branchR2(0:0))
    call avR2(422, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9253])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1819)%branchR2(0:1))
    call avR2(1819, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_9001, nGC_9001])

    call avR2(1819, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8999, nGC_9000])

    allocate(vertices(1881)%branchR2(0:0))
    call avR2(1881, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2327)%branchR2(0:0))
    call avR2(2327, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8835])

    allocate(vertices(3530)%branchR2(0:0))
    call avR2(3530, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9214])

    allocate(vertices(1867)%branchR2(0:1))
    call avR2(1867, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(1867, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(56)%branchR2(0:0))
    call avR2(56, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(2260)%branchR2(0:0))
    call avR2(2260, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8864])

    allocate(vertices(3476)%branchR2(0:0))
    call avR2(3476, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(1987)%branchR2(0:0))
    call avR2(1987, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8806, nGC_8807])

    allocate(vertices(854)%branchR2(0:0))
    call avR2(854, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1938)%branchR2(0:0))
    call avR2(1938, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(1884)%branchR2(0:0))
    call avR2(1884, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

    allocate(vertices(298)%branchR2(0:0))
    call avR2(298, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1879)%branchR2(0:0))
    call avR2(1879, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9219])

    allocate(vertices(2270)%branchR2(0:0))
    call avR2(2270, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9029])

    allocate(vertices(3445)%branchR2(0:0))
    call avR2(3445, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9127])

    allocate(vertices(2563)%branchR2(0:1))
    call avR2(2563, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8788, nGC_8787])

    call avR2(2563, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(2769)%branchR2(0:0))
    call avR2(2769, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2441)%branchR2(0:0))
    call avR2(2441, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9250])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(2799)%branchR2(0:0))
    call avR2(2799, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(1772)%branchR2(0:0))
    call avR2(1772, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(3191)%branchR2(0:0))
    call avR2(3191, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2702)%branchR2(0:0))
    call avR2(2702, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(3610)%branchR2(0:0))
    call avR2(3610, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

    allocate(vertices(2527)%branchR2(0:0))
    call avR2(2527, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(637)%branchR2(0:0))
    call avR2(637, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3611)%branchR2(0:1))
    call avR2(3611, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9259])

    call avR2(3611, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9260])

    allocate(vertices(1137)%branchR2(0:0))
    call avR2(1137, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8948, nGC_8947])

    allocate(vertices(3441)%branchR2(0:0))
    call avR2(3441, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(2755)%branchR2(0:0))
    call avR2(2755, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(3612)%branchR2(0:0))
    call avR2(3612, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3353)%branchR2(0:0))
    call avR2(3353, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(2333)%branchR2(0:0))
    call avR2(2333, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9132, nGC_9130&
    ])

    allocate(vertices(2092)%branchR2(0:0))
    call avR2(2092, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(414)%branchR2(0:0))
    call avR2(414, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9047])

    allocate(vertices(2635)%branchR2(0:0))
    call avR2(2635, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3613)%branchR2(0:0))
    call avR2(3613, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(8)%branchR2(0:0))
    call avR2(8, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(2926)%branchR2(0:0))
    call avR2(2926, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1237)%branchR2(0:0))
    call avR2(1237, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1505)%branchR2(0:0))
    call avR2(1505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

    allocate(vertices(3482)%branchR2(0:0))
    call avR2(3482, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(268)%branchR2(0:1))
    call avR2(268, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8809, nGC_8808])

    call avR2(268, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(41)%branchR2(0:0))
    call avR2(41, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29762])

    allocate(vertices(2219)%branchR2(0:1))
    call avR2(2219, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8834, nGC_8832])

    call avR2(2219, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8853, nGC_8852])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(2511)%branchR2(0:0))
    call avR2(2511, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(976)%branchR2(0:1))
    call avR2(976, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8886, nGC_8888])

    call avR2(976, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8887, nGC_8889])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3395)%branchR2(0:0))
    call avR2(3395, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8782])

    allocate(vertices(251)%branchR2(0:0))
    call avR2(251, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2026)%branchR2(0:1))
    call avR2(2026, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_9026])

    call avR2(2026, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_9027])

    allocate(vertices(428)%branchR2(0:0))
    call avR2(428, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1147)%branchR2(0:0))
    call avR2(1147, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8837])

    allocate(vertices(820)%branchR2(0:0))
    call avR2(820, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8929])

    allocate(vertices(544)%branchR2(0:0))
    call avR2(544, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9202])

    allocate(vertices(455)%branchR2(0:0))
    call avR2(455, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(106)%branchR2(0:1))
    call avR2(106, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8939, nGC_8941])

    call avR2(106, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8940, nGC_8942])

    allocate(vertices(1112)%branchR2(0:0))
    call avR2(1112, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(554)%branchR2(0:0))
    call avR2(554, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(3296)%branchR2(0:0))
    call avR2(3296, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3208)%branchR2(0:0))
    call avR2(3208, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1155)%branchR2(0:0))
    call avR2(1155, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9013, nGC_9012])

    allocate(vertices(236)%branchR2(0:0))
    call avR2(236, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(1598)%branchR2(0:0))
    call avR2(1598, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

    allocate(vertices(508)%branchR2(0:0))
    call avR2(508, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8773])

    allocate(vertices(3378)%branchR2(0:0))
    call avR2(3378, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2627)%branchR2(0:0))
    call avR2(2627, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8920])

    allocate(vertices(1187)%branchR2(0:0))
    call avR2(1187, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(3614)%branchR2(0:1))
    call avR2(3614, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9217])

    call avR2(3614, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9218])

    allocate(vertices(1303)%branchR2(0:0))
    call avR2(1303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1217)%branchR2(0:0))
    call avR2(1217, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9149])

    allocate(vertices(895)%branchR2(0:0))
    call avR2(895, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(3615)%branchR2(0:1))
    call avR2(3615, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9206])

    call avR2(3615, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9207])

    allocate(vertices(2788)%branchR2(0:0))
    call avR2(2788, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(1263)%branchR2(0:0))
    call avR2(1263, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(3225)%branchR2(0:0))
    call avR2(3225, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8762])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(2062)%branchR2(0:1))
    call avR2(2062, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(2062, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9040, nGC_9039])

    allocate(vertices(1574)%branchR2(0:0))
    call avR2(1574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(511)%branchR2(0:1))
    call avR2(511, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8886, nGC_8888])

    call avR2(511, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8887, nGC_8889])

    allocate(vertices(1468)%branchR2(0:0))
    call avR2(1468, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

    allocate(vertices(3616)%branchR2(0:0))
    call avR2(3616, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8857])

    allocate(vertices(1275)%branchR2(0:0))
    call avR2(1275, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29824])

    allocate(vertices(1245)%branchR2(0:0))
    call avR2(1245, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9109])

    allocate(vertices(3003)%branchR2(0:0))
    call avR2(3003, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29827])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9030])

    allocate(vertices(2451)%branchR2(0:0))
    call avR2(2451, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9029])

    allocate(vertices(1947)%branchR2(0:0))
    call avR2(1947, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

    allocate(vertices(3254)%branchR2(0:0))
    call avR2(3254, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29317])

    allocate(vertices(383)%branchR2(0:0))
    call avR2(383, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2681)%branchR2(0:0))
    call avR2(2681, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(2303)%branchR2(0:1))
    call avR2(2303, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(2303, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(2766)%branchR2(0:0))
    call avR2(2766, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9214])

    allocate(vertices(2918)%branchR2(0:0))
    call avR2(2918, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3463)%branchR2(0:0))
    call avR2(3463, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9188])

    allocate(vertices(1860)%branchR2(0:0))
    call avR2(1860, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(2405)%branchR2(0:0))
    call avR2(2405, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29844])

    allocate(vertices(1185)%branchR2(0:0))
    call avR2(1185, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(313)%branchR2(0:0))
    call avR2(313, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8900])

    allocate(vertices(3617)%branchR2(0:1))
    call avR2(3617, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9251])

    call avR2(3617, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9252])

    allocate(vertices(3017)%branchR2(0:0))
    call avR2(3017, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9246])

    allocate(vertices(1711)%branchR2(0:0))
    call avR2(1711, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1299)%branchR2(0:0))
    call avR2(1299, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8865])

    allocate(vertices(594)%branchR2(0:0))
    call avR2(594, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9144])

    allocate(vertices(2262)%branchR2(0:0))
    call avR2(2262, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(504)%branchR2(0:1))
    call avR2(504, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_8788, nGC_8787])

    call avR2(504, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_8789, nGC_8789])

    allocate(vertices(1672)%branchR2(0:1))
    call avR2(1672, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1672, 1, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_9049, nGC_9048])

    allocate(vertices(2722)%branchR2(0:0))
    call avR2(2722, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3618)%branchR2(0:0))
    call avR2(3618, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(1998)%branchR2(0:0))
    call avR2(1998, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(842)%branchR2(0:0))
    call avR2(842, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

    allocate(vertices(1292)%branchR2(0:1))
    call avR2(1292, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9007, nGC_9007])

    call avR2(1292, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9005, nGC_9006])

    allocate(vertices(3006)%branchR2(0:0))
    call avR2(3006, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8784])

    allocate(vertices(2256)%branchR2(0:0))
    call avR2(2256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(475)%branchR2(0:1))
    call avR2(475, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8909, nGC_8907])

    call avR2(475, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8910, nGC_8908])

    allocate(vertices(3619)%branchR2(0:0))
    call avR2(3619, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(79)%branchR2(0:0))
    call avR2(79, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8901])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2230)%branchR2(0:0))
    call avR2(2230, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8992, nGC_8991])

    allocate(vertices(898)%branchR2(0:0))
    call avR2(898, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1757)%branchR2(0:0))
    call avR2(1757, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2509)%branchR2(0:0))
    call avR2(2509, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2357)%branchR2(0:0))
    call avR2(2357, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8930])

    allocate(vertices(3141)%branchR2(0:0))
    call avR2(3141, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(2310)%branchR2(0:1))
    call avR2(2310, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8985, nGC_8986])

    call avR2(2310, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8987, nGC_8987])

    allocate(vertices(2320)%branchR2(0:0))
    call avR2(2320, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(3620)%branchR2(0:1))
    call avR2(3620, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9154])

    call avR2(3620, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9155])

    allocate(vertices(2335)%branchR2(0:1))
    call avR2(2335, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8961, nGC_8963])

    call avR2(2335, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8962, nGC_8964])

    allocate(vertices(2240)%branchR2(0:0))
    call avR2(2240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(339)%branchR2(0:0))
    call avR2(339, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(3621)%branchR2(0:0))
    call avR2(3621, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137, nGC_9137&
    ])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29901])

    allocate(vertices(2293)%branchR2(0:0))
    call avR2(2293, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9038, nGC_9036])

    call avR2(1184, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9051, nGC_9050])

    allocate(vertices(3440)%branchR2(0:0))
    call avR2(3440, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(821)%branchR2(0:0))
    call avR2(821, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9236])

    allocate(vertices(3328)%branchR2(0:0))
    call avR2(3328, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9214])

    allocate(vertices(1047)%branchR2(0:0))
    call avR2(1047, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(473)%branchR2(0:0))
    call avR2(473, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9220])

    allocate(vertices(847)%branchR2(0:0))
    call avR2(847, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8919])

    allocate(vertices(386)%branchR2(0:0))
    call avR2(386, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(2097)%branchR2(0:0))
    call avR2(2097, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8915])

    allocate(vertices(1545)%branchR2(0:0))
    call avR2(1545, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2957)%branchR2(0:0))
    call avR2(2957, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

    allocate(vertices(1944)%branchR2(0:0))
    call avR2(1944, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9253])

    allocate(vertices(1645)%branchR2(0:0))
    call avR2(1645, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(2945)%branchR2(0:0))
    call avR2(2945, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

    allocate(vertices(1809)%branchR2(0:0))
    call avR2(1809, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(761)%branchR2(0:0))
    call avR2(761, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1721)%branchR2(0:0))
    call avR2(1721, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(3163)%branchR2(0:0))
    call avR2(3163, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29499])

    allocate(vertices(3457)%branchR2(0:0))
    call avR2(3457, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9087])

    allocate(vertices(1950)%branchR2(0:0))
    call avR2(1950, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8929])

    allocate(vertices(1149)%branchR2(0:0))
    call avR2(1149, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1690)%branchR2(0:0))
    call avR2(1690, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(2863)%branchR2(0:0))
    call avR2(2863, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9243])

    allocate(vertices(1089)%branchR2(0:0))
    call avR2(1089, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9025])

    allocate(vertices(695)%branchR2(0:0))
    call avR2(695, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

    allocate(vertices(3188)%branchR2(0:0))
    call avR2(3188, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8770])

    allocate(vertices(2249)%branchR2(0:0))
    call avR2(2249, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8950, nGC_8949])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(273)%branchR2(0:1))
    call avR2(273, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9033, nGC_9031])

    call avR2(273, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9034, nGC_9032])

    allocate(vertices(2855)%branchR2(0:0))
    call avR2(2855, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8771])

    allocate(vertices(2800)%branchR2(0:0))
    call avR2(2800, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9188])

    allocate(vertices(1108)%branchR2(0:1))
    call avR2(1108, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8943, nGC_8945])

    call avR2(1108, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8944, nGC_8946])

    allocate(vertices(3117)%branchR2(0:0))
    call avR2(3117, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2440)%branchR2(0:0))
    call avR2(2440, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29948])

    allocate(vertices(2338)%branchR2(0:3))
    call avR2(2338, 0, 26, 1, 0, FVFa1, 0, [1, 2], [nGC_9085, nGC_9084])

    call avR2(2338, 1, 26, 1, 0, FVFa1, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(2338, 2, 27, 1, 0, FVFa1, 0, [1, 2], [nGC_9083, nGC_9082])

    call avR2(2338, 3, 27, 1, 0, FVFa1, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(2267)%branchR2(0:0))
    call avR2(2267, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(633)%branchR2(0:0))
    call avR2(633, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(662)%branchR2(0:1))
    call avR2(662, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(662, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(870)%branchR2(0:0))
    call avR2(870, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(2126)%branchR2(0:0))
    call avR2(2126, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

    allocate(vertices(3384)%branchR2(0:0))
    call avR2(3384, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9246])

    allocate(vertices(92)%branchR2(0:1))
    call avR2(92, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_8789, nGC_8789])

    call avR2(92, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_8788, nGC_8787])

    allocate(vertices(2483)%branchR2(0:1))
    call avR2(2483, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8834, nGC_8832])

    call avR2(2483, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8853, nGC_8852])

    allocate(vertices(3063)%branchR2(0:0))
    call avR2(3063, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9128])

    allocate(vertices(3622)%branchR2(0:1))
    call avR2(3622, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9154])

    call avR2(3622, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9155])

    allocate(vertices(959)%branchR2(0:0))
    call avR2(959, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_9013, nGC_9012])

    allocate(vertices(2914)%branchR2(0:0))
    call avR2(2914, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8723, nGC_8722, nGC_8724])

    allocate(vertices(344)%branchR2(0:0))
    call avR2(344, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(1107)%branchR2(0:0))
    call avR2(1107, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1693)%branchR2(0:0))
    call avR2(1693, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8780])

    allocate(vertices(3502)%branchR2(0:0))
    call avR2(3502, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8819])

    allocate(vertices(3623)%branchR2(0:1))
    call avR2(3623, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9238])

    call avR2(3623, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9239])

    allocate(vertices(2412)%branchR2(0:0))
    call avR2(2412, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(82)%branchR2(0:1))
    call avR2(82, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_8792, nGC_8792])

    call avR2(82, 1, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_8809, nGC_8808])

    allocate(vertices(2029)%branchR2(0:0))
    call avR2(2029, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

    allocate(vertices(874)%branchR2(0:0))
    call avR2(874, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1393)%branchR2(0:0))
    call avR2(1393, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(3578)%branchR2(0:0))
    call avR2(3578, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(3624)%branchR2(0:0))
    call avR2(3624, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(3339)%branchR2(0:0))
    call avR2(3339, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1314)%branchR2(0:1))
    call avR2(1314, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8826, nGC_8824])

    call avR2(1314, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8849, nGC_8848])

    allocate(vertices(3028)%branchR2(0:0))
    call avR2(3028, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8734, nGC_8733])

    allocate(vertices(2632)%branchR2(0:0))
    call avR2(2632, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1593)%branchR2(0:0))
    call avR2(1593, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8921])

    allocate(vertices(377)%branchR2(0:0))
    call avR2(377, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(2099)%branchR2(0:0))
    call avR2(2099, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1718)%branchR2(0:0))
    call avR2(1718, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8928])

    allocate(vertices(3505)%branchR2(0:0))
    call avR2(3505, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8714, nGC_8713])

    allocate(vertices(1582)%branchR2(0:1))
    call avR2(1582, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8906, nGC_8904])

    call avR2(1582, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8923, nGC_8922])

    allocate(vertices(1991)%branchR2(0:0))
    call avR2(1991, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(2027)%branchR2(0:0))
    call avR2(2027, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

    allocate(vertices(1854)%branchR2(0:0))
    call avR2(1854, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1611)%branchR2(0:1))
    call avR2(1611, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8823, nGC_8825])

    call avR2(1611, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8824, nGC_8826])

    allocate(vertices(729)%branchR2(0:0))
    call avR2(729, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2132)%branchR2(0:0))
    call avR2(2132, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(2676)%branchR2(0:0))
    call avR2(2676, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8864])

    allocate(vertices(3024)%branchR2(0:0))
    call avR2(3024, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2064)%branchR2(0:0))
    call avR2(2064, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9201])

    allocate(vertices(225)%branchR2(0:0))
    call avR2(225, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

    allocate(vertices(465)%branchR2(0:0))
    call avR2(465, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8879, nGC_8878])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9257, nGC_9258, nGC_9256])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8879, nGC_8878])

    allocate(vertices(527)%branchR2(0:0))
    call avR2(527, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2156)%branchR2(0:1))
    call avR2(2156, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8995, nGC_8995])

    call avR2(2156, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8993, nGC_8994])

    allocate(vertices(3450)%branchR2(0:0))
    call avR2(3450, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(373)%branchR2(0:1))
    call avR2(373, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_9027])

    call avR2(373, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_9028])

    allocate(vertices(361)%branchR2(0:0))
    call avR2(361, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

    allocate(vertices(1087)%branchR2(0:0))
    call avR2(1087, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

    allocate(vertices(3625)%branchR2(0:0))
    call avR2(3625, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(900)%branchR2(0:0))
    call avR2(900, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2786)%branchR2(0:0))
    call avR2(2786, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(2255)%branchR2(0:0))
    call avR2(2255, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8797, nGC_8798])

    allocate(vertices(1436)%branchR2(0:0))
    call avR2(1436, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(1916)%branchR2(0:0))
    call avR2(1916, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(745)%branchR2(0:0))
    call avR2(745, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(3626)%branchR2(0:1))
    call avR2(3626, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9264, nGC_9264,        &
    nGC_9264])

    call avR2(3626, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9265, nGC_9265,        &
    nGC_9265])

    allocate(vertices(768)%branchR2(0:0))
    call avR2(768, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

    allocate(vertices(950)%branchR2(0:0))
    call avR2(950, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9240])

    allocate(vertices(715)%branchR2(0:1))
    call avR2(715, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8978, nGC_8978])

    call avR2(715, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8976, nGC_8977])

    allocate(vertices(1335)%branchR2(0:0))
    call avR2(1335, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(3318)%branchR2(0:0))
    call avR2(3318, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2603)%branchR2(0:0))
    call avR2(2603, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2037)%branchR2(0:0))
    call avR2(2037, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

    allocate(vertices(2123)%branchR2(0:0))
    call avR2(2123, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8781])

    allocate(vertices(3627)%branchR2(0:1))
    call avR2(3627, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9140, nGC_9140,        &
    nGC_9140])

    call avR2(3627, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9141, nGC_9141,        &
    nGC_9141])

    allocate(vertices(1904)%branchR2(0:0))
    call avR2(1904, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(1318)%branchR2(0:0))
    call avR2(1318, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8864])

    allocate(vertices(13)%branchR2(0:0))
    call avR2(13, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9245])

    allocate(vertices(1080)%branchR2(0:0))
    call avR2(1080, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9250])

    allocate(vertices(2986)%branchR2(0:0))
    call avR2(2986, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(826)%branchR2(0:0))
    call avR2(826, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(3628)%branchR2(0:5))
    call avR2(3628, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    call avR2(3628, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3628, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3628, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9151, nGC_9151,        &
    nGC_9151])

    call avR2(3628, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9152, nGC_9152,        &
    nGC_9152])

    call avR2(3628, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9150, nGC_9150,        &
    nGC_9150])

    allocate(vertices(1980)%branchR2(0:0))
    call avR2(1980, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

    allocate(vertices(1385)%branchR2(0:0))
    call avR2(1385, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2659)%branchR2(0:0))
    call avR2(2659, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(2657)%branchR2(0:0))
    call avR2(2657, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(368)%branchR2(0:0))
    call avR2(368, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1248)%branchR2(0:0))
    call avR2(1248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

    allocate(vertices(1967)%branchR2(0:0))
    call avR2(1967, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

    allocate(vertices(271)%branchR2(0:1))
    call avR2(271, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8870, nGC_8872])

    call avR2(271, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8871, nGC_8873])

    allocate(vertices(202)%branchR2(0:0))
    call avR2(202, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9250])

    allocate(vertices(2518)%branchR2(0:0))
    call avR2(2518, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2869)%branchR2(0:0))
    call avR2(2869, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8801])

    allocate(vertices(1931)%branchR2(0:0))
    call avR2(1931, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1407)%branchR2(0:0))
    call avR2(1407, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9160])

    allocate(vertices(1367)%branchR2(0:0))
    call avR2(1367, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

    allocate(vertices(2272)%branchR2(0:0))
    call avR2(2272, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29260])

    allocate(vertices(3467)%branchR2(0:0))
    call avR2(3467, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(1126)%branchR2(0:0))
    call avR2(1126, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9097, nGC_9099, nGC_9098&
    ])

    allocate(vertices(970)%branchR2(0:0))
    call avR2(970, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

    allocate(vertices(993)%branchR2(0:0))
    call avR2(993, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(739)%branchR2(0:1))
    call avR2(739, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8829, nGC_8827])

    call avR2(739, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8830, nGC_8828])

    allocate(vertices(2177)%branchR2(0:0))
    call avR2(2177, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(2663)%branchR2(0:0))
    call avR2(2663, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1696)%branchR2(0:1))
    call avR2(1696, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8943, nGC_8945])

    call avR2(1696, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8944, nGC_8946])

    allocate(vertices(3472)%branchR2(0:0))
    call avR2(3472, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9127])

    allocate(vertices(3629)%branchR2(0:0))
    call avR2(3629, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(3392)%branchR2(0:0))
    call avR2(3392, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(1002)%branchR2(0:0))
    call avR2(1002, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8847])

    allocate(vertices(2531)%branchR2(0:0))
    call avR2(2531, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

    allocate(vertices(764)%branchR2(0:0))
    call avR2(764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(1309)%branchR2(0:0))
    call avR2(1309, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(875)%branchR2(0:1))
    call avR2(875, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_9017, nGC_9018])

    call avR2(875, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_9019, nGC_9019])

    allocate(vertices(3630)%branchR2(0:1))
    call avR2(3630, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9247])

    call avR2(3630, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9248])

    allocate(vertices(2083)%branchR2(0:0))
    call avR2(2083, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8856])

    allocate(vertices(1631)%branchR2(0:1))
    call avR2(1631, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8993, nGC_8994])

    call avR2(1631, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8995, nGC_8995])

    allocate(vertices(1092)%branchR2(0:0))
    call avR2(1092, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(1364)%branchR2(0:0))
    call avR2(1364, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(2369)%branchR2(0:0))
    call avR2(2369, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2988)%branchR2(0:0))
    call avR2(2988, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(2821)%branchR2(0:0))
    call avR2(2821, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2361)%branchR2(0:0))
    call avR2(2361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

    allocate(vertices(3187)%branchR2(0:0))
    call avR2(3187, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9212])

    allocate(vertices(3631)%branchR2(0:0))
    call avR2(3631, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9093])

    allocate(vertices(2516)%branchR2(0:0))
    call avR2(2516, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

    allocate(vertices(154)%branchR2(0:0))
    call avR2(154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

    allocate(vertices(2807)%branchR2(0:0))
    call avR2(2807, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8784])

    allocate(vertices(2701)%branchR2(0:0))
    call avR2(2701, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(645)%branchR2(0:0))
    call avR2(645, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2621)%branchR2(0:1))
    call avR2(2621, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_8828, nGC_8830])

    call avR2(2621, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_8850, nGC_8851])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8781])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130, nGC_9131])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8772])

    allocate(vertices(579)%branchR2(0:0))
    call avR2(579, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8992, nGC_8991])

    allocate(vertices(506)%branchR2(0:0))
    call avR2(506, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30154])

    allocate(vertices(651)%branchR2(0:0))
    call avR2(651, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(3426)%branchR2(0:0))
    call avR2(3426, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(3489)%branchR2(0:0))
    call avR2(3489, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30158])

    allocate(vertices(894)%branchR2(0:0))
    call avR2(894, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(1148)%branchR2(0:0))
    call avR2(1148, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

    allocate(vertices(2708)%branchR2(0:0))
    call avR2(2708, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1844)%branchR2(0:0))
    call avR2(1844, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8856])

    allocate(vertices(3271)%branchR2(0:0))
    call avR2(3271, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1971)%branchR2(0:0))
    call avR2(1971, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8846])

    allocate(vertices(2910)%branchR2(0:0))
    call avR2(2910, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(2993)%branchR2(0:0))
    call avR2(2993, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

    allocate(vertices(2491)%branchR2(0:0))
    call avR2(2491, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(3632)%branchR2(0:0))
    call avR2(3632, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(851)%branchR2(0:1))
    call avR2(851, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8823, nGC_8825])

    call avR2(851, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8824, nGC_8826])

    allocate(vertices(1983)%branchR2(0:0))
    call avR2(1983, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

    allocate(vertices(3633)%branchR2(0:0))
    call avR2(3633, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(2416)%branchR2(0:0))
    call avR2(2416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(2252)%branchR2(0:0))
    call avR2(2252, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9043])

    allocate(vertices(703)%branchR2(0:0))
    call avR2(703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

    allocate(vertices(1838)%branchR2(0:0))
    call avR2(1838, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(3634)%branchR2(0:0))
    call avR2(3634, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8857])

    allocate(vertices(2566)%branchR2(0:0))
    call avR2(2566, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9236])

    allocate(vertices(2857)%branchR2(0:0))
    call avR2(2857, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

    allocate(vertices(562)%branchR2(0:1))
    call avR2(562, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8951, nGC_8953])

    call avR2(562, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8952, nGC_8954])

    allocate(vertices(3060)%branchR2(0:0))
    call avR2(3060, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

    allocate(vertices(3635)%branchR2(0:0))
    call avR2(3635, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

    allocate(vertices(1469)%branchR2(0:0))
    call avR2(1469, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(1507)%branchR2(0:0))
    call avR2(1507, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9250])

    allocate(vertices(2229)%branchR2(0:0))
    call avR2(2229, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8930])

    allocate(vertices(107)%branchR2(0:0))
    call avR2(107, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(3197)%branchR2(0:0))
    call avR2(3197, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(756)%branchR2(0:0))
    call avR2(756, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1320)%branchR2(0:0))
    call avR2(1320, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

    allocate(vertices(1307)%branchR2(0:1))
    call avR2(1307, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_9004, nGC_9004])

    call avR2(1307, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_9002, nGC_9003])

    allocate(vertices(1576)%branchR2(0:0))
    call avR2(1576, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

    allocate(vertices(1352)%branchR2(0:0))
    call avR2(1352, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9030])

    allocate(vertices(3556)%branchR2(0:0))
    call avR2(3556, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

    allocate(vertices(943)%branchR2(0:0))
    call avR2(943, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(3209)%branchR2(0:0))
    call avR2(3209, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(667)%branchR2(0:0))
    call avR2(667, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9226])

    allocate(vertices(2463)%branchR2(0:3))
    call avR2(2463, 0, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_9074, nGC_9073])

    call avR2(2463, 1, 28, 1, 0, VFaF0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(2463, 2, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_9071, nGC_9070])

    call avR2(2463, 3, 29, 1, 0, VFaF0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(3248)%branchR2(0:0))
    call avR2(3248, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(1609)%branchR2(0:0))
    call avR2(1609, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

    allocate(vertices(2895)%branchR2(0:0))
    call avR2(2895, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8799])

    allocate(vertices(238)%branchR2(0:0))
    call avR2(238, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(2058)%branchR2(0:0))
    call avR2(2058, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

    allocate(vertices(3636)%branchR2(0:0))
    call avR2(3636, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9096])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(928)%branchR2(0:0))
    call avR2(928, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

    allocate(vertices(3078)%branchR2(0:0))
    call avR2(3078, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29499])

    allocate(vertices(1459)%branchR2(0:0))
    call avR2(1459, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9029])

    allocate(vertices(1842)%branchR2(0:0))
    call avR2(1842, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1166)%branchR2(0:0))
    call avR2(1166, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2686)%branchR2(0:0))
    call avR2(2686, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9047])

    allocate(vertices(789)%branchR2(0:0))
    call avR2(789, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

    allocate(vertices(1966)%branchR2(0:0))
    call avR2(1966, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

    allocate(vertices(1064)%branchR2(0:0))
    call avR2(1064, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

    allocate(vertices(3499)%branchR2(0:0))
    call avR2(3499, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8777])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

    allocate(vertices(2208)%branchR2(0:0))
    call avR2(2208, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8891, nGC_8890])

    allocate(vertices(1637)%branchR2(0:0))
    call avR2(1637, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1539)%branchR2(0:0))
    call avR2(1539, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9029])

    allocate(vertices(3637)%branchR2(0:1))
    call avR2(3637, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9154])

    call avR2(3637, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9155])

    allocate(vertices(2339)%branchR2(0:0))
    call avR2(2339, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2715)%branchR2(0:0))
    call avR2(2715, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_8718, nGC_8717, nGC_8719])

    allocate(vertices(1810)%branchR2(0:0))
    call avR2(1810, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8918])

    allocate(vertices(3451)%branchR2(0:0))
    call avR2(3451, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

    allocate(vertices(2881)%branchR2(0:0))
    call avR2(2881, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8799])

    allocate(vertices(3638)%branchR2(0:1))
    call avR2(3638, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3638, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(3333)%branchR2(0:1))
    call avR2(3333, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8763&
    , nGC_8763])

    call avR2(3333, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8764&
    , nGC_8764])

    allocate(vertices(2557)%branchR2(0:0))
    call avR2(2557, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(3549)%branchR2(0:0))
    call avR2(3549, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8844])

    allocate(vertices(3101)%branchR2(0:0))
    call avR2(3101, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3504)%branchR2(0:0))
    call avR2(3504, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9118])

    allocate(vertices(2044)%branchR2(0:0))
    call avR2(2044, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

    allocate(vertices(873)%branchR2(0:1))
    call avR2(873, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8882, nGC_8884])

    call avR2(873, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8883, nGC_8885])

    allocate(vertices(2036)%branchR2(0:0))
    call avR2(2036, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(2195)%branchR2(0:0))
    call avR2(2195, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(795)%branchR2(0:0))
    call avR2(795, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8992, nGC_8991])

    allocate(vertices(3639)%branchR2(0:1))
    call avR2(3639, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9217])

    call avR2(3639, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9218])

    allocate(vertices(1195)%branchR2(0:0))
    call avR2(1195, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(1467)%branchR2(0:0))
    call avR2(1467, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9208])

    allocate(vertices(1418)%branchR2(0:0))
    call avR2(1418, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

    allocate(vertices(2482)%branchR2(0:0))
    call avR2(2482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(3640)%branchR2(0:0))
    call avR2(3640, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

    allocate(vertices(2101)%branchR2(0:0))
    call avR2(2101, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

    allocate(vertices(2470)%branchR2(0:0))
    call avR2(2470, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(2224)%branchR2(0:0))
    call avR2(2224, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8916])

    allocate(vertices(98)%branchR2(0:0))
    call avR2(98, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(491)%branchR2(0:0))
    call avR2(491, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

    allocate(vertices(3094)%branchR2(0:0))
    call avR2(3094, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9209])

    allocate(vertices(490)%branchR2(0:3))
    call avR2(490, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9081, nGC_9080])

    call avR2(490, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(490, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9079, nGC_9078])

    call avR2(490, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(2221)%branchR2(0:0))
    call avR2(2221, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(1731)%branchR2(0:0))
    call avR2(1731, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

    allocate(vertices(3122)%branchR2(0:0))
    call avR2(3122, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

    allocate(vertices(964)%branchR2(0:0))
    call avR2(964, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

    allocate(vertices(2953)%branchR2(0:0))
    call avR2(2953, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(2431)%branchR2(0:0))
    call avR2(2431, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(2951)%branchR2(0:0))
    call avR2(2951, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(1723)%branchR2(0:0))
    call avR2(1723, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9089])

    allocate(vertices(799)%branchR2(0:0))
    call avR2(799, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9203])

    allocate(vertices(323)%branchR2(0:3))
    call avR2(323, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_9061, nGC_9059])

    call avR2(323, 1, 30, 1, 0, VFFa0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(323, 2, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_9058, nGC_9056])

    call avR2(323, 3, 31, 1, 0, VFFa0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(357)%branchR2(0:0))
    call avR2(357, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

    allocate(vertices(706)%branchR2(0:0))
    call avR2(706, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(3641)%branchR2(0:1))
    call avR2(3641, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9154])

    call avR2(3641, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9155])

    allocate(vertices(1312)%branchR2(0:0))
    call avR2(1312, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1225)%branchR2(0:0))
    call avR2(1225, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130, nGC_9132&
    ])

    allocate(vertices(3086)%branchR2(0:0))
    call avR2(3086, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8778])

    allocate(vertices(3348)%branchR2(0:0))
    call avR2(3348, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3308)%branchR2(0:0))
    call avR2(3308, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

    allocate(vertices(1503)%branchR2(0:0))
    call avR2(1503, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

    allocate(vertices(3642)%branchR2(0:1))
    call avR2(3642, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9206])

    call avR2(3642, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9207])

    allocate(vertices(1898)%branchR2(0:0))
    call avR2(1898, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8855])

    allocate(vertices(2794)%branchR2(0:0))
    call avR2(2794, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(1090)%branchR2(0:0))
    call avR2(1090, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(1429)%branchR2(0:0))
    call avR2(1429, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29534])

    allocate(vertices(2478)%branchR2(0:0))
    call avR2(2478, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(3417)%branchR2(0:0))
    call avR2(3417, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(2182)%branchR2(0:0))
    call avR2(2182, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29260])

    allocate(vertices(2010)%branchR2(0:0))
    call avR2(2010, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2449)%branchR2(0:0))
    call avR2(2449, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

    allocate(vertices(441)%branchR2(0:0))
    call avR2(441, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

    allocate(vertices(443)%branchR2(0:1))
    call avR2(443, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_8990, nGC_8990])

    call avR2(443, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_8988, nGC_8989])

    allocate(vertices(578)%branchR2(0:0))
    call avR2(578, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

    allocate(vertices(3311)%branchR2(0:0))
    call avR2(3311, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8732, nGC_8731])

    allocate(vertices(1416)%branchR2(0:0))
    call avR2(1416, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8930])

    allocate(vertices(1382)%branchR2(0:0))
    call avR2(1382, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

    allocate(vertices(1308)%branchR2(0:0))
    call avR2(1308, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

    allocate(vertices(1949)%branchR2(0:0))
    call avR2(1949, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

    allocate(vertices(2214)%branchR2(0:0))
    call avR2(2214, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30337])

    allocate(vertices(2614)%branchR2(0:0))
    call avR2(2614, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

    allocate(vertices(2949)%branchR2(0:0))
    call avR2(2949, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(2727)%branchR2(0:0))
    call avR2(2727, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

    allocate(vertices(493)%branchR2(0:3))
    call avR2(493, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9069, nGC_9068])

    call avR2(493, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9060, nGC_9060])

    call avR2(493, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9067, nGC_9066])

    call avR2(493, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9057, nGC_9057])

    allocate(vertices(3643)%branchR2(0:0))
    call avR2(3643, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

    allocate(vertices(2680)%branchR2(0:0))
    call avR2(2680, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9109])

    allocate(vertices(3367)%branchR2(0:0))
    call avR2(3367, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3644)%branchR2(0:1))
    call avR2(3644, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9247])

    call avR2(3644, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9248])

    allocate(vertices(1021)%branchR2(0:0))
    call avR2(1021, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

    allocate(vertices(2152)%branchR2(0:0))
    call avR2(2152, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(916)%branchR2(0:0))
    call avR2(916, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1301)%branchR2(0:1))
    call avR2(1301, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9026])

    call avR2(1301, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

    allocate(vertices(902)%branchR2(0:0))
    call avR2(902, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(1807)%branchR2(0:0))
    call avR2(1807, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8881, nGC_8880])

    allocate(vertices(3557)%branchR2(0:0))
    call avR2(3557, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8843])

    allocate(vertices(3382)%branchR2(0:0))
    call avR2(3382, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

    allocate(vertices(134)%branchR2(0:0))
    call avR2(134, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9108])

    allocate(vertices(15)%branchR2(0:0))
    call avR2(15, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9159])

    allocate(vertices(1111)%branchR2(0:1))
    call avR2(1111, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8908, nGC_8910])

    call avR2(1111, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8924, nGC_8925])

    allocate(vertices(2664)%branchR2(0:0))
    call avR2(2664, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(549)%branchR2(0:0))
    call avR2(549, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

    allocate(vertices(2492)%branchR2(0:0))
    call avR2(2492, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

    allocate(vertices(3645)%branchR2(0:1))
    call avR2(3645, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_8981])

    call avR2(3645, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_8982])

    allocate(vertices(3140)%branchR2(0:0))
    call avR2(3140, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(2990)%branchR2(0:0))
    call avR2(2990, 0, 13, 1, 0, SS5, 0, [0, 2], [nGC_8712, nGC_8711])

    allocate(vertices(3461)%branchR2(0:0))
    call avR2(3461, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

    allocate(vertices(621)%branchR2(0:1))
    call avR2(621, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_8906, nGC_8904])

    call avR2(621, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_8923, nGC_8922])

    allocate(vertices(3646)%branchR2(0:0))
    call avR2(3646, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(3647)%branchR2(0:1))
    call avR2(3647, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9217])

    call avR2(3647, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9218])

    allocate(vertices(2650)%branchR2(0:1))
    call avR2(2650, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8903, nGC_8905])

    call avR2(2650, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8904, nGC_8906])

    allocate(vertices(3001)%branchR2(0:0))
    call avR2(3001, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9117])

    allocate(vertices(2906)%branchR2(0:0))
    call avR2(2906, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

    allocate(vertices(941)%branchR2(0:0))
    call avR2(941, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8921])

    allocate(vertices(1417)%branchR2(0:0))
    call avR2(1417, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9132, nGC_9130&
    ])

    allocate(vertices(258)%branchR2(0:0))
    call avR2(258, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8902])

    allocate(vertices(962)%branchR2(0:0))
    call avR2(962, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(282)%branchR2(0:0))
    call avR2(282, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

    allocate(vertices(1821)%branchR2(0:0))
    call avR2(1821, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

    allocate(vertices(3648)%branchR2(0:1))
    call avR2(3648, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

    call avR2(3648, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(3145)%branchR2(0:0))
    call avR2(3145, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_8716, nGC_8715])

    allocate(vertices(3077)%branchR2(0:1))
    call avR2(3077, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8744, nGC_8741&
    , nGC_8741])

    call avR2(3077, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8743, nGC_8743, nGC_8742&
    , nGC_8742])

    allocate(vertices(1329)%branchR2(0:0))
    call avR2(1329, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2719)%branchR2(0:0))
    call avR2(2719, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

    allocate(vertices(1368)%branchR2(0:1))
    call avR2(1368, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_9027])

    call avR2(1368, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_9028])

    allocate(vertices(410)%branchR2(0:0))
    call avR2(410, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

    allocate(vertices(1580)%branchR2(0:0))
    call avR2(1580, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

    allocate(vertices(1384)%branchR2(0:0))
    call avR2(1384, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

    allocate(vertices(3649)%branchR2(0:0))
    call avR2(3649, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

    allocate(vertices(424)%branchR2(0:0))
    call avR2(424, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8928])

    allocate(vertices(3322)%branchR2(0:0))
    call avR2(3322, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1214)%branchR2(0:0))
    call avR2(1214, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

    allocate(vertices(3650)%branchR2(0:1))
    call avR2(3650, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

    call avR2(3650, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

    allocate(vertices(2694)%branchR2(0:0))
    call avR2(2694, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9046])

    allocate(vertices(1317)%branchR2(0:0))
    call avR2(1317, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2110)%branchR2(0:0))
    call avR2(2110, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9226])

    allocate(vertices(1343)%branchR2(0:0))
    call avR2(1343, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(1004)%branchR2(0:0))
    call avR2(1004, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(918)%branchR2(0:0))
    call avR2(918, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(1528)%branchR2(0:0))
    call avR2(1528, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

    allocate(vertices(3651)%branchR2(0:1))
    call avR2(3651, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3651, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(2055)%branchR2(0:0))
    call avR2(2055, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9200])

    allocate(vertices(1479)%branchR2(0:0))
    call avR2(1479, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9097, nGC_9099, nGC_9098&
    ])

    allocate(vertices(2747)%branchR2(0:0))
    call avR2(2747, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

    allocate(vertices(3257)%branchR2(0:0))
    call avR2(3257, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30438])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

    allocate(vertices(2444)%branchR2(0:0))
    call avR2(2444, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(1071)%branchR2(0:0))
    call avR2(1071, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1786)%branchR2(0:0))
    call avR2(1786, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9145])

    allocate(vertices(1910)%branchR2(0:0))
    call avR2(1910, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

    allocate(vertices(3096)%branchR2(0:0))
    call avR2(3096, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

    allocate(vertices(3652)%branchR2(0:0))
    call avR2(3652, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

    allocate(vertices(2163)%branchR2(0:0))
    call avR2(2163, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9241])

    allocate(vertices(3653)%branchR2(0:1))
    call avR2(3653, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9254, nGC_9254,        &
    nGC_9254])

    call avR2(3653, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9255, nGC_9255,        &
    nGC_9255])

    allocate(vertices(1629)%branchR2(0:0))
    call avR2(1629, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30450])

    allocate(vertices(1380)%branchR2(0:0))
    call avR2(1380, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

    allocate(vertices(96)%branchR2(0:0))
    call avR2(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9158])

    allocate(vertices(1932)%branchR2(0:0))
    call avR2(1932, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

    allocate(vertices(2903)%branchR2(0:0))
    call avR2(2903, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8800])

    allocate(vertices(1900)%branchR2(0:0))
    call avR2(1900, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

    allocate(vertices(109)%branchR2(0:0))
    call avR2(109, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(1706)%branchR2(0:0))
    call avR2(1706, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

    allocate(vertices(3654)%branchR2(0:1))
    call avR2(3654, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

    call avR2(3654, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

    allocate(vertices(1603)%branchR2(0:0))
    call avR2(1603, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

    allocate(vertices(2790)%branchR2(0:0))
    call avR2(2790, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9243])

    allocate(vertices(2408)%branchR2(0:0))
    call avR2(2408, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8960, nGC_8959])

    allocate(vertices(3655)%branchR2(0:0))
    call avR2(3655, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

    allocate(vertices(1766)%branchR2(0:0))
    call avR2(1766, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8917])

    allocate(vertices(1905)%branchR2(0:0))
    call avR2(1905, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

    allocate(vertices(1403)%branchR2(0:1))
    call avR2(1403, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_9034, nGC_9032])

    call avR2(1403, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_9049, nGC_9048])

    allocate(vertices(401)%branchR2(0:0))
    call avR2(401, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

    allocate(vertices(1561)%branchR2(0:0))
    call avR2(1561, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

    allocate(vertices(3364)%branchR2(0:0))
    call avR2(3364, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

    allocate(vertices(3656)%branchR2(0:0))
    call avR2(3656, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

    allocate(vertices(1680)%branchR2(0:0))
    call avR2(1680, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

    allocate(vertices(2415)%branchR2(0:0))
    call avR2(2415, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

    allocate(vertices(104)%branchR2(0:0))
    call avR2(104, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

    allocate(vertices(1586)%branchR2(0:1))
    call avR2(1586, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_8892, nGC_8894])

    call avR2(1586, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_8893, nGC_8895])

    allocate(vertices(2237)%branchR2(0:1))
    call avR2(2237, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_8809, nGC_8808])

    call avR2(2237, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_8792, nGC_8792])

    allocate(vertices(2059)%branchR2(0:0))
    call avR2(2059, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8797, nGC_8798])

    allocate(vertices(922)%branchR2(0:0))
    call avR2(922, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

    allocate(vertices(2502)%branchR2(0:0))
    call avR2(2502, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

    allocate(vertices(1351)%branchR2(0:0))
    call avR2(1351, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30492])

    allocate(vertices(1391)%branchR2(0:0))
    call avR2(1391, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

    allocate(vertices(2426)%branchR2(0:0))
    call avR2(2426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9156])

    allocate(vertices(2532)%branchR2(0:0))
    call avR2(2532, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

    allocate(vertices(407)%branchR2(0:3))
    call avR2(407, 0, 24, 1, 0, FaVF0, 0, [1, 2], [nGC_9074, nGC_9073])

    call avR2(407, 1, 24, 1, 0, FaVF0, 0, [3, 0], [nGC_9075, nGC_9075])

    call avR2(407, 2, 25, 1, 0, FaVF0, 0, [1, 2], [nGC_9071, nGC_9070])

    call avR2(407, 3, 25, 1, 0, FaVF0, 0, [3, 0], [nGC_9072, nGC_9072])

    allocate(vertices(1476)%branchR2(0:0))
    call avR2(1476, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8786])

    allocate(vertices(1011)%branchR2(0:1))
    call avR2(1011, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_9026])

    call avR2(1011, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

    allocate(vertices(2472)%branchR2(0:0))
    call avR2(2472, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8854])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1587)%branchR2(0:0))
    call avR2(1587, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

    allocate(vertices(1408)%branchR2(0:1))
    call avR2(1408, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8831, nGC_8833])

    call avR2(1408, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8832, nGC_8834])

    allocate(vertices(3540)%branchR2(0:0))
    call avR2(3540, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

    allocate(vertices(3657)%branchR2(0:1))
    call avR2(3657, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9251])

    call avR2(3657, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9252])

    allocate(vertices(1349)%branchR2(0:0))
    call avR2(1349, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8797, nGC_8798])

    allocate(vertices(3546)%branchR2(0:0))
    call avR2(3546, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

    allocate(vertices(1260)%branchR2(0:0))
    call avR2(1260, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

    allocate(vertices(124)%branchR2(0:1))
    call avR2(124, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8988, nGC_8989])

    call avR2(124, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8990, nGC_8990])

    allocate(vertices(1530)%branchR2(0:0))
    call avR2(1530, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9149])

    allocate(vertices(1431)%branchR2(0:0))
    call avR2(1431, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

    allocate(vertices(3050)%branchR2(0:0))
    call avR2(3050, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

    allocate(vertices(2073)%branchR2(0:0))
    call avR2(2073, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

    allocate(vertices(2017)%branchR2(0:1))
    call avR2(2017, 0, 21, 1, 0, SFFa1, 0, [0, 3], [nGC_8935, nGC_8937])

    call avR2(2017, 1, 21, 1, 0, SFFa1, 0, [2, 1], [nGC_8936, nGC_8938])

    allocate(vertices(1825)%branchR2(0:0))
    call avR2(1825, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

    allocate(vertices(334)%branchR2(0:0))
    call avR2(334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    allocate(vertices(2528)%branchR2(0:1))
    call avR2(2528, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_8866, nGC_8868])

    call avR2(2528, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_8867, nGC_8869])

    allocate(vertices(2585)%branchR2(0:0))
    call avR2(2585, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

    allocate(vertices(2562)%branchR2(0:0))
    call avR2(2562, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

    allocate(vertices(2573)%branchR2(0:0))
    call avR2(2573, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

    allocate(vertices(3416)%branchR2(0:0))
    call avR2(3416, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9133])

    allocate(vertices(2427)%branchR2(0:0))
    call avR2(2427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

    allocate(vertices(1856)%branchR2(0:0))
    call avR2(1856, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

    allocate(vertices(3103)%branchR2(0:0))
    call avR2(3103, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

    allocate(vertices(1207)%branchR2(0:0))
    call avR2(1207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

  end subroutine fill_vertices_mdl9
end module vertices_info9
